<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;

// Krik
use App\Http\Controllers\MainController as MainController;
use View;
use DB;
use Redirect;

class AdminPayController extends MainController
{
    public function __construct() {
        parent::__construct();

        // CSS i JS assets for page
        $this->css['pages'] = [
            'global/plugins/bower_components/fontawesome/css/font-awesome.min.css',
            'global/plugins/bower_components/animate.css/animate.min.css',
            'global/plugins/bower_components/summernote/dist/summernote.css',
        ];
        $this->css['themes'] = [
            'admin/css/reset.css',
            'admin/css/layout.css',
            'admin/css/components.css',
            'admin/css/plugins.css',
            'admin/css/themes/laravel.theme.css' => ['id' => ''],
            'admin/css/custom.css'
        ];

        $this->js['plugins'] = [
            'global/plugins/bower_components/summernote/dist/summernote.min.js'
        ];

        View::share('css', $this->css);
        View::share('js', $this->js);
        View::share('title', 'Admin Payment');
    }
    
    /**
     * Dohvati admin plaćanje
     */
    public function GetAdminPayments()
    {
        $settings = $this->GetSettings();
        View::share('settings', $settings);

        return view('admin/payments');
    }

    /**
     * Spremi admin plaćanje
     */
    public function SaveAdminPayments(Request $request)
    {
        DB::table('settings')
            ->where('id', 1)
            ->update([
                'payment_visa' => $request->input('payment_visa'),
                'payment_mastercard' => $request->input('payment_mastercard'),
                'payment_maestro' => $request->input('payment_maestro'),
                'payment_american_express' => $request->input('payment_american_express'),
                'payment_diners' => $request->input('payment_diners'),
                'payment_about_us' => $request->input('payment_about_us'),
                'payment_about_us_hr' => $request->input('payment_about_us_hr'),
                'payment_terms_of_sale' => $request->input('payment_terms_of_sale'),
                'payment_terms_of_sale_hr' => $request->input('payment_terms_of_sale_hr'),
                'payment_security' => $request->input('payment_security'),
                'payment_security_hr' => $request->input('payment_security_hr'),
                'payment_privacy' => $request->input('payment_privacy'),
                'payment_privacy_hr' => $request->input('payment_privacy_hr'),
                'payment_conversion' => $request->input('payment_conversion'),
                'payment_conversion_hr' => $request->input('payment_conversion_hr')
            ]);
        
        return Redirect::back();
    }

    /**
     * Dohvati sve informacije za plaćanje
     */
    private function GetSettings()
    {
        return DB::table('settings')
            ->first();
    }
}
