<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

use Carbon\Carbon;
use DB;

class Controller extends BaseController
{
    public function __construct() {
      $this->Env();
    }

    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    /**
     * Postavljanje ENV varijabli kao globalnih PHP konstanti
     */
    private function Env() {
      $app_id = env('APP_ID', 00);
      $app_time_zone = env('APP_TIME_ZONE', 58);
      $mail_limit = env('APP_MAIL_LIMIT', 200);

      $module_proforma_invoice = env('MODULE_PROFORMA_INVOICE', false);
      $module_voucher = env('MODULE_VOUCHER', false);

      $excel_firstname = env('EXCEL_FIRSTNAME', true);
      $excel_lastname = env('EXCEL_LASTNAME', true);

      $gdpr = env('GDPR', false);

      $wspay = env('WSPAY', false);

      // App settings
      if (!defined('APP_ID')) {
        define('APP_ID', $app_id);
      }
      if (!defined('APP_TIME_ZONE')) {
        define('APP_TIME_ZONE', $app_time_zone);
      }
	    if (!defined('APP_MAIL_LIMIT')) {
        define('APP_MAIL_LIMIT', $mail_limit);
      }

      // Modules
      if (!defined('MODULE_PROFORMA_INVOICE')) {
        define('MODULE_PROFORMA_INVOICE', $module_proforma_invoice);
      }
      if (!defined('MODULE_VOUCHER')) {
        define('MODULE_VOUCHER', $module_voucher);
      }

      // Excel
      if (!defined('EXCEL_FIRSTNAME')) {
        define('EXCEL_FIRSTNAME', $excel_firstname);
      }
      if (!defined('EXCEL_LASTNAME')) {
        define('EXCEL_LASTNAME', $excel_lastname);
      }

      if (!defined('GDPR')) {
        define('GDPR', $gdpr);
      }

      if (!defined('WSPAY')) {
          define('WSPAY', $wspay);
      }
    }

    /**
     * Trenutačno vrijeme eventa ili aplikacije
     */
    protected function Now($timezone_id = APP_TIME_ZONE) {
      $time_zone = DB::table('timezones')
        ->where('id', $timezone_id)
        ->value('timezone');

      if ( !$time_zone ) {
        $time_zone = DB::table('timezones')
          ->where('id', APP_TIME_ZONE)
          ->value('timezone');
      }

      return Carbon::now()
        ->setTimezone($time_zone)
        ->toDateTimeString();
    }
}
