<?php

namespace App\Http\Controllers\Events\Create;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;

// Krik
use App\Http\Controllers\MainController as MainController;
use View;
use DB;
use Redirect;

class NotificationsController extends MainController
{
    public function __construct() {
        parent::__construct();

        // CSS i JS assets for page
        $this->css['pages'] = [
            'global/plugins/bower_components/fontawesome/css/font-awesome.min.css',
            'global/plugins/bower_components/animate.css/animate.min.css',
            'global/plugins/bower_components/summernote/dist/summernote.css',
        ];
        $this->css['themes'] = [
            'admin/css/reset.css',
            'admin/css/layout.css',
            'admin/css/components.css',
            'admin/css/plugins.css',
            'admin/css/themes/laravel.theme.css' => ['id' => ''],
            'admin/css/custom.css'
        ];

        $this->js['plugins'] = [
            'global/plugins/bower_components/summernote/dist/summernote.min.js'
        ];

        View::share('css', $this->css);
        View::share('js', $this->js);
        View::share('title', 'Edit Event Notifications');
    }

    public function EditEventNotifications($event_code)
    {
        $event = DB::table('events')->where('event_code', $event_code)->first();
        View::share('event', $event);
        View::share('event_code', $event_code);

        $event_has_accommodations = $this->eventHasAccommodations($event->id);
        View::share('event_has_accommodations', $event_has_accommodations);

        $event_has_transfers = $this->eventHasTransfers($event->id);
        View::share('event_has_transfers', $event_has_transfers);

        return view('events/create/notifications');
    }

    public function UpdateEventNotifications(Request $request, $event_code)
    {
        DB::table('events')->where('event_code', $event_code)
            ->update([
                'registration_starting_existing_leads_en' => $request->registration_starting_existing_leads_en,
                'registration_starting_existing_leads_hr' => $request->registration_starting_existing_leads_hr,
                'registration_starting_new_leads_en' => $request->registration_starting_new_leads_en,
                'registration_starting_new_leads_hr' => $request->registration_starting_new_leads_hr,
                'registration_completed_with_invoices_en' => $request->registration_completed_with_invoices_en,
                'registration_completed_with_invoices_hr' => $request->registration_completed_with_invoices_hr,
                'registration_completed_without_invoices_en' => $request->registration_completed_without_invoices_en,
                'registration_completed_without_invoices_hr' => $request->registration_completed_without_invoices_hr,
                'registration_email_signature_en' => $request->registration_email_signature_en,
                'registration_email_signature_hr' => $request->registration_email_signature_hr,
            ]);

        return Redirect::back();
    }
}