<?php

namespace App\Http\Controllers\Leads;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;

// Krik
use App\Http\Controllers\MainController as MainController;
use DB;
use Datatables;
use View;

class InsightsController extends MainController
{
    public function __construct() {
        parent::__construct();

        // CSS i JS assets for page
        $this->css['pages'] = [
            'global/plugins/bower_components/fontawesome/css/font-awesome.min.css',
            'global/plugins/bower_components/animate.css/animate.min.css',
            'global/plugins/bower_components/datatables/css/jquery.dataTables.min.css',
            'global/plugins/bower_components/datatables/css/buttons.dataTables.min.css',
            'global/plugins/bower_components/datatables/css/select.dataTables.min.css',
        ];
        $this->css['themes'] = [
            'admin/css/reset.css',
            'admin/css/layout.css',
            'admin/css/components.css',
            'admin/css/plugins.css',
            'admin/css/themes/laravel.theme.css' => ['id' => ''],
            'admin/css/custom.css',
            'global/plugins/bower_components/x-editable/dist/bootstrap3-editable/css/bootstrap-editable.css'
        ];
        $this->js['plugins'] = [
            'global/plugins/bower_components/x-editable/dist/bootstrap3-editable/js/bootstrap-editable.min.js',
            'global/plugins/bower_components/datatables/js/jquery.dataTables.min.js',
            'global/plugins/bower_components/datatables.net-responsive/js/dataTables.responsive.js',
            'global/plugins/bower_components/datatables.net-select/js/dataTables.select.min.js',
            'global/plugins/bower_components/datatables.net-buttons/js/dataTables.buttons.min.js',
            'global/plugins/bower_components/datatables.net-buttons/js/buttons.flash.js',
            'global/plugins/bower_components/datatables.net-buttons/js/buttons.html5.js',
            'global/plugins/bower_components/datatables.net-buttons/js/buttons.print.min.js',
            'global/plugins/bower_components/datatables.net-buttons/js/buttons.colVis.min.js',
        ];
        $this->js['additionalScripts'] = [
            '//cdn.datatables.net/colreorder/1.3.1/js/dataTables.colReorder.min.js',
            getenv('APP_URL') . '/assets/js/jsvalidation.krik.min.js'
        ];

        View::share('css', $this->css);
        View::share('js', $this->js);
        View::share('title', 'Users');
    }

    /**
     * Insights
     */
    public function GetInsights()
    {
        $events = DB::table('events')
            ->select('id', 'name', 'start_ts')
            ->where('is_draft', 0)
            ->whereNull('deleted_at')
            ->orderBy('start_ts', 'desc')
            ->get();

        return view('leads/insights', [
            'events' => $events
        ]);
    }

    /**
     *  Insights data
     */
    public function anyData()
    {
        $leads = DB::table('leads')
            ->leftJoin('leads_on_events_insights', 'leads.id', '=', 'leads_on_events_insights.lead_id')
            ->selectRaw('
                leads.id,
                leads.company_name,
                leads.first_name,
                leads.last_name,
                leads.email,
                leads_on_events_insights.*
            ')
            ->whereNull('leads.deleted_at')
            ->whereNotNull('leads.created_at')
            ->groupBy('leads.id');

        return Datatables::of($leads)->make(true);
    }
}
