<?php

namespace App\Http\Controllers\Mail;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\MainPublicController as MainPublicController;

use View;
use Response;
use File;
use DB;
use Carbon\Carbon;

class MailImageController extends MainPublicController
{
    public function __construct() {
        parent::__construct();

        $this->setApp();

        $this->css['pages'] = [];

        $this->css['themes'] = [];

        $this->js['plugins'] = [];

        $this->js['scripts'] = [];

        View::share('css', $this->css);
        View::share('js', $this->js);
    }

	  /**
     * Za pročitane mailove
     * @param  string $mailing_activity_code
     * @param  string $lead_code
     * @return image
     */
    public function MailOpened($mailing_activity_code, $lead_code) {

    		$lead_id = DB::table('leads')
			   ->where('lead_code', $lead_code)
			   ->pluck('id');
    		
    		$mailing_id = DB::table('mailing_activities')
		   	  ->where('mailing_activity_code', $mailing_activity_code)
		      ->pluck('id');

    		$isEmpty = DB::table('mailings')
			   ->where('mailing_activity_id', $mailing_id[0])
			   ->where('lead_id', $lead_id[0])
               ->whereNull('deleted_at')
			   ->whereNull('email_opened_ts')
               ->get();

    		if(!empty($isEmpty)){
    			DB::table('mailings')
    			->where('mailing_activity_id', $mailing_id[0])
    			->where('lead_id', $lead_id[0])
                ->whereNull('deleted_at')
    			->update([
    				"email_opened_ts" => $this->Now()
    			]);
    		}

        $path = env('APP_URL') . '/assets/images/mail-icons/pixel.png';
        $response = Response::make(file_get_contents($path));
        $response->header('Content-Type', 'image/png');

        return $response;
    }
}
