<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;

use View;

class MainPublicController extends Controller
{
    public $assetUrl;
    public $css = [];
    public $js = [];

    public $bodyClass = "";
    public $sidebarClass = "";

    public function __construct() {
      parent::__construct();

      $this->setApp();
    }

    public function setApp() {
      $this->assetUrl = getenv('APP_URL') . '/assets/theme/';

      $this->css = [
        'globals' => ['global/plugins/bower_components/bootstrap/dist/css/bootstrap.min.css'],
        'cssKrik' => [getenv('APP_URL') . '/assets/css/style.min.css']
      ];

      $this->js = [
        'cores' => $this->getCoresJs(),
        'ies' => $this->getIesJs(),
        'jsKrik' => [getenv('APP_URL') . '/assets/js/scripts.min.js']
      ];

      View::share('assetUrl', $this->assetUrl);
      View::share('title', 'Krikem');
      View::share('bodyClass', $this->bodyClass);
      View::share('sidebarClass', $this->sidebarClass);
      View::share('css', $this->css);
      View::share('js', $this->js);
    }

    private function getCoresJs() {
      return [
        'global/plugins/bower_components/jquery/dist/jquery.min.js',
        'global/plugins/bower_components/jquery-cookie/jquery.cookie.js',
        'global/plugins/bower_components/bootstrap/dist/js/bootstrap.min.js',
        'global/plugins/bower_components/jquery-nicescroll/jquery.nicescroll.min.js',
        'global/plugins/bower_components/bootstrap-session-timeout/dist/bootstrap-session-timeout.min.js'
      ];
    }

    private function getIesJs() {
      return [
        'global/plugins/bower_components/html5shiv/dist/html5shiv.min.js',
        'global/plugins/bower_components/respond-minmax/dest/respond.min.js'
      ];
    }
}
