<?php

namespace App\Http\Controllers\Subscribe;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\MainPublicController;
use DB;
use View;
use Response;
use Crypt;
use Cache;
use Illuminate\Contracts\Encryption\DecryptException;

class SubscribeController extends MainPublicController
{
    public function __construct() {

        parent::__construct();
        $this->setApp();

        $this->css['themes'] = [
            'admin/css/reset.css',
            'admin/css/layout.css',
            'admin/css/components.css',
            'admin/css/plugins.css',
            'admin/css/themes/laravel.theme.css',
            'admin/css/custom.css',
        ];

        $this->js['plugins'] = [];

        $this->js['scripts'] = [];

        View::share('css', $this->css);
        View::share('extraClasses', 'subscribe');
    }


    /**
     * Potvrdi privolu
     */
    public function GetSubscribe($lead_code_encrypted) {

        try {
            $lead_code_decrypted = Crypt::decrypt($lead_code_encrypted);
        } catch (DecryptException $lead_code_decryption_error) {
            return view('subscribe.subscribe',
                ['subsribed' => 'error']
            );
        }

        DB::table('leads')
          ->where('lead_code', $lead_code_decrypted)
          ->update([
            'opt_in' => 'Yes',
            'opt_in_ts' => $this->Now(),
            'opt_in_method' => 'email'
          ]);

        Cache::forget('leads-table');

        return view('subscribe.subscribe',
            ['subsribed' => 'true']
        );

    }
}
