<?php

namespace App\Http\Middleware;

use Closure;
use DB;
use Illuminate\Support\Facades\Auth;

class PermissionsMiddleware {
    public function handle($request, Closure $next)
    {
        if (Auth::user()->hasRole('admin')) return $next($request);

        $event_id = DB::table('events')->where('event_code', $request->route('event_code'))->value('id');
        if ($event_id == '' || $event_id == null) return redirect('/');

        if (! Auth::user()->hasPermissionTo($event_id)) return redirect('/');

        return $next($request);
    }
}
