<?php

namespace App\Http\Middleware;

use Closure;
use Auth;

class RedirectUsersMiddleware
{
    public function handle($request, Closure $next)
    {
        if(Auth::check()) {
            $active_event = env('ACTIVE_EVENT', null);
            $attendees_user = env('ATTENDEES_USER', null);
            $gifts_user = env('GIFTS_USER', null);
            $sessions_user = env('SESSIONS_USER', null);
            $current_user = $request->user()->email;
            
            $current_url = $request->fullUrl();
            $logout_url = url('logout');
            
            if(($active_event == null || $active_event == '') && ($current_user == $attendees_user || $current_user == $gifts_user || $current_user == $sessions_user)) {
                Auth::logout();
                return redirect('/');
            }
            
            if($current_user != $attendees_user && $current_user != $gifts_user && $current_user != $sessions_user) return $next($request);
            
            // Sessions
            if($sessions_user != null && $current_user == $sessions_user) {
                if($request->segment(3) == 'sessions' || $request->segment(1) == 'sessions' || $request->segment(1) == 'sessions-report' || $current_url == $logout_url) {
                    return $next($request);
                } else {
                    return redirect(env('APP_URL') . '/events/' . $active_event . '/sessions');
                }
            }
            
            // Attendees
            if($attendees_user != null && $current_user == $attendees_user) {
                $active_event_url = env('APP_URL') . '/events/' . $active_event . '/attendees';
            }
            
            // Gifts
            if($gifts_user != null && $current_user == $gifts_user) {
                $active_event_url = env('APP_URL') . '/events/' . $active_event . '/gifts';
            }

    		if($current_url != $active_event_url && $current_url != $logout_url) return redirect($active_event_url);
        } 
		
        return $next($request);
    }
}
