<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;

class RolesMiddleware {
    public function handle($request, Closure $next, $role)
    {
        $roles = is_array($role) ? $role : explode('|', $role);

        if (! Auth::user()->hasAnyRole($roles)) return redirect('/');

        return $next($request);
    }
}
