<?php

namespace App\Http\Requests\Events\Create;

use App\Http\Requests\Request;

class EventInfo extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return false;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'event_name'              => 'required',
            'event_timezones'         => 'required',
            'event_date'              => 'required',
            'event_description'       => 'required',
            'event_type'              => 'required',
            'venue_name'              => 'required_if:event_type,physical',
            'venue_adress'            => 'required_if:event_type,physical',
            'venue_city'              => 'required_if:event_type,physical',
            'venue_postal_code'       => 'required_if:event_type,physical',
            'venue_countries'         => 'required_if:event_type,physical',
            'access'                  => 'required'
        ];
    }





    public function messages()
    {
        return [
            'event_name.required'                 => 'Event name is required.',
            'event_timezones.required'            => 'Timezone is required.',
            'event_date.required'                 => 'Date and time is required.',
            'event_description.required'          => 'Description is required.',
            'event_type.required'                 => 'Type is required.',
            'venue_name.required_if'              => 'Name is required.',
            'venue_adress.required_if'            => 'Address is required.',
            'venue_city.required_if'              => 'City is required.',
            'venue_postal_code.required_if'       => 'Postal code is required.',
            'venue_countries.required_if'         => 'Country is required.',
            'access.required'                     => 'Access is required.'
        ];
    }
}
