<?php

namespace App\Http\Requests\Events\Create;

use App\Http\Requests\Request;

class LookAndFeel extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return false;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'upload_logo'       => 'required_if:logo,upload_logo_cb',
            'upload_validation' => 'required_if:upload_validation,1|numeric|min:1'
        ];
    }

    public function messages()
    {
        return [
            'upload_logo.required_if' => 'Logo is required.',
            'upload_validation.min'   => 'Logo needs to be .png, .jpg or gif.'
        ];
    }
}
