<?php

namespace App\Http\Requests\Events\Create;

use App\Http\Requests\Request;

class RegistrationAccommodation extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return false;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'hotel_name'                   => 'required',
            'room_type'                    => 'required',
            'price_without_vat_acc_single' => 'numeric',
            'vat_percent_acc'       	   => 'required|numeric|min:0|max:100',
			'price_without_vat_acc_double' => 'numeric',
            'room_date'                    => 'required',
            'number_of_rooms'              => 'required|numeric'
        ];
    }
    
    public function messages()
    {
        return [
            'hotel_name.required'                           => 'Hotel name is required.',
            'room_type.required'                            => 'Enter info for at least one room type.',
            'price_without_vat_acc_single.numeric'          => 'Price without VAT needs to be a number.',
            'vat_percent_acc.required'     		 		    => 'VAT percentage is required.',
            'vat_percent_acc.numeric'            		    => 'VAT percentage needs to be number between 0 and 100.',
            'vat_percent_acc.min'                		    => 'VAT percentage needs to be number between 0 and 100.',
            'vat_percent_acc.max'               		    => 'VAT percentage needs to be number between 0 and 100.',
            'price_without_vat_acc_double.numeric'          => 'Price without VAT needs to be a number.',
            'room_date.required'                            => 'Room date is required.',
            'number_of_rooms.required'                      => 'Number of rooms is required.',
            'number_of_rooms.numeric'                       => 'Number of rooms needs to be number.'
        ];
    }
}
