<?php

namespace App\Http\Requests\Events\Create;

use App\Http\Requests\Request;

class RegistrationInvoice extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return false;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'invoice_name'   => 'required',
            'invoice_from'   => 'required',
            'account_name'   => 'required',
            'account_number' => 'required',
            'sort_code'      => 'required',
            'iban'           => 'required',
            'swift'          => 'required',
            'bank_name'      => 'required',
            'bank_details'   => 'required'
        ];
    }
    
    public function messages()
    {
        return [
            'invoice_name.required'   => 'Invoice name is required.',
            'invoice_from.required'   => 'Invoice from is required.',
            'account_name.required'   => 'Account name is required.',
            'account_number.required' => 'Account number is required.',
            'sort_code.required'      => 'Sort code is required.',
            'iban.required'           => 'Iban is required.',
            'swift.required'          => 'Swift is required.',
            'bank_name.required'      => 'Bank name is required.',
            'bank_details.required'   => 'Bank details is required.'
        ];
    }
}
