<?php

namespace App\Http\Requests\Events\Create;

use App\Http\Requests\Request;

class RegistrationMain extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return false;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'currency'              => 'required',
            'email_sender_name'     => 'required',
            'email_sender'          => 'required|email',
            'registration_duration' => 'required'
        ];
    }

    public function messages()
    {
        return [
            'currency.required'               => 'Currency is required.',
            'email_sender_name.required'      => 'Sender name is required.',
            'email_sender.required'           => 'Sender e-mail is required.',
            'email_sender.email'              => 'Sender e-mail is not a valid email.',
            'registration_duration.required'  => 'Please select when registration ends.'
        ];
    }
}
