<?php

namespace App\Http\Requests\Events\Mailings;

use App\Http\Requests\Request;

class EmailDesign extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return false;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'activity_name'       => 'required',
            'description'         => 'required',
            'mailing_type'        => 'required',
            'copyright_statement' => 'required_if:copy,copyright',
            'unsubscribe_text'    => 'required_if:unsub,unsubscribe',
            'upload'              => 'required_if:mailing_type,upload',
            'header_text'         => 'required_if:mailing_type,choose',
			'upload_logo'         => 'required_if:logo,upload_logo_cb'
        ];
    }
    
    public function messages()
    {
        return [
            'activity_name.required'          => 'Activity name is required.',
            'description.required'            => 'Description is required.',
            'mailing_type.required'           => 'Header type is required.',
            'copyright_statement.required_if' => 'Statment text is required if selected.',
            'unsubscribe_text.required_if'    => 'Unsubscribe text is required if selected.',
            'upload.required_if'              => 'Please upload image.',
            'header_text.required_if'         => 'Header title is required.',
            'upload_logo.required_if'         => 'Please select logo type.',
        ];
    }
}
