<?php

namespace App\Http\Requests\Events\Mailings;

use App\Http\Requests\Request;

class Send extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return false;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'email_subject'        => 'required',
            'email_from_name'      => 'required',
            'email_from_email'     => 'required|email',
            'email_replayto_email' => 'required|email',
            'preview_to_other'     => 'required|email'
        ];
    }

    public function messages()
    {
        return [
            'email_subject.required'        => 'Subject is required.',
            'email_from_name.required'      => 'From name is required.',
            'email_from_email.required'     => 'From e-mail is required.',
            'email_from_email.email'        => 'Invalid e-mail',
            'email_replayto_email.required' => 'Replay to is required.',
            'email_replayto_email.email'    => 'Invalid e-mail',
            'preview_to_other.required'     => 'E-mail is required.',
            'preview_to_other.email'        => 'Invalid e-mail'
        ];
    }
}
