<?php

namespace App\Http\Requests\Leads;

use App\Http\Requests\Request;

class PublicLead extends Request
{
    public function authorize()
    {
        return true;
    }

    public function rules()
    {
        return [
            'first_name' => 'required',
            'last_name' => 'required',
            'email' => 'required|email',
            'company' => 'required',
            'lead_type_descriptions' => 'required_without:lead_type_descriptions[]',
            'lead_type_descriptions[]' => 'required_without:lead_type_descriptions',
            'gdpr' => 'required',
            'privacy' => 'required'
        ];
    }

    public function messages()
    {
        return [
            'first_name.required' => 'Ime je obavezno',
            'last_name.required' => 'Prezime je obavezno',
            'email.required' => 'E-mail je obavezan',
            'email.email' => 'E-mail nije validan',
            'company.required' => 'Tvrtka je obavezna',
            'lead_type_descriptions[].required_without' => 'Barem jedan željeni vendor je obavezan',
            'gdpr.required' => 'Morate biti suglasni s pretplatom',
            'privacy.required' => 'Morate biti suglasni s izjavom'
        ];
    }
}
