<?php

namespace App\Http\Requests\Registration;

use App\Http\Requests\Request;

class AccommodationTransfer extends Request
{
    public function authorize()
    {
        return false;
    }

    public function rules()
    {
        return [
            'accomodation_arrival_departure_date' => 'required_if:accomodation_room_id,1',
            'transfer_start_ts_0'                 => 'required_if:transfer_type_0,1',
            'transfer_start_ts_1'                 => 'required_if:transfer_type_1,1',
        ];
    }

    public function messages()
    {
        return [
            'accomodation_arrival_departure_date.required_if' => 'Please choose date and time of arrival and departure.',
            'transfer_type_0.required_if'                     => 'Please choose date and time of transfer.',
            'transfer_type_1.required_if'                     => 'Please choose date and time of transfer.'
        ];
    }
}
