<?php

namespace App\Http\Requests\Registration;

use App\Http\Requests\Request;

class GeneralInformation extends Request
{
    public function authorize()
    {
        return false;
    }

    public function rules()
    {
        return [
            'first_name'        => 'required',
            'last_name'         => 'required',
            "email"             =>  array("required", "email"),
            'mobile'            => 'required_without:phone',
            'phone'             => 'required_without:mobile',
            'company_name'      => 'required_without:accompany_persons_validation',
            'job_function'      => 'required_without:accompany_persons_validation',
            'company_address'   => 'required_without:accompany_persons_validation',
            'company_city'      => 'required_without:accompany_persons_validation',
            'company_post_code' => 'required_without:accompany_persons_validation',
            'company_country'   => 'required_without:accompany_persons_validation',
            'ticket_type_id'    => 'required',
            'ticket_promo_code'   => 'required_if:promo_codes_validation,on',
        ];
    }

    public function messages()
    {
        return [
            'first_name.required'        => 'Please enter first name.',
            'last_name.required'         => 'Please enter last name.',
            'email.required'             => 'Please enter e-mail address.',
            'email.email'                => 'Please enter valid e-mail address.',
            'mobile.required_without'    => 'Please enter mobile number.',
            'phone.required_without'     => 'Please enter phone number.',
            'company_name.required_without'      => 'Please enter company name.',
            'job_function.required_without'      => 'Please enter job function.',
            'company_address.required_without'   => 'Please enter company address.',
            'company_city.required_without'      => 'Please enter company city.',
            'company_post_code.required_without' => 'Please enter company postal code.',
            'company_country.required_without'   => 'Please enter company country.',
            'ticket_type_id.required'    => 'Please choose ticket type.',
            'ticket_promo_code.required_if'   => 'Please enter promotional code',
        ];
    }
}
