<?php

namespace App\Http\Requests\Registration;

use App\Http\Requests\Request;

class GeneralInformationHR extends Request
{
    public function authorize()
    {
        return false;
    }

    public function rules()
    {
        return [
            'first_name'        => 'required',
            'last_name'         => 'required',
            "email"             =>  array("required", "email"),
            'mobile'            => 'required_without:phone',
            'phone'             => 'required_without:mobile',
            'company_name'      => 'required_without:accompany_persons_validation',
            'job_function'      => 'required_without:accompany_persons_validation',
            'company_address'   => 'required_without:accompany_persons_validation',
            'company_city'      => 'required_without:accompany_persons_validation',
            'company_post_code' => 'required_without:accompany_persons_validation',
            'company_country'   => 'required_without:accompany_persons_validation',
            'ticket_type_id'    => 'required',
            'ticket_promo_code'   => 'required_if:promo_codes_validation,on',
        ];
    }

    public function messages()
    {
        return [
            'first_name.required' => 'Molimo unesite ime.',
            'last_name.required' => 'Molimo unesite prezime.',
            'email.required' => 'Molimo unesite e-mail adresu.',
            'email.email' => 'Molimo unesite važeću e-mail adresu.',
            'mobile.required_without' => 'Molimo unesite broj mobitela.',
            'phone.required_without' => 'Molimo unesite broj telefona.',
            'company_name.required_without' => 'Molimo unesite ime tvrtke.',
            'job_function.required_without' => 'Molimo unesite radno mjesto.',
            'company_address.required_without' => 'Molimo unesite adresu tvrtke.',
            'company_city.required_without' => 'Molimo unesite grad tvrtke.',
            'company_post_code.required_without' => 'Molimo unesite poštanski broj.',
            'company_country.required_without' => 'Molimo unesite državu tvrtke.',
            'ticket_type_id.required' => 'Molimo odaberite vrstu ulaznice.',
            'ticket_promo_code.required_if'   => 'Molimo unesite promocijski kod.',
        ];
    }
}
