<?php

namespace App\Http\Requests\Registration;

use App\Http\Requests\Request;

class PaymentHR extends Request
{
    public function authorize()
    {
        return false;
    }

    public function rules()
    {
        return [
            'payment_option' => 'required',
            'ticket_payment_type' => 'required',
            'ticket_payment_company_name' => 'required',
            'ticket_payment_vat' => 'required',
            'ticket_payment_address' => 'required',
            'ticket_payment_city' => 'required',
            'ticket_payment_postal_code' => 'required',
            'ticket_payment_country' => 'required',
            // 'ticket_payment_first_name' => 'required',
            // 'ticket_payment_last_name' => 'required',
            // 'ticket_payment_email' => array("required", "email"),
            // 'ticket_payment_phone' => 'required',
            'ticket_payment_personal_id' => 'required',
            'accomodation_payment_type' => 'required',
            'accomodation_payment_company_name' => 'required_without:accomodation_same_as_ticket',
            'accomodation_payment_vat' => 'required_without:accomodation_same_as_ticket',
            'accomodation_payment_address' => 'required_without:accomodation_same_as_ticket',
            'accomodation_payment_city' => 'required_without:accomodation_same_as_ticket',
            'accomodation_payment_postal_code' => 'required_without:accomodation_same_as_ticket',
            'accomodation_payment_country' => 'required_without:accomodation_same_as_ticket',
            // 'accomodation_payment_first_name' => 'required_without:accomodation_same_as_ticket',
            // 'accomodation_payment_last_name' => 'required_without:accomodation_same_as_ticket',
           //  'accomodation_payment_email' => array("required_without:accomodation_same_as_ticket", "email"),
           //  'accomodation_payment_phone' => 'required_without:accomodation_same_as_ticket',
            'accomodation_payment_personal_id' => 'required',
            'transfer_payment_type' => 'required',
            'transfer_payment_company_name' => 'required_without:transfer_same_as_ticket',
            'transfer_payment_vat' => 'required_without:transfer_same_as_ticket',
            'transfer_payment_address' => 'required_without:transfer_same_as_ticket',
            'transfer_payment_city' => 'required_without:transfer_same_as_ticket',
            'transfer_payment_postal_code' => 'required_without:transfer_same_as_ticket',
            'transfer_payment_country' => 'required_without:transfer_same_as_ticket',
            // 'transfer_payment_first_name' => 'required_without:transfer_same_as_ticket',
            // 'transfer_payment_last_name' => 'required_without:transfer_same_as_ticket',
            // 'transfer_payment_email' => array("required_without:transfer_same_as_ticket", "email"),
            // 'transfer_payment_phone' => 'required_without:transfer_same_as_ticket',
            'transfer_payment_personal_id' => 'required'
        ];
    }

    public function messages()
    {
        return [
            'payment_option.required' => 'Molimo odaberite način plaćanja.',
            'ticket_payment_type.required' => 'Molimo odaberite opciju plaćanja za ulaznicu.',
            'ticket_payment_company_name.required' => 'Molimo unesite ime tvrtke.',
            'ticket_payment_vat.required' => 'Molimo unesite OIB.',
            'ticket_payment_address.required' => 'Molimo unesite adresu.',
            'ticket_payment_city.required' => 'Molimo unesite grad.',
            'ticket_payment_postal_code.required' => 'Molimo unesite poštanski broj.',
            'ticket_payment_country.required' => 'Molimo odabrati državu.',
            'ticket_payment_first_name.required' => 'Molimo unesite ime.',
            'ticket_payment_last_name.required' => 'Molimo unesite prezime.',
            'ticket_payment_email.required' => 'Molimo unesite e-mail adresu.',
            'ticket_payment_email.email' => 'Molimo unesite važeću e-mail adresu.',
            'ticket_payment_phone.required' => 'Molimo unesite broj telefona.',
            'ticket_payment_personal_id.required' => 'Molimo unesite OIB.',
            'accomodation_payment_type.required' => 'Molimo odaberite opciju plaćanja za smještaj.',
            'accomodation_same_as_ticket.required_without' => 'Molimo odaberite plaćanje smještaja.',
            'accomodation_payment_company_name.required_without' => 'Molimo unesite ime tvrtke.',
            'accomodation_payment_vat.required_without' => 'Molimo unesite OIB.',
            'accomodation_payment_address.required_without' => 'Molimo unesite adresu.',
            'accomodation_payment_city.required_without' => 'Molimo unesite grad.',
            'accomodation_payment_postal_code.required_without' => 'Molimo unesite poštanski broj.',
            'accomodation_payment_country.required_without' => 'Molimo odabrati državu.',
            'accomodation_payment_first_name.required_without' => 'Molimo unesite ime.',
            'accomodation_payment_last_name.required_without' => 'Molimo unesite prezime.',
            'accomodation_payment_email.required_without' => 'Molimo unesite e-mail adresu.',
            'accomodation_payment_email.email' => 'Molimo unesite važeću e-mail adresu.',
            'accomodation_payment_phone.required_without' => 'Molimo unesite broj telefona.',
            'accomodation_payment_personal_id.required' => 'Molimo unesite OIB.',
            'transfer_payment_type.required' => 'Molimo odaberite opciju plaćanja za prijevoz.',
            'transfer_same_as_ticket.required_without' => 'Molimo odaberite plaćanje prijevoza.',
            'transfer_payment_company_name.required_without' => 'Molimo unesite ime tvrtke.',
            'transfer_payment_vat.required_without' => 'Molimo unesite OIB.',
            'transfer_payment_address.required_without' => 'Molimo unesite adresu.',
            'transfer_payment_city.required_without' => 'Molimo unesite grad.',
            'transfer_payment_postal_code.required_without' => 'Molimo unesite poštanski broj.',
            'transfer_payment_country.required_without' => 'Molimo odabrati državu.',
            'transfer_payment_first_name.required_without' => 'Molimo unesite ime.',
            'transfer_payment_last_name.required_without' => 'Molimo unesite prezime.',
            'transfer_payment_email.required_without' => 'Molimo unesite e-mail adresu.',
            'transfer_payment_email.email' => 'Molimo unesite važeću e-mail adresu.',
            'transfer_payment_phone.required_without' => 'Molimo unesite broj telefona.',
            'transfer_payment_personal_id.required' => 'Molimo unesite OIB.'
        ];
    }
}
