<?php

namespace App\Http\Requests\User;

use App\Http\Requests\Request;

class User extends Request
{
    public function authorize()
    {
        return false;
    }

    public function rules()
    {
        return [
            'name'        => 'required',
            'email'       => 'required|email',
            'oldpassword' => 'required_with:password',
            'password'    => 'required_with:oldpassword',
						'password_confirmation'  => 'required_with:password|same:password'
        ];
    }

    public function messages()
    {
        return [
			      'name.required'            => 'Nickname is required.',
						'email.required'           => 'E-mail is required.',
			      'email.email'              => 'Please enter valid e-mail.',
						'oldpassword.required_with'     => 'Old password is required.',
						'password.required_with'        => 'New password is required.',
						'password_confirmation.same'      => 'New password is not confirmed.',
						'password_confirmation.required_with'  => 'Password confirmation is required.'
        ];
    }
}
