<?php

namespace App\Listeners;

use Illuminate\Auth\Events\Login;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Request;
use DB;
use Carbon\Carbon;

class LogSuccessfulLogin
{
    public function __construct() {}


    public function handle(Login $event)
    {
        DB::table('logs')
            ->insert([
                'user_id' => $event->user->id,
                'log_type_id' => 101,
                'ip' => Request::getClientIp(),
                'created_at' => $this->Now()
            ]);
    }


    /**
     * Trenutačno vrijeme aplikacije
     */
    private function Now() {
        $time_zone = DB::table('timezones')
            ->where('id', env('APP_TIME_ZONE'))
            ->value('timezone');

        return Carbon::now()
            ->setTimezone($time_zone)
            ->toDateTimeString();
    }
}
