<?php

namespace App\Listeners;

use Illuminate\Auth\Events\Failed;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Request;
use DB;
use Carbon\Carbon;

class LogUnsuccessfulLogin
{
    public function __construct() {}


    public function handle(Failed $event)
    {
        $email = $event->credentials['email'];

        if ($email) $this->LogFailedLogin($email);
    }


    /**
     * Unsuccessful login attempt
     */
    private function LogFailedLogin($email)
    {
        $user = $this->GetUser($email);

        if ($user) {

            DB::table('logs')
                ->insert([
                    'user_id' => $user->id,
                    'log_type_id' => 102,
                    'ip' => Request::getClientIp(),
                    'created_at' => $this->Now()
                ]);

        }

        // TO DO Unknown users
        
    }


    /**
     * Get user via email
     */
    private function GetUser($email)
    {
        return DB::table('users')
            ->where('email', $email)
            ->first();
    }


    /**
     * Trenutačno vrijeme aplikacije
     */
    private function Now() {
        $time_zone = DB::table('timezones')
            ->where('id', env('APP_TIME_ZONE'))
            ->value('timezone');

        return Carbon::now()
            ->setTimezone($time_zone)
            ->toDateTimeString();
    }
}
