<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAccommodationsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('accommodations', function(Blueprint $table)
		{
			$table->increments('id');
			$table->integer('event_id')->nullable()->index('fk_accomodations_events1_idx');
			$table->string('name', 45)->nullable();
			$table->text('details', 65535)->nullable();
			$table->smallInteger('no_of_rooms')->nullable();
			$table->date('available_from')->nullable();
			$table->date('available_until')->nullable();
			$table->softDeletes();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('accommodations');
	}

}
