<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateEventLookFeelsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('event_look_feels', function(Blueprint $table)
		{
			$table->increments('id');
			$table->integer('color_scheme_id')->unsigned()->nullable()->index('fk_event_looks_color_scheme1_idx');
			$table->string('titles_font', 45)->nullable();
			$table->string('body_font', 45)->nullable();
			$table->text('event_logo_url', 65535)->nullable();
			$table->boolean('logo_transparent')->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('event_look_feels');
	}

}
