<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateLeadsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('leads', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('lead_code')->nullable();
			$table->string('gender')->nullable();
			$table->string('title')->nullable();
			$table->string('first_name')->nullable();
			$table->string('last_name')->nullable();
			$table->string('email')->nullable();
			$table->string('mobile')->nullable();
			$table->string('phone')->nullable();
			$table->string('company_name')->nullable();
			$table->string('job_function')->nullable();
			$table->string('company_address')->nullable();
			$table->string('company_city')->nullable();
			$table->string('company_post_code')->nullable();
			$table->integer('company_country')->unsigned()->nullable();
			$table->text('note', 65535)->nullable();
			$table->text('self_registrated', 65535)->nullable();
			$table->text('opt_in', 65535)->nullable();
			$table->string('opt_in_method')->nullable();
			$table->dateTime('opt_in_ts')->nullable();
			$table->dateTime('opt_out_ts')->nullable();
			$table->integer('opt_out_activity_id')->unsigned()->nullable();
			$table->integer('lead_type_id')->unsigned()->nullable()->index('fk_leads_lead_types1_idx');
			$table->timestamps();
			$table->softDeletes();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('leads');
	}

}
