<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateMailingActivitiesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('mailing_activities', function(Blueprint $table)
		{
			$table->increments('id');
			$table->integer('event_id')->unsigned()->nullable()->index('fk_mailing_activities_events1_idx');
			$table->string('mailing_activity_code', 45)->nullable();
			$table->string('name')->nullable();
			$table->integer('mailing_type_id')->unsigned()->nullable()->index('fk_mailing_activities_mailing_type1_idx');
			$table->text('description', 65535)->nullable();
			$table->integer('created_by_id')->unsigned()->nullable()->index('fk_mailing_activities_users1_idx');
			$table->timestamps();
			$table->integer('updated_by_id')->unsigned()->nullable()->index('fk_mailing_activities_users2_idx');
			$table->string('email_subject')->nullable();
			$table->string('email_from_name')->nullable();
			$table->string('email_from_email')->nullable();
			$table->string('email_replyto_email')->nullable();
			$table->boolean('sidebar_included')->nullable();
			$table->boolean('ics_included')->nullable();
			$table->string('header_img_url')->nullable();
			$table->string('logo_url')->nullable();
			$table->string('background_color')->nullable();
			$table->string('titles_color')->nullable();
			$table->string('header_text')->nullable();
			$table->binary('body_wysiwyg', 65535)->nullable();
			$table->boolean('register_button')->nullable();
			$table->boolean('confirm_button')->nullable();
			$table->text('unsubscribe_text', 65535)->nullable();
			$table->text('copyright_statement', 65535)->nullable();
			$table->boolean('mailing_process')->nullable();
			$table->dateTime('scheduled_ts')->nullable();
			$table->boolean('is_draft')->nullable();
			$table->boolean('custom_html');
			$table->binary('body_html', 65535)->nullable();
			$table->softDeletes();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('mailing_activities');
	}

}
