<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateMailingsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('mailings', function(Blueprint $table)
		{
			$table->increments('id');
			$table->integer('mailing_activity_id')->unsigned()->nullable()->index('fk_mailing_batch_mailing_activities1_idx');
			$table->integer('lead_id')->unsigned()->nullable()->index('fk_mailing_batch_leads1_idx');
			$table->dateTime('sent_ts')->nullable();
			$table->dateTime('email_opened_ts')->nullable();
			$table->softDeletes();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('mailings');
	}

}
