<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateRegistrationHasTransfersTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('registration_has_transfers', function(Blueprint $table)
		{
			$table->increments('id');
			$table->integer('registration_id')->unsigned()->nullable()->index('fk_registration_has_transfers_registrations1_idx');
			$table->integer('transfer_id')->unsigned()->nullable()->index('fk_registration_has_transfers_transfers1_idx');
			$table->dateTime('transfer_start_ts')->nullable();
			$table->string('flight_number')->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('registration_has_transfers');
	}

}
