<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateRegistrationsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('registrations', function(Blueprint $table)
		{
			$table->increments('id');
			$table->integer('event_id')->unsigned()->nullable()->index('fk_registrations_events1_idx');
			$table->integer('lead_id')->unsigned()->nullable()->index('fk_registrations_leads1_idx');
			$table->integer('ticket_type_id')->unsigned()->nullable()->index('fk_registrations_tickets1_idx');
			$table->integer('tickets_payer_id')->unsigned()->nullable()->index('fk_registrations_payer_details1_idx');
            $table->boolean('ticket_approved')->nullable();
            $table->string('ticket_promo_code', 45)->nullable();
			$table->integer('accomodation_room_id')->unsigned()->nullable()->index('fk_registrations_accomodations1_idx');
			$table->text('accomodation_note', 65535)->nullable();
			$table->integer('accomodation_payer_id')->unsigned()->nullable()->index('fk_registrations_payer_details2_idx');
			$table->boolean('accomodation_approved')->nullable();
			$table->string('accomodation_roomy_name')->nullable();
			$table->date('accomodation_arrival_date')->nullable();
			$table->date('accomodation_departure_date')->nullable();
			$table->integer('transfer_payer_id')->unsigned()->nullable()->index('fk_registrations_payer_details3_idx');
			$table->boolean('transfer_approved')->nullable();
			$table->boolean('event_attended_flag')->nullable()->default(0);
			$table->dateTime('registered_ts')->nullable();
			$table->dateTime('confirmed_ts')->nullable();
			$table->dateTime('attended_ts')->nullable();
			$table->dateTime('gifts_ts')->nullable();
			$table->string('barcode', 45)->nullable();
			$table->boolean('nametag_generated')->nullable();
			$table->string('payment_option', 45)->nullable();
			$table->integer('payment_cart')->nullable();
			$table->boolean('payment_successful')->nullable();
			$table->string('invoice_ticket', 45)->nullable();
			$table->string('invoice_accomodation', 45)->nullable();
			$table->string('invoice_transfer', 45)->nullable();
			$table->integer('order_ticket')->nullable();
			$table->integer('order_accomodation')->nullable();
			$table->integer('order_transfer')->nullable();
			$table->string('status_registration', 45)->nullable();
			$table->string('status_accomodation', 45)->nullable();
			$table->string('status_transfer', 45)->nullable();
            $table->dateTime('voucher_sent_ts')->nullable();
			$table->softDeletes();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('registrations');
	}

}
