<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateRoomTypesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('room_types', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('type', 45)->nullable();
			$table->decimal('price_without_vat', 10)->nullable();
			$table->smallInteger('vat')->nullable();
			$table->integer('accommodation_id')->unsigned()->nullable()->index('fk_room_types_accommodations1_idx');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('room_types');
	}

}
