<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSessionsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('sessions', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('session_code', 45)->nullable();
			$table->integer('event_id')->unsigned()->nullable()->index('fk_sessions_events1_idx');
			$table->text('name', 65535)->nullable();
			$table->text('location', 65535)->nullable();
			$table->dateTime('start_ts')->nullable();
			$table->dateTime('end_ts')->nullable();
			$table->text('description', 65535)->nullable();
			$table->softDeletes();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('sessions');
	}

}
