<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSettingsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('settings', function(Blueprint $table)
		{
			$table->increments('id');
			$table->boolean('payment_visa');
			$table->boolean('payment_mastercard');
			$table->boolean('payment_maestro');
			$table->boolean('payment_american_express');
			$table->boolean('payment_diners');
			$table->binary('payment_about_us', 65535)->nullable();
			$table->binary('payment_about_us_hr', 65535)->nullable();
			$table->binary('payment_terms_of_sale', 65535)->nullable();
			$table->binary('payment_terms_of_sale_hr', 65535)->nullable();
			$table->binary('payment_security', 65535)->nullable();
			$table->binary('payment_security_hr', 65535)->nullable();
			$table->binary('payment_privacy', 65535)->nullable();
			$table->binary('payment_privacy_hr', 65535)->nullable();
			$table->binary('payment_conversion', 65535)->nullable();
            $table->binary('payment_conversion_hr', 65535)->nullable();
            $table->boolean('lead_types');
            $table->boolean('lead_type_descriptions');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('settings');
	}

}
