<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSocialEventsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('social_events', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('name');
			$table->dateTime('time')->nullable();
			$table->integer('event_id')->unsigned()->nullable()->index('fk_social_events_events1_idx');
			$table->softDeletes();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('social_events');
	}

}
