<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateTicketsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('tickets', function(Blueprint $table)
		{
			$table->increments('id');
			$table->integer('event_id')->unsigned()->nullable()->index('fk_tickets_events1_idx');
			$table->string('name')->nullable();
			$table->text('description', 65535)->nullable();
			$table->integer('quantity')->nullable();
			$table->decimal('price_without_VAT', 10)->nullable();
			$table->smallInteger('VAT')->nullable();
			$table->dateTime('valid_from_ts')->nullable();
			$table->dateTime('valid_until_ts')->nullable();
			$table->boolean('accompany_persons')->nullable();
			$table->boolean('has_promo_codes')->nullable();
			$table->softDeletes();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('tickets');
	}

}
