<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateTransfersTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('transfers', function(Blueprint $table)
		{
			$table->increments('id');
			$table->integer('event_id')->unsigned()->nullable()->index('fk_transfers_events1_idx');
			$table->string('description')->nullable();
			$table->decimal('price_without_vat', 10)->nullable();
			$table->boolean('vat')->nullable();
			$table->binary('from', 65535)->nullable();
			$table->string('to')->nullable();
			$table->softDeletes();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('transfers');
	}

}
