<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToEventHasUsersTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('event_has_users', function(Blueprint $table)
		{
			$table->foreign('id_event', 'fk_event_has_users_events1')->references('id')->on('events')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('id_user', 'fk_event_has_users_users1')->references('id')->on('users')->onUpdate('RESTRICT')->onDelete('RESTRICT');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('event_has_users', function(Blueprint $table)
		{
			$table->dropForeign('fk_event_has_users_events1');
			$table->dropForeign('fk_event_has_users_users1');
		});
	}

}
