<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToEventLookFeelsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('event_look_feels', function(Blueprint $table)
		{
			$table->foreign('color_scheme_id', 'fk_event_look_feels_color_schemes1')->references('id')->on('color_schemes')->onUpdate('RESTRICT')->onDelete('RESTRICT');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('event_look_feels', function(Blueprint $table)
		{
			$table->dropForeign('fk_event_look_feels_color_schemes1');
		});
	}

}
