<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToEventsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('events', function(Blueprint $table)
		{
			$table->foreign('transfer_invoice_from_id', 'fk_event_payment_details1')->references('id')->on('invoice_froms')->onUpdate('CASCADE')->onDelete('SET NULL');
			$table->foreign('accomodation_invoice_from_id', 'fk_event_payment_details2')->references('id')->on('invoice_froms')->onUpdate('CASCADE')->onDelete('SET NULL');
			$table->foreign('venue_country_id', 'fk_events_countries1')->references('id')->on('countries')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('currency_id', 'fk_events_currencies1')->references('id')->on('currencies')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('event_look_and_feel_id', 'fk_events_event_look_feels1')->references('id')->on('event_look_feels')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('tickets_invoice_from_id', 'fk_events_payment_details1')->references('id')->on('invoice_froms')->onUpdate('CASCADE')->onDelete('SET NULL');
			$table->foreign('timezone_id', 'fk_events_timezones1')->references('id')->on('timezones')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('created_by_id', 'fk_events_users1')->references('id')->on('users')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('updated_by_id', 'fk_events_users2')->references('id')->on('users')->onUpdate('RESTRICT')->onDelete('RESTRICT');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('events', function(Blueprint $table)
		{
			$table->dropForeign('fk_event_payment_details1');
			$table->dropForeign('fk_event_payment_details2');
			$table->dropForeign('fk_events_countries1');
			$table->dropForeign('fk_events_currencies1');
			$table->dropForeign('fk_events_event_look_feels1');
			$table->dropForeign('fk_events_payment_details1');
			$table->dropForeign('fk_events_timezones1');
			$table->dropForeign('fk_events_users1');
			$table->dropForeign('fk_events_users2');
		});
	}

}
