<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToMailingActivitiesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('mailing_activities', function(Blueprint $table)
		{
			$table->foreign('event_id', 'fk_mailing_activities_events1')->references('id')->on('events')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('mailing_type_id', 'fk_mailing_activities_mailing_type1')->references('id')->on('mailing_types')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('created_by_id', 'fk_mailing_activities_users1')->references('id')->on('users')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('updated_by_id', 'fk_mailing_activities_users2')->references('id')->on('users')->onUpdate('RESTRICT')->onDelete('RESTRICT');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('mailing_activities', function(Blueprint $table)
		{
			$table->dropForeign('fk_mailing_activities_events1');
			$table->dropForeign('fk_mailing_activities_mailing_type1');
			$table->dropForeign('fk_mailing_activities_users1');
			$table->dropForeign('fk_mailing_activities_users2');
		});
	}

}
