<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToMailingsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('mailings', function(Blueprint $table)
		{
			$table->foreign('lead_id', 'fk_mailing_batch_leads1')->references('id')->on('leads')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('mailing_activity_id', 'fk_mailing_batch_mailing_activities1')->references('id')->on('mailing_activities')->onUpdate('RESTRICT')->onDelete('RESTRICT');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('mailings', function(Blueprint $table)
		{
			$table->dropForeign('fk_mailing_batch_leads1');
			$table->dropForeign('fk_mailing_batch_mailing_activities1');
		});
	}

}
