<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToPromoCodesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('promo_codes', function(Blueprint $table)
		{
			$table->foreign('registration_id', 'fk_promo_codes_registrations1')->references('id')->on('registrations')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('ticket_id', 'fk_promo_codes_tickets1')->references('id')->on('tickets')->onUpdate('RESTRICT')->onDelete('RESTRICT');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('promo_codes', function(Blueprint $table)
		{
			$table->dropForeign('fk_promo_codes_registrations1');
			$table->dropForeign('fk_promo_codes_tickets1');
		});
	}

}
