<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToRegistrationHasSocialEventsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('registration_has_social_events', function(Blueprint $table)
		{
			$table->foreign('registration_id', 'fk_registration_has_social_events_registrations1')->references('id')->on('registrations')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('social_event_id', 'fk_registration_has_social_events_social1')->references('id')->on('social_events')->onUpdate('RESTRICT')->onDelete('RESTRICT');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('registration_has_social_events', function(Blueprint $table)
		{
			$table->dropForeign('fk_registration_has_social_events_registrations1');
			$table->dropForeign('fk_registration_has_social_events_social1');
		});
	}

}
