<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToRegistrationHasTransfersTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('registration_has_transfers', function(Blueprint $table)
		{
			$table->foreign('registration_id', 'fk_registration_has_transfers_registrations1')->references('id')->on('registrations')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('transfer_id', 'fk_registration_has_transfers_transfers1')->references('id')->on('transfers')->onUpdate('RESTRICT')->onDelete('RESTRICT');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('registration_has_transfers', function(Blueprint $table)
		{
			$table->dropForeign('fk_registration_has_transfers_registrations1');
			$table->dropForeign('fk_registration_has_transfers_transfers1');
		});
	}

}
