<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToRegistrationsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('registrations', function(Blueprint $table)
		{
			$table->foreign('event_id', 'fk_registrations_events1')->references('id')->on('events')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('lead_id', 'fk_registrations_leads1')->references('id')->on('leads')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('tickets_payer_id', 'fk_registrations_payer_details1')->references('id')->on('payer_details')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('accomodation_payer_id', 'fk_registrations_payer_details2')->references('id')->on('payer_details')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('transfer_payer_id', 'fk_registrations_payer_details3')->references('id')->on('payer_details')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('accomodation_room_id', 'fk_registrations_room_types1')->references('id')->on('room_types')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('ticket_type_id', 'fk_registrations_tickets1')->references('id')->on('tickets')->onUpdate('RESTRICT')->onDelete('RESTRICT');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('registrations', function(Blueprint $table)
		{
			$table->dropForeign('fk_registrations_events1');
			$table->dropForeign('fk_registrations_leads1');
			$table->dropForeign('fk_registrations_payer_details1');
			$table->dropForeign('fk_registrations_payer_details2');
			$table->dropForeign('fk_registrations_payer_details3');
			$table->dropForeign('fk_registrations_room_types1');
			$table->dropForeign('fk_registrations_tickets1');
		});
	}

}
