<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToSessionHasLeadsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('session_has_leads', function(Blueprint $table)
		{
			$table->foreign('lead_id', 'fk_session_has_leads_leads1')->references('id')->on('leads')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('session_id', 'fk_session_has_leads_sessions1')->references('id')->on('sessions')->onUpdate('RESTRICT')->onDelete('RESTRICT');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('session_has_leads', function(Blueprint $table)
		{
			$table->dropForeign('fk_session_has_leads_leads1');
			$table->dropForeign('fk_session_has_leads_sessions1');
		});
	}

}
