<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToUserHasPermissionsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('user_has_permissions', function(Blueprint $table)
		{
			$table->foreign('permission_id', 'fk_user_has_permissions_permissions1')->references('id')->on('permissions')->onUpdate('RESTRICT')->onDelete('RESTRICT');
			$table->foreign('user_id', 'fk_user_has_permissions_users1')->references('id')->on('users')->onUpdate('RESTRICT')->onDelete('RESTRICT');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('user_has_permissions', function(Blueprint $table)
		{
			$table->dropForeign('fk_user_has_permissions_permissions1');
			$table->dropForeign('fk_user_has_permissions_users1');
		});
	}

}
