<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateChartEmailActivityView extends Migration
{
    public function up()
    {
        DB::statement("
            CREATE VIEW chart_email_activity(dates, counts, eventIds, activityIds, whatDidWeGet) AS
            	SELECT DATE(mailings.sent_ts) dates, COUNT(*), mailing_activities.event_id eventIds, 'nope' activityIds, 'sended' FROM mailings
            		JOIN mailing_activities ON mailings.mailing_activity_id = mailing_activities.id
            		JOIN leads ON mailings.lead_id = leads.id
            		WHERE mailings.sent_ts IS NOT NULL
					AND mailings.deleted_at IS NULL
            		AND mailings.sent_ts != '1970-01-01 00:00:00'
            		AND mailing_activities.deleted_at IS NULL
            		AND leads.deleted_at IS NULL
            		GROUP BY dates, eventIds, activityIds
            UNION
            	SELECT DATE(mailings.email_opened_ts) dates, COUNT(*), mailing_activities.event_id eventIds, 'nope' activityIds, 'opened' FROM mailings
            		JOIN mailing_activities ON mailings.mailing_activity_id = mailing_activities.id
            		JOIN leads ON mailings.lead_id = leads.id
            		WHERE mailings.email_opened_ts IS NOT NULL
					AND mailings.deleted_at IS NULL
            		AND mailing_activities.deleted_at IS NULL
            		AND leads.deleted_at IS NULL
            		GROUP BY dates, eventIds, activityIds
            UNION
            	SELECT IFNULL(DATE(registrations.registered_ts), DATE(registrations.confirmed_ts)) dates, COUNT(*), registrations.event_id eventIds, 'nope' activityIds, 'registered' FROM registrations
            		JOIN leads ON registrations.lead_id = leads.id
            		WHERE (registrations.registered_ts IS NOT NULL OR registrations.confirmed_ts IS NOT NULL)
					AND (registrations.ticket_approved = 1 OR registrations.ticket_approved IS NULL)
            		AND registrations.deleted_at IS NULL
            		AND leads.deleted_at IS NULL
            		GROUP BY dates, eventIds, activityIds
            UNION
            	SELECT DATE(leads.opt_out_ts) dates, COUNT(DISTINCT leads.id), mailing_activities.event_id eventIds, leads.opt_out_activity_id activityIds, 'optOut' FROM mailings
            		JOIN leads ON mailings.lead_id = leads.id
            		JOIN mailing_activities ON mailings.mailing_activity_id = mailing_activities.id
            		WHERE leads.opt_out_ts IS NOT NULL
					AND mailings.deleted_at IS NULL
            		AND mailing_activities.deleted_at IS NULL
            		AND leads.deleted_at IS NULL
            		GROUP BY dates, eventIds, activityIds
        ");
    }

    public function down()
    {
        DB::statement("DROP VIEW chart_email_activity");
    }
}
