<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateLogsActivityView extends Migration
{
    public function up()
    {
        DB::statement("
          CREATE VIEW logs_activity(logId, logType, logDesc, logInfo, logUser, logIp, logTime) AS

            SELECT logs.id, 'user', log_types.description, logs.entity, CONCAT(users.name, ' (', users.email, ')'), logs.ip, logs.created_at FROM logs
              LEFT JOIN log_types ON logs.log_type_id = log_types.id
              LEFT JOIN users ON logs.user_id = users.id
              WHERE log_types.type = 'user'

            UNION

            SELECT logs.id, 'lead', log_types.description, CONCAT(leads.first_name, ' ', leads.last_name, ' (', leads.email, ')'), CONCAT(users.name, ' (', users.email, ')'), logs.ip, logs.created_at FROM logs
              LEFT JOIN log_types ON logs.log_type_id = log_types.id
              LEFT JOIN users ON logs.user_id = users.id
              LEFT JOIN leads ON logs.entity = leads.id
              WHERE log_types.type = 'lead'
              AND log_types.id != 114

            UNION

            SELECT logs.id, 'leads-excel', log_types.description, logs.entity, CONCAT(users.name, ' (', users.email, ')'), logs.ip, logs.created_at FROM logs
              LEFT JOIN log_types ON logs.log_type_id = log_types.id
              LEFT JOIN users ON logs.user_id = users.id
              LEFT JOIN leads ON logs.entity = leads.id
              WHERE log_types.id = 114

            UNION

            SELECT logs.id, 'event', log_types.description, events.name, CONCAT(users.name, ' (', users.email, ')'), logs.ip, logs.created_at FROM logs
              LEFT JOIN log_types ON logs.log_type_id = log_types.id
              LEFT JOIN events ON logs.entity = events.id
              LEFT JOIN users ON logs.user_id = users.id
              WHERE log_types.type = 'event'

            UNION

            SELECT logs.id, 'ticket', log_types.description, CONCAT(events.name, ' - ', tickets.name), CONCAT(users.name, ' (', users.email, ')'), logs.ip, logs.created_at FROM logs
              LEFT JOIN log_types ON logs.log_type_id = log_types.id
              LEFT JOIN tickets ON logs.entity = tickets.id
              LEFT JOIN events ON tickets.event_id = events.id
              LEFT JOIN users ON logs.user_id = users.id
              WHERE log_types.type = 'ticket'

            UNION

            SELECT logs.id, 'accommodation', log_types.description, CONCAT(events.name, ' - ', accommodations.name), CONCAT(users.name, ' (', users.email, ')'), logs.ip, logs.created_at FROM logs
              LEFT JOIN log_types ON logs.log_type_id = log_types.id
              LEFT JOIN accommodations ON logs.entity = accommodations.id
              LEFT JOIN events ON accommodations.event_id = events.id
              LEFT JOIN users ON logs.user_id = users.id
              WHERE log_types.type = 'accommodation'

            UNION

            SELECT logs.id, 'transfer', log_types.description, CONCAT(events.name, ' - ', transfers.description), CONCAT(users.name, ' (', users.email, ')'), logs.ip, logs.created_at FROM logs
              LEFT JOIN log_types ON logs.log_type_id = log_types.id
              LEFT JOIN transfers ON logs.entity = transfers.id
              LEFT JOIN events ON transfers.event_id = events.id
              LEFT JOIN users ON logs.user_id = users.id
              WHERE log_types.type = 'transfer'

            UNION

            SELECT logs.id, 'invoice', log_types.description, CONCAT(invoice_froms.name), CONCAT(users.name, ' (', users.email, ')'), logs.ip, logs.created_at FROM logs
              LEFT JOIN log_types ON logs.log_type_id = log_types.id
              LEFT JOIN invoice_froms ON logs.entity = invoice_froms.id
              LEFT JOIN users ON logs.user_id = users.id
              WHERE log_types.type = 'invoice'

            UNION

            SELECT logs.id, 'mailing', log_types.description, CONCAT(events.name, ' - ', mailing_activities.name), CONCAT(users.name, ' (', users.email, ')'), logs.ip, logs.created_at FROM logs
              LEFT JOIN log_types ON logs.log_type_id = log_types.id
              LEFT JOIN mailing_activities ON logs.entity = mailing_activities.id
              LEFT JOIN events ON mailing_activities.event_id = events.id
              LEFT JOIN users ON logs.user_id = users.id
              WHERE log_types.type = 'mailing'

            UNION

            SELECT logs.id, 'registration', log_types.description, CONCAT(events.name, ' - ', leads.first_name, ' ', leads.last_name, ' (', leads.email, ')'), CONCAT(users.name, ' (', users.email, ')'), logs.ip, logs.created_at FROM logs
              LEFT JOIN log_types ON logs.log_type_id = log_types.id
              LEFT JOIN registrations ON logs.entity = registrations.id
              LEFT JOIN events ON registrations.event_id = events.id
              LEFT JOIN leads ON registrations.lead_id = leads.id
              LEFT JOIN users ON logs.user_id = users.id
              WHERE log_types.type = 'registration'
              AND log_types.id != 189
              AND log_types.id != 190

            UNION

            SELECT logs.id, 'badges', log_types.description, logs.entity, CONCAT(users.name, ' (', users.email, ')'), logs.ip, logs.created_at FROM logs
              LEFT JOIN log_types ON logs.log_type_id = log_types.id
              LEFT JOIN registrations ON logs.entity = registrations.id
              LEFT JOIN events ON registrations.event_id = events.id
              LEFT JOIN leads ON registrations.lead_id = leads.id
              LEFT JOIN users ON logs.user_id = users.id
              WHERE log_types.id = 189
              
            UNION

                SELECT logs.id, 'sessions', log_types.description, CONCAT(events.name, ' - ', sessions.name, ' (', sessions.location, ')'), CONCAT(users.name, ' (', users.email, ')'), logs.ip, logs.created_at FROM logs
                    LEFT JOIN log_types ON logs.log_type_id = log_types.id
                    LEFT JOIN sessions ON logs.entity = sessions.id
                    LEFT JOIN events ON sessions.event_id = events.id
                    LEFT JOIN users ON logs.user_id = users.id
                    WHERE log_types.type = 'sessions'
                    
            UNION

                SELECT logs.id, 'registration', log_types.description, CONCAT(events.name, ' - ', sessions.name, ' (', sessions.location, ')', ' - ', leads.first_name, ' ', leads.last_name, ' (', leads.email, ')'), CONCAT(users.name, ' (', users.email, ')'), logs.ip, logs.created_at FROM logs
                    LEFT JOIN log_types ON logs.log_type_id = log_types.id
                    LEFT JOIN session_has_leads ON logs.entity = session_has_leads.id
                    LEFT JOIN sessions ON session_has_leads.session_id = sessions.id
                    LEFT JOIN events ON sessions.event_id = events.id
                    LEFT JOIN leads ON session_has_leads.lead_id = leads.id
                    LEFT JOIN users ON logs.user_id = users.id
                    WHERE log_types.id = 190;
        ");
    }

    public function down()
    {
        DB::statement("DROP VIEW logs_activity");
    }
}
