<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRecentActivityView extends Migration
{
    public function up()
    {
        DB::statement("
        CREATE
          VIEW recent_activity(eventOrMailingName, time, eventId, eventOrMailingCode, whatDidWeGet)
          AS
            SELECT events.name, events.created_at, events.id, events.event_code, 'created-event' FROM events
          UNION
            SELECT mailing_activities.name, mailing_activities.scheduled_ts, mailing_activities.event_id, mailing_activities.mailing_activity_code, 'scheduled-mailing-activity' FROM mailing_activities
            WHERE mailing_activities.scheduled_ts IS NOT NULL
          UNION
            SELECT mailing_activities.name, mailings.sent_ts, mailing_activities.event_id, mailing_activities.mailing_activity_code, 'started-mailing-activity' FROM mailings
            JOIN mailing_activities ON mailings.mailing_activity_id = mailing_activities.id
            WHERE mailings.sent_ts IS NOT NULL
            GROUP BY mailing_activities.id
          UNION
            SELECT events.name, events.registration_start_ts, events.id, events.event_code, 'registration-opened' FROM events
            WHERE events.registration_start_ts IS NOT NULL
          UNION
            SELECT events.name, events.registration_end_ts, events.id, events.event_code, 'registration-closed' FROM events
            WHERE events.registration_end_ts IS NOT NULL
          UNION
            SELECT events.name, events.start_ts, events.id, events.event_code, 'event-started' FROM events
            WHERE events.start_ts IS NOT NULL
          UNION
            SELECT events.name, events.end_ts, events.id, events.event_code, 'event-ended' FROM events
            WHERE events.end_ts IS NOT NULL
        ");
    }

    public function down()
    {
        DB::statement("DROP VIEW recent_activity");
    }
}
