<?php

use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    public function run()
    {
        // Pozivanje seedera za grupe i dozvole
        $this->call(RolesTableSeeder::class);
        $this->call(PermissionsTableSeeder::class);

        // Users
        if(env('APP_ID') == 01) {
            $this->call(CiscoUsersSeeder::class);
        } else {
            $this->call(KrikUsersSeeder::class);
        }

        // Pozivanje seedera za predefinirane boje
        $this->call(ColorsTableSeeder::class);

        // Pozivanje seedera za vremenske zone
        $this->call(TimezonesTableSeeder::class);

        // Pozivanje seedera za države
        $this->call(CountriesTableSeeder::class);

        // Pozivanje seedera za države
        $this->call(CurrenciesTableSeeder::class);

        // Pozivanje seedera za mailing typove
        $this->call(MailingTypesTableSeeder::class);

        // Pozivanje seedera za log typove
        $this->call(LogTypesSeeder::class);

        // Pozivanje seedera za mailing procese
        $this->call(MailingProcessesSeeder::class);

        // Pozivanje seedera za settings
        $this->call(SettingsSeeder::class);

        // Demo podaci za development
        if(env('APP_ENV') == 'local') {
            $this->call(DatabaseDemoSeeder::class);
        }

    }
}
