<?php

use Illuminate\Database\Seeder;
use Carbon\Carbon;

class DemoEventsTableSeeder extends Seeder
{
    public function run()
    {
        $start_ts = new Carbon();
        $start_ts->addDays(35);
        $start_ts->hour = 20;
        $start_ts->minute = 0;
        $start_ts->second = 0;

        $end_ts = new Carbon();   
        $end_ts->addDays(36);
        $end_ts->hour = 8;
        $end_ts->minute = 0;
        $end_ts->second = 0;

        $registration_start_ts = new Carbon();   
        $registration_start_ts->subDays(20);
        $registration_start_ts->hour = 9;
        $registration_start_ts->minute = 0;
        $registration_start_ts->second = 0;

        $registration_end_ts = new Carbon();   
        $registration_end_ts->addDays(35);
        $registration_end_ts->hour = 18;
        $registration_end_ts->minute = 0;
        $registration_end_ts->second = 0;

        DB::table('events')->insert([
          'name' => 'Company Party',
          'description' => 'A company celebration.',
          'lang' => 'en',
          'created_at' => '2016-08-20 20:00:00',
          'updated_at' => '2016-08-21 10:00:00',
          'created_by_id' => '1',
          'updated_by_id' => '2',
          'event_look_and_feel_id' => '2',
          'timezone_id' => '58',
          'start_ts' => $start_ts->toDateTimeString(),
          'end_ts' => $end_ts->toDateTimeString(),
          'registration_start_ts' => $registration_start_ts->toDateTimeString(),
          'registration_end_ts' => $registration_end_ts->toDateTimeString(),
          'access' => 'private',
          'type_by_venue' => 'physical',
          'venue_name' => 'Opera Club',
          'venue_address' => 'Petrinjska ul. 4',
          'venue_city' => 'Zagreb',
          'venue_postal_code' => '10000',
          'venue_country_id' => '52',
          'currency_id' => '35',
          'is_draft' => 1,
          'event_code' => 'ev9856qareFH1456306397',
          'email_name' => 'Krikstudio',
          'email_sender' => 'dev@krikstudio.com'
        ]);

        DB::table('events')->insert([
          'name' => 'Product Launch',
          'description' => 'New product presentation.',
          'lang' => 'en',
          'created_at' => '2016-01-01 20:00:00',
          'created_by_id' => '1',
          'event_look_and_feel_id' => '3',
          'timezone_id' => '58',
          'start_ts' => '2016-02-08 09:00:00',
          'end_ts' => '2016-02-08 17:00:00',
          'registration_start_ts' => '2016-01-15 09:00:00',
          'registration_end_ts' => '2016-02-07 23:00:00',
          'access' => 'private',
          'type_by_venue' => 'physical',
          'venue_name' => 'Hotel Dubrovnik',
          'venue_address' => 'Gajeva ul. 1',
          'venue_city' => 'Zagreb',
          'venue_postal_code' => '10000',
          'venue_country_id' => '52',
          'currency_id' => '35',
          'is_draft' => 0,
          'event_code' => 'ev9856qareFH1456306398',
          'email_name' => 'Krikstudio',
          'email_sender' => 'dev@krikstudio.com',
          'tickets_invoice_from_id' => '1',
          'accomodation_invoice_from_id' => '1',
          'transfer_invoice_from_id' => '1'
        ]);

        $start_ts = new Carbon();
        $start_ts->addDays(20);
        $start_ts->hour = 9;
        $start_ts->minute = 0;
        $start_ts->second = 0;

        $end_ts = new Carbon();   
        $end_ts->addDays(25);
        $end_ts->hour = 14;
        $end_ts->minute = 0;
        $end_ts->second = 0;

        $registration_start_ts = new Carbon();   
        $registration_start_ts->subDays(5);
        $registration_start_ts->hour = 9;
        $registration_start_ts->minute = 0;
        $registration_start_ts->second = 0;

        $registration_end_ts = new Carbon();   
        $registration_end_ts->addDays(20);
        $registration_end_ts->hour = 9;
        $registration_end_ts->minute = 0;
        $registration_end_ts->second = 0;

        DB::table('events')->insert([
          'name' => 'VIP Partner Summit',
          'description' => 'Digital demands are growing for IT sector.',
          'lang' => 'en',
          'created_at' => '2016-08-01 10:00:00',
          'created_by_id' => '3',
          'event_look_and_feel_id' => '1',
          'timezone_id' => '58',
          'start_ts' => $start_ts->toDateTimeString(),
          'end_ts' => $end_ts->toDateTimeString(),
          'registration_start_ts' => $registration_start_ts->toDateTimeString(),
          'registration_end_ts' => $registration_end_ts->toDateTimeString(),
          'access' => 'private',
          'type_by_venue' => 'physical',
          'venue_name' => 'Hotel Esplanade',
          'venue_address' => 'Mihanovićeva ul. 1',
          'venue_city' => 'Zagreb',
          'venue_postal_code' => '10000',
          'venue_country_id' => '52',
          'currency_id' => '35',
          'is_draft' => 0,
          'event_code' => 'ev9856qareFH1456306399',
          'email_name' => 'Krikstudio',
          'email_sender' => 'dev@krikstudio.com',
          'tickets_invoice_from_id' => '1',
          'accomodation_invoice_from_id' => '1',
          'transfer_invoice_from_id' => '1'
        ]);

        DB::table('events')->insert([
          'name' => 'Webinar 06/2016',
          'description' => 'Latest concept in digitalization with demonstrations.',
          'lang' => 'en',
          'created_at' => '2016-02-01 10:00:00',
          'created_by_id' => '4',
          'event_look_and_feel_id' => '4',
          'timezone_id' => '58',
          'start_ts' => '2016-04-07 09:00:00',
          'end_ts' => '2016-04-08 14:00:00',
          'registration_start_ts' => '2016-02-23 09:00:00',
          'registration_end_ts' => '2016-04-06 18:00:00',
          'access' => 'private',
          'type_by_venue' => 'online',
          'currency_id' => '35',
          'is_draft' => 0,
          'event_code' => 'ev9856qareFH1456306400',
          'email_name' => 'Krikstudio',
          'email_sender' => 'dev@krikstudio.com',
          'tickets_invoice_from_id' => '1',
          'accomodation_invoice_from_id' => '1',
          'transfer_invoice_from_id' => '1'
        ]);
    }
}
