<?php

use Illuminate\Database\Seeder;
use Faker\Factory as Faker;
use Carbon\Carbon;

class DemoLeadsTableSeeder extends Seeder
{
    public function run()
    {
        $now = new Carbon();

        $faker = Faker::create();
        foreach (range(1, 300) as $index) {
          DB::table('leads')->insert([
            'lead_code' => 'ld' . $faker->shuffle('qwertzuiopasdfghjklxcvbn234567890'),
            'gender' => $faker->randomElement($array = array('Mr.','Ms.')),
            'title' => $faker->title(),
            'first_name' => $faker->firstName,
            'last_name' => $faker->lastName,
            'email' => $faker->email,
            'mobile' => $faker->phoneNumber,
            'phone' => $faker->phoneNumber,
            'company_name' => $faker->company,
            'company_address' => $faker->address,
            'company_city' => $faker->email,
            'company_post_code' => $faker->postcode,
            'company_country' => $faker->numberBetween($min = 1, $max = 200),
            'opt_in' => 'Yes',
            'self_registrated' => $faker->randomElement($array = array ('Yes','No')),
            'opt_in_method' => $faker->randomElement($array = array ('email','email, phone','phone')),
            'created_at' => $now->toDateTimeString()
          ]);
        }

        DB::table('leads')->insert([
          'lead_code' => 'ld9856qareFH1456306350',
          'gender' => 'Mr.',
          'first_name' => 'Josip',
          'last_name' => 'Kraljević',
          'email' => 'josip@krikstudio.com',
          'company_name' => 'Krikstudio',
          'company_address' => 'Budmanijeva 5',
          'company_city' => 'Zagreb',
          'company_post_code' => '10000',
          'company_country' => '52',
          'self_registrated' => 'Yes',
          'opt_in' => 'Yes',
          'opt_in_method' => 'email',
          'created_at' => $now->toDateTimeString(),
          'job_function' => 'CEO'
        ]);

        DB::table('leads')->insert([
          'lead_code' => 'ld9856qareFH1456306351',
          'gender' => 'Ms.',
          'first_name' => 'Sanja',
          'last_name' => 'Duk',
          'email' => 'sanja@krikstudio.com',
          'company_name' => 'Krikstudio',
          'company_address' => 'Budmanijeva 5',
          'company_city' => 'Zagreb',
          'company_post_code' => '10000',
          'company_country' => '52',
          'self_registrated' => 'Yes',
          'opt_in' => 'Yes',
          'opt_in_method' => 'email',
          'created_at' => $now->toDateTimeString(),
          'job_function' => 'Lead Developer'
        ]);

        DB::table('leads')->insert([
          'lead_code' => 'ld9856qareFH1456306352',
          'gender' => 'Mr.',
          'first_name' => 'Miro',
          'last_name' => 'Tomić',
          'email' => 'miro@krikstudio.com',
          'opt_out_activity_id' => '1',
          'company_name' => 'Krikstudio',
          'company_address' => 'Budmanijeva 5',
          'company_city' => 'Zagreb',
          'company_post_code' => '10000',
          'company_country' => '52',
          'self_registrated' => 'Yes',
          'opt_in' => 'Yes',
          'opt_in_method' => 'email',
          'created_at' => $now->toDateTimeString(),
          'job_function' => 'UI/UX Designer'
        ]);

        DB::table('leads')->insert([
          'lead_code' => 'ld9856qareFH1456306353',
          'gender' => 'Mr.',
          'first_name' => 'Mislav',
          'last_name' => 'Plazzeriano',
          'email' => 'mislav@krikstudio.com',
          'company_name' => 'Krikstudio',
          'company_address' => 'Budmanijeva 5',
          'company_city' => 'Zagreb',
          'company_post_code' => '10000',
          'company_country' => '52',
          'self_registrated' => 'Yes',
          'opt_in' => 'Yes',
          'opt_in_method' => 'email',
          'created_at' => $now->toDateTimeString(),
          'job_function' => 'Web developer'
        ]);

        DB::table('leads')->insert([
          'lead_code' => 'ld9856qareFH1456306354',
          'gender' => 'Mr.',
          'first_name' => 'Matko',
          'last_name' => 'Kosmat',
          'email' => 'matko@krikstudio.com',
          'opt_out_activity_id' => '1',
          'company_name' => 'Krikstudio',
          'company_address' => 'Budmanijeva 5',
          'company_city' => 'Zagreb',
          'company_post_code' => '10000',
          'company_country' => '52',
          'self_registrated' => 'Yes',
          'opt_in' => 'Yes',
          'opt_in_method' => 'email',
          'created_at' => $now->toDateTimeString(),
          'job_function' => 'Web Developer'
        ]);

        DB::table('leads')->insert([
          'lead_code' => 'ld9856qareFH1456306355',
          'gender' => 'Mr.',
          'first_name' => 'Tomislav',
          'last_name' => 'Čukelj',
          'email' => 'tomi@krikstudio.com',
          'company_name' => 'Krikstudio',
          'company_address' => 'Budmanijeva 5',
          'company_city' => 'Zagreb',
          'company_post_code' => '10000',
          'company_country' => '52',
          'self_registrated' => 'Yes',
          'opt_in' => 'Yes',
          'opt_in_method' => 'email',
          'created_at' => $now->toDateTimeString(),
          'job_function' => 'Web Developer'
        ]);

        DB::table('leads')->insert([
          'lead_code' => 'ld9856qareFH1456306356',
          'gender' => 'Ms.',
          'first_name' => 'Miljena',
          'last_name' => 'Mamić',
          'email' => 'miljena@krikstudio.com',
          'company_name' => 'Krikstudio',
          'company_address' => 'Budmanijeva 5',
          'company_city' => 'Zagreb',
          'company_post_code' => '10000',
          'company_country' => '52',
          'self_registrated' => 'Yes',
          'opt_in' => 'Yes',
          'opt_in_method' => 'email',
          'created_at' => $now->toDateTimeString(),
          'job_function' => 'Key Account Manager'
        ]);
    }
}
