<?php

use Illuminate\Database\Seeder;

class LogTypesSeeder extends Seeder
{
    public function run()
    {
        DB::table('log_types')->insert(
            array (
                // Users
                array (
                    'id' => 101,
                    'type' => 'user',
                    'description' => 'Successful login'
                ),
                array (
                    'id' => 102,
                    'type' => 'user',
                    'description' => 'Unsuccessful log in attempt'
                ),
                array (
                    'id' => 103,
                    'type' => 'user',
                    'description' => 'Successful password change'
                ),
                array (
                    'id' => 104,
                    'type' => 'user',
                    'description' => 'Unsuccessful password change'
                ),

                // Leads
                array (
                    'id' => 111,
                    'type' => 'lead',
                    'description' => 'New lead'
                ),
                array (
                    'id' => 112,
                    'type' => 'lead',
                    'description' => 'Updated lead'
                ),
                array (
                    'id' => 113,
                    'type' => 'lead',
                    'description' => 'Deleted lead'
                ),
                array (
                    'id' => 114,
                    'type' => 'lead',
                    'description' => 'Number of Excel imported leads'
                ),

                // Events
                array (
                    'id' => 121,
                    'type' => 'event',
                    'description' => 'New event draft'
                ),
                array (
                    'id' => 122,
                    'type' => 'event',
                    'description' => 'New event'
                ),
                array (
                    'id' => 123,
                    'type' => 'event',
                    'description' => 'Updated event'
                ),
                array (
                    'id' => 124,
                    'type' => 'event',
                    'description' => 'Deleted event'
                ),

                // Tickets
                array (
                    'id' => 131,
                    'type' => 'ticket',
                    'description' => 'New ticket'
                ),
                array (
                    'id' => 132,
                    'type' => 'ticket',
                    'description' => 'Updated ticket'
                ),
                array (
                    'id' => 133,
                    'type' => 'ticket',
                    'description' => 'Deleted ticket'
                ),

                // Accommodations
                array (
                    'id' => 141,
                    'type' => 'accommodation',
                    'description' => 'New accommodation'
                ),
                array (
                    'id' => 142,
                    'type' => 'accommodation',
                    'description' => 'Updated accommodation'
                ),
                array (
                    'id' => 143,
                    'type' => 'accommodation',
                    'description' => 'Deleted accommodation'
                ),

                // Transfers
                array (
                    'id' => 151,
                    'type' => 'transfer',
                    'description' => 'New transfer'
                ),
                array (
                    'id' => 152,
                    'type' => 'transfer',
                    'description' => 'Updated transfer'
                ),
                array (
                    'id' => 153,
                    'type' => 'transfer',
                    'description' => 'Deleted transfer'
                ),

                // Invoices
                array (
                    'id' => 161,
                    'type' => 'invoice',
                    'description' => 'New invoice'
                ),
                array (
                    'id' => 162,
                    'type' => 'invoice',
                    'description' => 'Updated invoice'
                ),
                array (
                    'id' => 163,
                    'type' => 'invoice',
                    'description' => 'Deleted invoice'
                ),

                // Mailings
                array (
                    'id' => 171,
                    'type' => 'mailing',
                    'description' => 'New e-mail campaign draft'
                ),
                array (
                    'id' => 172,
                    'type' => 'mailing',
                    'description' => 'New e-mail campaign'
                ),
                array (
                    'id' => 173,
                    'type' => 'mailing',
                    'description' => 'Updated e-mail campaign'
                ),
                array (
                    'id' => 174,
                    'type' => 'mailing',
                    'description' => 'Deleted e-mail campaign'
                ),

                // Registrations
                array (
                    'id' => 181,
                    'type' => 'registration',
                    'description' => 'Updated registration status'
                ),
                array (
                    'id' => 182,
                    'type' => 'registration',
                    'description' => 'Updated registration accommodation status'
                ),
                array (
                    'id' => 183,
                    'type' => 'registration',
                    'description' => 'Updated registration transfer status'
                ),
                array (
                    'id' => 184,
                    'type' => 'registration',
                    'description' => 'Deleted registration'
                ),
                array (
                    'id' => 185,
                    'type' => 'registration',
                    'description' => 'Deleted registration accommodation'
                ),
                array (
                    'id' => 186,
                    'type' => 'registration',
                    'description' => 'Deleted registration transfer'
                ),
                array (
                    'id' => 187,
                    'type' => 'registration',
                    'description' => 'Updated attending status'
                ),
                array (
                    'id' => 188,
                    'type' => 'registration',
                    'description' => 'Updated gift status'
                ),
                array (
                    'id' => 189,
                    'type' => 'registration',
                    'description' => 'Number of generated badges'
                ),
				array (
                    'id' => 190,
                    'type' => 'registration',
                    'description' => 'Updated session status'
                ),
				
				// Sessions
                array (
                    'id' => 191,
                    'type' => 'sessions',
                    'description' => 'New session'
                ),
				array (
                    'id' => 192,
                    'type' => 'sessions',
                    'description' => 'Updated session'
                ),
				array (
                    'id' => 193,
                    'type' => 'sessions',
                    'description' => 'Deleted session'
                )
            )
        );
    }
}
