$(function() {
  if ($('#event_create_look_and_feel').length > 0) {
    //fonts in preview
    $('.krik-title-font').change(function() {
      var TitleFont = $(".krik-title-font input:checked").next().css('font-family');
      var PreviewTitle = $('.ui-event-name').css({"font-family" : TitleFont});
    });
    $('.krik-body-font').change(function() {
      var BodyFont = $(".krik-body-font input:checked").next().css('font-family');
      var PreviewBody = $('.ui-text-preview').css({"font-family" : BodyFont});
    });

    $('#upload_logo').fileinput();
  }


  //on colors change
  $('#event_create_look_and_feel input[name="colors"]')
    .change(function() {
      $('#testColors')
        .val(0);

      $('#testPreset')
        .val(0);

      $('.bg-color, .title-color')
        .val('');

      $('.bg-color, .title-color')
        .parent('.color-picker')
        .find('i')
        .css({
          backgroundColor: '#4a4a4a'
        });

      $('.input-group + span[id="-error"]')
        .remove();
    });

  if ($('#event_create_look_and_feel .color-picker').length) {
    //colorpicker initialization and color preview change
    $('#event_create_look_and_feel .input-group:nth-child(2)')
      .colorpicker({
				format: 'hex'	
		})
      .on('changeColor.colorpicker', function(event) {
        $('input[name="colors"]')
          .prop('checked', false);

        $('.ui-header, .ui-button').css({
          backgroundColor: event.color.toHex()
        });

        $('#testColors')
          .val(1);

        var titleColorLength = $('.title-color').val().length;
        if (titleColorLength > 0) {
          $('.save_presets, .use_event')
            .removeClass('disabled');

          $('#testColors')
            .val(2);
        }
      });

    //colorpicker initialization and color preview change
    $('#event_create_look_and_feel .input-group:nth-child(3)')
      .colorpicker({
			format: 'hex'	
		})
      .on('changeColor.colorpicker', function(event) {
        $('input[name="colors"]')
          .prop('checked', false);

        $('.ui-event-name').css({
          color: event.color.toHex()
        });

        $('#testColors')
          .val(1);

        var bgColorLength = $('.bg-color').val().length;
        if (bgColorLength > 0) {
          $('.save_presets, .use_event')
            .removeClass('disabled');

          $('#testColors')
            .val(2);
        }
      });
  }

  //table scroll
  $("#event_create_look_and_feel .scrollTable > div")
    .niceScroll({
      autohidemode: false,
      cursorcolor: "#482c42"
    });


$( window ).resize(function() {
  $("#event_create_look_and_feel .scrollTable > div").getNiceScroll().resize();

});

  //on preset click
  $('#event_create_look_and_feel .rdio:has(input[name="colors"])')
    .click(function() {
      var bgColor = $(this).find('div:first-child').css('background-color'),
        titleColor = $(this).find('div:last-child').css('background-color');

      $('.ui-header, .ui-button').css({
        backgroundColor: bgColor
      });

      $('.ui-event-name').css({
        color: titleColor
      });
    });

  //enable submit when both colors entered
  $('.color-picker input').change(function() {
    var bgColorLength = $('.bg-color').val().length,
      titleColorLength = $('.title-color').val().length;
    if (bgColorLength > 0 && titleColorLength > 0) {
      $('.save_presets, .use_event')
        .removeClass('disabled');

      $('#testColors')
        .val(2);

    } else {
      $('.save_presets, .use_event')
        .addClass('disabled');

      $('#testColors')
        .val(1);
    }
  });

  //save to presets
  $('body').on('click', '.save_presets:not(.disabled)', function() {
    var bgColor = $('.bg-color').val(),
      titleColor = $('.title-color').val(),
      token = $('input[name="_token"]').val();

    $.ajax({
      method: "POST",
      url: baseUrl + "/events/create/look-and-feel/color-scheme",
      data: {
        _token: token,
        bgColor: bgColor,
        isTemplate: 1,
        titleColor: titleColor
      },
      success: function(response) {
        var id = response;
        
        $('#colorID')
        .val(id);

        var html = '<div class="rdio rdio-lilac circle">' +
          '<input id="color' + id + '" name="colors" type="radio" value= "' + id +'" checked>' +
          '<label for="color' + id + '">' +
              '<div class="eventColor" style="background-color: ' + bgColor + '"></div>' +
              '<div class="eventColor" style="background-color: ' + titleColor + '"></div>' +
          '</label>' +
        '</div>';

        $('.krik-presets > .col-md-6:first-child').append(html);
      }
    });
  })

  //only this event
  $('body').on('click', '.use_event:not(.disabled)', function() {
    var bgColor = $('.bg-color').val(),
      titleColor = $('.title-color').val(),
      token = $('input[name="_token"]').val();

    $.ajax({
      method: "POST",
      url: baseUrl + "/events/create/look-and-feel/color-scheme",
      data: {
        _token: token,
        bgColor: bgColor,
        isTemplate: 0,
        titleColor: titleColor
      },
      success: function(response) {
        $('#colorID')
        .val(response);
      }
    });
  });

  //set checkbox logo on upload button click
  $('#event_create_look_and_feel #upload_logo').click(function() {
    $('#event_create_look_and_feel #upload_logo_cb')
      .prop('checked', true);
  });

  //preview logo
  function readURL(input) {
    if (input.files && input.files[0]) {
      var reader = new FileReader();
      reader.onload = function(e) {
		  logoUrl = 'url(' + e.target.result + ')';
        $('.krik-event-logo')
          .css({
            'background-image': logoUrl,
            visibility: 'visible'
          });
      };
      reader.readAsDataURL(input.files[0]);
    }
  }

  var logoUrl = null;

  	$(window).on('load', function() {
		if($('body').hasClass('lookAndFeel')){
			if(isPredefined === 2) {
				logoUrl = $('.krik-event-logo').css('backgroundImage');
			}
		}
  	});

  //logo change
  $('#event_create_look_and_feel input[name="logo"]').change(function() {
    var id = $(this).attr('id');

    if (id == 'predifined_logo') {
      var url = $('#predifined_logo').data('url');

        $('.krik-event-logo')
          .css({ "background-image": 'url('+url+')',
                visibility: 'visible'
              });

    } else if (id == 'no_logo') {
      $('.krik-event-logo')
        .css({
          visibility: 'hidden'
        });
    } else {
		if(logoUrl !== null){
			$('.krik-event-logo').css({
				backgroundImage: logoUrl,
				 visibility: 'visible'
			});
		}
	}
  });

  //on custom image upload
    $("#upload_logo").change(function() {
        $(this).trigger('focusout');
        if($.inArray($(this).val().slice(-4).toLowerCase(), ['.jpg','.png','.gif','jpeg']) >= 0){
            $('[name="upload_validation"]')
            .val(1)
            .trigger('focusout');
            readURL(this);
        }else{
            $('[name="upload_validation"]')
            .val(0)
            .trigger('focusout');
        }
    });
});
