$(function() {
    if ($("#registration").length > 0) {

        //switch initialization
        var switches = $("#registration .switch")
        .bootstrapSwitch();

        //switch change
        $('#registration .krik-switch').on('switchChange.bootstrapSwitch', function(event, state) {
            //disable switch
            switches.bootstrapSwitch('toggleDisabled');

            var targetCollapse = $(this).parents('.krik-panel');

            if(state){
                targetCollapse
                .find('.krik-body')
                .stop(true,false)
                .slideDown();
            }else{
                if(targetCollapse.find('.krik-slide-body').is(':visible')){
                    targetCollapse
                    .find('.krik-slide-body')
                    .slideUp(350, function(){
                        targetCollapse
                        .find('.button-row')
                        .show()
                    });
                }

                if(targetCollapse.find('.krik-invoice-body').is(':visible')){
                    targetCollapse
                    .find('.krik-invoice-body')
                    .slideUp();

                    targetCollapse
                    .find('.fa-angle-up')
                    .removeClass('fa-angle-up')
                    .addClass('fa-angle-down');

                    targetCollapse
                    .find('.krik-invoice')
                    .slideUp(350,function(){
                        targetCollapse
                        .find('.new_invoice')
                        .show();
                    });
                }

                targetCollapse
                .find('.krik-body')
                .stop(true,false)
                .slideUp();
            }

            //enable switch
            setTimeout(function(){
                switches.bootstrapSwitch('toggleDisabled');
            },350)
        });

        $("#registration .krik-slide-button").click(function(e) {
            $(this)
            .parents('.button-row')
            .hide()
            .parent('.krik-body')
            .next()
            .slideDown()
            .parents('.krik-panel')
            .find('.krik-invoice-options')
            .slideDown();
            if($('input[name="promo_code"]').is(':checked')) {
                $('.krik-promo-codes-button').show();
            } else {
                $('.krik-promo-codes-button').hide();
            }
        });

        $("#registration .invoice-heading").click(function(e) {
            var next = $(this).next('.krik-invoice-body');

            if (next.is(':visible')) {
                $(this)
                .find('i')
                .removeClass('fa-angle-up')
                .addClass('fa-angle-down');

                next
                .slideUp();

            } else {
                $(this)
                .find('i')
                .removeClass('fa-angle-down')
                .addClass('fa-angle-up');

                next
                .slideDown();
            }
        });

        $('.ticket_cancel, .acc_cancel, .transfer_cancel, .social_events_cancel')
        .click(function(){
            var parent      = $(this).parents('.krik-panel'),
                form        = $(this).parents('form'),
                allowButton = true;

            form[0]
            .reset();

            parent
            .find('.krik-slide-body')
            .slideUp();

            if($(this).parents('.krik-panel').find('tbody tr').length == 0){
                $(this)
                .parents('.krik-panel')
                .find('.krik-invoice-options')
                .slideUp();
            }


            if($(this).hasClass('ticket_cancel')){
                $('.krik-vat-options')
                .show();
            }

            if($(this).hasClass('transfer_cancel')){
                $('form#transfer > .row')
                .show();

                if($(this).parents('.krik-panel').find('tbody tr').length > 0){
                    allowButton = false;
                }
            }


            if(allowButton){
                parent
                .find('.button-row')
                .slideDown();
            }

            form
            .find('[name="type"], [name="id"]')
            .remove();

        });

        $('.new_invoice').click(function(e) {
            e.preventDefault();

            $(this).hide()
              .closest('.row')
              .next('.krik-invoice')
              .slideDown();
        });


        $('.invoice_cancel').click(function(e){
            e.preventDefault();

            $('.invoice-actions').show();

            $(this)
              .parents('.krik-invoice')
              .slideUp();

            $(this)
              .parents('.krik-invoice-body')
              .find('.new_invoice')
              .show();

            var $invoice_fields = $(this)
              .parents('.krik-invoice');

            var $invoice_name = $invoice_fields.find('#invoice_name');
            var $invoice_from_details = $invoice_fields.find('#invoice_from');
            var $invoice_account_name = $invoice_fields.find('#account_name');
            var $invoice_account_number = $invoice_fields.find('#account_number');
            var $invoice_sort_code = $invoice_fields.find('#sort_code');
            var $invoice_IBAN = $invoice_fields.find('#iban');
            var $invoice_SWIFT = $invoice_fields.find('#swift');
            var $invoice_bank_name = $invoice_fields.find('#bank_name');
            var $invoice_bank_details = $invoice_fields.find('#bank_details');

            $invoice_name.val('');
            $invoice_from_details.val('');
            $invoice_account_name.val('');
            $invoice_account_number.val('');
            $invoice_sort_code.val('');
            $invoice_IBAN.val('');
            $invoice_SWIFT.val('');
            $invoice_bank_name.val('');
            $invoice_bank_details.val('');

            var $invoice_save = $invoice_fields.find('.ticket_invoice_save').parent();
            var $invoice_update = $invoice_fields.find('#invoice_update').parent();
            $invoice_save.removeClass('hide');
            $invoice_update.addClass('hide');

            var $invoice_save_acc = $invoice_fields.find('.acc_invoice_save').parent();
            $invoice_save_acc.removeClass('hide');

            var $invoice_save_tran = $invoice_fields.find('.transfer_invoice_save').parent();
            $invoice_save_tran.removeClass('hide');

            $invoice_fields.find('#invoice_update').val('');

            var form = $(this).closest('form');
            form.find('.has-success').removeClass('has-success');
            form.find('.has-error').removeClass('has-error');
            form.find('[id$="-error"]').remove();
        });


        // Edit invoices
        $(document).on('click', '.invoice-edit', function(e) {
            e.preventDefault();

            var form = $(this).closest('form');
            form.find('.has-success').removeClass('has-success');
            form.find('.has-error').removeClass('has-error');
            form.find('[id$="-error"]').remove();

            $('.invoice-actions').hide();

            var $invoice_details = $(this).parent();
            var invoice_id = $invoice_details.data('id');
            var invoice_name = $invoice_details.data('name');
            var invoice_from_details = $invoice_details.data('invoice-from-details');
            var invoice_account_name = $invoice_details.data('account-name');
            var invoice_account_number = $invoice_details.data('account-number');
            var invoice_sort_code = $invoice_details.data('sort-code');
            var invoice_IBAN = $invoice_details.data('iban');
            var invoice_SWIFT = $invoice_details.data('swift');
            var invoice_bank_name = $invoice_details.data('bank-name');
            var invoice_bank_details = $invoice_details.data('bank-details');

            var $invoice_fields = $(this)
              .closest('.row')
              .next('.krik-invoice');

            var $invoice_id = $invoice_fields.find('input[name="invoice-id"]');
            var $invoice_name = $invoice_fields.find('#invoice_name');
            var $invoice_from_details = $invoice_fields.find('#invoice_from');
            var $invoice_account_name = $invoice_fields.find('#account_name');
            var $invoice_account_number = $invoice_fields.find('#account_number');
            var $invoice_sort_code = $invoice_fields.find('#sort_code');
            var $invoice_IBAN = $invoice_fields.find('#iban');
            var $invoice_SWIFT = $invoice_fields.find('#swift');
            var $invoice_bank_name = $invoice_fields.find('#bank_name');
            var $invoice_bank_details = $invoice_fields.find('#bank_details');

            $invoice_id.val(invoice_id);
            $invoice_name.val(invoice_name);
            $invoice_from_details.val(invoice_from_details);
            $invoice_account_name.val(invoice_account_name);
            $invoice_account_number.val(invoice_account_number);
            $invoice_sort_code.val(invoice_sort_code);
            $invoice_IBAN.val(invoice_IBAN);
            $invoice_SWIFT.val(invoice_SWIFT);
            $invoice_bank_name.val(invoice_bank_name);
            $invoice_bank_details.val(invoice_bank_details);

            var $invoice_save = $invoice_fields.find('.ticket_invoice_save').parent();
            var $invoice_update = $invoice_fields.find('#invoice_update').parent();
            $invoice_save.addClass('hide');
            $invoice_update.removeClass('hide');

            var $invoice_save_acc = $invoice_fields.find('.acc_invoice_save').parent();
            $invoice_save_acc.addClass('hide');

            var $invoice_save_tran = $invoice_fields.find('.transfer_invoice_save').parent();
            $invoice_save_tran.addClass('hide');

            var registration_count = $(this).parent()
              .next()
              .data('registration-count');

            $invoice_fields.find('input[name="registration-count"]')
              .val(registration_count);

            $(this).parents('.krik-invoice-body')
              .find('.new_invoice')
              .hide();

            $(this).closest('.row')
              .next('.krik-invoice')
              .slideDown();
        });

        // Update invoice
        $(document).on('click', '#invoice_update', function(e) {
          e.preventDefault();

          var $invoice_fields = $(this)
            .closest('.krik-invoice');

          var invoice_id = $invoice_fields.find('input[name="invoice-id"]').val();
          var invoice_name = $invoice_fields.find('#invoice_name').val();
          var invoice_from_details = $invoice_fields.find('#invoice_from').val();
          var invoice_account_name = $invoice_fields.find('#account_name').val();
          var invoice_account_number = $invoice_fields.find('#account_number').val();
          var invoice_sort_code = $invoice_fields.find('#sort_code').val();
          var invoice_IBAN = $invoice_fields.find('#iban').val();
          var invoice_SWIFT = $invoice_fields.find('#swift').val();
          var invoice_bank_name = $invoice_fields.find('#bank_name').val();
          var invoice_bank_details = $invoice_fields.find('#bank_details').val();

          var registration_count = $invoice_fields.find('input[name="registration-count"]').val();

          console.log(registration_count);

          var validation = [],
              form       = $(this).closest('form'),
              token      = $('[name="_token"]').first().val(),
              target     = $(this);

          validation[0] = form.find('input[name="invoice_name"]').valid();
          validation[1] = form.find('textarea[name="invoice_from"]').valid();
          validation[2] = form.find('input[name="account_name"]').valid();
          validation[3] = form.find('input[name="account_number"]').valid();
          validation[4] = form.find('input[name="sort_code"]').valid();
          validation[5] = form.find('input[name="iban"]').valid();
          validation[6] = form.find('input[name="swift"]').valid();
          validation[7] = form.find('input[name="bank_name"]').valid();
          validation[8] = form.find('textarea[name="bank_details"]').valid();

          if(validation.every(Boolean)){
              var name      = form.find('input[name="invoice_name"]').val(),
                  from      = form.find('textarea[name="invoice_from"]').val(),
                  account_name = form.find('input[name="account_name"]').val(),
                  number    = form.find('input[name="account_number"]').val(),
                  code      = form.find('input[name="sort_code"]').val(),
                  iban      = form.find('input[name="iban"]').val(),
                  swift     = form.find('input[name="swift"]').val(),
                  b_name    = form.find('input[name="bank_name"]').val(),
                  b_details = form.find('textarea[name="bank_details"]').val();

              $.ajax({
                  url: baseUrl + '/events/create/registration/saveInvoice',
                  type: 'POST',
                  data: {
                      _token: token,
                      invoice_id: invoice_id,
                      name: name,
                      from: from,
                      account_name: account_name,
                      number: number,
                      code: code,
                      iban: iban,
                      swift: swift,
                      b_name: b_name,
                      b_details: b_details
                  },
                  success: function(response) {

                      form.find('.krik-invoice')
                        .slideUp();

                      $('.krik-invoice-body form').each(function(){
                          var id = $(this).attr('id');
                          var input = '';
                          if(id == 'invoice_ticket') input = 'invoices_ticket';
                          else if(id == 'invoice_acc') input = 'invoices_acc';
                          else input = 'invoices_transfer';

                          var $invoices_tickets = $(this).find('.invoice-list input[name="invoices_ticket"], .invoice-list input[name="invoices_transfer"], .invoice-list input[name="invoices_acc"]');
                          $invoices_tickets.each(function() {
                            if($(this).val() === invoice_id) {
                              $(this).parent()
                                .after('<div class="rdio rdio-lilac circle"><input id="' + input +
                                  response[0] + '" name="' + input + '" type="radio" value="' + response[0] + '"><label for="'+ input + response[0] + '" style="padding-left: 13px">' + name + '</label><span class="invoice-actions" style="padding-left: 14px"><a href="#" data-id="' + response[0] + '" data-name="' + name + '" data-invoice-from-details="' + from + '" data-account-name="' + account_name + '" data-account-number="' + number + '" data-sort-code="' + code + '" data-iban="' + iban + '" data-swift="' + swift + '" data-bank-name="' + b_name + '" data-bank-details="' + b_details + '" style="padding-right: 8px"><i class="fa fa-edit invoice-edit"></i></a><a class="invoice-delete" href="#" data-id="' + response[0] + '" data-registration-count="' + registration_count + '"><i class="fa fa-trash-o"></i></a></span></div>');
                              $(this).parent().remove();
                            }
                          });

                      });

                      form[0].reset();
                      form.find('.has-success').removeClass('has-success has-error');
                      form.find('[id$="-error"]').remove();

                      $('.new_invoice').show();

                      $('.invoice-actions').show();

                      var $invoice_save = $invoice_fields.find('.ticket_invoice_save').parent();
                      $invoice_save.removeClass('hide');

                      var $invoice_save_acc = $invoice_fields.find('.acc_invoice_save').parent();
                      $invoice_save_acc.removeClass('hide');

                      var $invoice_save_tran = $invoice_fields.find('.transfer_invoice_save').parent();
                      $invoice_save_tran.removeClass('hide');

                      var $invoice_update = $invoice_fields.find('#invoice_update').parent();
                      $invoice_update.addClass('hide');

                      $('input[name="invoice-id"]').val('');

                  }
              });
          }

        });

        // Confirm delete invoice
        $(document).on('click', '.invoice-delete', function(e) {
          e.preventDefault();

          var id = $(this).data('id'),
              registration_count = $(this).data('registration-count');

          $('.delete-invoice-confirm')
            .text('Delete Invoice Option')
            .attr('data-invoice-id', id);

          if(registration_count > 0) {
            $('.krik-delete-invoice-nope').modal('show');
          } else {
            $('.krik-delete-invoice').modal('show');
          }
        });

        // Delete invoice
        $('.delete-invoice-confirm').click(function() {
          var type  = 'invoice',
              id    = $(this).attr('data-invoice-id'),
              token = $('[name="_token"]').first().val();

          $.ajax({
              url: baseUrl + '/events/create/registration/delete/' + type + '/' + id,
              type: 'DELETE',
              data: {
                  _token : token
              },
              success: function() {
                  $('.invoice-delete').each(function() {
                    var invoice_id = $(this).attr('data-id');

                    if(invoice_id === id) {
                      $(this).parent().parent().remove();
                    }
                  });

                  $('.krik-delete-invoice').modal('hide');
              }
          });
        });


        $('#registration input[name="ticket_type"]').click(function() {
            var value = $(this).val();
            if (value === 'payment') {
                $('.krik-vat-options')
                .stop(true,false)
                .slideDown();
            } else {
                $('.krik-vat-options')
                .stop(true,false)
                .slideUp();
            }
        });

        $('#registration #event_currency').select2({
            placeholder: "Select currency"
        });

        var today = new Date();
      	today = today.getDate() + "/" + (today.getMonth() + 1) + "/" + today.getFullYear() + ' ' + today.getHours() + ':' + today.getMinutes();

        if(event_edit === true) {
          $('input[name="room_date"]').daterangepicker({
              "autoApply": true,
              "locale": {
                  format: 'DD/MM/YYYY'
              }
          });

          $('input[name="social_event_time"]').daterangepicker({
            "singleDatePicker": true,
            "autoApply": true,
            "timePicker": true,
            "timePicker24Hour": true,
            "locale": {
                format: 'DD/MM/YYYY HH:mm'
            }
        });
        } else {
          $('input[name="room_date"]').daterangepicker({
              "autoApply": true,
              "minDate": today,
              "locale": {
                  format: 'DD/MM/YYYY'
              }
          });

          $('input[name="social_event_time"]').daterangepicker({
            "singleDatePicker": true,
            "autoApply": true,
            "minDate": today,
            "timePicker": true,
            "timePicker24Hour": true,
            "locale": {
                format: 'DD/MM/YYYY HH:mm'
            }
        });
        }

        if(registration_duration_start_ts !== null && new Date(registration_duration_start_ts) < new Date()) {
          $('input[name="registration_duration"]').daterangepicker({
              "autoApply": true,
              "timePicker": true,
              "timePicker24Hour": true,
              "locale": {
                  format: 'DD/MM/YYYY HH:mm'
              }
          });
        } else {
          $('input[name="registration_duration"]').daterangepicker({
              "autoApply": true,
              "timePicker": true,
              "minDate": today,
              "timePicker24Hour": true,
              "locale": {
                  format: 'DD/MM/YYYY HH:mm'
              }
          });
        }



        var old_formUrl = $('#main').attr('action');

        //submit main form
        $('#registration .krik-footer button')
            .click(function(e) {

            if ($(this).hasClass('draft')) {
                $('#main')
                    .attr({
                    action: baseUrl + '/events'
                });
            } else {
                $('#main')
                    .attr({
                    action: old_formUrl
                });
            }

			if($('#ticket table tr').length > 1){
				$('#main').submit();
				$('.ticket-val').removeClass('error');
			} else {
				$('.ticket-val').addClass('error');
			}

        });


    //save ticket
    $('.ticket_save')
    .click(function(e){
        e.preventDefault();
        var validation = [],
            type       = $('input[name="ticket_type"]:checked').val(),
            token      = $('input[name="_token"]').first().val(),
            hash       = $('input[name="hash"]').val(),
			$parents   = $(this).parents('form');

        validation[0] = $('#ticket_name').valid();
        validation[1] = $('#ticket_description').valid();
        validation[2] = $('#ticket_quantity').valid();
		validation[3] = $('#event_date').valid();

        if(type !== 'free'){
            validation[4] = $('#price_without_vat_ticket').valid();
            validation[5] = $('#vat_percent_ticket').valid();

            if(validation.every(Boolean)){
                var name        = $('input[name="ticket_name"]').val(),
                    description = $('#ticket_description').val(),
                    quantity    = $('input[name="ticket_quantity"]').val(),
                    price_wvat  = $('input[name="price_without_vat_ticket"]').val(),
                    vat_ticket  = $('input[name="vat_percent_ticket"]').val(),
                    event_date  = $('input[name="event_date"]').val();
            }
        }else{
            if(validation.every(Boolean)){
                var name        = $('input[name="ticket_name"]').val(),
                    description = $('#ticket_description').val(),
                    quantity    = $('input[name="ticket_quantity"]').val(),
                    price_wvat  = null,
                    vat_ticket  = null,
                    event_date  = $('input[name="event_date"]').val();
            }
        }

        if(validation.every(Boolean)){
            if($parents.find('[name="edit"]').length){
                var edit = 1,
                    id   = $parents.find('[name="id"]').val();
            }else{
                var edit = 0,
                    id   = null;
            }

            $.ajax({
                url: baseUrl + '/events/create/registration/saveTicket',
                type: 'POST',
                data: {
                    _token: token,
                    name: name,
                    description: description,
                    quantity: quantity,
                    price_wvat: price_wvat,
                    vat_ticket: vat_ticket,
                    accompany_persons: ($('input[name="accompany_persons"]').is(':checked') == true) ? 1 : 0,
                    has_promo_codes: ($('input[name="promo_code"]').is(':checked') == true) ? 1 : 0,
                    event_date: event_date,
                    type: type,
                    hash: hash,
                    edit: edit,
                    id: id
                },
                success: function(response) {
                    var main  = $('.ticket_save').parents('.krik-panel'),
                        table = main.find('.krik-body .row:first-child'),
                        form  = $('.ticket_save').closest('form');
					$('.ticket-val').removeClass('error');
					$parents.find('input[name="edit"], input[name="id"]').remove();

                    form[0]
                    .reset();

                    form
                    .find('[name="type"], [name="id"]')
                    .remove();

                    form
                    .find('.has-success, .has-error')
                    .removeClass('has-success has-error');

                    form
                    .find('[id$="-error"]')
                    .remove();

                    $('.krik-vat-options')
                    .slideDown();

                    main
                    .find('.krik-slide-body')
                    .slideUp();

                    main
                    .find('.button-row')
                    .slideDown(100);

                    if(!price_wvat)
                        price_wvat = '0.00';

                    if(!$.isArray(response)){
                        table
                        .show()
                        .find('tbody')
                        .append('<tr><td class="text-center">'+ (table.find('tbody tr').length + 1) +
                                '</td><td>' + name + '</td><td>' + description +
                                '</td><td>' + quantity + '</td><td>' + price_wvat +
                                '</td><td class="text-center"><a href="#" data-id="' + response + '"><i class="fa fa-edit"></i></a><a href="#" data-id="' + response + '"><i class="fa fa-trash-o"></i></a></td></tr>');
                    }else{
                        table
                        .find('a[data-id="' + response[1] + '"]')
                        .first()
                        .closest('tr')
                        .find('td:nth-child(2)')
                        .text(name)
                        .next('td')
                        .text(description)
                        .next('td')
                        .text(quantity)
                        .next('td')
                        .text(price_wvat);
                    }

                    $('#ticket_row-error')
                    .remove();
                }
            });
        }
    });

    //save accommodation
    $('.acc_save')
    .click(function(e){
        e.preventDefault();
        var validation   = [],
          token        = $('input[name="_token"]').first().val(),
          hash         = $('input[name="hash"]').val(),
    			$singlePrice = $('input[name="price_without_vat_acc_single"]'),
    			$doublePrice = $('input[name="price_without_vat_acc_double"]'),
    			isSingle     = $singlePrice.val().length,
    			isDouble     = $doublePrice.val().length,
    			$parents     = $(this).parents('form'),
    			edit         = $parents.find('[name="edit"]').length,
    			hotel_name   = $('input[name="hotel_name"]').val().trim(),
    			$roomType    = $('.room_type_val');

          validation[0] = $('input[name="hotel_name"]').valid();
          validation[1] = $('input[name="room_date"]').valid();
          validation[2] = $('input[name="number_of_rooms"]').valid();
          validation[3] = $('input[name="vat_percent_acc"]').valid();

		if(isSingle){
			validation.push($singlePrice.valid());
		}
		if(isDouble){
			validation.push($doublePrice.valid());
		}

		if(!isSingle && !isDouble){
			$roomType.addClass('error');
			validation.push(false);
		} else {
			$roomType.removeClass('error');
		}

		if(hotel_name !== '' && !edit){
			$('.table.accommodation tr').each(function(){
				var text = $(this).find('td:nth-child(2)').text().trim();

				if(text === hotel_name){
					validation.push(false);
					$('.hotel_unique').addClass('error').parents('.form-group').addClass('krik-hotel-error');
					return false;
				}else{
					$('.hotel_unique').removeClass('error').parents('.form-group').removeClass('krik-hotel-error');
				}
			});
		}

        if(validation.every(Boolean)){
			var data = {
				 _token: token,
				hash: hash,
				hotel_name: hotel_name,
				room_date: $('input[name="room_date"]').val(),
				numbr_rooms: $('input[name="number_of_rooms"]').val(),
				room_details: $('[name="room_details"]').val(),
				vat: $('input[name="vat_percent_acc"]').val(),
				edit: edit,
				id: edit ? $parents.find('[name="id"]').val() : null
			};

			if(isSingle){
				data.price_wvat_single = $singlePrice.val();
			}
			if(isDouble){
				data.price_wvat_double = $doublePrice.val();
			}

            $.ajax({
                url: baseUrl + '/events/create/registration/saveAccommodation',
                type: 'POST',
                data: data,
                success: function(response) {
                    var main  = $('.acc_save').parents('.krik-panel'),
                        table = main.find('.krik-body .row:first-child'),
                        form  = $('.acc_save').parents('form'),
						priceSingle = isSingle ? data.price_wvat_single : '/',
						priceDouble = isDouble ? data.price_wvat_double : '/';

					$parents.find('input[name="edit"], input[name="id"]').remove();

                    form[0]
                    .reset();

                    form
                    .find('[name="type"], [name="id"]')
                    .remove();

                    form
                    .find('.has-success')
                    .removeClass('has-success has-error');

                    form
                    .find('[id$="-error"]')
                    .remove();

                    main
                    .find('.krik-slide-body')
                    .slideUp();

                    main
                    .find('.button-row')
                    .slideDown(100);

                    if(!$.isArray(response)){
                        table
                        .show()
                        .find('tbody')
                        .append('<tr><td class="text-center">'+ (table.find('tbody tr').length + 1) +
                                '</td><td>' + data.hotel_name + '</td><td>' + priceSingle +
                                '</td><td>' + priceDouble + '</td><td class="text-center"><a href="#" data-id="' + response + '"><i class="fa fa-edit"></i></a><a href="#" data-id="' + response + '"><i class="fa fa-trash-o"></i></a></td></tr>');
                    }else{
                        table
                        .find('a[data-id="' + response[1] + '"]')
                        .first()
                        .closest('tr')
                        .find('td:nth-child(2)')
                        .text(data.hotel_name)
                        .next('td')
                        .text(priceSingle)
                        .next('td')
                        .text(priceDouble);
                    }
                }
            });
        }
    });

    //save transfer
    $('.transfer_save')
        .click(function(e){
        e.preventDefault();

        var validation = [],
            token      = $('input[name="_token"]').first().val(),
            hash       = $('input[name="hash"]').val(),
			$parents   = $(this).parents('form');

        validation[0] = $('input[name="transfer_from_airport"]').valid();
        validation[1] = $('input[name="transfer_to_venue"]').valid();
        validation[2] = $('input[name="transfer_from_venue"]').valid();
        validation[3] = $('input[name="transfer_to_airport"]').valid();
        validation[4] = $('input[name="price_without_vat_airport"]').valid();
        validation[5] = $('input[name="vat_percent_airport"]').valid();
        validation[6] = $('input[name="price_without_vat_venue"]').valid();
        validation[7] = $('input[name="vat_percent_venue"]').valid();

        if(validation.every(Boolean)){
            var tf_airport    = $('input[name="transfer_from_airport"]').val(),
                tt_venue      = $('input[name="transfer_to_venue"]').val(),
                tf_venue      = $('input[name="transfer_from_venue"]').val(),
                tt_airport    = $('input[name="transfer_to_airport"]').val(),
                price_wvat_ap = $('input[name="price_without_vat_airport"]').val(),
                vat_ap        = $('input[name="vat_percent_airport"]').val(),
                price_wvat_ve = $('input[name="price_without_vat_venue"]').val(),
                vat_ve        = $('input[name="vat_percent_airport"]').val();

            if($parents.find('[name="edit"]').length){
                var edit = 1,
                    id   = $parents.find('[name="id"]').val();
            }else{
                var edit = 0,
                    id   = null;
            }

            $.ajax({
                url: baseUrl + '/events/create/registration/saveTransfer',
                type: 'POST',
                data: {
                    _token: token,
                    hash: hash,
                    tf_airport: tf_airport,
                    tt_venue: tt_venue,
                    tf_venue: tf_venue,
                    tt_airport: tt_airport,
                    price_wvat_ap: price_wvat_ap,
                    vat_ap: vat_ap,
                    price_wvat_ve: price_wvat_ve,
                    vat_ve: vat_ve,
                    edit: edit,
                    id: id
                },
                success: function(response) {
                    var main  = $('.transfer_save').parents('.krik-panel'),
                        table = main.find('.krik-body .row:first-child'),
                        form  = $('.transfer_save').closest('form');

					$parents.find('input[name="edit"], input[name="id"]').remove();

                    form[0]
                    .reset();

                    form
                    .find('[name="type"], [name="id"]')
                    .remove();

                    $('form#transfer > .row')
                    .show();

                    form
                    .find('.has-success')
                    .removeClass('has-success has-error');

                    form
                    .find('[id$="-error"]')
                    .remove();

                    main
                    .find('.krik-slide-body')
                    .slideUp();

                    if(!price_wvat_ap)
                        price_wvat_ap = '0.00';

                    if(!price_wvat_ve)
                        price_wvat_ve = '0.00';

                    if($.isArray(response)){

                        table
                        .show()
                        .find('tbody')
                        .append('<tr><td class="text-center">'+ (table.find('tbody tr').length + 1) +
                                '</td><td>' + tf_airport + '</td><td>' + tt_venue +
                                '</td><td>' + price_wvat_ap + '</td><td class="text-center"><a href="#" data-id="' + response[0] + '"><i class="fa fa-edit"></i></a><a href="#" data-id="' + response[0] + '"><i class="fa fa-trash-o"></i></a></td></tr>')
                        .append('<tr><td class="text-center">'+ (table.find('tbody tr').length + 1) +
                                '</td><td>' + tf_venue + '</td><td>' + tf_airport +
                                '</td><td>' + price_wvat_ve + '</td><td class="text-center"><a href="#" data-id="' + response[1] + '"><i class="fa fa-edit"></i></a><a href="#" data-id="' + response[1] + '"><i class="fa fa-trash-o"></i></a></td></tr>');
                    }else{

                        if(tf_airport.length){
                            var from  = tf_airport,
                                to    = tt_venue,
                                price = price_wvat_ap;
                        }else{
                            var from  = tf_venue,
                                to    = tt_airport,
                                price = price_wvat_ve;
                        }

                        table
                        .find('a[data-id="' + response + '"]')
                        .first()
                        .closest('tr')
                        .find('td:nth-child(2)')
                        .text(from)
                        .next('td')
                        .text(to)
                        .next('td')
                        .text(price);

                    }

                }
            });
        }

    });

    // Save social events
    $('.social_events_save').click(function(e){
        e.preventDefault();

        var validation = [],
            token = $('input[name="_token"]').first().val(),
            hash = $('input[name="hash"]').val(),
            $parents = $(this).parents('form'),
            edit = $parents.find('[name="edit"]').length,
            social_event_name = $('input[name="social_event_name"]').val().trim(),
            social_event_time = $('input[name="social_event_time"]').val();

        validation[0] = $('input[name="social_event_name"]').valid();
        validation[1] = $('input[name="social_event_time"]').valid();

        if(validation.every(Boolean)) {
			var data = {
				 _token: token,
				hash: hash,
				social_event_name: social_event_name,
				social_event_time: social_event_time,
				edit: edit,
				id: edit ? $parents.find('[name="id"]').val() : null
			};

            $.ajax({
                url: baseUrl + '/events/create/registration/saveSocialEvent',
                type: 'POST',
                data: data,
                success: function(response) {
                    var main  = $('.social_events_save').parents('.krik-panel'),
                        table = main.find('.krik-body .row:first-child'),
                        form  = $('.social_events_save').parents('form');

					$parents.find('input[name="edit"], input[name="id"]').remove();
                    form[0].reset();
                    form.find('[name="type"], [name="id"]').remove();

                    form.find('.has-success').removeClass('has-success has-error');
                    form.find('[id$="-error"]').remove();

                    main.find('.krik-slide-body').slideUp();

                    main.find('.button-row').slideDown(100);

                    if(!$.isArray(response)) {
                        table.show().find('tbody')
                            .append('<tr><td class="text-center">'+ (table.find('tbody tr').length + 1) + '</td><td>' + data.social_event_name + '</td><td>' + data.social_event_time + '</td><td class="text-center"><a href="#" data-id="' + response + '"><i class="fa fa-edit"></i></a><a href="#" data-id="' + response + '"><i class="fa fa-trash-o"></i></a></td></tr>');
                    } else {
                        table.find('a[data-id="' + response[1] + '"]')
                        .first()
                        .closest('tr')
                        .find('td:nth-child(2)')
                        .text(data.social_event_name)
                        .next('td')
                        .text(data.social_event_time);
                    }
                }
            });
        }
    });

    //save invoice
    $('.ticket_invoice_save, .transfer_invoice_save, .acc_invoice_save')
        .click(function(e){
        e.preventDefault();

        var validation = [],
            form       = $(this).closest('form'),
            token      = $('[name="_token"]').first().val(),
            hash       = $('input[name="hash"]').val(),
            target     = $(this);

        validation[0] = form.find('input[name="invoice_name"]').valid();
        validation[1] = form.find('textarea[name="invoice_from"]').valid();
        validation[2] = form.find('input[name="account_name"]').valid();
        validation[3] = form.find('input[name="account_number"]').valid();
        validation[4] = form.find('input[name="sort_code"]').valid();
        validation[5] = form.find('input[name="iban"]').valid();
        validation[6] = form.find('input[name="swift"]').valid();
        validation[7] = form.find('input[name="bank_name"]').valid();
        validation[8] = form.find('textarea[name="bank_details"]').valid();

        if(validation.every(Boolean)){
            var name      = form.find('input[name="invoice_name"]').val(),
                from      = form.find('textarea[name="invoice_from"]').val(),
                account_name      = form.find('input[name="account_name"]').val(),
                number    = form.find('input[name="account_number"]').val(),
                code      = form.find('input[name="sort_code"]').val(),
                iban      = form.find('input[name="iban"]').val(),
                swift     = form.find('input[name="swift"]').val(),
                b_name    = form.find('input[name="bank_name"]').val(),
                b_details = form.find('textarea[name="bank_details"]').val();

            $.ajax({
                url: baseUrl + '/events/create/registration/saveInvoice',
                type: 'POST',
                data: {
                    _token: token,
                    hash: hash,
                    name: name,
                    from: from,
                    account_name: account_name,
                    number: number,
                    code: code,
                    iban: iban,
                    swift: swift,
                    b_name: b_name,
                    b_details: b_details
                },
                success: function(response) {

                    form
                    .find('.krik-invoice')
                    .slideUp();

                    $('.krik-invoice-body form').each(function(){
                        var id = $(this).attr('id');
                        var input = '';
                        if(id == 'invoice_ticket') input = 'invoices_ticket';
                        else if(id == 'invoice_acc') input = 'invoices_acc';
                        else input = 'invoices_transfer';

                        if($(this).find('.invoice-list .rdio').length === 0){
                            $(this)
                            .find('.invoice-list')
                            .prepend('<div class="rdio rdio-lilac circle"><input id="' + input +
                              response[0] + '" name="' + input + '" type="radio" value="' + response[0] + '"><label for="'+ input + response[0] + '" style="padding-left: 13px">' + name + '</label><span class="invoice-actions" style="padding-left: 14px"><a href="#" data-id="' + response[0] + '" data-name="' + name + '" data-invoice-from-details="' + from + '" data-account-name="' + account_name + '" data-account-number="' + number + '" data-sort-code="' + code + '" data-iban="' + iban + '" data-swift="' + swift + '" data-bank-name="' + b_name + '" data-bank-details="' + b_details + '" style="padding-right: 8px"><i class="fa fa-edit invoice-edit"></i></a><a class="invoice-delete" href="#" data-id="' + response[0] + '"><i class="fa fa-trash-o"></i></a></span></div>');
                        }else{
                            $(this)
                            .find('.invoice-list .rdio')
                            .last()
                            .after('<div class="rdio rdio-lilac circle"><input id="' + input +
                              response[0] + '" name="' + input + '" type="radio" value="' + response[0] + '"><label for="'+ input + response[0] + '" style="padding-left: 13px">' + name + '</label><span class="invoice-actions" style="padding-left: 14px"><a href="#" data-id="' + response[0] + '" data-name="' + name + '" data-invoice-from-details="' + from + '" data-account-name="' + account_name + '" data-account-number="' + number + '" data-sort-code="' + code + '" data-iban="' + iban + '" data-swift="' + swift + '" data-bank-name="' + b_name + '" data-bank-details="' + b_details + '" style="padding-right: 8px"><i class="fa fa-edit invoice-edit"></i></a><a class="invoice-delete" href="#" data-id="' + response[0] + '"><i class="fa fa-trash-o"></i></a></span></div>');
                        }

                    });


                    form[0]
                    .reset();

                    form
                    .find('.has-success')
                    .removeClass('has-success has-error');

                    form
                    .find('[id$="-error"]')
                    .remove();

                    form
                    .find('.invoice-list .rdio')
                    .last()
                    .find('input')
                    .prop('checked', true)
                    .trigger('change');

                    $('.new_invoice')
                    .slideDown(100);

                }
            });
        }
    });

    //pass invoice id to main form
    $('body')
    .on('change','[name="invoices_transfer"], [name="invoices_acc"], [name="invoices_ticket"]', function(){
        var name  = $(this).attr('name'),
            value = $(this).val();

        if(name == 'invoices_ticket'){
            $('[name="ticket_invoice"]')
            .val(value);
        }else if(name == 'invoices_acc'){
            $('[name="acc_invoice"]')
            .val(value);
        }else{
            $('[name="transfer_invoice"]')
            .val(value);
        }
    });

    $('body')
    .on('click', 'tbody td:last-child a', function(e){
        e.preventDefault();
        var table   = $(this).parents('table'),
            icon    = $(this).find('i'),
            id      = $(this).data('id'),
            parents = $(this).parents('.krik-panel'),
            registration_count = $(this).data('registration-count');

        if(table.hasClass('ticket')){
            if(icon.hasClass('fa-edit')){
                $.ajax({
                    url: baseUrl + '/events/create/registration/get/0/' + id,
                    type: 'GET',
                    dataType: 'json',
                    success: function(response) {

                        (response.accompany_persons == 1) ? $('input[name="accompany_persons"]').prop('checked', true) : $('input[name="accompany_persons"]').prop('checked', false);
                        
                        if(response.has_promo_codes == 1) {
                            $('input[name="promo_code"]')
                            .prop('checked', true);
                            $('.krik-promo-codes-button')
                            .show();
                            var promo_code_url = $('.krik-promo-codes-button').attr('data-link');
                            $('.krik-promo-codes-button').attr('href', promo_code_url + id);
                        } else {
                            $('input[name="promo_code"]')
                            .prop('checked', false);
                            $('.krik-promo-codes-button')
                            .hide();
                           // $('.krik-promo-codes-button').attr('href', '');
                        }
                        $('[name="ticket_name"]').val(response.name);
                        $('[name="ticket_description"]').val(response.description);
                        $('[name="ticket_quantity"]').val(response.quantity);

                        if(response.price_without_VAT === '0.00'){
                            $('[value="free"]')
                            .prop('checked', true);

                            $('.krik-vat-options')
                            .hide();

							$('[name="event_date"]')
                            .val(response.valid_from_ts + ' - ' + response.valid_until_ts);
                        }else{
                            $('[value="payment"]')
                            .prop('checked', true);

                            $('[name="price_without_vat_ticket"]')
                            .val(response.price_without_VAT);

                            $('[name="vat_percent_ticket"]')
                            .val(response.VAT);

                            $('[name="event_date"]')
                            .val(response.valid_from_ts + ' - ' + response.valid_until_ts);

                            $('.krik-vat-options')
                            .show();
                        }

                        parents
                        .find('form')
                        .prepend('<input type="hidden" name="edit" value="1"/>' +
                               '<input type="hidden" name="id" value="' + id + '"/>');

                        parents
                        .find('.krik-slide-button')
                        .trigger('click');
                    }
                });
            }else{
                $(this)
                .closest('tr')
                .addClass('markForDelete');

                $('.krik-delete button[type="submit"]')
                .text('Delete Ticket')
                .data('id', id)
                .data('type', 0);

                if(registration_count > 0) {
                  $('.krik-delete-nope').modal('show');
                } else {
                  $('.krik-delete').modal('show');
                }
            }
        }else if(table.hasClass('accommodation')){
            if(icon.hasClass('fa-edit')){
                $.ajax({
                    url: baseUrl + '/events/create/registration/get/1/' + id,
                    type: 'GET',
                    dataType: 'json',
                    success: function(response) {
                        $('[name="hotel_name"]')
                        .val(response.name);

						if(response.price_without_vat_single){
							$('[name="price_without_vat_acc_single"]')
                        	.val(response.price_without_vat_single);
						}

						if(response.price_without_vat_double){
							$('[name="price_without_vat_acc_double"]')
                        	.val(response.price_without_vat_double);
						}

						$('[name="vat_percent_acc"]')
						.val(response.vat);

                        $('[name="room_date"]')
                        .val(response.available_from + ' - ' + response.available_until);

                        $('[name="number_of_rooms"]')
                        .val(response.no_of_rooms);

                        $('[name="room_details"]')
                        .val(response.details);

                        parents
                        .find('form')
                        .prepend('<input type="hidden" name="edit" value="1"/>' +
                               '<input type="hidden" name="id" value="' + id + '"/>');

                        parents
                        .find('.krik-slide-button')
                        .trigger('click');
                    }
                });
            }else{
                $(this)
                .closest('tr')
                .addClass('markForDelete');

                $('.krik-delete button[type="submit"]')
                .text('Delete Accommodation')
                .data('id', id)
                .data('type', 1);

                if(registration_count > 0) {
                  $('.krik-delete-nope').modal('show');
                } else {
                  $('.krik-delete').modal('show');
                }
            }
        }else if(table.hasClass('transfer')){
            if(icon.hasClass('fa-edit')){
                $.ajax({
                    url: baseUrl + '/events/create/registration/get/2/' + id,
                    type: 'GET',
                    dataType: 'json',
                    success: function(response) {

                        if(response.description == 'Airport'){
                            $('[name="transfer_from_airport"]')
                            .val(response.from);

                            $('[name="transfer_to_venue"]')
                            .val(response.to);

                            $('[name="price_without_vat_airport"]')
                            .val(response.price_without_vat);

                            $('[name="vat_percent_airport"]')
                            .val(response.vat);

                            $('form#transfer > .row:nth-child(2), form#transfer > .row:nth-child(3)')
                            .show();

                            $('form#transfer > .row:nth-child(4), form#transfer > .row:nth-child(5)')
                            .hide();

                        }else{
                            $('[name="transfer_from_venue"]')
                            .val(response.from);

                            $('[name="transfer_to_airport"]')
                            .val(response.to);

                            $('[name="price_without_vat_venue"]')
                            .val(response.price_without_vat);

                            $('[name="vat_percent_venue"]')
                            .val(response.vat);

                            $('form#transfer > .row:nth-child(4), form#transfer > .row:nth-child(5)')
                            .show();

                            $('form#transfer > .row:nth-child(2), form#transfer > .row:nth-child(3)')
                            .hide();

                        }

                        parents
                        .find('form')
                        .prepend('<input type="hidden" name="edit" value="1"/>' +
                               '<input type="hidden" name="id" value="' + id + '"/>');

                        parents
                        .find('.krik-slide-button')
                        .trigger('click');
                    }
                });
            }else{
                $(this)
                .closest('tr')
                .addClass('markForDelete');

                $('.krik-delete button[type="submit"]')
                .text('Delete Transfer')
                .data('id', id)
                .data('type', 2);

                if(registration_count > 0) {
                  $('.krik-delete-nope').modal('show');
                } else {
                  $('.krik-delete').modal('show');
                }
            }
        } else if (table.hasClass('social-event')) {
            if (icon.hasClass('fa-edit')) {
                $.ajax({
                    url: baseUrl + '/events/create/registration/get/3/' + id,
                    type: 'GET',
                    dataType: 'json',
                    success: function(response) {
                        $('[name="social_event_name"]').val(response.name);
                        $('[name="social_event_time"]').val(response.time);

                        parents.find('form').prepend('<input type="hidden" name="edit" value="1"/>' + '<input type="hidden" name="id" value="' + id + '"/>');
                        parents.find('.krik-slide-button').trigger('click');
                    }
                });
            } else {
                $(this).closest('tr').addClass('markForDelete');

                $('.krik-delete button[type="submit"]')
                    .text('Delete Social Event')
                    .data('id', id)
                    .data('type', 3);

                if(registration_count > 0) {
                    $('.krik-delete-nope').modal('show');
                } else {
                    $('.krik-delete').modal('show');
                }
            }
        }
    });

    $('.krik-delete button[type="submit"]')
    .click(function(){
        var type  = $(this).data('type'),
            id    = $(this).data('id'),
            token = $('[name="_token"]').first().val();

        $.ajax({
            url: baseUrl + '/events/create/registration/delete/' + type + '/' + id,
            type: 'DELETE',
            data: {
                _token : token
            },
            success: function(response) {
                $('.krik-delete')
                .modal('hide');

                $('.markForDelete')
                .remove();

                if($('table.transfer tbody tr').length == 0){
                    $('.krik-transfer-table')
                    .parent('.krik-body')
                    .find('.button-row')
                    .slideDown(100);
                }
            }
        });
    });

    $('.krik-delete button[data-dismiss="modal"]')
    .click(function(){
        $('.markForDelete')
        .removeClass('markForDelete');
    });

    }
});
