(function ($) {

    //global variables
    var sending_mail,
        canceled = false,
        progress = 0,
        isSchedulingApplied = false,
        emailLogoUrl = null;

    jQuery(document).ready(function ($) {
        //funkcija za on off switch
        if ($('.krik-email-design').length > 0) {
            krik_switch_on_of();

            //Wysiwig editor
            krik_wysiwig();

            //Wysiwig editor
            krik_slide();

            scalePreview();

            //on custom image upload

            //check custom html
            customHtml()

            $("#header_photo, #header_photo_update").change(function () {
                readURL(this, '.banner img');
                setTimeout(function () {
                    $(window).trigger('resize');
                }, 100);
            });

            $(window).on('load', function () {
                if (typeof uploadLogoUrl !== 'undefined') {
                    emailLogoUrl = uploadLogoUrl;
                }
            });

            $('#upload_logo, #upload_logo_update').change(function () {
                readURL(this, '.logo img');
            });

            $('#header_text').on('keydown keyup', function () {
                var text = $(this).val();
                $('.ui-header .name')
                    .text(text);
            });

            function scalePreview() {
                $(window).on('load resize', function () {
                    if ($(window).innerWidth() > 991) {
                        var containerW = $('.ui-preview').width(),
                            tableW = $('.table-preview').width(),
                            windowH = ($(window).height() - 154),
                            tableH = $('.table-preview').height();

                        var divideW = containerW / tableW,
                            divideH = windowH / tableH;

                        if (divideW > 1) {
                            var css = {
                                left: ((containerW - tableW) / 2) + 10,
                                transform: 'scale(1)'
                            }
                        } else {
                            var css = {
                                left: '10px',
                                transform: 'scale(' + divideW + ')'
                            }
                        }
                        $('.table-preview').css(css);

                        if (divideH < 1 && divideH < divideW) {
                            css = {
                                transform: 'scale(' + divideH + ')'
                            }

                            $('.table-preview').css(css);

                            containerW = $('.ui-preview').width();
                            tableW = $('.table-preview')[0].getBoundingClientRect().width;

                            css = {
                                left: ((containerW - tableW) / 2) + 10
                            }

                            $('.table-preview').css(css);
                        }
                    } else {
                        $('.table-preview').removeAttr('style');
                    }
                });
            }


            //show
            $('[name="mailing_type"]').change(function () {
                if ($(this).val() == 'upload') {
                    $('.banner').show();
                    $('.logo, .name').hide();
                    $('.krik-upload-header')
                        .show();
                    $('.krik-choose-header')
                        .hide();
                    if ($('.ui-button').length) {
                        $('.ui-button button').removeAttr('style')
                            .css({
                                backgroundColor: '#8e8e8e',
                                color: '#fff'
                            });
                    }
                } else if ($(this).val() == 'choose') {
                    $('.banner').hide();
                    $('.logo, .name').show();
                    $('.krik-upload-header')
                        .hide();
                    $('.krik-choose-header')
                        .show();
                    if ($('.ui-button').length) {
                        $('.ui-button button').removeAttr('style')
                            .css({
                                backgroundColor: buttonStyle[0],
                                color: buttonStyle[1]
                            });
                    }
                } else {
                    $('.banner').hide();
                    $('.logo, .name').hide();
                    $('.krik-upload-header').hide();
                    $('.krik-choose-header').hide();

                    if ($('.ui-button').length) {
                        $('.ui-button button').removeAttr('style')
                            .css({
                                backgroundColor: '#8e8e8e',
                                color: '#fff'
                            });
                    }
                }
            });

            if (typeof backgroundColor !== 'undefined')
                var buttonStyle = [backgroundColor, titleColor];
            else
                var buttonStyle = ['', ''];

            //background colorpicker
            $('.input-group:nth-child(4)')
                .colorpicker({
                    format: 'hex'
                })
                .on('changeColor.colorpicker', function (event) {
                    var classes = '.ui-header > td > table, .ui-button button';
                    buttonStyle[0] = 'background-color: ' + event.color.toHex();
                    $(classes).css({
                        backgroundColor: event.color.toHex()
                    });
                });

            //titile color picker
            $('.input-group:nth-child(5)')
                .colorpicker({
                    format: 'hex'
                })
                .on('changeColor.colorpicker', function (event) {
                    var classes = '.name, .ui-button button';
                    buttonStyle[1] = 'color: ' + event.color.toHex() + ';';
                    $(classes).css({
                        color: event.color.toHex()
                    });
                });



            var logo = $('.logo img').attr('src');

            //logo change

            $('[name="logo"]').change(function () {
                var value = $(this).val();
                switch (value) {
                    case 'no_logo':
                        $('.ui-header .logo')
                            .hide();
                        break;
                    case 'event_logo':
                        $('.ui-header .logo')
                            .show().find('img')
                            .attr('src', preDefLogo);
                        break;
                    case 'upload_logo_cb':
                        if (emailLogoUrl !== null) {
                            $('.logo img')
                                .attr('src', emailLogoUrl);
                        }
                        break;
                }
            });

            //set checkbox logo on upload button click
            $('#upload_logo,#upload_logo_update').click(function () {
                $('#upload_logo_cb')
                    .prop('checked', true);
            });

            var old_value = null,
                styling = null;

            $('[name="call_to_action"]')
                .click(function () {
                    styling = $('.ui-button button').attr('style');

                    if (!styling && $('.logo').is(':visible')) {
                        styling = $('.ui-header > td > table').attr('style') + ' ' + $('.name').attr('style');
                    } else if ($('.banner').is(':visible')) {
                        styling = 'background-color: #8e8e8e; color: #fff;';
                    } else if (buttonStyle[0] !== '') {
                        styling = $('.ui-header > td > table').attr('style') + ' ' + $('.name').attr('style');
                    } else {
                        styling= 'background-color: #8e8e8e; color: #fff;';
                    }

                    if ($('[name=mailing_type]:checked').val() !== 'choose') {
                        styling = "background-color: #8e8e8e; color: #fff;";
                    }

                    styling = styling.replace('; display: none;', '');

                    if ($('[name="sidebar"]').bootstrapSwitch('state')) {
                        var position = '.ui-body td:last-child tr:first-child';
                    } else
                        var position = '.ui-footer';

                    var checked = $(this).prop('checked'),
                        value = $(this).val(),
                        html = '<tr class="ui-button"><td colspan="2">' +
                            '<button style="' + styling + '">' + value + '</button>' +
                            '</td></tr>';

                    $('.ui-button')
                        .remove();



                    if (checked && old_value != null && old_value == value) {
                        $(this).prop('checked', false);
                        old_value = null;
                    } else {
                        old_value = value;
                        $(position)
                            .before(html);
                    }

                    $(window).trigger('resize');
                });

            //sidebar switch
            $('[name="sidebar"]').on('switchChange.bootstrapSwitch', function (event, state) {
                $('.ui-body > td:last-child')
                    .toggle();


                if (state) {
                    $('.table-preview').css({
                        width: '720px'
                    });
                    $('.ui-body > td:last-child').css({
                        width: '220px'
                    });
                    $('.ui-body > td:first-child').css({
                        width: '500px'
                    });

                    $('.table-preview .ui-body img').each(function () {
                        if ($(this).width() > 480) {
                            $(this).attr('width', 480);
                            $(this).css('width', 480);
                        }
                    });
                } else {
                    $('.ui-body > td:first-child, .table-preview').css({
                        width: '600px'
                    });
                    $('.table-preview .ui-body img').each(function () {
                        var $imgNoStyles = $(this).removeAttr('width style');
                        if ($imgNoStyles.width() > 580) {
                            $(this).attr('width', 580);
                            $(this).css('width', 580);
                        }
                    });
                }

                if ($('.ui-button').length) {
                    var position = state ? '.ui-body td:last-child tr:first-child' : '.ui-footer'

                    if ($('[name=mailing_type]:checked').val() !== 'choose') {
                        styling = "background-color: #8e8e8e; color: #fff;";
                    } else {
                        var tempString = '';
                        if (!buttonStyle.every(String)) {
                            if (buttonStyle[0] === '') {
                                tempString = $('.banner').is(':visible') ?
                                    'background-color: #8e8e8e;' :
                                    $('.ui-header > td > table').attr('style')
                            } else {
                                tempString = buttonStyle[0] + ';';
                            }

                            if (buttonStyle[1] === '') {
                                tempString += $('.banner').is(':visible') ?
                                    'color: #fff;' :
                                    $('.name').attr('style')
                            } else {
                                tempString += buttonStyle[1];
                            }
                        }
                        if (buttonStyle.every(String)) {
                            if ($('.banner').is(':visible')) {
                                styling = "background-color: #8e8e8e; color: #fff;";
                            } else {
                                styling = buttonStyle.toString().replace(',', '; ');
                            }
                        } else
                            styling = tempString;
                    }

                    var value = $('.ui-button button').text(),
                        html  = '<tr class="ui-button"><td colspan="2">' +
                            '<button style="' + styling + '">' + value +
                            '</button></td></tr>';

                    $('.ui-button').remove();

                    $(position)
                        .before(html);
                }
            });

            //copy text to preview
            $('#unsubscribe_text, #copyright_statement')
                .on('keydown keyup', function () {
                    var text = $(this).val(),
                        name = $(this).attr('name');

                    if (name === 'unsubscribe_text') {
                        $('.ui-unsub a')
                            .text(text);
                    } else {
                        $('.ui-copy')
                            .text(text);
                    }
                    $(window).trigger('resize');
                });

            $('body').on('click', '.ui-preview button, .ui-preview a', function (e) {
                e.preventDefault();
            });

        }

        if ($('.krik-mailing-list').length > 0) {
            krik_switch_on_of();
        }

        if ($('.krik-quick-excel').length > 0) {
            $('input:file').change(
                function () {
                    if ($(this).val()) {
                        $('input:submit').removeClass('hidden');
                    }
                }
            );
            $('.krik-btn-new-leads-choose .close').click(function () {
                $('input:submit').addClass('hidden');
            });

        }

        if ($('.krik-mailing-list').length > 0) {
            var old_formUrl = $('#main').attr('action');
            var draft_url = $('#main').attr('data-draft');

            $('.draft')
                .click(function () {
                    $('#main')
                        .attr({
                            action: window.location.protocol + "//" + window.location.host + '/' + draft_url
                        });
                    $('form').submit();
                });

            $('.publish')
                .click(function () {
                    $('form')
                        .attr('action', old_formUrl);
                });
        }



        if ($('.krik-send').length > 0) {

            krik_add_more_input();
            krik_modal_schedule();
            krik_send_button();
            krik_cancel_button();
            BrowserClose();

            //send preview
            $('.toMe, .toOthers').click(function (e) {
                e.preventDefault();
                var subject_vali = $('#email_subject').valid(),
                    from_name_vali = $('#email_from_name').valid(),
                    from_email_vali = $('#email_from_email').valid(),
                    replay_to_vali = $('#email_replayto_email').valid();

                if (subject_vali && from_name_vali && from_email_vali && replay_to_vali) {
                    var subject = $('#email_subject').val(),
                        from_name = $('#email_from_name').val(),
                        from_email = $('#email_from_email').val(),
                        replay_to = $('#email_replayto_email').val(),
                        token = $('[name="_token"]').val(),
                        mail_list = [];

                    if ($(this).hasClass('toOthers')) {
                        var other_emails_valid = $('input[name="preview_to_other"]').valid();

                        if (other_emails_valid) {
                            $('input[name="preview_to_other"]').each(function () {
                                var mail = $(this).val();
                                mail_list.push(mail);
                            });

                            $.ajax({
                                url: window.location.href + "/preview",
                                method: "POST",
                                data: {
                                    _token: token,
                                    subject: subject,
                                    from_name: from_name,
                                    from_email: from_email,
                                    replay_to: replay_to,
                                    others: mail_list
                                },
                                success: function (response) {
                                    $('.krik-mail-panel-preview h5.panel-title')
                                        .after('<div stlye="display:none; height: 0;" class="msg-to-client">Preview to others successfully sent.</div>')
                                        .slideDown();

                                    setTimeout(function () {
                                        $('.msg-to-client')
                                            .slideUp(400, function () {
                                                $(this).remove();
                                            });
                                    }, 3350);
                                }
                            });
                        }
                    } else {
                        $.ajax({
                            url: window.location.href + "/preview",
                            method: "POST",
                            data: {
                                _token: token,
                                subject: subject,
                                from_name: from_name,
                                from_email: from_email,
                                replay_to: replay_to,
                                others: mail_list
                            },
                            success: function (response) {
                                $('.krik-mail-panel-preview h5.panel-title')
                                    .after('<div stlye="display:none; height: 0;" class="msg-to-client">Preview to You successfully sent.</div>')
                                    .slideDown();

                                setTimeout(function () {
                                    $('.msg-to-client')
                                        .slideUp(400, function () {
                                            $(this).remove();
                                        });
                                }, 3350);
                            }
                        });
                    }
                }
            });
        }
    });

    //preview logo
    function readURL(input, target) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function (e) {
                emailLogoUrl = e.target.result;
                $(target)
                    .attr('src', emailLogoUrl)
                    .removeAttr('style')
                    .removeClass('hide');
            };
            reader.readAsDataURL(input.files[0]);
            $(window).trigger('resize');
        }
    }

    //funkcija za on off switch
    function krik_switch_on_of() {
        $(".switch").bootstrapSwitch();
    }

    //Wysiwig editor
    function krik_wysiwig() {
        var summernote = $('#wysihtml5-textarea').summernote({
            airMode: false,
            focus: false,
            dialogsInBody: false,
            disableDragAndDrop: true,
            styleWithSpan: false,
            dialogsFade: false,
            placeholder: 'Mail text',
            fontNames: ['Arial', 'Arial Black', 'Comic Sans MS', 'Courier New',
                'Helvetica Neue', 'Helvetica', 'Impact', 'Lucida Grande',
                'Tahoma', 'Times New Roman', 'Verdana'],
            styleTags: ['p', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6'],
            toolbar: [
                ['style', ['style']],
                ['font-type', ['color', 'fontname', 'fontsize']],
                ['font-decoration', ['bold', 'italic', 'underline']],
                ['font-pos', ['strikethrough', 'superscript', 'subscript']],
                ['para', ['ul', 'ol', 'paragraph']],
                ['table', ['table']],
                ['height', ['height']],
                ['insert', ['hr', 'picture', 'link']],
                ['code', ['codeview']]
            ],
            insertTableMaxSize: {
                col: 10,
                row: 10
            },
            callbacks: {
                onPaste: function (e) {
                    var bufferText = ((e.originalEvent || e).clipboardData || window.clipboardData).getData('Text');
                    e.preventDefault();
                    setTimeout(function () {
                        document.execCommand('insertText', false, bufferText);
                    }, 10);
                },
                onImageUpload: function (files) {
                    var data = new FormData();
                    data.append('img', files[0]);
                    data.append('event_code', $('input[name="event_code"]').val());
                    $.ajax({
                        url: window.location.href + '/image-upload',
                        type: 'POST',
                        data: data,
                        cache: false,
                        contentType: false,
                        processData: false,
                        headers: {
                            'X-CSRF-TOKEN': $('input[name="_token"]').val(),
                        },
                        success: function (url) {
                            if (url != '#') {
                                var sidebar = $('.table-preview .ui-body td:last-child').is(':visible');
                                $('#wysihtml5-textarea').summernote('insertImage', url, function ($image) {
                                    var img_width = $image.width();
                                    if (img_width > 460 && sidebar) {
                                        img_width = 460;
                                    } else if (img_width > 560 && !sidebar) {
                                        img_width = 560;
                                    }
                                    $image.css('width', img_width);
                                    $image.attr('width', img_width);
                                });
                            }
                        }
                    });
                },
                onChange: function (contents, $editable) {
                    $('.ui-body > td:first-child').html(contents);
                    $('#wysihtml5-textarea').val(contents);
                },
                onInit: function () {
                    setTimeout(function () {
                        $('[data-backcolor="#FFFF00"]').removeAttr('data-backcolor');
                    }, 0);
                }
            },
        });

        var observer;
        $(window).on('load resize', function () {
            //watcher
            if ($(window).innerWidth() > 991) {
                if (typeof observer === 'undefined') {
                    // select the target node
                    var target = $('.ui-body > td:first-child')[0];

                    // create an observer instance
                    observer = new MutationObserver(function (mutations) {
                        mutations.forEach(function (mutation) {
                            $(window).trigger('resize');
                        });
                    });
                    // configuration of the observer:
                    var config = { attributes: true, childList: true, characterData: true };
                    // pass in the target node, as well as the observer options
                    observer.observe(target, config);
                }
            } else {
                // later, you can stop observing
                if (typeof observer !== 'undefined')
                    observer.disconnect();
            }
        });

    }

    //move email preview if desktop resolution
    $(window).on('load resize', function () {
        var $win = $(window);
        if ($win.innerWidth() >= 992) {
            $(window).on('scroll', function () {
                var pageHeight = $('body').height(),
                    contentHeight = $('.krik-email-design').height(),
                    diff = pageHeight - contentHeight - 40;

                if ($win.scrollTop() >= diff) {
                    $('.ui-preview > .table-preview').css({
                        top: $win.scrollTop() - ((diff + 40) - 80)
                    });
                } else
                    $('.ui-preview > .table-preview').css({
                        top: '39px'
                    });
            });
        } else
            $win.off('scroll');
    });


    function krik_slide() {
        var old_unsub = '',
            old_copy = '';

        $(window).on('load', function () {
            old_unsub = $('#unsubscribe_text').val();
            old_copy = $('#copyright_statement').val();
        });

        $("[type='checkbox']").click(function () {
            var value = $(this).val(),
                check = $(this).is(':checked');
            if (value === 'unsubscribe') {
                if (check) {
                    $('.ui-unsub').find('a')
                        .text(old_unsub).closest('tr')
                        .show();

                    $('.krik-unsubscribe')
                        .show();
                } else {
                    $('.ui-unsub').parent('tr')
                        .hide();

                    $('.krik-unsubscribe')
                        .hide();
                }
            } else {
                if (check) {
                    $('.ui-copy').text(old_copy)
                        .parent('tr').show();

                    $('.krik-statement')
                        .show();
                } else {
                    $('.ui-copy').parent('tr')
                        .hide();

                    $('.krik-statement')
                        .hide();
                }
            }

            if ($("#unsub:checked, #copyright:checked").length > 0)
                $('.ui-footer').show();
            else
                $('.ui-footer').hide();

            $(window).trigger('resize');
        });
    }



    if ($('.krik-mailing-list').length > 0) {
        $('#upload_excel').fileinput();
        //invite all
        $('#check_all_contacts_from_this_event').on('switchChange.bootstrapSwitch', function (event, state) {
            if (state) {
                $('[name="inviteType"]')
                    .val('inviteAll');

                $('[name="action"]')
                    .val('invite');
            } else {
                $('[name="inviteType"]')
                    .val('inviteAll');

                $('[name="action"]')
                    .val('uninvite');
            }

            $('[name="number_of_contacts"]').val(1);
            document.getElementById('leadsForm').submit();
        });

        //registrated
        $('#all_registrated_contacts').on('switchChange.bootstrapSwitch', function (event, state) {
            if (state) {
                $('[name="inviteType"]')
                    .val('registrated');

                $('[name="action"]')
                    .val('invite');
            } else {
                $('[name="inviteType"]')
                    .val('registrated');

                $('[name="action"]')
                    .val('uninvite');
            }

            $('[name="number_of_contacts"]').val(1);
            document.getElementById('leadsForm').submit();
        });

        //not registrated
        $('#all_not_registrated_contacts').on('switchChange.bootstrapSwitch', function (event, state) {
            if (state) {
                $('[name="inviteType"]')
                    .val('notRegistrated');

                $('[name="action"]')
                    .val('invite');
            } else {
                $('[name="inviteType"]')
                    .val('notRegistrated');

                $('[name="action"]')
                    .val('uninvite');
            }

            $('[name="number_of_contacts"]').val(1);
            document.getElementById('leadsForm').submit();
        });

        //attended
        $('#all_attended_contacts').on('switchChange.bootstrapSwitch', function (event, state) {
            if (state) {
                $('[name="inviteType"]')
                    .val('attended');

                $('[name="action"]')
                    .val('invite');
            } else {
                $('[name="inviteType"]')
                    .val('attended');

                $('[name="action"]')
                    .val('uninvite');
            }

            $('[name="number_of_contacts"]').val(1);
            document.getElementById('leadsForm').submit();
        });

        //not attended
        $('#all_not_attended_contacts').on('switchChange.bootstrapSwitch', function (event, state) {
            if (state) {
                $('[name="inviteType"]')
                    .val('notAttended');

                $('[name="action"]')
                    .val('invite');
            } else {
                $('[name="inviteType"]')
                    .val('notAttended');

                $('[name="action"]')
                    .val('uninvite');
            }

            $('[name="number_of_contacts"]').val(1);
            document.getElementById('leadsForm').submit();
        });

    }

    function krik_datatables() {


        // PREBAČENO U BLADE TEMPALTE mailing-list.blade
        //    $('#krik-table').DataTable({
        //    "dom": '<"top"f>rt<"krik-table-footer"ilp><"clear">',
        //    language: {
        //        search: "_INPUT_",
        //        searchPlaceholder: "Search",
        //        "info": "_START_ - _END_ of _TOTAL_ items",
        //        "lengthMenu": "_MENU_ Per Page",
        //    },
        //    scrollX: true,
        //    scrollCollapse: true,
        //    paging: true,
        //    // fixedColumns: {
        //    //     leftColumns: 1,
        //    //     rightColumns: 1
        //    // },
        //    columnDefs: [{
        //        targets: 0,
        //        orderable: false,
        //        searchable: false,
        //        render: function(data, type, full, meta) {
        //            return '<div class="ckbox ckbox-primary"><input type="checkbox"><label></label></div>';
        //        }
        //    }],
        //});

        //         var datatables_options = {
        //           "dom": '<"top"f>rt<"krik-table-footer"ilp><"clear">',
        //           language: {
        //               search: "_INPUT_",
        //               searchPlaceholder: "Search",
        //               "info": "_START_ - _END_ of _TOTAL_ items",
        //               "lengthMenu": "_MENU_ Per Page",
        //           },
        //           scrollX: true,
        //           scrollCollapse: true,
        //           paging: true,
        //           fixedColumns: {
        //               rightColumns: 1
        //           },
        //           columnDefs: [{
        //               targets: 0,
        //               orderable: false,
        //               searchable: false,
        //               render: function(data, type, full, meta) {
        //                   return '<div class="ckbox ckbox-primary"><input type="checkbox"><label></label></div>';
        //               }
        //           }],
        // };
        //
        // datatables_options["sScrollY"] = "450px";
        // datatables_options["sScrollX"] = "100%";
        // datatables_options["bScrollCollapse"] = true;
        //
        // // add this
        // datatables_options["sScrollXInner"] = '150%';
        // //
        //
        // var table = $('#krik-table').DataTable(datatables_options);
        // //new $.fn.dataTable.FixedColumns( table );





        //$("#checkbox-header").change(function() {
        //    $('input:checkbox').prop('checked', this.checked);
        //    $('tr').toggleClass("selected_row", this.checked);
        //});
        //
        //$('table tbody :checkbox').change(function(event) {
        //    $(this).closest('tr').toggleClass("selected_row", this.checked);
        //});
        //$('table tbody tr').click(function(event) {
        //    if (event.target.type !== 'checkbox') {
        //        $(':checkbox', this).trigger('click');
        //    }
        //    $("input[type='checkbox']").not('#checkbox-header').change(function(e) {
        //        if ($(this).is(":checked")) {
        //            $(this).closest('tr').addClass("selected_row");
        //        } else {
        //            $(this).closest('tr').removeClass("selected_row");
        //        }
        //    });
        //});
    }




    function krik_add_more_input() {
        var element = $('.krik-send-preview-group');
        $(document).on('click', '.krik-send-preview-input .input-group-addon.add', function () {
            $('<div class ="input-group krik-send-preview-input"><input class="form-control" placeholder="mail@example.com" name="preview_to_other" type="text" id="preview_to_other"><span class="input-group-addon remove"><i class="fa fa-minus"></i></span><span class="input-group-addon add"><i class="fa fa-plus"></i></span></div>').appendTo(element);
        });
        $(document).on('click', '.input-group-addon.remove', function () {
            $(this).parents('.krik-send-preview-input').remove();
        });
    }

    //add functions to js
    Date.prototype.addMinutes = function (minutes) {
        this.setMinutes(this.getMinutes() + minutes);
        return this.getMinutes();
    };

    Date.prototype.addDays = function (days) {
        this.setDate(this.getDate() + days);
        return this;
    };

    Date.prototype.addMonths = function (months) {
        var dt = this.getDate();
        this.setMonth(this.getMonth() + months);
        var currDt = this.getDate();
        if (dt !== currDt) {
            this.addDays(-currDt);
        }
        return this.getMonth();
    };

    function krik_modal_schedule() {
        var today = new Date(),
            maxMinutes = today.addMinutes(5);

        today = today.getDate() + "/" + today.addMonths(1) + "/" + today.getFullYear() + ' ' + today.getHours() + ':' + maxMinutes;

        $('.krik-schedule-button').daterangepicker({
            singleDatePicker: true,
            autoUpdateInput: false,
            autoApply: false,
            minDate: today,
            drops: "up",
            opens: "left",
            timePicker: true,
            timePicker24Hour: true,
            locale: {
                format: 'DD/MM/YYYY HH:mm',
                applyLabel: 'Set date',
                cancelLabel: 'Clear'
            }
        });

        $('.range_inputs .applyBtn').click(function (e) {
            isSchedulingApplied = true;
            $('.krik-send-button')
                .text('Set scheduling for ' + $('.input-mini').val());
            $('.send-draft').prop('disabled', true);
        });

        //clear input if not scheduled
        $('.krik-schedule-button').on('hide.daterangepicker', function (ev, picker) {
            setTimeout(function () {
                if (!isSchedulingApplied)
                    $('.input-mini').val('');
            }, 100);
        });

        //clear scheduled input
        $('.krik-schedule-button').on('cancel.daterangepicker', function (ev, picker) {
            $('.input-mini').val('');
            isSchedulingApplied = false;
            $('.krik-send-button')
                .text('Send E-mails');
            $('.send-draft').prop('disabled', false);
        });

        $('.daterangepicker .calendar').prepend($('<div class="date-heading">Schedule E-mail Sending</div>'));
    }


    function krik_send_button() {

        $('.krik-send-button').click(function (e) {
            e.preventDefault();
            var subject_vali = $('#email_subject').valid(),
                from_name_vali = $('#email_from_name').valid(),
                from_email_vali = $('#email_from_email').valid(),
                replay_to_vali = $('#email_replayto_email').valid();

            if (subject_vali && from_name_vali && from_email_vali && replay_to_vali) {
                if (isSchedulingApplied) {
                    var token = $('[name="_token"]').val(),
                        dateTime = $('.input-mini').val(),
                        subject = $('#email_subject').val(),
                        from_name = $('#email_from_name').val(),
                        from_email = $('#email_from_email').val(),
                        replay_to = $('#email_replayto_email').val();
                    $.ajax({
                        url: window.location.href,
                        method: "POST",
                        data: {
                            _token: token,
                            datetime: dateTime,
                            subject: subject,
                            from_name: from_name,
                            from_email: from_email,
                            replay_to: replay_to
                        },
                        success: function () {
                            var link = $('span:contains("View all mailings")').parent('a').attr('href');
                            window.location.replace(link);
                        }
                    });
                }
                else {
                    $('#email_subject, #email_from_name, #email_from_email, #email_replayto_email')
                        .prop('readonly', true);

                    $('.krik-table-panel')
                        .removeClass('hide')
                        .addClass('col-md-8');

                    $('.krik-mail-panel')
                        .removeClass('col-md-8')
                        .addClass('col-md-4');

                    $('.krik-visible')
                        .addClass('hide');

                    $('.krik-progress-panel')
                        .removeClass('hide');

                    $('.krik-email-to-send-text')
                        .addClass('hide');

                    $('.krik-full-row-footer')
                        .addClass('hide');

                    if (!$.fn.DataTable.isDataTable('#krik-table-send')) {
                        $('#krik-table-send').DataTable({
                            scrollY: '320px',
                            scrollCollapse: true,
                            paging: false,
                            searching: false,
                            showing: false,
                            info: false,
                            bSort: false,
                            fixedColumns: {
                                leftColumns: 1,
                                rightColumns: 1
                            },
                            columnDefs: [{
                                targets: 0,
                                orderable: false,
                                searchable: false,
                            }]
                        });
                    }
                    SendMail();
                }
            }
        });

        $('body').on('click', '.send-draft:not([disabled])', function (e) {
            e.preventDefault();
            var subject_vali = $('#email_subject').valid(),
                from_name_vali = $('#email_from_name').valid(),
                from_email_vali = $('#email_from_email').valid(),
                replay_to_vali = $('#email_replayto_email').valid();
            if (subject_vali && from_name_vali && from_email_vali && replay_to_vali) {
                var token = $('[name="_token"]').val(),
                    subject = $('#email_subject').val(),
                    from_name = $('#email_from_name').val(),
                    from_email = $('#email_from_email').val(),
                    replay_to = $('#email_replayto_email').val();
                $.ajax({
                    url: window.location.href,
                    method: "POST",
                    data: {
                        _token: token,
                        draft: true,
                        subject: subject,
                        from_name: from_name,
                        from_email: from_email,
                        replay_to: replay_to
                    },
                    success: function () {
                        var link = $('span:contains("View all mailings")').parent('a').attr('href');
                        window.location.replace(link);
                    }
                });
            }
        });
    }

    function krik_cancel_button() {
        var token = $('[name="_token"]').val();
        $('.cancel')
            .click(function (e) {
                e.preventDefault();
                canceled = true;

                $('#email_subject, #email_from_name, #email_from_email, #email_replayto_email')
                    .prop('readonly', false);

                $('.krik-table-panel')
                    .removeClass('col-md-8')
                    .addClass('hide');

                $('.krik-mail-panel')
                    .removeClass('col-md-4')
                    .addClass('col-md-8');

                $('.krik-visible')
                    .removeClass('hide');

                $('.krik-progress-panel')
                    .addClass('hide');

                $('.krik-email-to-send-text')
                    .removeClass('hide');

                $('.krik-full-row-footer')
                    .removeClass('hide');

                $.ajax({
                    url: window.location.href + '/' + 2,
                    method: "POST",
                    data: {
                        _token: token,
                    },
                    success: function () { }
                });
                clearTimeout(sending_mail);
            });

    }

    function SendMail() {
        var path = window.location.href + '/' +
            mailing_list[progress].mail + '/' +
            mailing_list[progress].code + '/' +
            mailing_list[progress].opt + '/' +
            mailing_list[progress].method,
            number_of_contacts = Object.keys(mailing_list).length;

        var subject = $('#email_subject').val(),
            from_name = $('#email_from_name').val(),
            from_email = $('#email_from_email').val(),
            replay_to = $('#email_replayto_email').val(),
            token = $('[name="_token"]').val(),
            server_limit = (3600 / mailLimit) * 1000,
            calc;
        var leftEmails = +$('#nmbrOfEmails').text();

        if (progress == 0 || canceled) {
            $.ajax({
                url: window.location.href + '/' + 1,
                method: "POST",
                data: {
                    _token: token,
                },
                success: function () { }
            });
            canceled = false;
        }

        $.ajax({
            url: path,
            method: "POST",
            data: {
                _token: token,
                subject: subject,
                from_name: from_name,
                from_email: from_email,
                replay_to: replay_to
            },
            success: function (response) {
                ++progress;
                calc = Math.round((progress / number_of_contacts) * 100) + '%';

                // emails left to send
                $('#nmbrOfEmails').text(--leftEmails);

                //text
                $('.krik-progress-panel span.pull-right')
                    .text(progress + '/' + number_of_contacts);

                //progress bar
                $('.progress-xxs .progress-bar')
                    .width(calc);

                var isMethodEmail;

                if (mailing_list[progress - 1].method !== null) {
                    isMethodEmail = mailing_list[progress - 1].method.indexOf('email') > -1 ? true : false;
                } else {
                    isMethodEmail = false;
                }

                if (mailing_list[progress - 1].opt && isMethodEmail) {
                    //table
                    $('#krik-table-send tbody tr:nth-child(' + progress + ') td:last-child span')
                        .removeClass('label-inverse')
                        .addClass('label-success')
                        .text('Sent');
                } else {
                    //table
                    $('#krik-table-send tbody tr:nth-child(' + progress + ') td:last-child span')
                        .removeClass('label-inverse')
                        .addClass('label-danger')
                        .text('Skipped');
                }

                if (progress < number_of_contacts) {
                    sending_mail = setTimeout(function () {
                        SendMail();
                    }, server_limit);
                } else {
                    $.ajax({
                        url: window.location.href + '/' + 0,
                        method: "POST",
                        data: {
                            _token: token,
                        },
                        success: function () {
                            var link = $('i.fa.fa-users').closest('a').attr('href');

                            $('.progress-xxs + .cancel')
                                .replaceWith('<a href="' + link + '" class="btn-block btn btn-lilac">View Report</a>');
                        }
                    });
                }
            }
        })
            .fail(function (data) {
                setTimeout(function () {
                    SendMail();
                }, server_limit);
            });
    }

    //set state to continue in background
    function BrowserClose() {
        var token = $('[name="_token"]').val();
        window.onbeforeunload = function () {
            $.ajax({
                url: window.location.href + '/' + 3,
                method: "POST",
                data: {
                    _token: token,
                },
                success: function () {
                }
            });
        }
    }

    function customHtml() {
      var $groupSelector = $('.group-selector')
      var $customHtml = $('.custom-html')
      var $title = $('.html-title-on')
      var titleText = $('.html-title-on').html().substring(1);
      var $prevBtn = $('.custom-html-preview')

      if ($('input[name="custom-html"]').bootstrapSwitch('state')){
        $groupSelector.addClass('group-hidden')
        $customHtml.removeClass('group-hidden')
        $prevBtn.removeClass('group-hidden')
        $title.text(3 + titleText)
      }
      else {
        $groupSelector.removeClass('group-hidden')
        $customHtml.addClass('group-hidden')
        $prevBtn.addClass('group-hidden')
        $title.text(4 + titleText)
      }
    }

    $('input[name="custom-html"]').on('switchChange.bootstrapSwitch', customHtml)

})(jQuery);
