$(function() {
  if($('.krik-registrations-chart-approved-applied').length > 0) {
    $('.krik-registrations-chart-approved-applied').easyPieChart({
      barColor: '#75466a',
      trackColor: '#cdcdcf',
      scaleColor: false,
      size: 70,
      lineWidth: 6,
      lineCap: 'butt'
    });
  }
  if($('.krik-registrations-chart-registered-expected').length > 0) {
    $('.krik-registrations-chart-registered-expected').easyPieChart({
      barColor: '#75466a',
      trackColor: '#cdcdcf',
      scaleColor: false,
      size: 70,
      lineWidth: 6,
      lineCap: 'butt'
    });
  }


  if($('#krik-map-address').length > 0) {
    var counterMap = 0;
    $('#krik-map-address-toggle').on('click', function() {
      if(counterMap === 0) {
        setTimeout(function(){
          var map = $("#krik-map-address")[0];

          google.maps.event.trigger(map, 'resize');

          $('#krik-map-address').gmap3('get').fit();
        }, 1);
        counterMap++;
      }
    });
  }


  if(window.location.href.indexOf("/events/") > -1) {
    $('.krik-nav-left li:first-child > a').addClass('krik-menu-active');
  }


  $(document).on("click", ".krik-invoices-submit", function (event) {
    event.preventDefault();
    $(this).parent().submit();
  });


  var $clickedElement;
  var token = $('input[name="_token"]').val();

  $(document).on("click", ".krik-delete-registration, .krik-generate-invoice", function () {
    $clickedElement = $(this);
  });

  $('.krik-registration-delete #krik-delete-submit').on('click', function(event) {
    var registration_id = $clickedElement.data('registration-id');

    $.ajaxSetup({
      headers: {
        'X-CSRF-TOKEN': token,
      }
    });

    $.ajax({
      url: window.location.href,
      type: 'DELETE',
      data: {
        type: 'registration',
        id: registration_id
      },
      success: function(data) {
        if ($('.krik-recent-registrants').length > 0) {
          location.reload();
        } else {
          table.row($clickedElement.parents('tr')).remove().draw(false);
        }

        $clickedElement = null;
        $('.krik-registration-delete').modal('toggle');
      }
    });
  });

  $(document).on("click", ".krik-delete-registration-accomodation", function () {
    $clickedElement = $(this);
  });

  $('.krik-registration-delete-accomodation #krik-delete-submit').on('click', function(event) {
    var registration_id = $clickedElement.data('registration-id');

    $.ajaxSetup({
      headers: {
        'X-CSRF-TOKEN': token,
      }
    });

    $.ajax({
      url: window.location.href,
      type: 'DELETE',
      data: {
        type: 'accomodation',
        id: registration_id
      },
      success: function(data) {
        if ($('.krik-recent-accommodation-reservations').length > 0) {
          location.reload();
        } else {
          table.row($clickedElement.parents('tr')).remove().draw(false);
        }

        $clickedElement = null;
        $('.krik-registration-delete-accomodation').modal('toggle');
      }
    });
  });

  $(document).on("click", ".krik-delete-registration-transfer", function () {
    $clickedElement = $(this);
  });

  $('.krik-registration-delete-transfer #krik-delete-submit').on('click', function(event) {
    var registration_id = $clickedElement.data('registration-id');
    var transfer_id = $clickedElement.data('transfer-id');

    $.ajaxSetup({
      headers: {
        'X-CSRF-TOKEN': token,
      }
    });

    $.ajax({
      url: window.location.href,
      type: 'DELETE',
      data: {
        type: 'transfer',
        id: registration_id,
        transfer_id: transfer_id
      },
      success: function(data) {
        if ($('.krik-recent-transfer-reservations').length > 0) {
          location.reload();
        } else {
          table.row($clickedElement.parents('tr')).remove().draw(false);
        }

        $clickedElement = null;
        $('.krik-registration-delete-transfer').modal('toggle');
      }
    });
  });

  $(document).on("click", ".krik-registration-confirm", function () {
    $clickedElement = $(this);
  });

  $(document).on("click", ".krik-registration-status-confirm #krik-change-submit", function () {
    var registration_id = $clickedElement.data('registration-id');

    $.ajaxSetup({
      headers: {
        'X-CSRF-TOKEN': token,
      }
    });

    $.ajax({
      url: window.location.href,
      type: 'PATCH',
      data: {
        type: 'registration',
        status: 'confirmed',
        id: registration_id
      },
      success: function(data) {
        if ($('.krik-recent-registrants').length > 0) {
          location.reload();
        } else {
          $clickedElement
          .siblings('span')
          .removeClass('krik-registration-waiting')
          .addClass('krik-registration-confirmed')
          .text('Confirmed');

          $clickedElement
            .remove();

          $clickedElement = null;
          $('.krik-registration-status-confirm').modal('toggle');
        }
      }
    });
  });

  $(document).on("click", ".krik-registration-cancel", function () {
    $clickedElement = $(this);
  });

  $(document).on("click", ".krik-registration-status-cancel #krik-change-submit", function () {
    var registration_id = $clickedElement.data('registration-id');

    $.ajaxSetup({
      headers: {
        'X-CSRF-TOKEN': token,
      }
    });

    $.ajax({
      url: window.location.href,
      type: 'PATCH',
      data: {
        type: 'registration',
        status: 'canceled',
        id: registration_id
      },
      success: function(data) {
        if ($('.krik-recent-registrants').length > 0) {
          location.reload();
        } else {
          $clickedElement
            .siblings('span')
            .removeClass('krik-registration-waiting')
            .removeClass('krik-registration-confirmed')
            .addClass('krik-registration-canceled')
            .text('Canceled');

          $clickedElement
            .siblings('.krik-registration-confirm')
            .remove();

          $clickedElement
            .remove();

          $clickedElement = null;
          $('.krik-registration-status-cancel').modal('toggle');
        }
      }
    });
  });

  $(document).on("click", ".krik-registration-accomodation-cancel", function () {
    $clickedElement = $(this);
  });


  $(document).on("click", ".krik-registration-accomodation-status-cancel #krik-change-submit", function () {
    var registration_id = $clickedElement.data('registration-id');

    $.ajaxSetup({
      headers: {
        'X-CSRF-TOKEN': token,
      }
    });

    $.ajax({
      url: window.location.href,
      type: 'PATCH',
      data: {
        type: 'accomodation',
        status: 'canceled',
        id: registration_id
      },
      success: function(data) {
        if ($('.krik-recent-accommodation-reservations').length > 0) {
          location.reload();
        } else {
          $clickedElement
          .siblings('span')
          .removeClass('krik-registration-waiting')
          .removeClass('krik-registration-confirmed')
          .addClass('krik-registration-canceled')
          .text('Canceled');

          $clickedElement
            .siblings('.krik-registration-confirm')
            .remove();

          $clickedElement
            .remove();

          $clickedElement = null;
          $('.krik-registration-accomodation-status-cancel').modal('toggle');
        }
      }
    });
  });

  $(document).on("click", ".krik-registration-accomodation-confirm", function () {
    $clickedElement = $(this);
  });

  $(document).on("click", ".krik-registration-accomodation-status-confirm #krik-change-submit", function () {
    var registration_id = $clickedElement.data('registration-id');

    $.ajaxSetup({
      headers: {
        'X-CSRF-TOKEN': token,
      }
    });

    $.ajax({
      url: window.location.href,
      type: 'PATCH',
      data: {
        type: 'accomodation',
        status: 'confirmed',
        id: registration_id
      },
      success: function(data) {
        if ($('.krik-recent-accommodation-reservations').length > 0) {
          location.reload();
        } else {
          $clickedElement
            .siblings('span')
            .removeClass('krik-registration-waiting')
            .addClass('krik-registration-confirmed')
            .text('Confirmed');

          $clickedElement
            .remove();

          $clickedElement = null;
          $('.krik-registration-accomodation-status-confirm').modal('toggle');
        }
      }
    });
  });

  $(document).on("click", ".krik-registration-transfer-cancel", function () {
    $clickedElement = $(this);
  });

  $(document).on("click", ".krik-registration-transfer-status-cancel #krik-change-submit", function () {
    var registration_id = $clickedElement.data('registration-id');

    $.ajaxSetup({
      headers: {
        'X-CSRF-TOKEN': token,
      }
    });

    $.ajax({
      url: window.location.href,
      type: 'PATCH',
      data: {
        type: 'transfer',
        status: 'canceled',
        id: registration_id
      },
      success: function(data) {
        if ($('.krik-recent-transfer-reservations').length > 0) {
          location.reload();
        } else {
          $clickedElement
          .siblings('span')
          .removeClass('krik-registration-waiting')
          .removeClass('krik-registration-confirmed')
          .addClass('krik-registration-canceled')
          .text('Canceled');

          $clickedElement
            .siblings('.krik-registration-confirm')
            .remove();

          $clickedElement
            .remove();

          $clickedElement = null;
          $('.krik-registration-transfer-status-cancel').modal('toggle');
        }
      }
    });
  });

  $(document).on("click", ".krik-registration-transfer-confirm", function () {
    $clickedElement = $(this);
  });

  $(document).on("click", ".krik-registration-transfer-status-confirm #krik-change-submit", function () {
    var registration_id = $clickedElement.data('registration-id');

    $.ajaxSetup({
      headers: {
        'X-CSRF-TOKEN': token,
      }
    });

    $.ajax({
      url: window.location.href,
      type: 'PATCH',
      data: {
        type: 'transfer',
        status: 'confirmed',
        id: registration_id
      },
      success: function(data) {
        if ($('.krik-recent-transfer-reservations').length > 0) {
          location.reload();
        } else {
          $clickedElement
          .siblings('span')
          .removeClass('krik-registration-waiting')
          .addClass('krik-registration-confirmed')
          .text('Confirmed');

          $clickedElement
            .remove();

          $clickedElement = null;
          $('.krik-registration-transfer-status-confirm').modal('toggle');
        }
      }
    });
  });

  $(document).on("click", ".krik-registration-attend", function () {
    $clickedElement = $(this);
  });

  $(document).on("click", ".krik-registration-status-attended #krik-change-submit", function () {
    var registration_id = $clickedElement.data('registration-id');

    $.ajaxSetup({
      headers: {
        'X-CSRF-TOKEN': token,
      }
    });

    $.ajax({
      url: window.location.href,
      type: 'PATCH',
      data: {
        type: 'attending',
        status: 'attended',
        id: registration_id
      },
      success: function(data) {
        $clickedElement
          .siblings('span')
          .removeClass('krik-registration-attended-not')
          .addClass('krik-registration-attended')
          .text('Attended');

        $clickedElement
          .addClass('hide');

        $clickedElement
          .siblings('.krik-registration-attend-not')
          .removeClass('hide');

        $clickedElement = null;
        $('.krik-registration-status-attended').modal('toggle');
      }
    });
  });

  $(document).on("click", ".krik-registration-attend-not", function () {
    $clickedElement = $(this);
  });

  $(document).on("click", ".krik-registration-status-attended-not #krik-change-submit", function () {
    var registration_id = $clickedElement.data('registration-id');

    $.ajaxSetup({
      headers: {
        'X-CSRF-TOKEN': token,
      }
    });

    $.ajax({
      url: window.location.href,
      type: 'PATCH',
      data: {
        type: 'attending',
        status: 'not-attended',
        id: registration_id
      },
      success: function(data) {
        $clickedElement
          .siblings('span')
          .removeClass('krik-registration-attended')
          .addClass('krik-registration-attended-not')
          .text('Not Attended');

        $clickedElement
          .addClass('hide');

        $clickedElement
          .siblings('.krik-registration-attend')
          .removeClass('hide');

        $clickedElement = null;
        $('.krik-registration-status-attended-not').modal('toggle');
      }
    });
  });

  $(document).on("click", ".krik-send-voucher #krik-voucher-submit", function () {
    var registration_id = $clickedElement.data('registration-id');

    $.ajaxSetup({
      headers: {
        'X-CSRF-TOKEN': token,
      }
    });

    $.ajax({
      url: window.location.href,
      type: 'PUT',
      data: {
        type: 'send-voucher',
        id: registration_id
      },
      success: function(data) {
        $clickedElement.addClass('hide');

        $clickedElement = null;
        $('.krik-send-voucher').modal('toggle');
      }
    });
  });

  $(document).on("click", ".krik-delete-session", function () {
    $clickedElement = $(this);
  });

  $('.krik-sessions-delete #krik-delete-submit').on('click', function(event) {
    var session_id = $clickedElement.data('session-id');

    $.ajaxSetup({
      headers: {
        'X-CSRF-TOKEN': token,
      }
    });

    $.ajax({
      url: window.location.href,
      type: 'DELETE',
      data: {
        id: session_id
      },
      success: function(data) {
        table.row($clickedElement.parents('tr')).remove().draw(false);

        $clickedElement = null;
        $('.krik-sessions-delete').modal('toggle');
      }
    });
  });

  if($('#krik-single-event').length > 0) {
    $('[data-info="tooltip"]').tooltip();
  }

  $('.krik-header-sidebar .navbar-minimize-mobile.left').on('click', function() {
    if(!$('.krik-header-sidebar .krik-navbar-toggle').hasClass('collapsed')) {
      $('.krik-header-sidebar .krik-navbar-toggle').click();
    }
  });

  $('.krik-header-sidebar .krik-navbar-toggle').on('click', function() {
    if(!$('.krik-header-sidebar .krik-navbar-toggle').hasClass('collapsed')) {
      $('body').removeClass('page-sidebar-left-show');
    }
  });


    //select whole row on checkbox
    $('body').on('click', '.krik-report-tables tbody tr .ckbox', function() {
      if($(this).find('input[type="checkbox"]').prop('checked')) {
        $(this).parent().parent().addClass('selected');
      } else {
        $(this).parent().parent().removeClass('selected');
      }
    });

    $('body').on('click', '.krik-report-tables tbody tr', function() {
      $(this).find('input[type="checkbox"]').prop('checked', !($(this).find('input[type="checkbox"]').is(':checked')));
      if($(this).find('input[type="checkbox"]').prop('checked')) {
        $(this).addClass('selected');
      } else {
        $(this).removeClass('selected');
      }
    });

    //Select-all
    $('body').on('click', '#choosen-all', function() {
      var tables = table.rows({ search: 'applied' }).nodes().to$().find('input[name="choosen-leads[]"]')

      if($(this).is(':checked')){
        tables.each(function() {
          $(this).prop('checked', true);
          $(this).parent().parent().parent().addClass('selected');
        });
      }
      else {
        tables.each(function() {
          $(this).prop('checked', false);
          $(this).parent().parent().parent().removeClass('selected');
        });
      }
    });

    //change status
    $('body').on('change', 'select[name="selected_option"]', function(){
      var $sendButton = $('.status-change-form').find('.btn-change')

      if($('select[name="selected_option"]').find(":selected").text() !== '') {
        $sendButton.addClass('btn-show')
      }
      else {
        $sendButton.removeClass('btn-show')
      }
    });

    $('body').on('click', '.btn-change', function (event) {
      var selected = table.$('input[name="choosen-leads[]"]').map(function() {
        if (this.checked) {
          return this.value;
        }
      }).get();

      if(selected.length === 0){
        event.preventDefault
        return false
      }

      table.$('input[name="choosen-leads[]"]').map(function() {
        if (this.checked) {
          $('.status-change-form').prepend('<input type="hidden" name="registration_checkbox[]" value="' + this.value + '">');
          $('.status-change-form').prepend('<input type="hidden" name="transfer_checkbox[]" value="' + $(this).data('transfer-id') + '">');
        }
      }).get();
    });

});
