$(function() {

  // To-Do
  if($('#krik-todo').length > 0) {

    // Add new task
    $("#krik-todo-add").submit(function(event) {
      event.preventDefault();
      var user_id = $(this).find('input[name="user_id"]').val();
      var event_id = $(this).find('input[name="event_id"]').val();
      var name = $(this).find('input[name="name"]').val();
      var token = $('#krik-todo input[name="_token"]').val();
      $.ajaxSetup({
        headers: {
          'X-CSRF-TOKEN': token,
        }
      });
      $.ajax({
        url: baseUrl + '/events/single/todo',
        type: 'POST',
        data: {
          user_id: user_id,
          event_id: event_id,
          name: name
        },
        dataType: 'json',
        success: function(data) {
          var name = data[0].name;
          var todo_id = data[0].id;
          var newElement = '<li class="krik-todo-task-item">' +
                              '<div class="ckbox ckbox-success">' +
                                '<input type="checkbox" value="' + todo_id + '" id="todo-' + todo_id + '">' +
                                '<label class="krik-todo-task" for="todo-' + todo_id + '" style="margin-left: 9px;">' + name + '</label>' +
                                '<div class="krik-todo-task-delete" data-todo-id="' + todo_id + '"><i class="fa fa-times"></i></div>' +
                              '</div>' +
                           '</li>';
          $('.todo-list').prepend(newElement);
        }
      });
      $(this).find('input[name="name"]').val('');
    });

    // To-do (un)check task
    $(document).on('change', '#krik-todo input:checkbox', function() {
      var todo_id = $(this).val();
      var token = $('#krik-todo input[name="_token"]').val();
      $.ajaxSetup({
        headers: {
          'X-CSRF-TOKEN': token,
        }
      });
      if($(this).is(":checked")) {
        $.ajax({
          url: baseUrl + '/events/single/todo',
          type: 'PUT',
          data: {
            todo_id: todo_id,
            checked_state: 'true'
          }
        });
      } else {
        $.ajax({
          url: baseUrl + '/events/single/todo',
          type: 'PUT',
          data: {
            todo_id: todo_id,
            checked_state: 'false'
          }
        });
      }
    });

    // To-do delete task
    $(document).on('click', '.krik-todo-task-delete', function(){
      var todo_id = $(this).data('todo-id');
      var token = $('#krik-todo input[name="_token"]').val();
      $.ajaxSetup({
        headers: {
          'X-CSRF-TOKEN': token,
        }
      });
      $.ajax({
        url: baseUrl + '/events/single/todo',
        type: 'PUT',
        data: {
          todo_id: todo_id,
          checked_state: 'none'
        },
        success: function(data) {
          var todo_selector = '#krik-todo input:checkbox[value=' + data + ']';
          $(todo_selector).parent().parent().remove();
        }
      });
    });

  }

});
