@extends('index')

@section('content')
	<div class="container krik-options" id="krik-options-categories">
        <div class="row">
			<div class="col-md-12">
				<h3 class="krik-title"></h3>
			</div>
		</div>

        <div class="row">
			<div class="col-md-12">
				<div class="panel panel-tab rounded">
					<div class="panel-heading">
						<p class="panel-title">
							Enable categories
						</p>
					</div>

                    <div class="panel-body">
                        {{ Form::open(array('class' => 'form-horizontal form-bordered')) }}

                            <div class="ckbox ckbox-lilac">
                                <input type="checkbox" name="lead_types" id="lead-types" value="1" @if($settings->lead_types) {{ 'checked' }} @endif>
                                <label for="lead-types">Show lead types on registration steps</label>
                            </div>

                            <div class="ckbox ckbox-lilac">
                                <input type="checkbox" name="lead_type_descriptions" id="lead-type-descriptions" value="1" @if($settings->lead_type_descriptions) {{ 'checked' }} @endif>
                                <label for="lead-type-descriptions">Show lead type descriptions on registration steps</label>
                            </div>

                            <br>

                            {{ Form::submit('Save', array('class' => 'btn btn-success')) }}
                        {{ Form::close() }}
                    </div>
                </div>
            </div>
        </div>

		<div class="row">
			<div class="col-md-12">
				<h3 class="krik-title">
					Edit categories
				</h3>
			</div>
		</div>

		<div class="row">
			<div class="col-md-4">
				<div class="panel panel-tab rounded">
					<div class="panel-heading">
						<p class="panel-title">
							Lead Types
						</p>
					</div>

					<div class="panel-body">
                        @if($lead_types)
                            @foreach($lead_types as $key => $lead_type)
                                <p class="krik-admin-option">
                                    <a href="#"
                                        class="krik-admin-item admin-lead-types"
                                        data-pk="{{ $lead_type->id }}"
                                        data-delete="admin-lead-types">{{ $lead_type->name }}</a>
                                </p>
                            @endforeach
                        @else
                            <p class="krik-admin-option">There are no lead types created yet</p>
                        @endif
					</div>
				</div>
			</div>
			
			<div class="col-md-4">
				<div class="panel panel-tab rounded">
					<div class="panel-heading">
						<p class="panel-title">
							Lead Type Desriptions
						</p>
					</div>

					<div class="panel-body">
                        @if($lead_type_descriptions)
                            @foreach($lead_type_descriptions as $key => $lead_type_description)
                                <p class="krik-admin-option">
                                    <a href="#"
                                        class="krik-admin-item admin-lead-type-descriptions"
                                        data-pk="{{ $lead_type_description->id }}"
                                        data-delete="admin-lead-type-descriptions">{{ $lead_type_description->name }}</a>
                                </p>
                            @endforeach
                        @else
                            <p class="krik-admin-option">There are no lead type desriptions created yet</p>
                        @endif
					</div>
				</div>
			</div>
		</div>
		
		<input type="hidden" name="_token" value="{{ csrf_token() }}">
		
		<div class="modal krik-category-delete-confirmation animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
			<div class="bs-example-modal krik-delete-modal">
				<div class="modal modal-danger">
					<div class="modal-dialog">
						<div class="modal-content">
							<div class="modal-header">
								<button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
								<h4 class="modal-title">Please confirm delete</h4>
							</div>
							<div class="modal-body">
								<p>This action can not be undone.</p>
							</div>
							<div class="modal-footer">
								<button type="submit" class="btn btn-danger" id="krik-change-submit">Delete</button>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
@endsection