@extends('index')

@section('content')
	<div class="container krik-options" id="krik-options-payments">
		<div class="row">
			<div class="col-md-12">
				<h3 class="krik-title">
					Edit Payment
				</h3>
			</div>
		</div>

        {{ Form::open(array('class' => 'form-horizontal form-bordered')) }}
            <div class="row">
                <div class="col-md-12">
                    <div class="panel panel-tab rounded">
                        <div class="panel-heading">
                            <p class="panel-title">Credit Cards</p>
                        </div>
                        <div class="panel-body">
                             <div class="ckbox ckbox-lilac">
                                <input type="checkbox" name="payment_american_express" id="payment-american-express" value="1" @if($settings->payment_american_express) {{ 'checked' }} @endif>
                                <label for="payment-american-express">American Express</label>
                            </div>
                            <div class="ckbox ckbox-lilac">
                                <input type="checkbox" name="payment_diners" id="payment-diners" value="1" @if($settings->payment_diners) {{ 'checked' }} @endif>
                                <label for="payment-diners">Diners</label>
                            </div>
                            <div class="ckbox ckbox-lilac">
                                <input type="checkbox" name="payment_visa" id="payment-visa" value="1" @if($settings->payment_visa) {{ 'checked' }} @endif>
                                <label for="payment-visa">Visa</label>
                            </div>
                            <div class="ckbox ckbox-lilac">
                                <input type="checkbox" name="payment_mastercard" id="payment-mastercard" value="1" @if($settings->payment_mastercard) {{ 'checked' }} @endif>
                                <label for="payment-mastercard">Mastercard</label>
                            </div>
                            <div class="ckbox ckbox-lilac">
                                <input type="checkbox" name="payment_maestro" id="payment-maestro" value="1" @if($settings->payment_maestro) {{ 'checked' }} @endif>
                                <label for="payment-maestro">Maestro</label>
                            </div>
                        </div>
                    </div>

                    <div class="panel panel-tab rounded">
                        <div class="panel-heading">
                            <p class="panel-title">About Us</p>
                        </div>
                        <div class="panel-body">
                           <div class="col-md-6">
                                <h5>English</h5>
                                {{ Form::textarea('payment_about_us', $settings->payment_about_us, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                            </div>
                            <div class="col-md-6">
                                <h5>Croatian</h5>
                                {{ Form::textarea('payment_about_us_hr', $settings->payment_about_us_hr, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                            </div>
                        </div>
                    </div>

                    <div class="panel panel-tab rounded">
                        <div class="panel-heading">
                            <p class="panel-title">Terms of Sale</p>
                        </div>
                        <div class="panel-body">
                            <div class="col-md-6">
                                <h5>English</h5>
                                {{ Form::textarea('payment_terms_of_sale', $settings->payment_terms_of_sale, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                            </div>
                            <div class="col-md-6">
                                <h5>Croatian</h5>
                                {{ Form::textarea('payment_terms_of_sale_hr', $settings->payment_terms_of_sale_hr, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                            </div>
                        </div>
                    </div>

                    <div class="panel panel-tab rounded">
                        <div class="panel-heading">
                            <p class="panel-title">Security</p>
                        </div>
                        <div class="panel-body">
                            <div class="col-md-6">
                                <h5>English</h5>
                                {{ Form::textarea('payment_security', $settings->payment_security, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                            </div>
                            <div class="col-md-6">
                                <h5>Croatian</h5>
                                {{ Form::textarea('payment_security_hr', $settings->payment_security_hr, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                            </div>
                        </div>
                    </div>

                    <div class="panel panel-tab rounded">
                        <div class="panel-heading">
                            <p class="panel-title">Privacy</p>
                        </div>
                        <div class="panel-body">
                            <div class="col-md-6">
                                <h5>English</h5>
                                {{ Form::textarea('payment_privacy', $settings->payment_privacy, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                            </div>
                            <div class="col-md-6">
                                <h5>Croatian</h5>
                                {{ Form::textarea('payment_privacy_hr', $settings->payment_privacy_hr, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                            </div>
                        </div>
                    </div>

                    <div class="panel panel-tab rounded">
                        <div class="panel-heading">
                            <p class="panel-title">Conversion</p>
                        </div>
                        <div class="panel-body">
                            <div class="col-md-6">
                                <h5>English</h5>
                                {{ Form::textarea('payment_conversion', $settings->payment_conversion, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                            </div>
                            <div class="col-md-6">
                                <h5>Croatian</h5>
                                {{ Form::textarea('payment_conversion_hr', $settings->payment_conversion_hr, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            {{ Form::submit('Save', array('class' => 'btn btn-success')) }}
        {{ Form::close() }}
	</div>
@endsection