@extends('index')

@section('content')
<div class="container-fluid" id="krik-general-information">
	<div class="row">
		<div class="col-md-12">
			<div class="row">
				<div class="col-md-8">
					<h3>New user</h3>
				</div>
			</div>

			<div class="panel panel-tab">
				<div class="panel-body">
					<div class="row">
						<div class="panel-body">
							{{ Form::model(null, array('class' => 'tab-content form-horizontal form-bordered krik-account-settings')) }}
                                <div class="row krik-name-panel">
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3">
                                                <div class="form-group">
                                                    {{ Form::label('name', 'Name', array('class' => 'control-label')) }}
                                                    {{ Form::text('name', null, array('class' => 'form-control')) }}
                                                </div>
                                                <div class="form-group">
                                                    {{ Form::label('email', 'E-mail', array('class' => 'control-label')) }}
                                                    {{ Form::text('email', null, array('class' => 'form-control')) }}
                                                </div>
                                                </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row krik-password-panel">
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3">
                                                <div class="form-group">
                                                    {{ Form::label('password', 'Password', array('class' => 'control-label')) }}
                                                    {{ Form::password('password', array('class' => 'form-control')) }}
                                                    {{ Form::label('password', 'Your password must be more than 6 characters long, should contain at-least 1 uppercase, 1 lowercase, 1 numeric and 1 special character.', array('class' => 'control-label')) }}
                                                </div>
                                                <div class="form-group">
                                                    {{ Form::label('password_confirmation', 'Confirm Password', array('class' => 'control-label')) }}
                                                    {{ Form::password('password_confirmation', array('class' => 'form-control')) }}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row krik-roles-panel">
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3">
                                                <div class="form-group">
                                                    {{ Form::label('role', 'Role', array('class' => 'control-label')) }}
                                                    {{ Form::select('role', array('1' => 'Admin', '2' => 'Reporter'), null, ['placeholder' => 'Select role', 'class' => 'form-control']) }}
                                                </div>
                                                <div class="form-group">
                                                    {{ Form::label('user_permissions[]', 'Permissions', array('class' => 'control-label')) }}
                                                    <select name="user_permissions[]" id="permission" class="form-control" multiple="multiple">
                                                        @foreach($permissions as $key => $permission)
                                                            <option value="{{ $permission->id }}">{{ $permission->event_name }}</option>
                                                        @endforeach
                                                    </select>
                                                    {{ Form::label('user_permissions[]', 'Users with Reporter role needs to have permissions to be able to see events.', array('class' => 'control-label')) }}
                                                    <script>
                                                        $(function() {
                                                            if ($('select[name="role"]').length > 0) {
                                                                $('select[name="role"]').select2({
                                                                    placeholder: "Select role"
                                                                });
                                                            }
                                                            if ($('select[name="user_permissions[]"]').length > 0) {
                                                                $('select[name="user_permissions[]"]').select2({
                                                                    tags: true,
                                                                    placeholder: "Select permission"
                                                                });
                                                            }
                                                        });
                                                    </script>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="krik-footer col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3">
                                        {{ Form::submit('Save', array('class' => 'btn btn-block btn-success')) }}
                                    </div>
                                </div>
							{{ Form::close() }}
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

{!! JsValidator::formRequest('App\Http\Requests\User\NewUser') !!}
@endsection
