@extends('index-auth')

@section('content')
<div id="sign-wrapper" class="krik-sign">
	<form class="sign-in form-horizontal rounded" method="POST">
		<div class="sign-header">
			<div class="krik-logo" style="background-image: url('{{ env('APP_URL') }}/assets/images/logo/logo.svg')"></div>
		</div>

		<div class="sign-body">
			<div class="form-group">
				<div class="input-group input-group-lg rounded no-overflow">
					<input type="email" class="form-control input-sm" placeholder="E-mail" name="email" value="{{ old('email') }}">
					<span class="input-group-addon"><i class="fa fa-user"></i></span>
				</div>
			</div>

			<div class="form-group">
				<div class="input-group input-group-lg rounded no-overflow">
					<input type="password" class="form-control input-sm" placeholder="Password" name="password" value="{{ old('password') }}">
					<span class="input-group-addon"><i class="fa fa-lock"></i></span>
				</div>
			</div>
			
			@if (count($errors) > 0)
				<div class="alert alert-danger">
					<ul class="krik-login-errors">
						@foreach ($errors->all() as $error)
							<li>{{ $error }}</li>
						@endforeach
					</ul>
				</div>
			@endif

			@if(env('NOCAPTCHA', false) == true)
				<div class="form-group">
					{!! Captcha::display('krikem') !!}
				</div>
			@endif
		</div>

		<div class="sign-footer">
			<div class="form-group">
				<div class="row">
					<div class="col-xs-6">
						<div class="ckbox ckbox-theme">
							<input type="checkbox" name="remember" id="rememberme">
							<label for="rememberme" class="rounded">Remember me</label>
						</div>
					</div>
				</div>
			</div>
			<div class="form-group">
				<button type="submit" class="btn btn-theme btn-lg btn-block no-margin rounded" id="login-btn">Sign In</button>
			</div>
		</div>
	
		{{ csrf_field() }}
	</form>

	<p class="text-muted text-center sign-link">Krikstudio</p>
</div>

@if(env('NOCAPTCHA', false) == true)
	{!! Captcha::script() !!}
@endif
@endsection
