@extends('index')

@section('content')
<div id="krik-events">
    <div class="row">
        <div class="col-md-12">
            <h3 class="krik-subtitle">Active Events</h3>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            @foreach($activeEvents as $key => $activeEvent)
            
            @role('reporter')
                @can((string)($activeEvent->id))
                @else
                    @continue
                @endcan
            @endrole
            
            <div class="panel panel-default">
                <div class="panel-body krik-panel">
                    <div class="row">

                        <div class="@role('admin') col-md-3 @else col-md-4 @endrole">
                          <div class="krik-event-intro-box-bg">
                            @if($activeEvent->is_draft == 0)
                            <a href="{{ getenv('APP_URL') . '/events/' . $activeEvent->event_code }}" class="krik-event-intro-box-link">
                            @elseif($activeEvent->is_draft == 1)
                            <a href="{{ getenv('APP_URL') . '/events/' . $activeEvent->event_code . '/create/look-and-feel' }}" class="krik-event-intro-box-link">
                            @endif
                              <div class="krik-event-intro-box" style="background-color: {{ $activeEvent->background_color }}; color: {{ $activeEvent->titles_color }}">
                                <h3 class="krik-event-title">{{ mb_strimwidth($activeEvent->name, 0, 48, '...') }}</h3>
                                <h4 class="krik-event-info">
                                  @if($activeEvent->type_by_venue == 'physical')
                                    {{ date("d.m.Y. H:i", strtotime($activeEvent->start_ts)) . ', ' . $activeEvent->venue_name }}
                                  @else
                                    {{ date("d.m.Y. H:i", strtotime($activeEvent->start_ts)) }}
                                  @endif
                                </h4>
                              </div>
                            </a>
                            <div class="krik-event-line" style="background-color: {{ $activeEvent->background_color }};">
                              <div class="klik-event-line-top" style="background-color: {{ $activeEvent->titles_color }};"></div>
                            </div>
                            <a class="krik-event-link" target="_blank" style="background-color: {{ $activeEvent->background_color }}; color: {{ $activeEvent->titles_color }}" href="{{ getenv('APP_URL') . '/registration/' . $activeEvent->event_code }}">
                              <span>Link to Registration</span>
                            </a>
                            @if($activeEvent->is_draft == 1)
                              <div class="ribbon-wrapper bottom-right krik-ribbon-bottom-right">
                                <div class="ribbon ribbon-shadow krik-ribbon">Draft</div>
                              </div>
                            @endif
                          </div>
                        </div>

                            <div class="@role('admin') col-md-3 @else col-md-4 @endrole">
                                <div class="krik-event-box">
                                    {{--<div id="krik-event-slider-{{ $key }}" class="carousel slide" data-ride="carousel" data-interval="false">--}}
                                    <div id="krik-event-slider-{{ $key }}" class="carousel slide" data-ride="carousel">
                                        <div class="carousel-inner">
                                            <div class="item active">
                                                <?php
                                                    $daysTillEventStart = floor((strtotime($activeEvent->start_ts) - time())/60/60/24);
                                                    $daysTillEventEnd = floor((strtotime($activeEvent->end_ts) - time())/60/60/24);
                                                ?>
                                                @if(strtotime($activeEvent->start_ts) > strtotime($now))
                                                    <i class="fa fa-calendar krik-event-slider-icon"></i>
                                                    @if($daysTillEventStart == 0)
                                                        <span class="krik-single-event-msg">
                                                            Event starts soon
                                                        </span>
                                                    @else
                                                        <span class="krik-number-days-until">{{ $daysTillEventStart }}</span>
                                                        <span class="krik-days-until">
                                                            <div>Days</div>
                                                            <div>Until Event</div>
                                                        </span>
                                                    @endif
                                                @else
                                                    <i class="fa fa-calendar krik-event-slider-icon"></i>
                                                    <span class="krik-single-event-msg">
                                                        Event is in progress
                                                    </span>
                                                @endif
                                            </div>
                                            <div class="item">
                                                <i class="fa fa-users krik-event-slider-icon"></i>
                                                <span class="krik-number-days-until">{{ $countRegisteredLeadsOnActiveEvents[$key] }}</span>
                                                <span class="krik-days-until">
                                                    <div>Registered</div>
                                                    <div>Atendees</div>
                                                </span>
                                            </div>
                                            <div class="item">
                                                @if($activeEvent->registration_end_ts)
                                                <?php $daysTillRegistrationEnds = floor((strtotime($activeEvent->registration_end_ts) - time())/60/60/24); ?>
                                                    @if(strtotime($activeEvent->registration_end_ts) >= strtotime($now))
                                                        @if($daysTillRegistrationEnds > 0)
                                                            <i class="fa fa-check-square-o krik-event-slider-icon"></i>
                                                            <span class="krik-number-days-until">
                                                                {{ $daysTillRegistrationEnds }}
                                                            </span>
                                                            <span class="krik-days-until">
                                                                <div>Days Until</div>
                                                                <div>Registration</div>
                                                                <div>Closure</div>
                                                            </span>
                                                        @else
                                                            <i class="fa fa-sign-in krik-event-slider-icon"></i>
                                                            <span class="krik-registration-closed">
                                                                Registration closes today
                                                            </span>
                                                        @endif
                                                    @else
                                                        <i class="fa fa-times-circle krik-event-slider-icon"></i>
                                                        <span class="krik-registration-closed">
                                                            Registration is closed
                                                        </span>
                                                    @endif
                                                @else
                                                    <i class="fa fa-times-circle krik-event-slider-icon"></i>
                                                    <span class="krik-registration-closed">
                                                        There is no registration
                                                    </span>
                                                @endif
                                            </div>
                                        </div>

                                        <ol class="carousel-indicators">
                                            <li data-target="#krik-event-slider-{{ $key }}" data-slide-to="0" class="active"></li>
                                            <li data-target="#krik-event-slider-{{ $key }}" data-slide-to="1" class=""></li>
                                            <li data-target="#krik-event-slider-{{ $key }}" data-slide-to="2" class=""></li>
                                        </ol>
                                    </div>
                                </div>
                            </div>
                            <div class="@role('admin') col-md-3 @else col-md-4 @endrole">
                                <div class="krik-event-box krik-event-box-line">
                                    <div class="krik-event-single-registrations">
                                      <div class="krik-registrations-visual">
                                        <div class="krik-registrations-chart-registered-expected" data-percent="{{ $registeredTicketsProgress[$key] }}"></div>
                                        <div class="krik-registrations-chart-numbers">{{ $countRegisteredLeadsOnActiveEvents[$key] }}/@if($countTiketsOnActiveEvents[$key] == null){{ '?' }}@else{{ $countTiketsOnActiveEvents[$key] }}@endif</div>
                                      </div>
                                      <div class="krik-registrations-description">
                                        <div class="krik-first-registrations">Registered</div>
                                        <div class="krik-second-registrations">Expected</div>
                                      </div>
                                    </div>
                                </div>
                            </div>
                            @role('admin')
                                <div class="col-lg-1 hidden-md"></div>
                                <div class="col-md-3 col-lg-2">
                                    <div class="krik-event-actions">
                                        @if($activeEvent->is_draft != 1)
                                        <a href="{{ getenv('APP_URL') . '/events/' . $activeEvent->event_code . '/mailings/email-design' }}" class="krik-event-intro-box-link">
                                        @endif
                                        <button type="button" class="btn btn-block krik-btn-green" @if($activeEvent->is_draft == 1) {{ 'disabled' }} @endif><i class="fa fa-envelope krik-btn-space"></i>Send E-mail</button>
                                        @if($activeEvent->is_draft != 1)
                                        </a>
                                        @endif
                                        {{ Form::open(array('url' => getenv('APP_URL') . '/events', 'method' => 'put')) }}
                                        <input type="hidden" name="id" value="{{ $activeEvent->id }}">
                                        <button type="submit" class="btn btn-block krik-btn-purple" @if($activeEvent->is_draft == 1 || strtotime($now) >= strtotime($activeEvent->registration_end_ts)) {{ 'disabled' }} @endif><i class="fa fa-ban krik-btn-space"></i>Close Registration</button>
                                        {{ Form::close() }}
                                        <button type="button" class="btn btn-default krik-btn-gray krik-event-delete" data-event-id="{{ $activeEvent->id }}" data-toggle="modal" data-target=".krik-delete-event">Delete</button>
                                        <a href="{{ getenv('APP_URL') . '/events/' . $activeEvent->event_code . '/create/look-and-feel' }}" class="krik-event-intro-box-link">
                                        <button type="button" class="btn btn-default krik-btn-gray">Edit</button>
                                        </a>
                                        @if($activeEvent->is_draft != 1)
                                        <a href="{{ getenv('APP_URL') . '/events/' . $activeEvent->event_code }}">
                                        @endif
                                        <button type="button" class="btn btn-default krik-btn-gray" @if($activeEvent->is_draft == 1) {{ 'disabled' }} @endif>Info</button>
                                        @if($activeEvent->is_draft != 1)
                                        </a>
                                        @endif
                                    </div>
                                </div>
                            @endrole
                        </div>
                    </div>
                </div>
                @endforeach
            </div>
        </div>

        @role('admin')
            <div class="row">
            <div class="col-md-3 krik-add-new-event">
                <a href="{{ getenv('APP_URL') }}/events/create/look-and-feel">
                <button type="button" class="btn krik-btn-new-event"><i class="fa fa-plus-square-o krik-btn-space"></i>Add New Event</button>
                </a>
            </div>
            </div>
        @endrole

        <hr class="krik-line">

        <div class="row">
            <div class="col-md-12">
                <h3 class="krik-subtitle">Past Events</h3>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                {{ Form::open(array('url' => getenv('APP_URL') . '/events', 'class' => 'form-inline')) }}
                <input type="text" class="form-control krik-events-search" <?php if($search == "") { echo 'placeholder="Search..."'; } ?> <?php if($search != "") { echo 'value="' . $search . '"'; } ?> name="search">

                <button type="submit" class="btn btn-default krik-btn-search" type="button">
                    <span class="glyphicon glyphicon-search"></span>
                </button>

                <div class="form-group krik-form-group">
                    <div class="ckbox ckbox-theme krik-events-search-filter">
                        @if(in_array('events.name', $selectedSearchOptionsArray))
                        <input id="name" name="name" value="name" type="checkbox" checked>
                        @else
                        <input id="name" name="name" value="name" type="checkbox">
                        @endif
                        <label for="name">Name</label>
                    </div>
                </div>
                <div class="form-group krik-form-group">
                    <div class="ckbox ckbox-theme krik-events-search-filter">
                        @if(in_array('events.venue_name', $selectedSearchOptionsArray))
                        <input id="location" name="location" value="location" type="checkbox" checked>
                        @else
                        <input id="location" name="location" value="location" type="checkbox">
                        @endif
                        <label for="location">Location</label>
                    </div>
                </div>
                <div class="form-group krik-form-group">
                    <div class="ckbox ckbox-theme krik-events-search-filter">
                        @if(in_array('description', $selectedSearchOptionsArray))
                        <input id="description" name="description" value="description" type="checkbox" checked>
                        @else
                        <input id="description" name="description" value="description" type="checkbox">
                        @endif
                        <label for="description">Description</label>
                    </div>
                </div>
                {{ Form::close() }}
            </div>
        </div>

        <div class="row">
            <div id="past-events">
                @foreach($pastEvents as $key => $pastEvent)

                @role('reporter')
                    @can((string)($pastEvent->id))
                    @else
                        @continue
                    @endcan
                @endrole

                <div class="col-md-4 col-lg-3 krik-event-past">
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <a href="{{ getenv('APP_URL') . '/events/' . $pastEvent->event_code }}">
                              <h3 class="krik-event-title krik-event-past-title">{{ mb_strimwidth($pastEvent->event_name, 0, 48, '...') }}</h3>
                            </a>
                            <div class="krik-event-info">
                                @if($pastEvent->type_by_venue == 'physical')
                                {{ date("d.m.Y. H:i", strtotime($pastEvent->start_ts)) . ', ' . $pastEvent->venue_name }}
                                @else
                                {{ date("d.m.Y. H:i", strtotime($pastEvent->start_ts)) }}
                                @endif
                            </div>
                            <h4 class="krik-event-numbers">Registered Attendees / Tickets <span class="pull-right">{{ $countRegisteredLeadsOnPastEvents[$key] }} / {{ $sumTicketsForPastEvents[$key] }}</span></h4>
                        </div>
                        <hr class="krik-line">
                        <div class="panel-body">
                            <h4 class="krik-event-numbers">Attendees <span class="pull-right">{{ $countAttendeesForPastEvents[$key] }}</span></h4>
                        </div>
                        <hr class="krik-line">
                        <div class="panel-body">
                            <p class="krik-event-description">{{ mb_strimwidth($pastEvent->description, 0, 160, '...') }}</p>
                        </div>
                        <hr class="krik-line">
                        <div class="panel-body">
                            <p class="krik-event-author-date">
                                Created by {{ $pastEvent->users_name }} at {{ date("d.m.Y.", strtotime($pastEvent->created_at)) }}
                            </p>
                            {{-- <div class="col-md-6 krik-no-space">
                                <div class="krik-event-auth">
                                    <span class="krik-event-auth-role">Admins</span>
                                    <span><div class="krik-event-auth-number">{{ $numberOfAdmins }}</div></span>
                                </div>
                            </div>
                            <div class="col-md-6 krik-no-space">
                                <div class="krik-event-auth">
                                    <span class="krik-event-auth-role">Reporters</span>
                                    <span><div class="krik-event-auth-number">{{ $numberOfReportes->get($key) }}</div></span>
                                </div>
                            </div> --}}
                        </div>
                        <hr class="krik-line">
                        <div class="panel-body">
                            <div class="krik-event-past-actions">
                                @if($pastEvent->is_draft == 1)
                                    <a href="{{ getenv('APP_URL') . '/events/' . $pastEvent->event_code . '/create/look-and-feel' }}">
                                        <button type="button" class="btn krik-btn-dashboard pull-right">Edit</button>
                                    </a>
                                @else
                                    <a href="{{ getenv('APP_URL') . '/events/' . $pastEvent->event_code }}">
                                        <button type="button" class="btn krik-btn-dashboard pull-right">Event Dashboard</button>
                                    </a>
                                @endif
                                @role('admin')
                                    <button type="button" class="btn btn-default krik-btn-gray pull-right krik-event-delete" data-event-id="{{ $pastEvent->id }}" data-toggle="modal" data-target=".krik-delete-event">Delete</button>
                                @endrole
                            </div>
                        </div>

						@if($pastEvent->is_draft == 1)
						  <div class="ribbon-wrapper top-right krik-ribbon-top-right">
							<div class="ribbon ribbon-shadow krik-ribbon">Draft</div>
						  </div>
						@endif
                    </div>
                </div>
                @endforeach
            </div>
        </div>

        <div class="modal krik-delete-event animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
            <div class="bs-example-modal krik-delete-modal">
                <div class="modal modal-danger">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
                                <h4 class="modal-title">Please confirm delete</h4>
                            </div>
                            <div class="modal-body">
                                <p>This action can not be undone.</p>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
                                {{ Form::open(array('url' => getenv('APP_URL') . '/events', 'method' => 'delete', 'class' => 'krik-modal-inline')) }}
                                <input type="hidden" name="id" value="">
                                <button type="submit" class="btn btn-danger" id="krik-delete-modal">Delete event</button>
                                {{ Form::close() }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @endsection
