<!DOCTYPE html>
<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <link href='https://fonts.googleapis.com/css?family=Open+Sans&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
  <style>
    html, body {
      font-family: 'Open Sans';
      font-weight: 400;
      margin: 0;
      padding: 0;
      width: 102mm;
      height: 67mm;
      position: relative;
    }
    .container {
      margin: 3mm;
    }
    .header {
      width: 96mm;
      height: 20mm;
      margin: 0;
      padding: 0;
    }
    .header-text {
      width: 96mm;
      height: 20mm;
      margin: 0;
      padding: 0;
      text-align: center;
    }
    .header-text p {
      font-family: 'Open Sans';
      font-weight: 400;
      font-size: 20px;
      margin: 0;
      padding: 20px 20px 0;
    }
    .fist-lastname {
      font-family: 'Open Sans';
      font-weight: 400;
      font-size: 18px;
      text-transform: uppercase;
      text-align: center;
      margin: 5px 0 0;
      padding: 0;
    }
    .no-barcode {
      margin: 35px 0 0;
    }
    .company {
      font-family: 'Open Sans';
      font-weight: 400;
      font-size: 10px;
      text-transform: uppercase;
      text-align: center;
      margin: 0;
      padding: 0;
    }
    .barcode {
      display: block;
      width: 40mm;
      margin: 0 auto;
      position: relative;
      top: 5px;
    }
    .barcode-number {
      font-family: 'Open Sans';
      font-weight: 400;
      line-height: 0.6;
      font-size: 10px;
      text-align: center;
      margin: 0;
      padding: 0;
      position: relative;
      top: 10px;
    }
    .no-company-fist-lastname {
      margin: 10px 0 0;
    }
    .no-barcode-fist-lastname {
      margin: 30px 0 0;
    }
    .no-company-no-barcode-fist-lastname {
      margin: 40px 0 0;
    }
    .crop-mark {
      position: absolute;
      background-color: #000;
    }
    .crop-mark.top-left-bottom {
      top: 6mm;
      left: 0;
      width: 4.5mm;
      height: 1px;
    }
    .crop-mark.top-left-right {
      top: 0;
      left: 6mm;
      width: 1px;
      height: 4.5mm;
    }
    .crop-mark.top-right-bottom {
      top: 6mm;
      right: 0;
      width: 4.5mm;
      height: 1px;
    }
    .crop-mark.top-right-left {
      top: 0;
      right: 6mm;
      width: 1px;
      height: 4.5mm;
    }
    .crop-mark.bottom-left-top {
      bottom: 6mm;
      left: 0;
      width: 4.5mm;
      height: 1px;
    }
    .crop-mark.bottom-left-right {
      bottom: 0;
      left: 6mm;
      width: 1px;
      height: 4.5mm;
    }
    .crop-mark.bottom-right-top {
      bottom: 6mm;
      right: 0;
      width: 4.5mm;
      height: 1px;
    }
    .crop-mark.bottom-right-left {
      bottom: 0;
      right: 6mm;
      width: 1px;
      height: 4.5mm;
    }
    .page-break {
      page-break-after: always;
    }
    .page-break:last-child {
      page-break-after: none;
    }
  </style>
</head>

<body>

  @foreach ($leads as $lead)
    <div class="crop-mark top-left-bottom"></div>
    <div class="crop-mark top-left-right"></div>
    <div class="crop-mark top-right-bottom"></div>
    <div class="crop-mark top-right-left"></div>
    <div class="container">
      @if($nametag_header == 'nametag-header-img')
      <img class="header" src="{{ $upload_header_img }}" />
      @elseif($nametag_header == 'nametag-header-colors')
      <div class="header-text" style="background-color: {{ $nametags_colors_header_bg }}; color: {{ $nametags_colors_header_text }}">
        <p>{{ $event_info->name }}</p>
      </div>
      @endif
      @if(in_array('name', $selectedDataForNametags))
      @php
        $nameClasses = 'fist-lastname';
        if(!in_array('company-name', $selectedDataForNametags)) {
          $nameClasses = 'fist-lastname no-company-fist-lastname';
        }
        if(!in_array('barcode', $selectedDataForNametags)) {
          $nameClasses = 'fist-lastname no-barcode-fist-lastname';
        }
        if(!in_array('company-name', $selectedDataForNametags) && !in_array('barcode', $selectedDataForNametags)) {
          $nameClasses = 'fist-lastname no-company-no-barcode-fist-lastname';
        }
      @endphp
      <h1 class="{{ $nameClasses }}">
        <?php
        $first_name = $lead->first_name;
        $last_name = $lead->last_name;

        if(strlen($first_name) + strlen($last_name) > 30) {
          $expression = '/(?<=\s|^)[a-z]/i';
          preg_match_all($expression, $first_name, $initials);
          $firstNameinitials = implode('. ', $initials[0]);
          $firstNameinitials = $firstNameinitials . '.';
          $firstNameinitials = strtoupper($firstNameinitials);
          echo $firstNameinitials . ' ' . $lead->last_name;
	  } else if(strlen($first_name) + strlen($last_name) > 0) {
		echo $lead->first_name . ' ' . $lead->last_name;
	  } else {
		echo '<br>';
		echo '&nbsp;';
	  }
        ?>
      </h1>
      @endif
      @if(in_array('company-name', $selectedDataForNametags))
      <h2 class="company">{{ $lead->company_name }}</h2>
      @endif
      @if(in_array('barcode', $selectedDataForNametags))
      <div class="barcode"><?php echo DNS1D::getBarcodeHTML($lead->barcode, "C128", 1.5, 40); ?></div>
      <h3 class="barcode-number">{{ $lead->barcode }}</h3>
      @endif
    </div>
    <div class="crop-mark bottom-left-top"></div>
    <div class="crop-mark bottom-left-right"></div>
    <div class="crop-mark bottom-right-top"></div>
    <div class="crop-mark bottom-right-left"></div>
    <div class="page-break"></div>
  @endforeach

</body>

</html>
