<!DOCTYPE html>
<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <link href='https://fonts.googleapis.com/css?family=Open+Sans&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
  <style>
    html, body {
      font-family: 'Open Sans';
      font-weight: 400;
      margin: 0;
      padding: 0;
      width: 107mm;
      height: 107mm;
      position: relative;
    }
    .container {
      margin: 3mm;
    }
    .header {
      width: 101mm;
      height: 33mm;
      margin: 0;
      padding: 0;
    }
    .header-text {
      width: 101mm;
      height: 33mm;
      margin: 0;
      padding: 0;
      text-align: center;
    }
    .header-text p {
      font-family: 'Open Sans';
      font-weight: 400;
      font-size: 20px;
      margin: 0;
      padding: 50px;
    }
    .fist-lastname {
      font-family: 'Open Sans';
      font-weight: 400;
      font-size: 22px;
      text-transform: uppercase;
      text-align: center;
      margin: 25px 0 0;
      padding: 0;
    }
    .company,
    .country {
      font-family: 'Open Sans';
      font-weight: 400;
      font-size: 14px;
      text-transform: uppercase;
      text-align: center;
      margin: 0;
      padding: 0;
      position: relative;
      top: 5px;
      color: #808080;
    }
    .columns {
      margin-top: 20px;
    }
    .column {
      width: 33.66666666666667mm;
    }
    .left {
      width: 25mm;
      height: 8.5mm;
      margin: 0 0 0 4.333333mm;
    }
    .right {
      width: 25mm;
      height: 8.5mm;
      margin: 0;
    }
    .barcode {
      width: 32mm;
      margin: 0 auto;
    }
    .barcode-number {
      font-family: 'Open Sans';
      font-weight: 400;
      font-size: 10px;
      text-align: center;
      margin: 0;
      padding: 0;
      color: #808080;
    }
    .no-company-fist-lastname {
      margin: 35px 0 0;
    }
    .no-country-fist-lastname {
      margin: 35px 0 0;
    }
    .no-barcode-fist-lastname {
      margin: 55px 0 0;
    }
    .no-company-no-country-fist-lastname {
      margin: 45px 0 0;
    }
    .no-company-no-barcode-fist-lastname {
      margin: 60px 0 0;
    }
    .no-country-no-barcode-fist-lastname {
      margin: 65px 0 0;
    }
    .no-company-no-country-no-barcode-fist-lastname {
      margin: 80px 0 0;
    }
    .footer {
      width: 101mm;
      height: 15mm;
      margin: 0;
      padding: 0;
      position: absolute;
      bottom: 3mm;
      left: 3mm;
    }
    .footer-text {
      width: 101mm;
      height: 15mm;
      margin: 0;
      padding: 0;
      position: absolute;
      bottom: -3mm;
      left: 3mm;
      text-align: center;
    }
    .footer-text p {
      font-family: 'Open Sans';
      font-weight: 400;
      font-size: 16px;
      margin: 0;
      padding: 10px;
    }
    .crop-mark {
      position: absolute;
      background-color: #000;
    }
    .crop-mark.top-left-bottom {
      top: 6mm;
      left: 0;
      width: 4.5mm;
      height: 1px;
    }
    .crop-mark.top-left-right {
      top: 0;
      left: 6mm;
      width: 1px;
      height: 4.5mm;
    }
    .crop-mark.top-right-bottom {
      top: 6mm;
      right: 0;
      width: 4.5mm;
      height: 1px;
    }
    .crop-mark.top-right-left {
      top: 0;
      right: 6mm;
      width: 1px;
      height: 4.5mm;
    }
    .crop-mark.bottom-left-top {
      bottom: 6mm;
      left: 0;
      width: 4.5mm;
      height: 1px;
    }
    .crop-mark.bottom-left-right {
      bottom: 0;
      left: 6mm;
      width: 1px;
      height: 4.5mm;
    }
    .crop-mark.bottom-right-top {
      bottom: 6mm;
      right: 0;
      width: 4.5mm;
      height: 1px;
    }
    .crop-mark.bottom-right-left {
      bottom: 0;
      right: 6mm;
      width: 1px;
      height: 4.5mm;
    }
    .page-break {
      page-break-after: always;
    }
    .page-break:last-child {
      page-break-after: none;
    }
  </style>
</head>

<body>

  @foreach ($leads as $lead)
    <div class="crop-mark top-left-bottom"></div>
    <div class="crop-mark top-left-right"></div>
    <div class="crop-mark top-right-bottom"></div>
    <div class="crop-mark top-right-left"></div>
    <div class="container">
      @if($nametag_header == 'nametag-header-img')
      <img class="header" src="{{ $upload_header_img }}" />
      @elseif($nametag_header == 'nametag-header-colors')
      <div class="header-text" style="background-color: {{ $nametags_colors_header_bg }}; color: {{ $nametags_colors_header_text }}">
        <p>{{ $event_info->name }}</p>
      </div>
      @endif
      @if(in_array('name', $selectedDataForNametags))
       @php
        $nameClasses = 'fist-lastname';
        if(!in_array('company-name', $selectedDataForNametags)) {
          $nameClasses = 'fist-lastname no-company-fist-lastname';
        }
        if(!in_array('country', $selectedDataForNametags)) {
          $nameClasses = 'fist-lastname no-country-fist-lastname';
        }
        if(!in_array('barcode', $selectedDataForNametags)) {
          $nameClasses = 'fist-lastname no-barcode-fist-lastname';
        }
        if(!in_array('company-name', $selectedDataForNametags) && !in_array('country', $selectedDataForNametags)) {
          $nameClasses = 'fist-lastname no-company-no-country-fist-lastname';
        }
        if(!in_array('company-name', $selectedDataForNametags) && !in_array('barcode', $selectedDataForNametags)) {
          $nameClasses = 'fist-lastname no-company-no-barcode-fist-lastname';
        }
        if(!in_array('country', $selectedDataForNametags) && !in_array('barcode', $selectedDataForNametags)) {
          $nameClasses = 'fist-lastname no-country-no-barcode-fist-lastname';
        }
        if(!in_array('company-name', $selectedDataForNametags) && !in_array('country', $selectedDataForNametags) && !in_array('barcode', $selectedDataForNametags)) {
          $nameClasses = 'fist-lastname no-company-no-country-no-barcode-fist-lastname';
        }
      @endphp
      <h1 class="{{ $nameClasses }}">
        <?php
        $first_name = $lead->first_name;
        $last_name = $lead->last_name;

        if(strlen($first_name) + strlen($last_name) > 30) {
          $expression = '/(?<=\s|^)[a-z]/i';
          preg_match_all($expression, $first_name, $initials);
          $firstNameinitials = implode('. ', $initials[0]);
          $firstNameinitials = $firstNameinitials . '.';
          $firstNameinitials = strtoupper($firstNameinitials);
          echo $firstNameinitials . ' ' . $lead->last_name;
	  } else if(strlen($first_name) + strlen($last_name) > 0) {
		echo $lead->first_name . ' ' . $lead->last_name;
	  } else {
		echo '<br>';
		echo '&nbsp;';
	  }
        ?>
      </h1>
      @endif
      @if(in_array('company-name', $selectedDataForNametags))
      <h2 class="company">{{ $lead->company_name }}</h2>
      @endif
      @if(in_array('country', $selectedDataForNametags))
      <h3 class="country">{{ $lead->country_name }}</h3>
      @endif
      @if(in_array('barcode', $selectedDataForNametags))
      <table class="columns">
        <tr>
          <td class="column">@if($upload_left_img != 'nope') <img class="left" src="{{ $upload_left_img }}" /> @else <div class="left"></div> @endif </td>
          <td class="column"><div class="barcode"><?php echo DNS1D::getBarcodeHTML($lead->barcode, "C128", 1.05, 30); ?></div></td>
          <td class="column">@if($upload_right_img != 'nope') <img class="right" src="{{ $upload_right_img }}" /> @else <div class="right"></div> @endif</td>
        </tr>
      </table>
      <h4 class="barcode-number">{{ $lead->barcode }}</h4>
      @endif
      @if($nametag_footer == 'nametag-footer-img')
      <img class="footer" src="{{ $upload_footer_img }}" />
      @elseif($nametag_footer == 'nametag-footer-colors')
      <div class="footer-text" style="background-color: {{ $nametags_colors_footer_bg }}; color: {{ $nametags_colors_footer_text }}">
        <p>{{ $nametag_footer_text }}</p>
      </div>
      @endif
    </div>
    <div class="crop-mark bottom-left-top"></div>
    <div class="crop-mark bottom-left-right"></div>
    <div class="crop-mark bottom-right-top"></div>
    <div class="crop-mark bottom-right-left"></div>
    <div class="page-break"></div>
  @endforeach

</body>

</html>
