@extends(isset($event_info) ? (is_null($event_info['is_draft']) ? 'index' : ($event_info['is_draft'] == 0 ? 'index-left-sidebar' : 'index')) : 'index')

@section('content')

@if(isset($event_info))
    @if($event_info['is_draft'] == 0)
        <div class="container-fluid">
    @endif
@endif

<div class="row" id="krik-event-info">
    <div class="col-md-12">
      <h3>@if(isset($event_info)) @if($event_info['name']) {{ $event_info['name'] }} @endif @else Create Event @endif</h3>
        <div id="progress-wizard">
            <div class="panel panel-tab rounded shadow">
                <div class="panel-heading no-padding krik-heading-nav">
                    <ul class="nav nav-tabs nav-pills nav-justified">
                        <li>
                            <a href="#">
                                <div class="pull-left krik-item-logo-tabs">
                                    <i class="fa fa-adjust"></i>
                                </div>
                                <div class="pull-left krik-item-logo-text">
                                    <span class="text-strong">Step 1</span>
                                    <span>Look &amp; Feel</span>
                                </div>
                            </a>
                        </li>
                        <li class="active">
                            <a href="#">
                                <div class="pull-left krik-item-logo-tabs">
                                    <i class="fa fa-file-text text-lilac"></i>
                                </div>
                                <div class="pull-left krik-item-logo-text">
                                    <span class="text-strong">Step 2</span>
                                    <span>Event Info</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="#">
                                <div class="pull-left krik-item-logo-tabs">
                                    <i class="fa fa-check-square-o"></i>
                                </div>
                                <div class="pull-left krik-item-logo-text">
                                    <span class="text-strong">Step 3</span>
                                    <span>Registration</span>
                                </div>
                            </a>
                        </li>
                    </ul>
                </div>
                <div class="panel-sub-heading">
                    <div class="inner-all">
                        <div class="progress active no-margin progress-xs">
                            <div class="progress-bar progress-bar-lilac" role="progressbar" aria-valuenow="45" aria-valuemin="0" aria-valuemax="100" style="width: 66.5%;"></div>
                        </div>
                    </div>
                </div>

                <div class="panel-body">
                    @if(!empty($event_code))
                        {{ Form::open(array('url' => getenv('APP_URL') . '/events/'. $event_code .'/create/registration' , 'class' => 'tab-content form-horizontal form-bordered krik-event-info', 'id' => 'main')) }}
                    @else
                        {{ Form::open(array('url' => getenv('APP_URL') . '/events/create/registration' , 'class' => 'tab-content form-horizontal form-bordered krik-event-info', 'id' => 'main')) }}
                    @endif
                    {{ Form::hidden('hash', $hash, array('id' => 'hash')) }}
                    <div class="row">
                      <div class="tab-pane active inner-all">
                          <div class="form-body col-md-12 krik-form-body">
                            <div class="row">
                              <div class="form-group col-md-8">
                                  <h4 class="panel-title">1. Name</h4>
                                  {{ Form::label('event_name', 'Event Name', array('class' => 'control-label')) }}
                                  @if(isset($event_info))
                                      {{ Form::text('event_name',$event_info['name'], array('class' => 'form-control')) }}
                                  @else
                                      {{ Form::text('event_name',null, array('class' => 'form-control')) }}
                                  @endif
                              </div>
                            </div>
                              <div class="row">
                                <div class="form-group col-md-8">
                                    <h4 class="panel-title">2. Dates</h4>
                                    {{ Form::label('Time zone of event',null, array('class' => 'control-label')) }}
                                    <select name="event_timezones" id="event_timezones" class="form-control input-sm mb-15">
                                        @foreach($timezones as $timezone)
                                        <option value="{{ $timezone->timezone }}"
                                            @if(isset($event_info))
                                                @if($timezone->timezone == $event_info['timezone'])
                                                    selected
                                                @endif
                                            @else
                                                @if($timezone->id == APP_TIME_ZONE)
                                                  selected
                                                @endif
                                            @endif
                                        >{{ $timezone->name }}</option>
                                        @endforeach
                                    </select>
                                    {{ Form::label('event_date','Event time', array('class' => 'control-label')) }}
                                    @if(isset($event_info))
                                        <script>var event_time_start_ts = '{{ $event_info['start_ts'] }}'</script>
                                        {{ Form::text('event_date',$event_info['start_ts'].' - '.$event_info['end_ts'], array('id'=>'date','class' => 'form-control input-sm','placeholder' => 'MM/DD/YYYY')) }}
                                    @else
                                        <script>var event_time_start_ts = null</script>
                                        {{ Form::text('event_date',null, array('id'=>'date','class' => 'form-control input-sm','placeholder' => 'MM/DD/YYYY')) }}
                                    @endif

                                </div>
                              </div>
                              <div class="row">
                                <div class="form-group col-md-8">
                                    <h4 class="panel-title">3. Description</h4>
                                    {{ Form::label('Description',null, array('class' => 'control-label')) }}
                                    @if(isset($event_info))
                                        {{ Form::textarea('event_description',$event_info['description'], array('class' => 'form-control','placeholder' => 'Here goes description of Your event', 'size'=>'30x5')) }}
                                    @else
                                        {{ Form::textarea('event_description',null, array('class' => 'form-control','placeholder' => 'Here goes description of Your event', 'size'=>'30x5')) }}
                                    @endif

                                </div>
                              </div>
                              <div class="row">
                                <div class="form-group krik-type-event col-md-8">
                                    <h4 class="panel-title">4. Type</h4>
                                    <div class="form-group col-md-6 col-sm-6">
                                      <div class="rdio rdio-lilac circle">
                                          @if(isset($event_info))
                                              @if($event_info['type'] == 'physical')
                                                  {{ Form::radio('event_type','physical',true,['id' => 'event_type_physical']) }}
                                              @else
                                                  {{ Form::radio('event_type','physical',false,['id' => 'event_type_physical']) }}
                                              @endif
                                          @else
                                              {{ Form::radio('event_type','physical',false,['id' => 'event_type_physical']) }}
                                          @endif
                                          {{ Form::label('event_type_physical','Event on a physical venue',null) }}
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-sm-6">
                                      <div class="rdio rdio-lilac circle">
                                          @if(isset($event_info))
                                              @if($event_info['type'] == 'online')
                                                  {{ Form::radio('event_type','online',true,['id' => 'event_type_online']) }}
                                              @else
                                                  {{ Form::radio('event_type','online',false,['id' => 'event_type_online']) }}
                                              @endif
                                          @else
                                              {{ Form::radio('event_type','online',false,['id' => 'event_type_online']) }}
                                          @endif
                                          {{ Form::label('event_type_online','Online event',null) }}
                                          <div class="text-muted">Webinar, Online Meeting, Online Training...</div>
                                      </div>
                                    </div>
                                </div>
                              </div>
                              <div class="row">
                                <div class="krik-type-event-details"  @if(isset($event_info)) @if($event_info['type'] != 'physical') style="display: none;" @endif @else style="display: none;" @endif>
                                  <div class="form-group col-md-8">
                                    {{ Form::label('Venue',null, array('class' => 'control-label')) }}
                                    @if(isset($event_info['v_name']))
                                        {{ Form::text('venue_name',$event_info['v_name'], array('class' => 'form-control')) }}
                                    @else
                                        {{ Form::text('venue_name',null, array('class' => 'form-control')) }}
                                    @endif
                                  </div>
                                  <div class="form-group col-md-8">
                                    {{ Form::label('Adress',null, array('class' => 'control-label')) }}
                                    @if(isset($event_info['v_address']))
                                        {{ Form::text('venue_adress',$event_info['v_address'], array('class' => 'form-control')) }}
                                    @else
                                        {{ Form::text('venue_adress',null, array('class' => 'form-control')) }}
                                    @endif
                                  </div>
                                  <div class="form-group col-md-8">
                                    {{ Form::label('City',null, array('class' => 'control-label')) }}
                                    @if(isset($event_info['v_city']))
                                        {{ Form::text('venue_city',$event_info['v_city'], array('class' => 'form-control')) }}
                                    @else
                                        {{ Form::text('venue_city',null, array('class' => 'form-control')) }}
                                    @endif
                                  </div>
                                  <div class="form-group col-md-8">
                                    {{ Form::label('Postal Code',null, array('class' => 'control-label')) }}
                                    @if(isset($event_info['v_code']))
                                        {{ Form::text('venue_postal_code', $event_info['v_code'], array('class' => 'form-control')) }}
                                    @else
                                        {{ Form::text('venue_postal_code',null, array('class' => 'form-control')) }}
                                    @endif
                                  </div>
                                  <div class="form-group col-md-8">
                                    {{ Form::label('Country',null, array('class' => 'control-label')) }}
                                    <select name="venue_countries" id="venue_countries" class="form-control">
                                        @foreach($countries as $country)
                                        <option value="{{ $country->country_code }}"
                                        @if(isset($event_info['v_country']))
                                            @if($country->country_code == $event_info['v_country'])
                                                selected
                                            @endif
                                        @endif
                                        >{{ $country->country_name }}</option>
                                        @endforeach
                                    </select>
                                  </div>

                                </div>
                              </div>
                              <div class="row">
                                <div class="form-group krik-access-event col-md-8">
                                    <h4 class="panel-title">5. Access</h4>
                                    <div class="form-group col-md-6 col-sm-6">
                                      <div class="rdio rdio-lilac circle">
                                          @if(isset($event_info))
                                              @if($event_info['access'] == 'public')
                                                  {{ Form::radio('access','public',true,['id' => 'access-public']) }}
                                              @else
                                                  {{ Form::radio('access','public',false,['id' => 'access-public']) }}
                                              @endif
                                          @else
                                              {{ Form::radio('access','public',false,['id' => 'access-public']) }}
                                          @endif
                                          {{ Form::label('access-public','Public Event',null) }}
                                          <div class="text-muted">Everyone with a link can register.</div>
                                      </div>
                                    </div>
                                    <div class="form-group col-md-6 col-sm-6">
                                      <div class="rdio rdio-lilac circle">
                                          @if(isset($event_info))
                                              @if($event_info['access'] == 'private')
                                                  {{ Form::radio('access','private',true,['id' => 'access-private']) }}
                                              @else
                                                  {{ Form::radio('access','private',false,['id' => 'access-private']) }}
                                              @endif
                                          @else
                                              {{ Form::radio('access','private',false,['id' => 'access-private']) }}
                                          @endif
                                          {{ Form::label('access-private','Private/Invite Only Event',null) }}
                                          <div class="text-muted">Only Person with direct invitation can register.</div>
                                      </div>
                                    </div>
                                </div>
                              </div>
                            <div class="row">
                                <div class="form-group krik-access-event col-md-8">
                                    <h4 class="panel-title">6. Language</h4>
                                    <div class="form-group col-md-6 col-sm-6">
                                        <div class="rdio rdio-lilac circle">
                                            @if(isset($event_info))
                                                @if($event_info['lang'] == 'en')
                                                    {{ Form::radio('lang','en',true,['id' => 'lang-en']) }}
                                                @else
                                                    {{ Form::radio('lang','en',false,['id' => 'lang-en']) }}
                                                @endif
                                            @else
                                                {{ Form::radio('lang','en',true,['id' => 'lang-en']) }}
                                            @endif
                                            {{ Form::label('lang-en','English',null) }}
                                        </div>
                                    </div>
                                    <div class="form-group col-md-6 col-sm-6">
                                        <div class="rdio rdio-lilac circle">
                                            @if(isset($event_info))
                                                @if($event_info['lang'] == 'hr')
                                                    {{ Form::radio('lang','hr',true,['id' => 'lang-hr']) }}
                                                @else
                                                    {{ Form::radio('lang','hr',false,['id' => 'lang-hr']) }}
                                                @endif
                                            @else
                                                {{ Form::radio('lang','hr',false,['id' => 'lang-hr']) }}
                                            @endif
                                            {{ Form::label('lang-hr','Croatian',null) }}
                                        </div>
                                    </div>
                                </div>
                            </div>

                            @if(WSPAY)
                                <div class="row">
                                    <div class="form-group krik-access-event col-md-8">
                                        <h4 class="panel-title">7. Payment</h4>
                                        <div class="form-group col-md-6 col-sm-6">
                                            <div class="ckbox ckbox-lilac">
                                                @if(isset($event_info))
                                                    @if($event_info['wspay'])
                                                        <input type="checkbox" id="wspay" name="wspay" value="1" checked>
                                                    @else
                                                        <input type="checkbox" id="wspay" name="wspay" value="1">
                                                    @endif
                                                @else
                                                    <input type="checkbox" id="wspay" name="wspay" value="1">
                                                @endif
                                                {{ Form::label('wspay', 'WSPay', null) }}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endif

                            </div>
                        </div>
                          <div class="row">
                              <div class="krik-footer col-md-12">
                                    <div class="col-xs-12 pull-right
                                      @if(isset($event_info))
                                        @if($event_info['is_draft'] != 0)
                                          col-md-4 col-sm-4
                                        @else
                                          col-md-6 col-sm-6
                                        @endif
                                      @else
                                        col-md-4 col-sm-4
                                      @endif
                                     ">
                                      {{ Form::submit('Go to Step 3',array('class' => 'btn btn-success btn-block publish')) }}
                                    </div>
                                    @if(isset($event_info))
                                        @if($event_info['is_draft'] != 0)
                                          <div class="col-md-4 col-sm-4 col-xs-12 pull-right">
                                              {{ Form::button('Save to Drafts',array('class' => 'btn btn-success btn-lilac btn-block draft')) }}
                                          </div>
                                        @endif
                                    @else
                                      <div class="col-md-4 col-sm-4 col-xs-12 pull-right">
                                        {{ Form::button('Save to Drafts',array('class' => 'btn btn-success btn-lilac btn-block draft')) }}
                                      </div>
                                    @endif
                                    <div class="col-xs-12 pull-right
                                      @if(isset($event_info))
                                        @if($event_info['is_draft'] != 0)
                                          col-md-4 col-sm-4
                                        @else
                                          col-md-6 col-sm-6
                                        @endif
                                      @else
                                        col-md-4 col-sm-4
                                      @endif
                                    ">
                                      <a href="{{ getenv('APP_URL') }}/events/{{ $hash }}/create/look-and-feel" role="button" class="btn btn-default btn-block">Back</a>
                                  </div>
                              </div>
                          </div>
                      </div>
                    </div>

                    {{Form::close()}}
                </div>
            </div>
        </div>
    </div>
</div>
@if(isset($event_info))
    @if($event_info['is_draft'] == 0)
        </div>
    @endif
@endif
{!! JsValidator::formRequest('App\Http\Requests\Events\Create\EventInfo') !!}
@endsection
