@extends('index-left-sidebar')

@section('content')
<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            <div id="krik-single-event-notifications">
                <h3>
                    {{ $event->name }}
                    <a href="#" data-toggle="modal" data-target=".krik-custom-tags" class="krik-special-tags"><i class="fa fa-info-circle" aria-hidden="true"></i> Special e-mail tags</a>
                </h3>

                {{ Form::open(array('class' => 'form-horizontal form-bordered')) }}
                    <div class="krik-single-event-notifications">
                        <div class="panel panel-tab rounded">
                            <div class="panel-heading">
                                <p class="panel-title">Starting registration e-mails for existing leads</p>
                            </div>
                            <div class="panel-body">
                                <div class="col-md-6">
                                    <h5>English</h5>
                                    {{ Form::textarea('registration_starting_existing_leads_en', $event->registration_starting_existing_leads_en, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                                </div>
                                <div class="col-md-6">
                                    <h5>Croatian</h5>
                                    {{ Form::textarea('registration_starting_existing_leads_hr', $event->registration_starting_existing_leads_hr, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                                </div>
                            </div>
                        </div>

                        <div class="panel panel-tab rounded">
                            <div class="panel-heading">
                                <p class="panel-title">Starting registration e-mails for new leads</p>
                            </div>
                            <div class="panel-body">
                                <div class="col-md-6">
                                    <h5>English</h5>
                                    {{ Form::textarea('registration_starting_new_leads_en', $event->registration_starting_new_leads_en, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                                </div>
                                <div class="col-md-6">
                                    <h5>Croatian</h5>
                                    {{ Form::textarea('registration_starting_new_leads_hr', $event->registration_starting_new_leads_hr, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                                </div>
                            </div>
                        </div>

                        <div class="panel panel-tab rounded">
                            <div class="panel-heading">
                                <p class="panel-title">Signatures for registration e-mails</p>
                            </div>
                            <div class="panel-body">
                                <div class="col-md-6">
                                    <h5>English</h5>
                                    {{ Form::textarea('registration_email_signature_en', $event->registration_email_signature_en, array('class' => 'form-control textarea', 'size'=>'30x3')) }}
                                </div>
                                <div class="col-md-6">
                                    <h5>Croatian</h5>
                                    {{ Form::textarea('registration_email_signature_hr', $event->registration_email_signature_hr, array('class' => 'form-control textarea', 'size'=>'30x3')) }}
                                </div>
                            </div>
                        </div>

                        <div class="panel panel-tab rounded">
                            <div class="panel-heading">
                                <p class="panel-title">Completed registration e-mails with invoices</p>
                            </div>
                            <div class="panel-body">
                                <div class="col-md-6">
                                    <h5>English</h5>
                                    {{ Form::textarea('registration_completed_with_invoices_en', $event->registration_completed_with_invoices_en, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                                </div>
                                <div class="col-md-6">
                                    <h5>Croatian</h5>
                                    {{ Form::textarea('registration_completed_with_invoices_hr', $event->registration_completed_with_invoices_hr, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                                </div>
                            </div>
                        </div>

                        <div class="panel panel-tab rounded">
                            <div class="panel-heading">
                                <p class="panel-title">Completed registration e-mails without invoices</p>
                            </div>
                            <div class="panel-body">
                                <div class="col-md-6">
                                    <h5>English</h5>
                                    {{ Form::textarea('registration_completed_without_invoices_en', $event->registration_completed_without_invoices_en, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                                </div>
                                <div class="col-md-6">
                                    <h5>Croatian</h5>
                                    {{ Form::textarea('registration_completed_without_invoices_hr', $event->registration_completed_without_invoices_hr, array('class' => 'form-control textarea', 'size'=>'30x5')) }}
                                </div>
                            </div>
                        </div>
                    </div>

                    {{ Form::submit('Save', array('class' => 'btn btn-success')) }}

                    <br>
                {{ Form::close() }}

                <div class="modal krik-custom-tags animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
                    <div class="bs-example-modal krik-custom-tags-modal">
                        <div class="modal modal-info">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
                                        <h4 class="modal-title">Special e-mail tags</h4>
                                    </div>
                                    <div class="modal-body">
                                        <div class="table-responsive">
                                            <table class="table table-striped" id="quick-send-mailings-table" cellspacing="0" width="100%">
                                                <thead>
                                                    <tr>
                                                        <th>Special tag code</th>
                                                        <th>Tag description</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td><span class="strong">{lead_alias}</span></td>
                                                        <td>
                                                            <p>When sending, tag will be replaced with lead's alias based on gender ("Poštovani" or "Poštovana")</p>
                                                            <p>You can also use custom aliases (first part is for male, second female): <span class="strong">{lead_alias=Dragi,Draga}</span></p>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td><span class="strong">{lead_title}</span></td>
                                                        <td>When sending, tag will be replaced with lead's title</td>
                                                    </tr>
                                                    <tr>
                                                        <td><span class="strong">{lead_first_name}</span></td>
                                                        <td>When sending, tag will be replaced with lead's first name</td>
                                                    </tr>
                                                    <tr>
                                                        <td><span class="strong">{lead_last_name}</span></td>
                                                        <td>When sending, tag will be replaced with lead's last name</td>
                                                    </tr>
                                                    <tr>
                                                        <td><span class="strong">{lead_email}</span></td>
                                                        <td>When sending, tag will be replaced with lead's e-mail</td>
                                                    </tr>
                                                    <tr>
                                                        <td><span class="strong">{event_name}</span></td>
                                                        <td>When sending, tag will be replaced with event's name</td>
                                                    </tr>
                                                    <tr>
                                                        <td><span class="strong">{sender_name}</span></td>
                                                        <td>When sending, tag will be replaced with event's sender name</td>
                                                    </tr>
                                                    <tr>
                                                        <td><span class="strong">{sender_email}</span></td>
                                                        <td>When sending, tag will be replaced with event's sender e-mail</td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection