@extends(isset($event_info) ? (is_null($event_info['is_draft']) ? 'index' : ($event_info['is_draft'] == 0 ? 'index-left-sidebar' : 'index')) : 'index')

@section('content')

@if(isset($event_info))
    @if($event_info['is_draft'] == 0)
        <div class="container-fluid">
    @endif
@endif

<div class="row" id="registration">
    <div class="col-md-12">
        <h3>@if(isset($event_info)) {{ $event_info['name'] }} @else {{ $event_name }} @endif</h3>
        <div id="progress-wizard">
            <div class="panel panel-tab rounded shadow">
                <div class="panel-heading no-padding krik-heading-nav">
                    <ul class="nav nav-tabs nav-pills nav-justified">
                        <li>
                            <a href="#">
                                <div class="pull-left krik-item-logo-tabs">
                                    <i class="fa fa-adjust"></i>
                                </div>
                                <div class="pull-left krik-item-logo-text">
                                    <span class="text-strong">Step 1</span>
                                    <span>Look &amp; Feel</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="#">
                                <div class="pull-left krik-item-logo-tabs">
                                    <i class="fa fa-file-text"></i>
                                </div>
                                <div class="pull-left krik-item-logo-text">
                                    <span class="text-strong">Step 2</span>
                                    <span>Event Info</span>
                                </div>
                            </a>
                        </li>
                        <li class="active">
                            <a href="#">
                                <div class="pull-left krik-item-logo-tabs">
                                    <i class="fa fa-check-square-o text-lilac"></i>
                                </div>
                                <div class="pull-left krik-item-logo-text">
                                    <span class="text-strong">Step 3</span>
                                    <span>Registration</span>
                                </div>
                            </a>
                        </li>
                    </ul>
                </div>
                <div class="panel-sub-heading">
                    <div class="inner-all">
                        <div class="progress active no-margin progress-xs">
                            <div class="progress-bar progress-bar-lilac" role="progressbar" aria-valuenow="45" aria-valuemin="0" aria-valuemax="100" style="width: 100%;"></div>
                        </div>
                    </div>
                </div>

                <div class="panel-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="krik-curr-mail">
                                {{ Form::open(array('url' => getenv('APP_URL') . '/events/' . $hash, 'class' => 'tab-content form-horizontal form-bordered', 'id' => 'main')) }}
                                {{ Form::hidden('hash', $hash) }}
                                @if(isset($event_code))
                                    @if(!empty($event_code))
                                        {{ Form::hidden('update', 1) }}
                                    @endif
                                @endif
                                <div class="row">
                                  <div class="form-group col-md-4">
                                      {{ Form::label('registration_duration','Registration Duration',array('class' => 'control-label')) }}
                                      @if(isset($event_code))
                                          @if($event_info['start'])
                                              <script>var registration_duration_start_ts = '{{ $start_past }}'</script>
                                              {{ Form::text('registration_duration', $event_info['start'].' - '.$event_info['end'] , array('class' => 'form-control input-sm')) }}
                                          @else
                                              <script>var registration_duration_start_ts = null</script>
                                              {{ Form::text('registration_duration', null, array('class' => 'form-control input-sm')) }}
                                          @endif
                                      @else
                                          <script>var registration_duration_start_ts = null</script>
                                          {{ Form::text('registration_duration', null, array('class' => 'form-control input-sm')) }}
                                      @endif
                                  </div>

                                  <div class="form-group col-md-4">
                                      {{ Form::label('currency','Event Currency',array('class' => 'control-label')) }}
                                      <select name="currency" id="event_currency" class="form-control">
                                          @foreach($currencies as $currency)
                                          <option value="{{ $currency->code }}"
                                              @if(isset($event_info['currency']))
                                                  @if($currency->code == $event_info['currency'])
                                                      selected
                                                  @endif
                                              @else
                                                  @if($currency->code == 'EUR')
                                                      selected
                                                  @endif
                                              @endif
                                              >{{ $currency->currency }}, {{ $currency->code }}</option>
                                          @endforeach
                                      </select>
                                  </div>
                                </div>

                                <div class="row">
                                  <div class="form-group col-md-4">
                                      {{ Form::label('email_sender_name','Sender Name ', array('class' => 'control-label')) }}
                                        @if(isset($event_info['email_name']))
                                            {{ Form::text('email_sender_name',$event_info['email_name'], array('class' => 'form-control')) }}
                                        @else
                                            {{ Form::text('email_sender_name',null, array('class' => 'form-control')) }}
                                        @endif
                                  </div>

                                  <div class="form-group col-md-4">
                                      {{ Form::label('email_sender','Sender E-mail ',array('class' => 'control-label')) }}
                                      <div class="input-group mb-15">
                                          @if(isset($event_info['email']))
                                              {{ Form::text('email_sender',$event_info['email'], array('class' => 'form-control','placeholder' => 'example@domain.com')) }}
                                          @else
                                              {{ Form::text('email_sender',null, array('class' => 'form-control','placeholder' => 'example@domain.com')) }}
                                          @endif
                                          <span class="input-group-addon">@</span>
                                      </div>
                                  </div>
                                </div>

                                <div class="row">
                                    <div class="form-group col-md-12">
                                        <div class="ckbox ckbox-lilac">
                                            <input type="checkbox" name="registration_notification" id="registration-notification" value="1" @if(isset($event_info['registration_notification'])) @if($event_info['registration_notification']) {{ 'checked' }} @endif @endif>
                                            <label for="registration-notification">Send notification for every new registration to sender e-mail</label>
                                        </div>
                                    </div>
                                </div>

                                {{ Form::hidden('ticket_invoice', null) }}
                                {{ Form::hidden('acc_invoice', null) }}
                                {{ Form::hidden('transfer_invoice', null) }}
                                {{ Form::close() }}
                            </div>

                            <div class="row krik-tickets">
                                <div class="col-md-8 krik-panel">
                                    {{ Form::open(array('url'=> '#', 'class' => 'tab-content form-horizontal form-bordered', 'id' => 'ticket')) }}
                                    <div class="krik-heading">
                                        <div class="pull-left">
                                            <h3 class="panel-title">Ticket Types</h3>
                                            <div class="ticket-val">
												There needs to be at least one ticket type for event.
                                            </div>
                                        </div>
                                    </div>

                                    <div class="krik-body">
                                        <div class="row krik-ticket-types-table" @if(!isset($tickets)) style="display: none;" @elseif(empty($tickets)) style="display: none;" @endif>
                                            <div class="col-md-12">
                                                <div class="table-responsive mb-20">
                                                    <table class="table ticket">
                                                        <thead>
                                                            <tr>
                                                                <th class="text-center">No.</th>
                                                                <th>Name</th>
                                                                <th>Description</th>
                                                                <th>Quantity</th>
                                                                <th>Price Without VAT</th>
                                                                <th class="text-center" style="min-width: 15%">Actions</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            @if(isset($tickets))
                                                                @foreach($tickets as $key=>$ticket)
                                                                <tr>
                                                                    <td class="text-center">{{ $key+1 }}</td>
                                                                    <td>
                                                                      {{ $ticket->name }}
                                                                      @if(strtotime($ticket->valid_until_ts) < strtotime($now))
                                                                        <span style="color: #e9573f">
                                                                          {{ '(expired)' }}
                                                                        </span>
                                                                      @endif
                                                                    </td>
                                                                    <td>{{ $ticket->description }}</td>
                                                                    <td>{{ $ticket->quantity }}</td>
                                                                    <td>{{ $ticket->price_without_VAT }}</td>
                                                                    <td class="text-center">
                                                                        <a href="#" data-id="{{ $ticket->id }}"><i class="fa fa-edit"></i></a>
                                                                        <a href="#" data-id="{{ $ticket->id }}" data-registration-count="{{ $ticket->ticket_registration_count }}"><i class="fa fa-trash-o"></i></a>
                                                                    </td>
                                                                </tr>
                                                                @endforeach
                                                            @endif
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row button-row" @if(!isset($tickets)) style="display: none;" @elseif(empty($tickets)) style="display: none;" @endif>
                                            <div class="col-md-12">
                                                {{ Form::button('<i class="fa fa-plus-square-o"></i><span>Add Ticket Type</span>',array('class' => 'btn btn-default btn-block krik-slide-button ticket_button')) }}
                                            </div>
                                        </div>
                                    </div>

                                    <div class="krik-slide-body ticket_body col-md-12" @if(!isset($tickets)) style="display: block;" @elseif(empty($tickets)) style="display: block;" @endif>
                                      <div class="row">
                                        <div class="form-group">
                                            {{ Form::label('ticket_name','Ticket Type Name',array('class' => 'control-label')) }}
                                            {{ Form::text('ticket_name',null, array('class' => 'form-control')) }}
                                        </div>
                                        <div class="form-group ticket-person-accompanied">
                                            <div class="ckbox ckbox-lilac">
                                                <input type="checkbox" name="accompany_persons" value="1" id="ticket_accompany_persons">
                                                <label for="ticket_accompany_persons">Ticket is for Accompanying Person </label>
                                            </div>
                                        </div>
                                        <div class="form-group ticket-promo-code">
                                            <div class="ckbox ckbox-lilac">
                                                <input type="checkbox" name="promo_code" value="1" id="ticket_promo_code">
                                                <label for="ticket_promo_code">Ticket has Promotional Code</label>
                                            </div>
                                            @if(isset($event_code))
                                                <a href="#" data-link="{{ getenv('APP_URL') . '/events/' . $event_code . '/report-promo-codes/' }}" class="krik-promo-codes-button" target="_blank">
                                                    <span class="text">View Promotional Codes</span>
                                                </a>
                                             @endif
                                        </div>
                                     </div>
                                     <div class="row">
                                        <div class="form-group">
                                            {{ Form::label('ticket_description','Description',array('class' => 'control-label')) }}
                                            {{ Form::textarea('ticket_description',null, array('class' => 'form-control','placeholder' => 'Here goes description of Your ticket', 'size'=>'30x5')) }}
                                        </div>
                                        <div class="form-group">
                                            {{ Form::label('ticket_quantity','Quantity of Tickets of This Type',array('class' => 'control-label')) }}
                                            {{ Form::text('ticket_quantity',null, array('class' => 'form-control')) }}
                                        </div>
                                        <div class="krik-ticket-type-options">
                                            <div class="rdio rdio-lilac circle col-md-6 col-sm-6">
                                                {{ Form::radio('ticket_type','payment',true,['id' => 'type_by_ticket-first']) }}
                                                {{ Form::label('type_by_ticket-first','This ticket type requires payment',null) }}
                                            </div>
                                            <div class="rdio rdio-lilac circle col-md-6 col-sm-6">
                                                {{ Form::radio('ticket_type','free',false,['id' => 'type_by_ticket-second']) }}
                                                {{ Form::label('type_by_ticket-second','This ticket type is free of charge',null) }}
                                            </div>
                                        </div>
                                        <div class="krik-vat-options">
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    {{ Form::label('price_without_vat_ticket','Price without VAT',array('class' => 'control-label')) }}
                                                    {{ Form::text('price_without_vat_ticket',null, array('class' => 'form-control', 'id' => 'price_without_vat_ticket')) }}
                                                </div>
                                                <div class="form-group col-md-6">
                                                    <label class="control-label">VAT percentage</label>
                                                    <div class="input-group">
                                                        {{ Form::text('vat_percent_ticket',null, array('class' => 'form-control', 'id' => 'vat_percent_ticket')) }}
                                                        <span class="input-group-addon">%</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="from-group col-md-12">
                                                {{ Form::label('event_date', 'Registration Ticket Duration', array('class' => 'control-label')) }}
                                                {{ Form::text('event_date',null, array('id'=>'event_date','class' => 'form-control input-sm')) }}
                                            </div>
                                        </div>
                                        <div class="krik-buttons">
                                            <div class="row">
                                                <div class="col-md-4 col-sm-4 col-xs-6 pull-right">
                                                    {{ Form::button('Save', array('class' => 'btn btn-lilac btn-block ticket_save')) }}
                                                </div>

                                                <div class="col-md-4 col-sm-4 col-xs-6 pull-right">
                                                    {{ Form::button('Cancel', array('class' => 'btn btn-default btn-block ticket_cancel')) }}
                                                </div>
                                            </div>
                                        </div>
                                      </div>



                                        </div>
                                        {{ Form::close() }}

                                        @if(MODULE_PROFORMA_INVOICE == true)
                                        <div class="krik-invoice-options krik-small-slide">
                                            <div class="invoice-heading">
                                                <div class="pull-left">
                                                    <h5 class="invoice-title">Invoice Options</h5>
                                                </div>
                                                <div class="pull-right krik-small-slide">
                                                    <i class="fa fa-angle-down"></i>
                                                </div>
                                            </div>
                                            <div class="krik-invoice-body">
                                                {{ Form::open(array('url' => '#', 'id' => 'invoice_ticket')) }}
                                                <div class="row">
                                                    <div class="invoice-list col-md-9">
                                                        @foreach($invoices as $invoice)
                                                            <div class="rdio rdio-lilac circle">
                                                                <input id="invoices_ticket{{$invoice->id}}" name="invoices_ticket" type="radio" value="{{$invoice->id}}" @if(isset($event_info)) @if($invoice->id == $event_info['tickets_invoice_from_id']) {{ 'checked="checked"' }}@endif @endif>
                                                                {{ Form::label('invoices_ticket'.$invoice->id,$invoice->name,null) }}
                                                                <span class="invoice-actions">
                                                                  <a href="#" data-id="{{ $invoice->id }}" data-name="{{ $invoice->name }}" data-invoice-from-details="{{ $invoice->invoice_from_details }}" data-account-name="{{ $invoice->account_name }}" data-account-number="{{ $invoice->account_number }}" data-sort-code="{{ $invoice->sort_code }}" data-iban="{{ $invoice->IBAN }}" data-swift="{{ $invoice->SWIFT }}" data-bank-name="{{ $invoice->bank_name }}" data-bank-details="{{ $invoice->bank_details }}">
                                                                    <i class="fa fa-edit invoice-edit"></i>
                                                                  </a>
                                                                  <a class="invoice-delete" href="#" data-id="{{ $invoice->id }}" data-registration-count="{{ $invoice->tickets_invoice_from_count+ $invoice->accomodation_invoice_from_count + $invoice->transfer_invoice_from_count }}">
                                                                    <i class="fa fa-trash-o"></i>
                                                                  </a>
                                                                </span>
                                                            </div>
                                                        @endforeach
                                                    </div>
                                                    <div class="col-md-3">
                                                      {{ Form::button('<i class="fa fa-plus-square-o"></i><span>Add New</span>',array('class' => 'btn btn-default btn-block new_invoice')) }}
                                                    </div>
                                                </div>
                                                <div class="krik-invoice">
                                                    <div class="form-group">
                                                        {{ Form::label('invoice_name','Invoice Name',array('class' => 'control-label')) }}
                                                        {{ Form::text('invoice_name',null, array('class' => 'form-control')) }}
                                                    </div>
                                                    <div class="form-group">
                                                        {{ Form::label('invoice_from','Invoice From',array('class' => 'control-label')) }}
                                                        {{ Form::textarea('invoice_from',null, array('class' => 'form-control','placeholder' => 'Please, insert firm details here', 'size'=>'30x5')) }}
                                                    </div>
                                                    <strong>Payment Detail</strong>
                                                    <p>Wire transfer details:</p>
                                                    <div class="krik-payment-detail">
                                                        <div class="row">
                                                            <div class="form-group col-md-6">
                                                                {{ Form::label('account_name','Account Name',array('class' => 'control-label')) }}
                                                                {{ Form::text('account_name',null, array('class' => 'form-control')) }}
                                                            </div>
                                                            <div class="form-group col-md-6">
                                                                {{ Form::label('account_number','Account Number',array('class' => 'control-label')) }}
                                                                {{ Form::text('account_number',null, array('class' => 'form-control')) }}
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="form-group col-md-6">
                                                                {{ Form::label('sort_code','Sort Code',array('class' => 'control-label')) }}
                                                                {{ Form::text('sort_code',null, array('class' => 'form-control')) }}
                                                            </div>
                                                            <div class="form-group col-md-6">
                                                                {{ Form::label('iban','IBAN',array('class' => 'control-label')) }}
                                                                {{ Form::text('iban',null, array('class' => 'form-control')) }}
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <div class="form-group col-md-6">
                                                                {{ Form::label('swift','SWIFT',array('class' => 'control-label')) }}
                                                                {{ Form::text('swift',null, array('class' => 'form-control')) }}
                                                            </div>
                                                            <div class="form-group col-md-6">
                                                                {{ Form::label('bank_name','Bank Name',array('class' => 'control-label')) }}
                                                                {{ Form::text('bank_name',null, array('class' => 'form-control')) }}
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            {{ Form::label('bank_details','Bank details',array('class' => 'control-label')) }}
                                                            {{ Form::textarea('bank_details',null, array('class' => 'form-control', 'size'=>'30x5')) }}
                                                        </div>
                                                    </div>
                                                    <div class="krik-buttons">
                                                        <div class="row">
                                                            <div class="col-md-4 col-sm-4 col-xs-6 pull-right">
                                                                {{ Form::button('Save', array('class' => 'btn btn-lilac btn-block ticket_invoice_save')) }}
                                                            </div>

                                                            <div class="col-md-4 col-sm-4 col-xs-6 pull-right hide">
                                                                {{ Form::hidden('invoice-id') }}
                                                                {{ Form::hidden('registration-count') }}
                                                                {{ Form::button('Update', array('class' => 'btn btn-lilac btn-block', 'id' => 'invoice_update')) }}
                                                            </div>

                                                            <div class="col-md-4 col-sm-4 col-xs-6 pull-right">
                                                                {{ Form::button('Cancel', array('class' => 'btn btn-default btn-block invoice_cancel')) }}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                {{ Form::close() }}
                                            </div>
                                        </div>
                                        @endif

                                </div>
                            </div>
                            <div class="row krik-acco">
                                <div class="col-md-8 krik-panel">
                                    <div class="krik-heading">
                                        <div class="pull-left">
                                            <h3 class="panel-title">Accommodation Offers</h3>
                                        </div>
                                        <div class="pull-right krik-switch accommodation_switch">
                                            <input type="checkbox" class="switch" name="accommodation_offers" @if(!isset($accommodations)) data-state="false" @elseif(!empty($accommodations)) data-state="true" checked @endif data-on-text="ON" data-off-text="OFF" value="1" data-on-color="lilac">
                                        </div>
                                    </div>
                                    <div class="krik-body" @if(!isset($accommodations)) style="display: none;" @elseif(empty($accommodations)) style="display: none;" @endif>
                                        <div class="row krik-accommodation-table" @if(!isset($accommodations)) style="display: none;" @elseif(empty($accommodations)) style="display: none;" @endif>
                                            <div class="col-md-12">
                                                <div class="table-responsive mb-20">
                                                    <table class="table accommodation">
                                                        <thead>
                                                            <tr>
                                                                <th class="text-center">No.</th>
                                                                <th>Name</th>
                                                                <th>Price - Single</th>
                                                                <th>Price - Double</th>
                                                                <th class="text-center" style="min-width: 15%">Actions</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            @if(isset($accommodations))
																@foreach($accommodations as $key=>$accommodation)
																<tr>
																	<td class="text-center">{{ $key+1 }}</td>
																	<td>{{ $accommodation->name }}</td>
																	<td>
																		@if(isset($accommodation->price_single))
																			{{ $accommodation->price_single }}
																		@else
																			/
																		@endif
																	</td>
																	<td>
																		@if(isset($accommodation->price_double))
																			{{ $accommodation->price_double }}
																		@else
																			/
																		@endif
																	</td>
																	<td class="text-center">
																		<a href="#" data-id="{{ $accommodation->id }}"><i class="fa fa-edit"></i></a>
																		<a href="#" data-id="{{ $accommodation->id }}" data-registration-count="{{ $accommodation->accommodations_registration_count }}"><i class="fa fa-trash-o"></i></a>
																	</td>
																</tr>
																@endforeach
                                                            @endif
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row button-row">
                                            <div class="col-md-12">
                                                {{ Form::button('<i class="fa fa-plus-square-o"></i><span>Add Accommodation Offer</span>',array('class' => 'btn btn-default btn-block krik-slide-button acc_button')) }}
                                            </div>
                                        </div>
                                    </div>
                                    <div class="krik-slide-body acc_body">
                                        <div class="krik-accommodation-offers">
                                            {{ Form::open(array('url' => '#', 'id' => 'accommodation')) }}
                                            <div class="form-group">
                                                {{ Form::label('Hotel Name',null, array('class' => 'control-label')) }}
                                                {{ Form::text('hotel_name',null, array('class' => 'form-control')) }}
												<div class="hotel_unique">Accommodation with that name already exists.</div>
                                            </div>
											<div class="row">
												<div class="form-group col-md-12">
                                                    {{ Form::label('number_of_rooms','Number of Rooms', array('class' => 'control-label')) }}
                                                    {{ Form::text('number_of_rooms',null, array('class' => 'form-control')) }}
                                                </div>

												<div class="form-group col-md-12">
                                                    {{ Form::label('room_date','Room date', array('class' => 'control-label')) }}
                                                    {{ Form::text('room_date',null, array('class' => 'form-control')) }}
                                                </div>
											</div>
                                            <div class="row krik-room-type">
                                                <label class="col-md-12 control-label text-left">Room Type</label>
												<div class="room_type_val col-md-12">Enter price for at least one room type.</div>
                                                <div class="col-md-6">
													Single
                                                </div>
                                                <div class="col-md-6 visible-md-block visible-lg-block">
													Double
                                                </div>
                                            </div>
                                            <div class="row">
												<div class="col-md-6">
													<div class="row">
														<div class="form-group col-md-12">
															{{ Form::label('price_without_vat_acc_single','Price without VAT', array('class' => 'control-label')) }}
                                                    		{{ Form::text('price_without_vat_acc_single',null, array('class' => 'form-control')) }}
														</div>
													</div>
												</div>
												<div class="col-md-6 visible-sm-block visible-xs-block">
													Double
                                                </div>
												<div class="col-md-6">
													<div class="row">
														<div class="form-group col-md-12">
															{{ Form::label('price_without_vat_acc_double','Price without VAT', array('class' => 'control-label')) }}
                                                    		{{ Form::text('price_without_vat_acc_double',null, array('class' => 'form-control')) }}
														</div>
													</div>
												</div>
												<div class="form-group col-md-12">
													{{ Form::label('vat_percent_acc','VAT Percentage', array('class' => 'control-label')) }}
													<div class="input-group">
														{{ Form::text('vat_percent_acc',null, array('class' => 'form-control')) }}
														<span class="input-group-addon">%</span>
													</div>
												</div>
                                                <div class="form-group col-md-12">
                                                    {{ Form::label('room_details','Room Details',array('class' => 'control-label')) }}
                                                    {{ Form::textarea('room_details',null, array('class' => 'form-control', 'size'=>'30x5')) }}
                                                </div>
                                                <div class="krik-buttons add-bs-padding">
                                                    <div class="row">
                                                        <div class="col-md-4 col-sm-4 col-xs-6 pull-right">
                                                            {{ Form::button('Save', array('class' => 'btn btn-lilac btn-block acc_save')) }}
                                                        </div>
                                                        <div class="col-md-4 col-sm-4 col-xs-6 pull-right">
                                                            {{ Form::button('Cancel', array('class' => 'btn btn-default btn-block acc_cancel')) }}
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            {{ Form::close() }}
                                        </div>
                                    </div>

                                    @if(MODULE_PROFORMA_INVOICE == true)
                                    <div class="krik-invoice-options krik-small-slide" @if(!isset($accommodations)) style="display: none;" @elseif(empty($accommodations)) style="display: none;" @endif>
                                        <div class="invoice-heading">
                                            <div class="pull-left">
                                                <h5 class="invoice-title">Invoice Options</h5>
                                            </div>
                                            <div class="pull-right krik-small-slide">
                                                <i class="fa fa-angle-down"></i>
                                            </div>
                                        </div>
                                        <div class="krik-invoice-body">
                                            {{ Form::open(array('url' => '#', 'id' => 'invoice_acc')) }}
                                            <div class="row">
                                                <div class="col-md-9 invoice-list">
                                                    @foreach($invoices as $invoice)
                                                      <div class="rdio rdio-lilac circle">
                                                          <input id="invoices_acc{{$invoice->id}}" name="invoices_acc" type="radio" value="{{$invoice->id}}" @if(isset($event_info)) @if($invoice->id == $event_info['accomodation_invoice_from_id']) {{ 'checked="checked"' }}@endif @endif>
                                                          {{ Form::label('invoices_acc'.$invoice->id,$invoice->name,null) }}
                                                          <span class="invoice-actions">
                                                            <a href="#" data-id="{{ $invoice->id }}" data-name="{{ $invoice->name }}" data-invoice-from-details="{{ $invoice->invoice_from_details }}" data-account-name="{{ $invoice->account_name }}" data-account-number="{{ $invoice->account_number }}" data-sort-code="{{ $invoice->sort_code }}" data-iban="{{ $invoice->IBAN }}" data-swift="{{ $invoice->SWIFT }}" data-bank-name="{{ $invoice->bank_name }}" data-bank-details="{{ $invoice->bank_details }}">
                                                              <i class="fa fa-edit invoice-edit"></i>
                                                            </a>
                                                            <a class="invoice-delete" href="#" data-id="{{ $invoice->id }}" data-registration-count="{{ $invoice->tickets_invoice_from_count + $invoice->accomodation_invoice_from_count + $invoice->transfer_invoice_from_count }}">
                                                              <i class="fa fa-trash-o"></i>
                                                            </a>
                                                          </span>
                                                      </div>
                                                    @endforeach
                                                </div>
                                                <div class="col-md-3">
                                                  {{ Form::button('<i class="fa fa-plus-square-o"></i><span>Add New</span>',array('class' => 'btn btn-default btn-block new_invoice')) }}
                                                </div>
                                            </div>
                                            <div class="krik-invoice">
                                                <div class="form-group">
                                                    {{ Form::label('invoice_name','Invoice Name',array('class' => 'control-label')) }}
                                                    {{ Form::text('invoice_name',null, array('class' => 'form-control')) }}
                                                </div>
                                                <div class="form-group">
                                                    {{ Form::label('invoice_from','Invoice From',array('class' => 'control-label')) }}
                                                    {{ Form::textarea('invoice_from',null, array('class' => 'form-control','placeholder' => 'Please, insert firm details here', 'size'=>'30x5')) }}
                                                </div>
                                                <strong>Payment Detail</strong>
                                                <p>Wire transfer details:</p>
                                                <div class="form-group">
                                                    <div class="row">
                                                        <div class="form-group col-md-6">
                                                            {{ Form::label('account_name','Account Name',array('class' => 'control-label')) }}
                                                            {{ Form::text('account_name',null, array('class' => 'form-control')) }}
                                                        </div>
                                                        <div class="form-group col-md-6">
                                                            {{ Form::label('account_number','Account Number',array('class' => 'control-label')) }}
                                                            {{ Form::text('account_number',null, array('class' => 'form-control')) }}
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="form-group col-md-6">
                                                            {{ Form::label('sort_code','Sort Code',array('class' => 'control-label')) }}
                                                            {{ Form::text('sort_code',null, array('class' => 'form-control')) }}
                                                        </div>
                                                        <div class="form-group col-md-6">
                                                            {{ Form::label('iban','IBAN',array('class' => 'control-label')) }}
                                                            {{ Form::text('iban',null, array('class' => 'form-control')) }}
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="form-group col-md-6">
                                                            {{ Form::label('swift','SWIFT',array('class' => 'control-label')) }}
                                                            {{ Form::text('swift',null, array('class' => 'form-control')) }}
                                                        </div>
                                                        <div class="form-group col-md-6">
                                                            {{ Form::label('bank_name','Bank Name',array('class' => 'control-label')) }}
                                                            {{ Form::text('bank_name',null, array('class' => 'form-control')) }}
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        {{ Form::label('bank_details','Bank details',array('class' => 'control-label')) }}
                                                        {{ Form::textarea('bank_details',null, array('class' => 'form-control', 'size'=>'30x5')) }}
                                                    </div>
                                                    <div class="krik-buttons">
                                                        <div class="row">
                                                           <div class="col-md-4 col-sm-4 col-xs-6 pull-right">
                                                                {{ Form::button('Save', array('class' => 'btn btn-lilac btn-block acc_invoice_save')) }}
                                                            </div>

                                                            <div class="col-md-4 col-sm-4 col-xs-6 pull-right hide">
                                                                {{ Form::hidden('invoice-id') }}
                                                                {{ Form::hidden('registration-count') }}
                                                                {{ Form::button('Update', array('class' => 'btn btn-lilac btn-block', 'id' => 'invoice_update')) }}
                                                            </div>

                                                            <div class="col-md-4 col-sm-4 col-xs-6 pull-right">
                                                                {{ Form::button('Cancel', array('class' => 'btn btn-default btn-block invoice_cancel')) }}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            {{ Form::close() }}
                                        </div>
                                </div>
                                @endif

                                </div>
                            </div>
                            <div class="row krik-trans">
                                <div class="col-md-8 krik-panel">
                                    <div class="krik-heading">
                                        <div class="pull-left">
                                            <h3 class="panel-title">Transfer Offers</h3>
                                        </div>
                                        <div class="pull-right krik-switch transfer_switch">
                                            <input type="checkbox" class="switch" name="transfer_offers" value="1" @if(!isset($transfers)) data-state="false" @elseif(!empty($transfers)) data-state="true" checked @endif data-on-text="ON" data-off-text="OFF" data-on-color="lilac">
                                        </div>
                                    </div>
                                    <div class="krik-body" @if(!isset($transfers)) style="display: none;" @elseif(empty($transfers)) style="display: none;" @endif>
                                        <div class="row krik-transfer-table" @if(!isset($transfers)) style="display: none;" @elseif(empty($transfers)) style="display: none;" @endif>
                                            <div class="col-md-12">
                                                <div class="table-responsive mb-20">
                                                    <table class="table transfer">
                                                        <thead>
                                                            <tr>
                                                                <th class="text-center">No.</th>
                                                                <th>From</th>
                                                                <th>To</th>
                                                                <th>Price Without VAT</th>
                                                                <th class="text-center" style="min-width: 15%">Actions</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            @if(isset($transfers))
                                                                @foreach($transfers as $key=>$transfer)
                                                                <tr>
                                                                    <td class="text-center">{{ $key+1 }}</td>
                                                                    <td>{{ $transfer->from }}</td>
                                                                    <td>{{ $transfer->to }}</td>
                                                                    <td>{{ $transfer->price_without_vat }}</td>
                                                                    <td class="text-center">
                                                                        <a href="#" data-id="{{ $transfer->id }}"><i class="fa fa-edit"></i></a>
                                                                        <a href="#" data-id="{{ $transfer->id }}" data-registration-count="{{ $transfer->transfers_registration_count }}"><i class="fa fa-trash-o"></i></a>
                                                                    </td>
                                                                </tr>
                                                                @endforeach
                                                            @endif
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row button-row" @if(isset($transfers)) @if(!empty($transfers)) style="display: none;" @endif @endif>
                                            <div class="col-md-12">
                                                {{ Form::button('<i class="fa fa-plus-square-o"></i><span>Add Transfer Offer</span>',array('class' => 'btn btn-default btn-block krik-slide-button transfer_button')) }}
                                            </div>
                                        </div>
                                    </div>
                                        <div class="krik-slide-body form-group">
                                            {{ Form::open(array('url' => '#', 'id' => 'transfer')) }}
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    {{ Form::label('transfer_from_airport','Transfer from Airport', array('class' => 'control-label')) }}
                                                    {{ Form::text('transfer_from_airport',null, array('class' => 'form-control')) }}
                                                </div>
                                                <div class="form-group col-md-6">
                                                    {{ Form::label('transfer_to_venue','To Venue:', array('class' => 'control-label')) }}
                                                    {{ Form::text('transfer_to_venue',null, array('class' => 'form-control')) }}
                                                </div>
                                            </div>
                                            <div class="row krik-bottom-30">
                                                <div class="form-group col-md-6">
                                                    {{ Form::label('price_without_vat_airport','Price without VAT', array('class' => 'control-label')) }}
                                                    {{ Form::text('price_without_vat_airport',null, array('class' => 'form-control')) }}
                                                </div>
                                                <div class="form-group col-md-6">
                                                    {{ Form::label('vat_percent_airport','VAT percentage', array('class' => 'control-label')) }}
                                                    <div class="input-group">
                                                        {{ Form::text('vat_percent_airport',null, array('class' => 'form-control')) }}
                                                        <span class="input-group-addon">%</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    {{ Form::label('transfer_from_venue','Transfer from Venue', array('class' => 'control-label')) }}
                                                    {{ Form::text('transfer_from_venue',null, array('class' => 'form-control')) }}
                                                </div>
                                                <div class="form-group col-md-6">
                                                    {{ Form::label('transfer_to_airport','To Airport:', array('class' => 'control-label')) }}
                                                    {{ Form::text('transfer_to_airport',null, array('class' => 'form-control')) }}
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    {{ Form::label('price_without_vat_venue','Price without VAT', array('class' => 'control-label')) }}
                                                    {{ Form::text('price_without_vat_venue',null, array('class' => 'form-control')) }}
                                                </div>
                                                <div class="form-group col-md-6">
                                                    {{ Form::label('vat_percent_venue','VAT percentage', array('class' => 'control-label')) }}
                                                    <div class="input-group">
                                                        {{ Form::text('vat_percent_venue',null, array('class' => 'form-control')) }}
                                                        <span class="input-group-addon">%</span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="krik-buttons">
                                                    <div class="col-md-4 col-sm-4 col-xs-6 pull-right">
                                                        {{ Form::button('Save', array('class' => 'btn btn-lilac btn-block transfer_save')) }}
                                                    </div>
                                                    <div class="col-md-4 col-sm-4 col-xs-6 pull-right">
                                                        {{ Form::button('Cancel', array('class' => 'btn btn-default btn-block transfer_cancel')) }}
                                                    </div>
                                                </div>
                                            </div>
                                            {{ Form::close() }}
                                        </div>

                                        @if(MODULE_PROFORMA_INVOICE == true)
                                        <div class="krik-invoice-options krik-small-slide" @if(!isset($transfers)) style="display: none;" @elseif(empty($transfers)) style="display: none;" @endif>
                                            <div class="invoice-heading">
                                                <div class="pull-left">
                                                    <h5 class="invoice-title">Invoice Options</h5>
                                                </div>
                                                <div class="pull-right krik-small-slide">
                                                    <i class="fa fa-angle-down"></i>
                                                </div>
                                            </div>
                                                <div class="krik-invoice-body">
                                                    {{ Form::open(array('url' => '#', 'id' => 'invoice_transfer')) }}
                                                    <div class="row">
                                                        <div class="col-md-9 invoice-list">
                                                            @foreach($invoices as $invoice)
                                                              <div class="rdio rdio-lilac circle">
                                                                  <input id="invoices_transfer{{$invoice->id}}" name="invoices_transfer" type="radio" value="{{$invoice->id}}" @if(isset($event_info)) @if($invoice->id == $event_info['transfer_invoice_from_id']) {{ 'checked="checked"' }}@endif @endif>
                                                                  {{ Form::label('invoices_transfer'.$invoice->id,$invoice->name,null) }}
                                                                  <span class="invoice-actions">
                                                                    <a href="#" data-id="{{ $invoice->id }}" data-name="{{ $invoice->name }}" data-invoice-from-details="{{ $invoice->invoice_from_details }}" data-account-name="{{ $invoice->account_name }}" data-account-number="{{ $invoice->account_number }}" data-sort-code="{{ $invoice->sort_code }}" data-iban="{{ $invoice->IBAN }}" data-swift="{{ $invoice->SWIFT }}" data-bank-name="{{ $invoice->bank_name }}" data-bank-details="{{ $invoice->bank_details }}">
                                                                      <i class="fa fa-edit invoice-edit"></i>
                                                                    </a>
                                                                    <a class="invoice-delete" href="#" data-id="{{ $invoice->id }}" data-registration-count="{{ $invoice->tickets_invoice_from_count + $invoice->accomodation_invoice_from_count + $invoice->transfer_invoice_from_count }}">
                                                                      <i class="fa fa-trash-o"></i>
                                                                    </a>
                                                                  </span>
                                                              </div>
                                                            @endforeach
                                                        </div>
                                                        <div class="col-md-3">
                                                          {{ Form::button('<i class="fa fa-plus-square-o"></i><span>Add New</span>',array('class' => 'btn btn-default btn-block new_invoice')) }}
                                                        </div>
                                                    </div>
                                                    <div class="krik-invoice">
                                                        <div class="form-group">
                                                            {{ Form::label('invoice_name','Invoice Name',array('class' => 'control-label')) }}
                                                            {{ Form::text('invoice_name',null, array('class' => 'form-control')) }}
                                                        </div>
                                                        <div class="form-group">
                                                            {{ Form::label('invoice_from','Invoice From',array('class' => 'control-label')) }}
                                                            {{ Form::textarea('invoice_from',null, array('class' => 'form-control','placeholder' => 'Please, insert firm details here', 'size'=>'30x5')) }}
                                                        </div>
                                                        <strong>Payment Detail</strong>
                                                        <p>Wire transfer details:</p>
                                                        <div class="form-group">
                                                            <div class="row">
                                                                <div class="form-group col-md-6">
                                                                    {{ Form::label('account_name','Account Name',array('class' => 'control-label')) }}
                                                                    {{ Form::text('account_name',null, array('class' => 'form-control')) }}
                                                                </div>
                                                                <div class="form-group col-md-6">
                                                                    {{ Form::label('account_number','Account Number',array('class' => 'control-label')) }}
                                                                    {{ Form::text('account_number',null, array('class' => 'form-control')) }}
                                                                </div>
                                                            </div>
                                                            <div class="row">
                                                                <div class="form-group col-md-6">
                                                                    {{ Form::label('sort_code','Sort Code',array('class' => 'control-label')) }}
                                                                    {{ Form::text('sort_code',null, array('class' => 'form-control')) }}
                                                                </div>
                                                                <div class="form-group col-md-6">
                                                                    {{ Form::label('iban','IBAN',array('class' => 'control-label')) }}
                                                                    {{ Form::text('iban',null, array('class' => 'form-control')) }}
                                                                </div>
                                                            </div>
                                                            <div class="row">
                                                                <div class="form-group col-md-6">
                                                                    {{ Form::label('swift','SWIFT',array('class' => 'control-label')) }}
                                                                    {{ Form::text('swift',null, array('class' => 'form-control')) }}
                                                                </div>
                                                                <div class="form-group col-md-6">
                                                                    {{ Form::label('bank_name','Bank Name',array('class' => 'control-label')) }}
                                                                    {{ Form::text('bank_name',null, array('class' => 'form-control')) }}
                                                                </div>
                                                            </div>
                                                            {{ Form::label('bank_details','Bank details',array('class' => 'control-label')) }}
                                                            {{ Form::textarea('bank_details',null, array('class' => 'form-control', 'size'=>'30x5')) }}
                                                            <div class="krik-buttons">
                                                                <div class="row">
                                                                    <div class="col-md-4 col-sm-4 col-xs-6 pull-right">
                                                                        {{ Form::button('Save', array('class' => 'btn btn-lilac btn-block transfer_invoice_save')) }}
                                                                    </div>

                                                                    <div class="col-md-4 col-sm-4 col-xs-6 pull-right hide">
                                                                        {{ Form::hidden('invoice-id') }}
                                                                        {{ Form::hidden('registration-count') }}
                                                                        {{ Form::button('Update', array('class' => 'btn btn-lilac btn-block', 'id' => 'invoice_update')) }}
                                                                    </div>

                                                                    <div class="col-md-4 col-sm-4 col-xs-6 pull-right">
                                                                        {{ Form::button('Cancel', array('class' => 'btn btn-default btn-block invoice_cancel')) }}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    {{ Form::close() }}
                                                </div>
                                        </div>
                                        @endif

                                </div>
                            </div>

                        </div>

                    </div>

                    <div class="row krik-social-events">
                        <div class="col-md-8 krik-panel">
                            <div class="krik-heading">
                                <div class="pull-left">
                                    <h3 class="panel-title">Social Events</h3>
                                </div>
                                <div class="pull-right krik-switch social_events_switch">
                                    <input type="checkbox" class="switch" name="social_events_offers" @if(!isset($socialEvents)) data-state="false" @elseif(!empty($socialEvents)) data-state="true" checked @endif data-on-text="ON" data-off-text="OFF" value="1" data-on-color="lilac">
                                </div>
                            </div>
                            <div class="krik-body" @if(!isset($socialEvents)) style="display: none;" @elseif(empty($socialEvents)) style="display: none;" @endif>
                                <div class="row krik-social-events-table" @if(!isset($socialEvents)) style="display: none;" @elseif(empty($socialEvents)) style="display: none;" @endif>
                                    <div class="col-md-12">
                                        <div class="table-responsive mb-20">
                                            <table class="table social-event">
                                                <thead>
                                                    <tr>
                                                        <th class="text-center">No.</th>
                                                        <th>Name</th>
                                                        <th>Time</th>
                                                        <th class="text-center" style="min-width: 15%">Actions</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @if(isset($socialEvents))
                                                        @foreach($socialEvents as $key=>$socialEvent)
                                                        <tr>
                                                            <td class="text-center">{{ $key+1 }}</td>
                                                            <td>{{ $socialEvent->name }}</td>
                                                            <td>{{ date("d.m.Y. H:i", strtotime($socialEvent->time)) }}</td>
                                                            <td class="text-center">
                                                                <a href="#" data-id="{{ $socialEvent->id }}"><i class="fa fa-edit"></i></a>
                                                                <a href="#" data-id="{{ $socialEvent->id }}" data-registration-count="{{ $socialEvent->social_events_registration_count }}"><i class="fa fa-trash-o"></i></a>
                                                            </td>
                                                        </tr>
                                                        @endforeach
                                                    @endif
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <div class="row button-row">
                                    <div class="col-md-12">
                                        {{ Form::button('<i class="fa fa-plus-square-o"></i><span>Add Social Event</span>',array('class' => 'btn btn-default btn-block krik-slide-button social_event_button')) }}
                                    </div>
                                </div>
                            </div>
                            <div class="krik-slide-body social_events_body">
                                <div class="krik-social-events-offers">
                                    {{ Form::open(array('url' => '#', 'id' => 'social_event')) }}
                                    <div class="form-group">
                                        {{ Form::label('social_event_name', 'Name', null, array('class' => 'control-label')) }}
                                        {{ Form::text('social_event_name', null, array('class' => 'form-control')) }}
                                    </div>
                                    <div class="form-group">
                                        {{ Form::label('social_event_time', 'Starts At', array('class' => 'control-label')) }}
                                        {{ Form::text('social_event_time', null, array('class' => 'form-control')) }}
                                    </div>
                                    <div class="krik-buttons add-bs-padding">
                                        <div class="row">
                                            <div class="col-md-4 col-sm-4 col-xs-6 pull-right">
                                                {{ Form::button('Save', array('class' => 'btn btn-lilac btn-block social_events_save')) }}
                                            </div>
                                            <div class="col-md-4 col-sm-4 col-xs-6 pull-right">
                                                {{ Form::button('Cancel', array('class' => 'btn btn-default btn-block social_events_cancel')) }}
                                            </div>
                                        </div>
                                    </div>
                                    {{ Form::close() }}
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                      <div class="krik-footer">
                          <div class="col-xs-12 pull-right
                            @if(isset($event_info))
                @if($event_info['is_draft'] != 0)
                  col-md-4 col-sm-4
                @else
                  col-md-6 col-sm-6
                @endif
              @else
                col-md-4 col-sm-4
              @endif
                            ">
                              @if(isset($event_info))
                                  @if($event_info['is_draft'] != 1)
                                      {{ Form::button('Save Event', array('class' => 'btn btn-success btn-block publish')) }}
                                  @else
                                      {{ Form::button('Publish Event', array('class' => 'btn btn-success btn-block publish')) }}
                                  @endif
                              @else
                                  {{ Form::button('Publish Event', array('class' => 'btn btn-success btn-block publish')) }}
                              @endif
                          </div>
                            @if(isset($event_info))
                @if($event_info['is_draft'] != 0)
                  <div class="col-md-4 col-sm-4 col-xs-12 pull-right">
                    {{ Form::button('Save to Drafts',array('class' => 'btn btn-success btn-lilac btn-block draft')) }}
                  </div>
                @endif
              @else
                <div class="col-md-4 col-sm-4 col-xs-12 pull-right">
                  {{ Form::button('Save to Drafts',array('class' => 'btn btn-success btn-lilac btn-block draft')) }}
                </div>
              @endif
                          <div class="col-xs-12 pull-right
                            @if(isset($event_info))
                @if($event_info['is_draft'] != 0)
                  col-md-4 col-sm-4
                @else
                  col-md-6 col-sm-6
                @endif
              @else
                col-md-4 col-sm-4
              @endif
                            ">
                              <a href="{{ getenv('APP_URL') }}/events/{{ $hash }}/create/event-info" role="button" class="btn btn-default btn-block">Back</a>
                          </div>
                      </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
</div>

<div class="modal krik-delete animated fadeIn" tabindex="0" role="dialog" aria-hidden="true">
    <div class="bs-example-modal krik-delete-modal">
        <div class="modal modal-danger">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                            <i class="fa fa-times krik-delete-modal-close"></i>
                        </button>
                        <h4 class="modal-title">Please confirm delete</h4>
                    </div>
                    <div class="modal-body">
                        <p>This action can not be undone.</p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Cancel</button>
                        <button type="submit" class="btn btn-danger"></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal krik-delete-nope animated fadeIn" tabindex="0" role="dialog" aria-hidden="true">
    <div class="bs-example-modal krik-delete-modal">
        <div class="modal modal-danger">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                            <i class="fa fa-times krik-delete-modal-close"></i>
                        </button>
                        <h4 class="modal-title">Delete disabled</h4>
                    </div>
                    <div class="modal-body">
                        <p>Deletion can not be done because this option was already selected in registration process.</p>
                        <p>Delete registration entries associated with this option to be able to proceed with deletion.</p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal krik-delete-invoice-nope animated fadeIn" tabindex="0" role="dialog" aria-hidden="true">
    <div class="bs-example-modal krik-delete-modal">
        <div class="modal modal-danger">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                            <i class="fa fa-times krik-delete-modal-close"></i>
                        </button>
                        <h4 class="modal-title">Invoice deletion disabled</h4>
                    </div>
                    <div class="modal-body">
                        <p>Deletion can not be done because this invoice option is already associated with other ticket, accommodation or transfer offers.</p>
                        <p>Unassociate this option with all registration types & offers to be able to proceed with deletion.</p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal krik-delete-invoice animated fadeIn" tabindex="0" role="dialog" aria-hidden="true">
    <div class="bs-example-modal krik-delete-modal">
        <div class="modal modal-danger">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                            <i class="fa fa-times krik-delete-modal-close"></i>
                        </button>
                        <h4 class="modal-title">Please confirm delete</h4>
                    </div>
                    <div class="modal-body">
                        <p>This action can not be undone.</p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Cancel</button>
                        <button type="submit" class="btn btn-danger delete-invoice-confirm" data-invoice-id=""></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@if(isset($event_info))
  <script>
    var event_edit = true;
    var event_time_start_ts = true;
  </script>
@else
  <script>
    var event_edit = false;
    var event_time_start_ts = null;
  </script>
@endif

@if(isset($event_info))
    @if($event_info['is_draft'] == 0)
        </div>
    @endif
@endif

{!! JsValidator::formRequest('App\Http\Requests\Events\Create\RegistrationMain','#main') !!}
{!! JsValidator::formRequest('App\Http\Requests\Events\Create\RegistrationTicket','#ticket') !!}
{!! JsValidator::formRequest('App\Http\Requests\Events\Create\RegistrationAccommodation','#accommodation') !!}
{!! JsValidator::formRequest('App\Http\Requests\Events\Create\RegistrationTransfer','#transfer') !!}
{!! JsValidator::formRequest('App\Http\Requests\Events\Create\RegistrationSocialEvent','#social_event') !!}
{!! JsValidator::formRequest('App\Http\Requests\Events\Create\RegistrationInvoice','#invoice_ticket') !!}
{!! JsValidator::formRequest('App\Http\Requests\Events\Create\RegistrationInvoice','#invoice_acc') !!}
{!! JsValidator::formRequest('App\Http\Requests\Events\Create\RegistrationInvoice','#invoice_transfer') !!}
@endsection
