@extends('index-left-sidebar')

@section('content')
<div id="krik-single-event-activities">

  {{-- Event Name, Date, Location  --}}
  <div class="panel krik-panel">
    <div class="panel-heading">
      <h2 class="krik-single-event-title">{{ $event_info->name }}</h2>
      <h3 class="krik-single-event-info">
        @php
          $event_start = new DateTime($event_info->start_ts);
          $event_end = new DateTime($event_info->end_ts);
          $event_days_diff = $event_start->diff($event_end)->d;
        @endphp
        @if($event_info->type_by_venue == 'physical')
          @if ($event_days_diff > 0)
            {{ date("d.m.Y. H:i", strtotime($event_info->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($event_info->end_ts)) . ', ' . $event_info->venue_name }}
          @else
           {{ date("d.m.Y. H:i", strtotime($event_info->start_ts)) . ', ' . $event_info->venue_name }}
          @endif
        @else
          @if ($event_days_diff > 0)
            {{ date("d.m.Y. H:i", strtotime($event_info->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($event_info->end_ts)) }}
          @else
            {{ date("d.m.Y. H:i", strtotime($event_info->start_ts)) }}
          @endif
        @endif
      </h3>
    </div>
  </div>

  {{-- E-mail Activities --}}
  <h1 class="krik-single-event-page-title">E-mail Campaigns</h1>

  {{-- Chart --}}
  @if($chartData == 'jap')
  <div class="col-md-12 krik-activities-chart">
    <div class="panel panel-default">
      <div class="panel-heading">
        <div class="pull-left">
          <h3 class="panel-title">Overview</h3>
        </div>
        <div class="clearfix"></div>
      </div>
      <div class="panel-body">
        <div id="krik-activities-chart" class="chart"></div>
        <script type="text/javascript">
          $(function(){
            new Morris.Line({
              element: 'krik-activities-chart',
              data: [
                @foreach($dataForChart as $data)
                  {!! $data !!}
                @endforeach
              ],
              xkey: 'y',
              ykeys: ['a', 'b', 'c', 'd'],
              labels: ['Sent emails', 'Opened emails', 'Registered recipients', 'Opt-Out recipients'],
              lineColors: ['#8cc152', '#f6bb42', '#00b1e1', '#e9573f'],
              lineWidth: '2px',
              hideHover: true,
              resize: true,
              xLabels: 'day',
              xLabelFormat: function (x) {
                var month = '' + (x.getMonth() + 1),
                    day = '' + x.getDate(),
                    year = x.getFullYear();

                if (month.length < 2) month = '0' + month;
                if (day.length < 2) day = '0' + day;

                return [day, month, year].join('.') + '.';
              },
              dateFormat: function (x) {
                var date = new Date(x),
                    month = '' + (date.getMonth() + 1),
                    day = '' + date.getDate(),
                    year = date.getFullYear();

                if (month.length < 2) month = '0' + month;
                if (day.length < 2) day = '0' + day;

                return [day, month, year].join('.') + '.';
              }
            });
          });
        </script>
      </div>
    </div>
  </div>
  @endif

  {{-- Timeline --}}
  <div class="col-md-10 col-md-offset-1">

    <div class="profile-timeline">
      <div class="timeline">
        <div class="timeline-item alt">
          <div class="text-right">
            <div class="time-show first">
                @role('admin')
                    <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/mailings/email-design' }}" class="krik-activities-add">
                        <i class="fa fa-plus krik-activities-plus"></i>
                        <div class="krik-activities-add-new">Add New</div>
                    </a>
                @else
                    <div class="krik-activities-add krik-activities-add-small"></div>
                @endrole
            </div>
          </div>
        </div>

        <?php $count_bad_activities = $count_activities = 0; ?>
        @if($emailActivities != 'nope')
          @foreach($emailActivities as $key => $emailActivity)
            @if($emailActivity->is_draft != null)
              @if($count_activities % 2 == 0)
              <div class="timeline-item alt">
              @else
              <div class="timeline-item">
              @endif
                <div class="timeline-desk">
                  <div class="panel krik-timeline-panel">
                    <div class="panel-heading">
                      @if($emailActivity->is_draft == 1)
                        <div class="ribbon-wrapper top-right krik-ribbon-top-right">
                          <div class="ribbon ribbon-shadow krik-ribbon">Draft</div>
                        </div>
                      @endif
                      @if($emailActivity->scheduled_ts && $mailings_processes[$key] == 4 && date("d.m.Y. H:i", strtotime($emailActivity->scheduled_ts)) > date('d.m.Y. H:i'))
                        <div class="ribbon-wrapper top-right krik-ribbon-top-right">
                          <div class="ribbon ribbon-shadow krik-ribbon krik-ribbon-scheduled">Scheduled</div>
                        </div>
                      @endif
                      <div class="pull-left">
                        <h3 class="krik-panel-title">{{ $emailActivity->mailing_activitie_name }}</h3>
                        <h4 class="krik-panel-subtitle">{{ $emailActivity->mailing_type_name }}</h4>
                      </div>
                      <div class="clearfix"></div>
                    </div>
                    <div class="krik-timeline-description">
                      @if($count_activities % 2 == 0)
                      <span class="arrow-alt"></span>
                      @else
                      <span class="arrow"></span>
                      @endif
                      @if($emailActivity->is_draft == 0 && $mailings_count_sent_first[$key])
                        @if($count_activities % 2 == 0)
                        <span class="krik-date-alt">{{ 'Started at ' . date("d.m.Y.", strtotime($mailings_count_sent_first[$key])) }}</span>
                        @else
                        <span class="krik-date">{{ 'Started at ' . date("d.m.Y.", strtotime($mailings_count_sent_first[$key])) }}</span>
                        @endif
                      @elseif($emailActivity->scheduled_ts && $mailings_processes[$key] == 4 && date("d.m.Y. H:i", strtotime($emailActivity->scheduled_ts)) > date('d.m.Y. H:i'))
                        @if($count_activities % 2 == 0)
                        <span class="krik-date-alt scheduled">{{ 'Scheduled for ' . date("d.m.Y. H:i", strtotime($emailActivity->scheduled_ts)) }}</span>
                        @else
                        <span class="krik-date scheduled">{{ 'Scheduled for ' . date("d.m.Y. H:i", strtotime($emailActivity->scheduled_ts)) }}</span>
                        @endif
                      @endif
                      <span class="timeline-icon circle krik-plane"><i class="fa fa-paper-plane"></i></span>
                      <div class="panel-body">
                        <span class="krik-timeline-label">Description</span>
                        <span class="krik-timeline-value">{{ $emailActivity->description }}</span>
                      </div>
                      <hr class="krik-line">
                      <div class="panel-body">
                        <span class="krik-timeline-label">E-mail Subject</span>
                        <span class="krik-timeline-value">{{ $emailActivity->email_subject }}</span>
                      </div>
                      <hr class="krik-line">
                      <div class="panel-body">
                        <span class="krik-timeline-label">From</span>
                        <span class="krik-timeline-value">{{ $emailActivity->email_from_name }}</span>
                      </div>
                      <hr class="krik-line">
                      <div class="panel-body">
                        <span class="krik-timeline-label">From E-mail</span>
                        <span class="krik-timeline-value">{{ $emailActivity->email_from_email }}</span>
                      </div>
                      <hr class="krik-line">
                      <div class="panel-body">
                        <span class="krik-timeline-label">Replay to E-mail</span>
                        <span class="krik-timeline-value">{{ $emailActivity->email_replyto_email }}</span>
                      </div>

                    </div>

                    @if(($emailActivity->is_draft == 0) && ($mailings_processes[$key] == 1 || $mailings_processes[$key] == 5))
                    <div class="krik-timeline-description">
                      @if($mailings_count[$key] != $mailings_count_sent[$key])
                      <div>Activity in progress <span class="pull-right">{{ $mailings_count_sent[$key] }} of {{ $mailings_count[$key] }} at {{ $now }} today</span></div>
                      <div class="progress krik-progress-bar">
                        <?php
                          $giveMeProgress = $mailings_count_sent[$key] / $mailings_count[$key];
                          $giveMeProgress = $giveMeProgress * 100;
                        ?>
                        <div class="progress-bar" role="progressbar" style="width: <?php echo $giveMeProgress . '%'; ?>">
                        </div>
                      </div>
                      @else
                        <div class="krik-timeline-info">Number of Recipients <span class="pull-right">{{ $mailings_count_sent[$key] }}</span></div>
                        <div class="krik-timeline-info">Recipients who Opt-Out <span class="pull-right">{{ $mailings_count_opt_out[$key] }}</span></div>
                      @endif
                    </div>
                    @endif

                    <div class="krik-timeline-footer">
                      <div class="krik-created-by">Created by {{ $emailActivity->users_name }} at {{ date("d.m.Y.", strtotime($emailActivity->created_at)) }}</div>
                      @if($emailActivity->is_draft == 1 || $mailings_processes[$key] == 4)
                        @role('admin')
                            <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/mailings/' . $emailActivity->mailing_activity_code . '/email-design' }}"  data-toggle="tooltip" data-placement="top" title="Edit" data-original-title="edit">
                            <button type="button" class="btn btn-default pull-right krik-btn-gray krik-activity-edit">Edit</button>
                            </a>
                        @endrole
						<a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/mailings/' . $emailActivity->mailing_activity_code . '/preview' }}" target="_blank">
                          <button type="button" class="btn btn-default pull-right krik-btn-gray preview-mailing">Preview</button>
                        </a>
                        @role('admin')
                            <button type="button" class="btn btn-default pull-right krik-btn-gray krik-activity-delete" data-activity-id="{{ $emailActivity->id }}" data-toggle="modal" data-target=".krik-delete-mailing-activity">Delete</button>
                         @endrole
                      @elseif($mailings_processes[$key] == 5)
                        @role('admin')
                            {{ Form::open(array('url' => getenv('APP_URL') . '/events/' . $event_code . '/mailings')) }}
                            {{ Form::hidden('activity_id', $emailActivity->id) }}
                            <button type="submit" class="btn btn-default pull-right krik-btn-gray">Stop Activity</button>
                            {{ Form::close() }}
                        @endrole
                      @else
                        <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/mailings/' . $emailActivity->mailing_activity_code }}">
                          <button type="button" class="btn btn-default pull-right krik-btn-gray">Report</button>
                        </a>
                        @role('admin')
                            <button type="button" class="btn btn-default pull-right krik-btn-gray krik-activity-quick-send" data-activity-id="{{ $emailActivity->id }}" data-toggle="modal" data-activity-name="{{ $emailActivity->mailing_activitie_name }}" data-target=".krik-quick-send-mailings">Send</button>
                        @endrole
                        <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/mailings/' . $emailActivity->mailing_activity_code . '/preview' }}" target="_blank">
                          <button type="button" class="btn btn-default pull-right krik-btn-gray preview-mailing">Preview</button>
                        </a>
                        @role('admin')
                            <button type="button" class="btn btn-default pull-right krik-btn-gray krik-activity-duplicate" data-activity-id="{{ $emailActivity->id }}" data-toggle="modal" data-target=".krik-duplicate">Duplicate</button>
                        @endrole
                      @endif
                    </div>
                  </div>
                </div>
              </div>
		          <?php $count_activities++; ?>
            @else
              <?php $count_bad_activities++; ?>
            @endif
          @endforeach
        @else
          <div class="timeline-item alt">
            <div class="timeline-desk">
              <div class="panel krik-timeline-panel">
                <div class="panel-heading">
                  <div class="pull-left">
                    <h3 class="krik-panel-title">Add your first e-mail campaign!</h3>
                  </div>
                  <div class="clearfix"></div>
                </div>
                <div class="krik-timeline-description">
                  <span class="arrow-alt"></span>
                  <span class="timeline-icon circle krik-plane"><i class="fa fa-paper-plane"></i></span>
                  <span class="krik-timeline-default">Send e-mails related to your event, inform your target groups about great opportunities you offer, thank them, ask them to save the date, remind them to register...
                  Possibilities are countless, choice is yours!</span>

                </div>
              </div>
            </div>
          </div>
        @endif

        @if($count_bad_activities == (is_array($emailActivities) ? count($emailActivities) : 1))
          <div class="timeline-item alt">
            <div class="timeline-desk">
              <div class="panel krik-timeline-panel">
                <div class="panel-heading">
                  <div class="pull-left">
                    <h3 class="krik-panel-title">Add your first e-mail campaign!</h3>
                  </div>
                  <div class="clearfix"></div>
                </div>
                <div class="krik-timeline-description">
                  <span class="arrow-alt"></span>
                  <span class="timeline-icon circle krik-plane"><i class="fa fa-paper-plane"></i></span>
                  <span class="krik-timeline-default">Send e-mails related to your event, inform your target groups about great opportunities you offer, thank them, ask them to save the date, remind them to register...
                  Possibilities are countless, choice is yours!</span>
                </div>
              </div>
            </div>
          </div>
        @endif

      </div>

    </div>

  </div>

  <div class="modal krik-delete-mailing-activity animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm delete</h4>
            </div>
            <div class="modal-body">
              <p>This action can not be undone.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              {{ Form::open(array('url' => getenv('APP_URL') . '/events/' . $event_code . '/mailings', 'method' => 'delete', 'class' => 'krik-modal-inline')) }}
              <input type="hidden" name="id" value="">
              <button type="submit" class="btn btn-danger" id="krik-delete-modal">Delete activity</button>
              {{ Form::close() }}
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-quick-send-mailings animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-quick-send-modal">
      <div class="modal">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h4 class="modal-title">Quick send: <span></span></h4>
            </div>
            {{ Form::open(array('id' => 'quick-send-form')) }}
              <div class="modal-body">
                <div class="table-responsive">
                  <table class="table table-striped" id="quick-send-mailings-table" cellspacing="0" width="100%">
                    <thead>
                      <tr>
                        <th style="width:50px"></th>
                        <th>Title</th>
                        <th>First Name</th>
                        <th>Last Name</th>
                        <th>E-mail</th>
                        <th>Company</th>
                        <th>Country</th>
                      </tr>
                    </thead>
                  </table>
                  <script>
                    var table = $('#quick-send-mailings-table').DataTable({
                      processing: false,
                      serverSide: false,
                      ajax: {
                        url: '{!! route('get-leads-quick-send') !!}'
                      },
                      scrollCollapse: true,
                      searching: true,
                      info: false,
                      bSort: false,
                      autoWidth: true,
                      columns: [
                        {
                          data: 'id',
                          name: 'id',
                          targets: 0,
                          orderable: false,
                          searchable: false,
                          width: "1px",
                          render: function(data, type, row) {
                            return '<div class="ckbox ckbox-success"><input name="choosen-leads[]" id="choosen-' + row.id + '" type="checkbox" value="' + row.id + '"><label for="choosen-' + row.id + '"></label></div>';
                         }},
                        { data: 'title', name: 'title' },
                        { data: 'first_name', name: 'first_name' },
                        { data: 'last_name', name: 'last_name' },
                        { data: 'email', name: 'email' },
                        { data: 'company_name', name: 'company_name' },
                        { data: 'country_name', name: 'country_name' }
                      ],
                      language: {
                        search: "_INPUT_",
                        searchPlaceholder: "Search",
                        lengthMenu: "_MENU_"
                      },
                      paging:  true,
                      pagingType: 'simple_numbers',
                      ordering: true,
                      order: [[ 5, "desc" ]],
                      orderClasses: false,
                      pageLength: 10,
                      dom: 'Bfrtip',
                      bInfo: false,
                      select: false
                    });

                    $('#quick-send-form').on('submit', function(event) {
                      event.preventDefault();

                      $('.submit-quick-send').text('Sending reqested...');

                      var choosen_leads = table.$('input[name="choosen-leads[]"]').map(function() {
                          if (this.checked) {
                              return this.value;
                          }
                      }).get();

                      if (choosen_leads.length == 0) {
                          $('.submit-quick-send').text('No leads have been selected')
                              .css({
                                  'background-color': '#e9573f',
                                  'border-color': '#e9573f',
                              });

                          return;
                      }

                      var activity_id = $('[name="activity-id"').val();

                      $.ajaxSetup({
                          headers: {
                              'X-CSRF-TOKEN': $('input[name="_token"]').val()
                          }
                      });

                      $.ajax({
                          url: baseUrl + '/ajax/save-quick-send',
                          type: 'POST',
                          data: {
                              choosen_leads: choosen_leads,
                              activity_id: activity_id
                          },
                          dataType: 'json',
                          success: function(response) {
                              if (response == 'No selected leads') {
                                  $('.submit-quick-send').text('No leads have been selected');
                              } else {
                                  $('.krik-quick-send-modal .quick-send-success').removeClass('hide');

                                  $('.krik-quick-send-modal .table-responsive').addClass('hide');
                                  $('#quick-send-mailings-table_filter').addClass('hide');
                                  $('.krik-quick-send-modal .modal-footer .col-md-6').addClass('hide');
                                  $('.krik-quick-send-modal .modal-footer .col-md-12').removeClass('hide');

                                  $('input[name="activity-id"').remove();
                                  table.$('input[name="choosen-leads[]"]').closest('tr').removeClass('selected');
                                  table.$('input[name="choosen-leads[]"]').prop('checked', false);
                              }
                          }
                      });
                  });
                  </script>
                </div>

                <div class="quick-send-success hide">
                  <i class="fa fa-check-circle-o"></i>
                  <p>Sending has started in background.</p>
                </div>
              </div>
              <div class="modal-footer">
                <div class="col-md-6">
                  <button type="button" class="btn btn-default btn-block" data-dismiss="modal">Close quick send</button>
                </div>
                <div class="col-md-6">
                  <button type="submit" class="btn btn-success btn-block submit-quick-send">Send e-mails to selected leads</button>
                </div>

                <div class="col-md-12 hide">
                  <button type="button" class="btn btn-default btn-block" data-dismiss="modal">Close quick send</button>
                </div>
              </div>
            </div>
          {{ Form::close() }}
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-duplicate animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm duplication</h4>
            </div>
            <div class="modal-body">
              <p>Information from this campaign will be copied to new draft e-mail campaign.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              {{ Form::open(array('method' => 'put', 'class' => 'krik-modal-inline')) }}
              <input type="hidden" name="id" value="">
              <button type="submit" class="btn btn-danger" id="krik-duplicate">Duplicate campaign</button>
              {{ Form::close() }}
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
@endsection
