@extends('index-left-sidebar')

@section('content')
<div id="krik-single-event-registrations">
  <div class="panel krik-panel">
    <div class="panel-heading">
      <h3 class="krik-single-event-reports-title">{{ $singleEvent->name }}</h3>
      <h4 class="krik-single-event-reports-info">
        @php
          $event_start = new DateTime($singleEvent->start_ts);
          $event_end = new DateTime($singleEvent->end_ts);
          $event_days_diff = $event_start->diff($event_end)->d;
        @endphp
        @if($singleEvent->type_by_venue == 'physical')
          @if ($event_days_diff > 0)
            {{ date("d.m.Y. H:i", strtotime($singleEvent->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($singleEvent->end_ts)) . ', ' . $singleEvent->venue_name }}
          @else
           {{ date("d.m.Y. H:i", strtotime($singleEvent->start_ts)) . ', ' . $singleEvent->venue_name }}
          @endif
        @else
          @if ($event_days_diff > 0)
            {{ date("d.m.Y. H:i", strtotime($singleEvent->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($singleEvent->end_ts)) }}
          @else
            {{ date("d.m.Y. H:i", strtotime($singleEvent->start_ts)) }}
          @endif
        @endif
      </h4>

      {{ Form::open(array('url' => getenv('APP_URL') . '/events/' . $event_code . '/report-promo-codes/' . $ticket->id . '/export')) }}
        <button type="submit" class="btn krik-btn-export"><i class="fa fa-download" aria-hidden="true"></i>Export</button>
      {{ Form::close() }}
    </div>
  </div>

  <div class="col-md-12">
    <div class="panel panel-primary">
      <div class="panel-heading">
        <div class="pull-left">
          <h3 class="panel-title">Promotional codes - {{ $ticket->name }}</h3>
        </div>
        <div class="clearfix"></div>
      </div>
      <div class="table-responsive">
        <table class="table table-striped" id="krik-report-promo-codes-table" cellspacing="0" width="100%">
          <thead>
            <tr>
              <th style="max-width: 10px !important;">#</th>
              <th>Promo Code</th>
              <th>Lead Name</th>
              <th>E-mail</th>
              <th>Registered</th>
            </tr>
          </thead>
        </table>
      </div>
      <script>
        var table = $('#krik-report-promo-codes-table').DataTable({
          processing: true,
          serverSide: false,
          ajax: {
            url: '{!! route('report-promo-codes.data') !!}',
            data: {
              ticket_id: '{{ $ticket->id }}'
            },
            type: 'POST',
            headers: {
              'X-CSRF-TOKEN': '{{ csrf_token() }}'
            }
          },
          scrollCollapse: true,
          searching: true,
          info: false,
          bSort: false,
          autoWidth: true,
          columns: [
            {
              orderable: false,
              searchable: false,
              className: 'no-reorder',
              render: function() { return ''; }
            },
            { data: 'promocode', name: 'promocode' },
            { data: 'name', name: 'name' },
            { data: 'email', name: 'email' },
            { data: 'registered_ts', name: 'registered_ts' },
          ],
          language: {
            search: "_INPUT_",
            searchPlaceholder: "Search",
            lengthMenu: "_MENU_",
            select: false,
            processing: "Loading data, please wait...",
            zeroRecords: "No data to display",
            buttons: {
              colvis: 'Columns'
            }
          },
          paging: true,
          pagingType: 'simple_numbers',
          ordering: true,
          order: [[ 4, "desc" ]],
          orderClasses: false,
          stateSave: false,
          // deferRender: true,
          colReorder: true,
          pageLength: 10,
          lengthMenu: [[ 10, 20, 50, 100, -1 ], [ 10, 20, 50, 100, 'All' ]],
          select: {
            style: 'multi',
            selector: 'td:not(.no-selecting)',
          },
          dom: 'Bfrtilp',
          bInfo: true,
          buttons: [
            {
              extend: 'collection',
              text: 'Export',
              buttons: [
                {
                  extend: 'copyHtml5',
                  text: 'Copy (all entries from current page)',
                  exportOptions: {
                    columns: [1,2,3,4]
                  }
                },
                {
                  extend: 'copyHtml5',
                  text: 'Copy (selected entries from current page)',
                  exportOptions: {
                    modifier: {
                      selected: true
                    },
                    columns: [1,2,3,4]
                  }
                },
                {
                  extend: 'print',
                  text: 'Print (all entries from current page)',
                  exportOptions: {
                    columns: [1,2,3,4]
                  }
                },
                {
                  extend: 'print',
                  text: 'Print (selected entries from current page)',
                  exportOptions: {
                    modifier: {
                      selected: true
                    },
                    columns: [1,2,3,4]
                  }
                },
                {
                  extend: 'excelHtml5',
                  text: 'Excel (all entries from current page)',
                  exportOptions: {
                    columns: [1,2,3,4]
                  }
                },
                {
                  extend: 'excelHtml5',
                  text: 'Excel (selected entries from current page)',
                  exportOptions: {
                    modifier: {
                      selected: true
                    },
                    columns: [1,2,3,4]
                  }
                },
                {
                  extend: 'csvHtml5',
                  text: 'CSV (all entries from current page)',
                  exportOptions: {
                    columns: [1,2,3,4]
                  }
                },
                {
                  extend: 'csvHtml5',
                  text: 'CSV (selected entries from current page)',
                  exportOptions: {
                    modifier: {
                      selected: true
                    },
                    columns: [1,2,3,4]
                  }
                }
              ]
            },
            'colvis'
          ],
          createdRow: function () {
            table.column(1, { search: 'applied', order: 'applied' }).nodes().each(function (cell, i) {
                cell.innerHTML = i+1;
            });
          }
        });

        table.on('order.dt search.dt column-reorder', function () {
            table.column(1, { search: 'applied', order: 'applied' }).nodes().each(function (cell, i) {
                cell.innerHTML = i+1;
            });
        }).draw();

      </script>
    </div>
  </div>
</div>
@endsection
