@extends('index-left-sidebar')

@section('content')
	<div id="krik-single-event-sessions">
		<div class="panel krik-panel">
			<div class="panel-heading">
				<h3 class="krik-single-event-title">{{ $event_info->name }}</h3>
				
				<h4 class="krik-single-event-info">
					@php
						$event_start = new DateTime($event_info->start_ts);
						$event_end = new DateTime($event_info->end_ts);
						$event_days_diff = $event_start->diff($event_end)->d;
					@endphp
					@if($event_info->type_by_venue == 'physical')
						@if ($event_days_diff > 0)
							{{ date("d.m.Y. H:i", strtotime($event_info->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($event_info->end_ts)) . ', ' . $event_info->venue_name }}
						@else
							{{ date("d.m.Y. H:i", strtotime($event_info->start_ts)) . ', ' . $event_info->venue_name }}
						@endif
					@else
						@if ($event_days_diff > 0)
							{{ date("d.m.Y. H:i", strtotime($event_info->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($event_info->end_ts)) }}
						@else
							{{ date("d.m.Y. H:i", strtotime($event_info->start_ts)) }}
						@endif
					@endif
				</h4>
			</div>
		</div>

	    <div class="krik-single-event-sessions">

	        <form method="POST">
				<div class="col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3">
					<h1 class="krik-single-event-sessions-new">Update session</h1>
					
					<div class="form-group">
						<label for="name" class="control-label">Name</label>
						<input class="form-control" type="text" name="name" value="{{ $session->name }}" required>
					</div>
					
					<div class="form-group">
						<label for="location" class="control-label">Location</label>
						<input class="form-control" type="text"name="location" value="{{ $session->location }}" required>
					</div>
					
					<div class="row">
						<div class="col-md-6">
							<div class="form-group">
								<label for="start" class="control-label">Start</label>
								@php
									$session_datetime_start = strtotime($session->start_ts);
									$session_datetime_start = date('d/m/y H:i', $session_datetime_start);
								@endphp
								<input class="form-control datetime" type="text" name="start" value="{{ $session_datetime_start }}" required>
							</div>
						</div>
						
						<div class="col-md-6">
							<div class="form-group">
								<label for="end" class="control-label">End</label>
								@php
									$session_datetime_end = strtotime($session->end_ts);
									$session_datetime_end = date('d/m/y H:i', $session_datetime_end);
								@endphp
								<input class="form-control datetime" type="text" name="end" value="{{ $session_datetime_end }}" required>
							</div>
						</div>
					</div>
					
					<div class="form-group">
						<label for="description" class="control-label">Description</label>
						<textarea class="form-control" name="description" rows="5">{{ $session->description }}</textarea>
					</div>
					
					<div class="form-group">
						<button type="submit" class="btn btn-block publish btn-success">Update</button>
					</div>
					
				</div>
				
				{{ csrf_field() }}
	        </form>
			
		</div>
		
		<script type="text/javascript">
			$('.datetime').daterangepicker({
		      "singleDatePicker": true,
		      "timePicker": true,
		      "timePicker24Hour": true,
		      "autoApply": true,
		      "locale": {
		      	format: 'DD/MM/YYYY HH:mm'
		      }
		    });
		</script>
	</div>
@endsection
