@extends('index-left-sidebar')

@section('content')
<div id="krik-single-event-sessions">
    <div class="panel krik-panel">
        <div class="panel-heading">
            <h3 class="krik-single-event-title">{{ $event_info->name }}</h3>
            <h4 class="krik-single-event-info">
                @php
                    $event_start = new DateTime($event_info->start_ts);
                    $event_end = new DateTime($event_info->end_ts);
                    $event_days_diff = $event_start->diff($event_end)->d;
                @endphp
                @if($event_info->type_by_venue == 'physical')
                    @if ($event_days_diff > 0)
                        {{ date("d.m.Y. H:i", strtotime($event_info->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($event_info->end_ts)) . ', ' . $event_info->venue_name }}
                    @else
                        {{ date("d.m.Y. H:i", strtotime($event_info->start_ts)) . ', ' . $event_info->venue_name }}
                    @endif
                @else
                    @if ($event_days_diff > 0)
                        {{ date("d.m.Y. H:i", strtotime($event_info->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($event_info->end_ts)) }}
                    @else
                        {{ date("d.m.Y. H:i", strtotime($event_info->start_ts)) }}
                    @endif
                @endif
            </h4>
        </div>
    </div>

    <h1 class="krik-session-title">Check session - {{ $session->name }}</h1>
	<h2 class="krik-session-info">{{ date("d.m.Y. H:i", strtotime($session->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($session->end_ts)) }}, {{ $session->location }}</h2>
    
    <h2 class="krik-session-description">{{ $session->description }}</h2>

    <div class="krik-single-event-sessions">

        {{ Form::open(array()) }}
        <div class="col-md-4">
            <div class="form-group">
                <div class="input-group">
                    <input class="form-control" type="text" placeholder="Insert code..." name="barcode" autofocus>
                    <span class="input-group-btn"><button type="submit" class="btn btn-default">Check!</button></span>
                </div>
            </div>
        </div>
        {{ Form::close() }}

        @if($status == 'new')
            <div class="col-md-12">
                <p class="krik-action-success"><i class="fa fa-check-circle"></i> Session successfully checked!</p>
            </div>
        @elseif($status == 'registered')
            <div class="col-md-12">
                <p class="krik-action-fail"><i class="fa fa-exclamation-circle"></i> Session was already successfully checked!</p>
            </div>
        @elseif($status == 'wrong')
            <div class="col-md-12">
                <p class="krik-action-fail"><i class="fa fa-times-circle"></i> Event barcode is not registered with this event!</p>
            </div>
        @elseif($status == 'nope')
            <div class="col-md-12">
                <p class="krik-action-fail"><i class="fa fa-times-circle"></i> There is no lead registered with this code on this event!</p>
            </div>
        @endif

        @if($status == 'new' || $status == 'registered')
            <div class="col-md-12">
                <div class="table-responsive">
                    <table class="table table-bordered table-sessions-lead">
                        <thead>
                            <tr>
                                <th>Title, Name Surname</th>
                                <th>Company</th>
                                <th>E-mail</th>
                                <th>Phone</th>
                                <th>Mobile</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>{{ $lead->title . ' ' .  $lead->first_name . ' ' . $lead->last_name }}</td>
                                <td>{{ $lead->company_name }}</td>
                                <td>{{ $lead->email }}</td>
                                <td>{{ $lead->phone }}</td>
                                <td>{{ $lead->mobile }}</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        @endif

    </div>
</div>
@endsection
