@extends('index-left-sidebar')

@section('content')
<div id="krik-single-event">

  {{-- Event Name, Date, Location, Close Registration  --}}
  <div class="panel krik-panel">
    <div class="panel-heading">
      <h3 class="krik-single-event-title">{{ $singleEvent->name }}</h3>
      <h4 class="krik-single-event-info">
        @php
          $event_start = new DateTime($singleEvent->start_ts);
          $event_end = new DateTime($singleEvent->end_ts);
          $event_days_diff = $event_start->diff($event_end)->d;
        @endphp
        @if($singleEvent->type_by_venue == 'physical')
          @if ($event_days_diff > 0)
            {{ date("d.m.Y. H:i", strtotime($singleEvent->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($singleEvent->end_ts)) . ', ' . $singleEvent->venue_name }}
          @else
           {{ date("d.m.Y. H:i", strtotime($singleEvent->start_ts)) . ', ' . $singleEvent->venue_name }}
          @endif
        @else
          @if ($event_days_diff > 0)
            {{ date("d.m.Y. H:i", strtotime($singleEvent->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($singleEvent->end_ts)) }}
          @else
            {{ date("d.m.Y. H:i", strtotime($singleEvent->start_ts)) }}
          @endif
        @endif
      </h4>
        @role('admin')
            @if($now < $singleEvent->registration_end_ts)
                {{ Form::open(array('url' => getenv('APP_URL') . '/events', 'method' => 'put')) }}
                <input type="hidden" name="id" value="{{ $singleEvent->id }}">
                <button type="submit" class="btn krik-btn-purple"><i class="fa fa-ban krik-btn-space"></i>Close Registration</button>
                {{ Form::close() }}
            @else
                <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/create/registration' }}"><button type="submit" class="btn krik-btn-purple"><i class="fa fa-sign-in krik-btn-space"></i>Open Registration</button></a>
            @endif
        @endrole
    </div>
  </div>

  <div class="krik-single-event-left">

    {{-- Days Unitil --}}
    <div class="col-md-12 col-lg-4">
      <div class="panel panel-default">
        <div class="panel-body krik-panel-no-space">
          <div class="krik-event-box">
            <div id="krik-event-slider-1" class="carousel slide" data-ride="carousel">
              <div class="carousel-inner">
                <div class="item active">
                  <?php
                  $daysTillEventStart = floor((strtotime($singleEvent->start_ts) - time())/60/60/24);
                  $daysTillEventEnd = floor((strtotime($singleEvent->end_ts) - time())/60/60/24);
                  ?>
                  <div class="krik-panel-space">
                    @if(strtotime($singleEvent->start_ts) > strtotime($now))
                      <i class="fa fa-calendar krik-event-slider-icon"></i>
                      @if($daysTillEventStart == 0)
                        <span class="krik-single-event-msg">
                          Event starts soon
                        </span>
                      @else
                        <div class="krik-number-days-until">{{ $daysTillEventStart }}</div>
                        <span class="krik-days-until">
                          <div>Days</div>
                          <div>Until Event</div>
                        </span>
                      @endif
                    @elseif((strtotime($singleEvent->start_ts) <= strtotime($now)) && (strtotime($singleEvent->end_ts) >= strtotime($now)))
                      <i class="fa fa-calendar krik-event-slider-icon"></i>
                      <span class="krik-single-event-msg">
                        Event is in progress
                      </span>
                    @else
                      <i class="fa fa-calendar krik-event-slider-icon"></i>
                      <span class="krik-single-event-msg">
                        Event has passed
                      </span>
                    @endif
                  </div>
                </div>
                <div class="item">
                  <div class="krik-panel-space">
                    @if($singleEvent->registration_end_ts)
                    <?php $daysTillRegistrationEnds = floor((strtotime($singleEvent->registration_end_ts) - time())/60/60/24); ?>
                      @if(strtotime($singleEvent->registration_end_ts) >= strtotime($now))
                        @if($daysTillRegistrationEnds > 0)
                          <i class="fa fa-check-square-o krik-event-slider-icon"></i>
                          <div class="krik-number-days-until">{{ $daysTillRegistrationEnds }}</div>
                          <span class="krik-days-until">
                            <div>Days Until</div>
                            <div>Registration</div>
                            <div>Closure</div>
                          </span>
                        @else
                          <i class="fa fa-sign-in krik-event-slider-icon"></i>
                          <span class="krik-single-event-msg">
                            Registration closes today
                          </span>
                        @endif
                      @else
                        <i class="fa fa-times-circle krik-event-slider-icon"></i>
                        <span class="krik-single-event-msg">
                          Registration is closed
                        </span>
                      @endif
                    @else
                      <i class="fa fa-times-circle krik-event-slider-icon"></i>
                      <span class="krik-single-event-msg">
                        There is no registration
                      </span>
                    @endif
                  </div>
                </div>

              </div>
              <ol class="carousel-indicators">
                <li data-target="#krik-event-slider-1" data-slide-to="0" class="active"></li>
                <li data-target="#krik-event-slider-1" data-slide-to="1"></li>
              </ol>
            </div>
          </div>
        </div>
      </div>
    </div>

    {{-- Collected Until Now, Approved/Applied Registrations, Registered/Expected --}}
    <div class="col-md-12 col-lg-4">
      <div class="panel panel-default">
        <div class="panel-body krik-panel-no-space">
          <div class="krik-event-box">
            <div id="krik-event-slider-2" class="carousel slide" data-ride="carousel">
              <div class="carousel-inner">
                <div class="item active">
                  <div class="krik-panel-space">
                    <i class="fa fa-money krik-event-slider-icon"></i>
                    <div class="krik-money-collected">
                      <span class="krik-money-number">
                        {{ $collectedUntilNow }}
                        @if($eventCurrency != '0')
                          {{ ' ' . $eventCurrency  }}
                        @endif
                      </span>
                      <div class="krik-money-description">Collected Until Now</div>
                    </div>
                  </div>
                </div>
                <div class="item">
                  <div class="krik-event-single-registrations">
                    <div class="krik-registrations-visual">
                      <div class="krik-registrations-chart-approved-applied" data-percent="{{ $approvedTicketsProgress }}"></div>
                      <div class="krik-registrations-chart-numbers">{{ $countApprovedTickets }}/{{ $countAppliedRegisteredLeads }}</div>
                    </div>
                    <div class="krik-registrations-description">
                      <div class="krik-first-registrations">Approved</div>
                      <div class="krik-second-registrations">Applied</div>
                    </div>
                  </div>
                </div>
                <div class="item">
                  <div class="krik-event-single-registrations">
                    <div class="krik-registrations-visual">
                      <div class="krik-registrations-chart-registered-expected" data-percent="{{ $registeredTicketsProgress }}"></div>
                      <div class="krik-registrations-chart-numbers">{{ $countRegisteredLeads }}/{{ $countTickets }}</div>
                    </div>
                    <div class="krik-registrations-description">
                      <div class="krik-first-registrations">Registered</div>
                      <div class="krik-second-registrations">Expected</div>
                    </div>
                  </div>
                </div>

                @if (strtotime($singleEvent->start_ts) < strtotime($now))
                  <div class="item">
                    <div class="krik-event-single-registrations">
                      <div class="krik-registrations-visual">
                        <div class="krik-registrations-chart-registered-expected" data-percent="{{ $attendedProgress }}"></div>
                        <div class="krik-registrations-chart-numbers">{{ $countAttended }}/{{ $countApprovedTickets }}</div>
                      </div>
                      <div class="krik-registrations-description">
                        <div class="krik-first-registrations">Attended {{$countAttended}}</div>
                        <div class="krik-second-registrations">Approved {{$countApprovedTickets}}</div>
                      </div>
                    </div>
                  </div>
                @endif

              </div>
              <ol class="carousel-indicators">
                  <li data-target="#krik-event-slider-2" data-slide-to="0" class="active"></li>
                  <li data-target="#krik-event-slider-2" data-slide-to="1"></li>
                  <li data-target="#krik-event-slider-2" data-slide-to="2"></li>

                  @if (strtotime($singleEvent->start_ts) < strtotime($now))
                    <li data-target="#krik-event-slider-2" data-slide-to="3"></li>
                  @endif

              </ol>
            </div>
          </div>
        </div>
      </div>
    </div>

    {{-- Timezone, Map --}}
    <div class="col-md-12 col-lg-4">
      <div class="panel panel-default">
        <div class="panel-body krik-panel-no-space">
          <div class="krik-event-box">
            <div id="krik-event-slider-3" class="carousel slide" data-ride="carousel" data-interval="false">
              <div class="carousel-inner">
                <div class="item active">
                  <div class="krik-panel-space">
                    <i class="fa fa-history krik-event-slider-icon"></i>
                    <div class="krik-timezone">
                      <div class="krik-timezone-description">{{ 'This event is set to' }}</div>
                      <div class="krik-timezone-set">{{ $eventTimezoneName }}</div>
                    </div>
                  </div>
                </div>
                @if($singleEventAddress != 'online')
                <div class="item">
                  <div id="krik-map-address" class="map"></div>
                  <script type="text/javascript">
                    var map = $('#krik-map-address').gmap3({
                        address: <?php echo json_encode($singleEventAddress); ?>,
                        zoom: 16
                      })
                      .marker({
                        address: <?php echo json_encode($singleEventAddress); ?>,
                      });
                  </script>
                </div>
                @endif
              </div>
              <ol class="carousel-indicators">
                  <li data-target="#krik-event-slider-3" data-slide-to="0" class="active"></li>
                  @if($singleEventAddress != 'online')
                  <li id="krik-map-address-toggle" data-target="#krik-event-slider-3" data-slide-to="1" class=""></li>
                  @endif
              </ol>
            </div>
          </div>
        </div>
      </div>
    </div>

    {{-- Registrations Progress Chart --}}
    @if($dataForRegistrationsChart != 'nope')
    <div class="col-md-12 krik-registrations-progress-chart">
      <div class="panel panel-success">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Registrations Progress</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="panel-body">
          <div id="krik-registrations-progress-chart" class="chart"></div>
          <script type="text/javascript">
            $(function(){
              new Morris.Line({
                element: 'krik-registrations-progress-chart',
                data: [
                  @foreach($dataForRegistrationsChart as $data)
                    {!! $data !!}
                  @endforeach
                ],
                xkey: 'y',
                ykeys: ['a'],
                labels: ['Registered recipients'],
                lineColors: ['#8cc152'],
                lineWidth: '2px',
                hideHover: true,
                resize: true,
                xLabels: 'day',
                xLabelFormat: function (x) {
                  var month = '' + (x.getMonth() + 1),
                      day = '' + x.getDate(),
                      year = x.getFullYear();

                  if (month.length < 2) month = '0' + month;
                  if (day.length < 2) day = '0' + day;

                  return [day, month, year].join('.') + '.';
                },
                dateFormat: function (x) {
                  var date = new Date(x),
                      month = '' + (date.getMonth() + 1),
                      day = '' + date.getDate(),
                      year = date.getFullYear();

                  if (month.length < 2) month = '0' + month;
                  if (day.length < 2) day = '0' + day;

                  return [day, month, year].join('.') + '.';
                }
              });
            });
          </script>
        </div>
      </div>
    </div>
    @else
    <div class="col-md-12">
      <div class="panel panel-default krik-panel-no-data">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Registrations Progress</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="panel-body">
          <i class="fa fa-bar-chart"></i>
          <p>There are no registrans for this event.</p>
          <p>Start email activity to speed things up! After the first registration is submitted, track progress here.</p>
        </div>
      </div>
    </div>
    @endif

    @if($recentRegistrationsTableData != 'nope')
    <div class="col-md-12 krik-recent-registrants">
      <div class="panel panel-primary">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Recent Registrants</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="table-responsive">
          <table class="table">
            <thead>
              <tr>
                <th class="text-center">No.</th>
                <th>Lead name</th>
                <th>Company</th>
                <th>E-mail</th>
                <th>Telephone</th>
                <th>Registered</th>
                <th style="min-width: 125px !important;">Status actions</th>
                <th class="text-center">Actions</th>
              </tr>
            </thead>
            <tbody>
              @foreach($recentRegistrationsTableData as $key => $recentRegistrationTableData)
                <tr>
                  <td class="text-center">
                    {{ $key+1 }}
                  </td>
                  <td>
                    @if($recentRegistrationTableData->title)
                      {{ $recentRegistrationTableData->title . ' ' }}
                    @endif
                    @if($recentRegistrationTableData->first_name)
                      {{ $recentRegistrationTableData->first_name . ' ' }}
                    @endif
                    @if($recentRegistrationTableData->last_name)
                      {{ $recentRegistrationTableData->last_name }}
                    @endif
                  </td>
                  <td>
                    @if($recentRegistrationTableData->company_name)
                      {{ $recentRegistrationTableData->company_name }}
                    @endif
                  </td>
                  <td>
                    @if($recentRegistrationTableData->email)
                      {{ $recentRegistrationTableData->email }}
                    @endif
                  </td>
                  <td>
                    @if($recentRegistrationTableData->mobile)
                      {{ $recentRegistrationTableData->mobile }}
                    @endif
                  </td>
                  <td>
                    @if($recentRegistrationTableData->registered_ts)
                      {{ $recentRegistrationTableData->registered_ts }}
				  	@elseif($recentRegistrationTableData->confirmed_ts)
                      {{ $recentRegistrationTableData->confirmed_ts }}
                    @endif
                  </td>
                  <td>
                    @if($recentRegistrationTableData->status_registration)
                      @if($recentRegistrationTableData->status_registration == 'Canceled')
                        <span class="krik-registration-canceled">{{ $recentRegistrationTableData->status_registration }}</span>
                      @elseif($recentRegistrationTableData->status_registration == 'Confirmed')
                        <span class="krik-registration-confirmed">{{ $recentRegistrationTableData->status_registration }}</span>
                      @elseif($recentRegistrationTableData->status_registration == 'Waiting')
                        <span class="krik-registration-waiting">{{ $recentRegistrationTableData->status_registration }}</span>
                      @endif

                      @if($recentRegistrationTableData->status_registration == 'Confirmed' || $recentRegistrationTableData->status_registration == 'Waiting')
                        <i class="fa fa-times-circle krik-registration-cancel" data-registration-id="{{ $recentRegistrationTableData->id }}" data-toggle="modal" data-target=".krik-registration-status-cancel" data-info="tooltip" data-placement="top" title="Cancel registration"></i>
                      @endif
                      @if($recentRegistrationTableData->status_registration == 'Waiting')
                        <i class="fa fa-check-circle krik-registration-confirm" data-registration-id="{{ $recentRegistrationTableData->id }}" data-toggle="modal" data-target=".krik-registration-status-confirm" data-info="tooltip" data-placement="top" title="Confirm registration"></i>
                      @endif
                    @endif
                  </td>
                  <td class="text-center">
                    @if($pro_forma_invoice == 1)
                      {{ Form::open(array('url' => getenv('APP_URL') . '/events/' . $event_code, 'method' => 'put', 'class' => 'form-horizontal krik-generate-invoice')) }}
                      {{ Form::hidden('type', 'tickets') }}
                      {{ Form::hidden('id', $recentRegistrationTableData->id) }}
                      <i class="fa fa-info-circle krik-invoices-submit" data-info="tooltip" data-placement="top" title="Download registration invoice"></i>
                      {{ Form::close() }}
                    @endif

                    <i class="fa fa-trash-o krik-delete-registration" data-registration-id="{{ $recentRegistrationTableData->id }}" data-toggle="modal" data-target=".krik-registration-delete" data-info="tooltip" data-placement="top" title="Delete registration"></i>
                  </td>
                </tr>
              @endforeach
            </tbody>
          </table>
          <div class="panel-footer">
            <div class="pull-right">
              <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/report-registrations' }}">
                <button type="button" class="btn btn-sm btn-primary">Show All</button>
              </a>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
      </div>
    </div>
    @else
    <div class="col-md-12">
      <div class="panel panel-default krik-panel-no-data">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Recent Registrants</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="panel-body">
          <i class="fa fa-list"></i>
          <p>Info about recent registrants is going to be shown here.</p>
        </div>
      </div>
    </div>
    @endif

    @if($recentHotelReservationsTableData != 'nope')
    <div class="col-md-8 krik-recent-accommodation-reservations">
      <div class="panel panel-teal">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Recent Accommodation Reservations</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="table-responsive">
          <table class="table">
            <thead>
              <tr>
                <th class="text-center">No.</th>
                <th>Lead name</th>
                <th>Accommodation</th>
                <th>Arival</th>
                <th>Departure</th>
                <th style="min-width: 100px !important;" class="text-center">Actions</th>
              </tr>
            </thead>
            <tbody>
              @foreach($recentHotelReservationsTableData as $key => $recentHotelReservationTableData)
                <tr>
                  <td class="text-center">
                    {{ $key+1 }}
                  </td>
                  <td>
                    @if($recentHotelReservationTableData->title)
                      {{ $recentHotelReservationTableData->title . ' ' }}
                    @endif
                    @if($recentHotelReservationTableData->first_name)
                      {{ $recentHotelReservationTableData->first_name . ' ' }}
                    @endif
                    @if($recentHotelReservationTableData->last_name)
                      {{ $recentHotelReservationTableData->last_name }}
                    @endif
                  </td>
                  <td>
                    @if($recentHotelReservationTableData->name)
                      {{ $recentHotelReservationTableData->name }}
                    @endif
                  </td>
                  <td>
                    @if($recentHotelReservationTableData->accomodation_arrival_date)
                      {{ $recentHotelReservationTableData->accomodation_arrival_date }}
                    @endif
                  </td>
                  <td>
                    @if($recentHotelReservationTableData->accomodation_departure_date)
                      {{ $recentHotelReservationTableData->accomodation_departure_date }}
                    @endif
                  </td>
                  <td class="text-right">
                    @if($recentHotelReservationTableData->status_accomodation)
                      @if($recentHotelReservationTableData->status_accomodation == 'Waiting')
                        <i class="fa fa-check-circle krik-registration-accomodation-confirm" data-registration-id="{{ $recentHotelReservationTableData->id }}" data-toggle="modal" data-target=".krik-registration-accomodation-status-confirm" data-info="tooltip" data-placement="top" title="Confirm accommodation reservation"></i>
                      @endif
                      @if($recentHotelReservationTableData->status_accomodation == 'Confirmed' || $recentHotelReservationTableData->status_accomodation == 'Waiting')
                        <i class="fa fa-times-circle krik-registration-accomodation-cancel" data-registration-id="{{ $recentHotelReservationTableData->id }}" data-toggle="modal" data-target=".krik-registration-accomodation-status-cancel" data-info="tooltip" data-placement="top" title="Cancel accommodation reservation"></i>
                      @endif
                    @endif

                    @if($pro_forma_invoice == 1)
                      {{ Form::open(array('url' => getenv('APP_URL') . '/events/' . $event_code, 'method' => 'put', 'class' => 'form-horizontal krik-generate-invoice')) }}
                      {{ Form::hidden('type', 'accomodation') }}
                      {{ Form::hidden('id', $recentHotelReservationTableData->id) }}
                      <i class="fa fa-info-circle krik-invoices-submit" data-info="tooltip" data-placement="top" title="Download accommodation invoice"></i>
                      {{ Form::close() }}
                    @endif

                    <i class="fa fa-trash-o krik-delete-registration-accomodation" data-registration-id="{{ $recentHotelReservationTableData->id }}" data-toggle="modal" data-target=".krik-registration-delete-accomodation" data-info="tooltip" data-placement="top" title="Delete accommodation reservation"></i>
                  </td>
                </tr>
              @endforeach
            </tbody>
          </table>
          <div class="panel-footer">
            <div class="pull-right">
              <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/report-accommodations' }}">
                <button type="button" class="btn btn-sm btn-teal">Show All</button>
              </a>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
      </div>
    </div>
    @endif

    @if($accommodations != 'nope')
    <div class="col-md-4">
      <div class="panel panel-teal">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Accommodation Occupancy</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="panel-body">
          @foreach($accommodations as $key => $accommodation)
            <div>{{ $accommodation->name }}</span><span class="pull-right">({{ $accommodation->count }}/{{ $accommodation->rooms }})</div>
            <div class="progress progress-xs">
              <?php
                $giveMeProgress = $accommodation->count / $accommodation->rooms;
                $giveMeProgress = $giveMeProgress * 100;
              ?>
              <div class="progress-bar progress-bar-teal" role="progressbar" style="width: <?php echo $giveMeProgress . '%'; ?>"></div>
            </div>
          @endforeach
        </div>
      </div>
    </div>
    @endif

    @if($recentTransfersTableData != 'nope')
    <div class="col-md-8 krik-recent-transfer-reservations">
      <div class="panel panel-lilac">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Recent Transfer Reservations</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="table-responsive">
          <table class="table">
            <thead>
              <tr>
                <th class="text-center">No.</th>
                <th>Lead name</th>
                <th>Time</th>
                <th>Type</th>
                <th style="min-width: 100px !important;" class="text-center">Actions</th>
              </tr>
            </thead>
            <tbody>
              @foreach($recentTransfersTableData as $key => $recentTransferTableData)
                <tr>
                  <td class="text-center">
                    {{ $key+1 }}
                  </td>
                  <td>
                    @if($recentTransferTableData->title)
                      {{ $recentTransferTableData->title . ' ' }}
                    @endif
                    @if($recentTransferTableData->first_name)
                      {{ $recentTransferTableData->first_name . ' ' }}
                    @endif
                    @if($recentTransferTableData->last_name)
                      {{ $recentTransferTableData->last_name }}
                    @endif
                  </td>
                  <td>
                    @if($recentTransferTableData->transfer_start_ts)
                      {{ $recentTransferTableData->transfer_start_ts }}
                    @endif
                  </td>
                  <td>
                    @if($recentTransferTableData->description)
                      {{ $recentTransferTableData->description }}
                    @endif
                  </td>
                  <td class="text-right">
                    @if($recentTransferTableData->status_transfer)
                      @if($recentTransferTableData->status_transfer == 'Waiting')
                        <i class="fa fa-check-circle krik-registration-transfer-confirm" data-registration-id="{{ $recentTransferTableData->id }}" data-toggle="modal" data-target=".krik-registration-transfer-status-confirm" data-info="tooltip" data-placement="top" title="Confirm transfer reservation"></i>
                      @endif
                      @if($recentTransferTableData->status_transfer == 'Confirmed' || $recentTransferTableData->status_transfer == 'Waiting')
                        <i class="fa fa-times-circle krik-registration-transfer-cancel" data-registration-id="{{ $recentTransferTableData->id }}" data-toggle="modal" data-target=".krik-registration-transfer-status-cancel" data-info="tooltip" data-placement="top" title="Cancel transfer reservation"></i>
                      @endif
                    @endif

                    @if($pro_forma_invoice == 1)
                      {{ Form::open(array('url' => getenv('APP_URL') . '/events/' . $event_code, 'method' => 'put', 'class' => 'form-horizontal krik-generate-invoice')) }}
                      {{ Form::hidden('type', 'transfers') }}
                      {{ Form::hidden('id', $recentTransferTableData->id) }}
                      <i class="fa fa-info-circle krik-invoices-submit" data-info="tooltip" data-placement="top" title="Download transfer invoices"></i>
                      {{ Form::close() }}
                    @endif

                    <i class="fa fa-trash-o krik-delete-registration-transfer" data-registration-id="{{ $recentTransferTableData->id }}" data-transfer-id="{{ $recentTransferTableData->transfer_id }}" data-toggle="modal" data-target=".krik-registration-delete-transfer" data-info="tooltip" data-placement="top" title="Delete transfer reservation"></i>
                  </td>
                </tr>
              @endforeach
            </tbody>
          </table>
          <div class="panel-footer">
            <div class="pull-right">
              <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/report-transfers' }}">
                <button type="button" class="btn btn-sm btn-lilac">Show All</button>
              </a>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
      </div>
    </div>
    @endif

    @if($recentTransfersTableData != 'nope')
    <div class="col-md-4">
      <div class="panel panel-lilac">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Transfers By Days</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="panel-body">
          <div id="krik-registrations-transfers-chart" class="chart"></div>
          <script type="text/javascript">
            $(function(){
              new Morris.Bar({
                element: 'krik-registrations-transfers-chart',
                data: [
                  @foreach($transfersByDayChartData as $data)
                    {!! $data !!}
                  @endforeach
                ],
                xkey: 'y',
                ykeys: ['a', 'b'],
                labels: ['Airport to Venue', 'Venue to Airport'],
                barColors: ['#75466a', '#8f6b87'],
                hideHover: true,
                resize: true
              });
            });
          </script>
        </div>
      </div>
    </div>
    @endif

  </div>

  <div class="krik-single-event-right">

    {{-- Ticket-Count --}}
      <div class="panel panel-teal widget-tickets">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Tickets</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="panel-body">
          @foreach($tickets as $ticket)
          <div>
          <span>{{ $ticket->name }}</span>
          @if(strtotime($ticket->valid_until_ts) < strtotime($now))<span style="color: #e9573f">{{ '(expired)' }}</span>@endif
          <span class="pull-right">
          <?php
            if($ticket->deleteTicket < $ticket->used) {
              $number = $ticket->used - $ticket->deleteTicket;
            } elseif($ticket->deleteTicket > $ticket->used) {
              $number = $ticket->deleteTicket - $ticket->used;
            } else {
              $number = $ticket->used - $ticket->deleteTicket;
            }
          ?>
          ({{ $number }}/{{ $ticket->quantity }})
          </div>
            <div class="progress progress-xs">
              <?php
                $giveMeProgress = $number / $ticket->quantity;
                $giveMeProgress = $giveMeProgress * 100;
              ?>
              <div class="progress-bar progress-bar-teal" role="progressbar" style="width: <?php echo $giveMeProgress . '%'; ?>"></div>
            </div>
          @endforeach
        </div>
      </div>

    {{-- To-Do --}}
    <div class="panel widget-todo" id="krik-todo">
      <div class="panel-heading">
        <div class="pull-left">
          <h3 class="panel-title">To-Do List</h3>
        </div>
        <div class="clearfix"></div>
      </div>
      <div class="panel-sub-heading">
        <div class="row inner-all">
          <form action="/events/single/todo" method="post" id="krik-todo-add">
            <div class="krik-todo-new">
              {{ csrf_field() }}
              <input type="hidden" name="user_id" value="{{ Auth::user()->id }}">
              <input type="hidden" name="event_id" value="{{ $singleEvent->id }}">
              <input type="text" class="form-control input-sm" placeholder="Add New..." name="name" id="krik-todo-text">
            </div>
            <div class="krik-todo-new-add">
              <button type="submit" class="btn btn-primary btn-sm btn-block"><i class="fa fa-plus"></i></button>
            </div>
          </form>
        </div>
      </div>
      <div class="panel-body no-padding">
        <ul class="todo-list">
          @foreach($toDoTasks as $toDoTask)
            <li class="krik-todo-task-item">
              <div class="ckbox ckbox-success">
                <input type="checkbox" value="{{ $toDoTask->id }}" id="{{ 'todo-' . $toDoTask->id }}" @if($toDoTask->done_flag == 1) {{ 'checked' }} @endif>
                <label class="krik-todo-task" for="{{ 'todo-' . $toDoTask->id }}">{{ $toDoTask->name }}</label>
                <div class="krik-todo-task-delete" data-todo-id="{{ $toDoTask->id }}"><i class="fa fa-times"></i></div>
              </div>
            </li>
          @endforeach
        </ul>
      </div>
    </div>

    {{-- Recent Activity --}}
    @if($recentActivities != 'nope')
    <div class="recent-activity" id="krik-recent-activity">
      <h3>Recent Activity</h3>

      @foreach($recentActivities as $key => $recentActivitie)

        @if($recentActivitie->whatDidWeGet == 'scheduled-mailing-activity' && strtotime($recentActivitie->time) > strtotime($now))
          <div class="recent-activity-item recent-activity-warning">
            <div class="recent-activity-badge">
              <span class="recent-activity-badge-userpic"></span>
            </div>
            <div class="recent-activity-body">
              <div class="recent-activity-body-head">
                <div class="recent-activity-body-head-caption">
                  <h3 class="recent-activity-body-title">
                    {{ 'Mailing Activity Scheduled' }}
                  </h3>
                </div>
              </div>
              <div class="recent-activity-body-content">
                <p>
                  <a href="{{ Request::url() . '/mailings/' . $recentActivitie->eventOrMailingCode }}">{{ $recentActivitie->eventOrMailingName }}</a>
                  <span class="text-block text-muted">
                    {{ date("d.m.Y. H:i", strtotime($recentActivitie->time)) }}
                  </span>
                </p>
              </div>
            </div>
          </div>
        @endif

        @if($recentActivitie->whatDidWeGet == 'event-started' && strtotime($recentActivitie->time) < strtotime($now))
        <div class="recent-activity-item recent-activity-success">
          <div class="recent-activity-badge">
            <span class="recent-activity-badge-userpic"></span>
          </div>
          <div class="recent-activity-body">
            <div class="recent-activity-body-head">
              <div class="recent-activity-body-head-caption">
                <h3 class="recent-activity-body-title">
                  {{ 'Event Started' }}
                </h3>
              </div>
            </div>
            <div class="recent-activity-body-content">
              <p>
                <span class="text-block text-muted">
                  {{ date("d.m.Y. H:i", strtotime($recentActivitie->time)) }}
                </span>
              </p>
            </div>
          </div>
        </div>
        @endif

        @if($recentActivitie->whatDidWeGet == 'registration-opened' && strtotime($recentActivitie->time) < strtotime($now))
        <div class="recent-activity-item recent-activity-success">
          <div class="recent-activity-badge">
            <span class="recent-activity-badge-userpic"></span>
          </div>
          <div class="recent-activity-body">
            <div class="recent-activity-body-head">
              <div class="recent-activity-body-head-caption">
                <h3 class="recent-activity-body-title">
                  {{ 'Registration Opened' }}
                </h3>
              </div>
            </div>
            <div class="recent-activity-body-content">
              <p>
                <span class="text-block text-muted">
                  {{ date("d.m.Y. H:i", strtotime($recentActivitie->time)) }}
                </span>
              </p>
            </div>
          </div>
        </div>
        @endif

        @if($recentActivitie->whatDidWeGet == 'started-mailing-activity' && strtotime($recentActivitie->time) < strtotime($now))
        <div class="recent-activity-item recent-activity-primary">
          <div class="recent-activity-badge">
            <span class="recent-activity-badge-userpic"></span>
          </div>
          <div class="recent-activity-body">
            <div class="recent-activity-body-head">
              <div class="recent-activity-body-head-caption">
                <h3 class="recent-activity-body-title">
                  {{ 'Started Mailing Activity' }}
                </h3>
              </div>
            </div>
            <div class="recent-activity-body-content">
              <p>
                <a href="{{ Request::url() . '/mailings/' . $recentActivitie->eventOrMailingCode }}">{{ $recentActivitie->eventOrMailingName }}</a>
                <span class="text-block text-muted">
                  {{ date("d.m.Y. H:i", strtotime($recentActivitie->time)) }}
                </span>
              </p>
            </div>
          </div>
        </div>
        @endif

        @if($recentActivitie->whatDidWeGet == 'registration-closed' && strtotime($recentActivitie->time) < strtotime($now))
        <div class="recent-activity-item recent-activity-danger">
          <div class="recent-activity-badge">
            <span class="recent-activity-badge-userpic"></span>
          </div>
          <div class="recent-activity-body">
            <div class="recent-activity-body-head">
              <div class="recent-activity-body-head-caption">
                <h3 class="recent-activity-body-title">
                  {{ 'Registration Closed' }}
                </h3>
              </div>
            </div>
            <div class="recent-activity-body-content">
              <p>
                <span class="text-block text-muted">
                  {{ date("d.m.Y. H:i", strtotime($recentActivitie->time)) }}
                </span>
              </p>
            </div>
          </div>
        </div>
        @endif

        @if($recentActivitie->whatDidWeGet == 'event-ended' && strtotime($recentActivitie->time) < strtotime($now))
        <div class="recent-activity-item recent-activity-danger">
          <div class="recent-activity-badge">
            <span class="recent-activity-badge-userpic"></span>
          </div>
          <div class="recent-activity-body">
            <div class="recent-activity-body-head">
              <div class="recent-activity-body-head-caption">
                <h3 class="recent-activity-body-title">
                  {{ 'Event Ended' }}
                </h3>
              </div>
            </div>
            <div class="recent-activity-body-content">
              <p>
                <span class="text-block text-muted">
                  {{ date("d.m.Y. H:i", strtotime($recentActivitie->time)) }}
                </span>
              </p>
            </div>
          </div>
        </div>
        @endif

      @endforeach

		@foreach($recentActivities as $key => $recentActivitie)

			@if($recentActivitie->whatDidWeGet == 'created-event')
			<div class="recent-activity-item recent-activity-success recent-activity-last">
			  <div class="recent-activity-badge">
			    <span class="recent-activity-badge-userpic"></span>
			  </div>
			  <div class="recent-activity-body">
			    <div class="recent-activity-body-head">
			      <div class="recent-activity-body-head-caption">
			        <h3 class="recent-activity-body-title">
			          {{ 'Event Created' }}
			        </h3>
			      </div>
			    </div>
			    <div class="recent-activity-body-content">
			      <p>
			        <span class="text-block text-muted">
			          {{ date("d.m.Y. H:i", strtotime($recentActivitie->time)) }}
			        </span>
			      </p>
			    </div>
			  </div>
			</div>

			@break
			@endif

		@endforeach

    </div>
    @endif

    {{ csrf_field() }}

  </div>

  <div class="modal krik-registration-delete animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm delete</h4>
            </div>
            <div class="modal-body">
              <p>This action can not be undone.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-delete-submit">Delete registration</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-delete-accomodation animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm delete</h4>
            </div>
            <div class="modal-body">
              <p>This action can not be undone.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-delete-submit">Delete reservation</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-delete-transfer animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm delete</h4>
            </div>
            <div class="modal-body">
              <p>This action can not be undone.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-delete-submit">Delete reservation</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-status-confirm animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm change</h4>
            </div>
            <div class="modal-body">
              <p>Change registration status to Confirmed.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-change-submit">Change</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-status-cancel animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm change</h4>
            </div>
            <div class="modal-body">
              <p>Change registration status to Canceled.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-change-submit">Change</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-accomodation-status-confirm animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm change</h4>
            </div>
            <div class="modal-body">
              <p>Change accommodation status to Confirmed.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-change-submit">Change</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-accomodation-status-cancel animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm change</h4>
            </div>
            <div class="modal-body">
              <p>Change accommodation status to Canceled.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-change-submit">Change</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-transfer-status-confirm animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm change</h4>
            </div>
            <div class="modal-body">
              <p>Change transfer status to Confirmed.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-change-submit">Change</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-transfer-status-cancel animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm change</h4>
            </div>
            <div class="modal-body">
              <p>Change transfer status to Canceled.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-change-submit">Change</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
@endsection
