<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->

<head>

<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<link rel="shortcut icon" type="image/png" href="<?php echo getenv('APP_URL') . '/favicon.ico' ?>"/>
<link rel='shortcut icon' type='image/x-icon' href='<?php echo getenv('APP_URL') . '/favicon.ico' ?>' />
<title>{{ $title }}</title>
<link href='//fonts.googleapis.com/css?family=Abril+Fatface|Arvo|Bad+Script|Comfortaa|Dancing+Script|Droid+Sans|Open+Sans:400,300,600,700|Satisfy|Ubuntu|Vollkorn|Oswald:400,700&subset=latin,latin-ext' rel='stylesheet' type='text/css'>


@if(!empty($css['globals']))
@foreach($css['globals'] as $global)
<link href="{{ $assetUrl.$global }}" rel="stylesheet">
@endforeach
@endif

@if(!empty($css['pages']))
@foreach($css['pages'] as $page)
<link href="{{ $assetUrl.$page }}" rel="stylesheet">
@endforeach
@endif

@if(!empty($css['themes']))
@foreach($css['themes'] as $key=>$theme)
@if(is_array($theme))
<link href="{{ $assetUrl.$key }}" rel="stylesheet" id="{{ $theme['id' ]}}">
@else
<link href="{{ $assetUrl.$theme }}" rel="stylesheet">
@endif
@endforeach
@endif

<!--[if lt IE 9]>
@if(!empty($js['ies']))
@foreach($js['ies'] as $ie)
<script src="{{ $assetUrl.$ie }}"></script>
@endforeach
@endif
<![endif]-->

@if(!empty($css['cssKrik']))
@foreach($css['cssKrik'] as $krik)
<link href="{{ $krik }}" rel="stylesheet">
@endforeach
@endif

@if(!empty($js['cores']))
@foreach($js['cores'] as $core)
<script src="{{ $assetUrl.$core }}"></script>
@endforeach
@endif

@if(!empty($js['plugins']))
@foreach($js['plugins'] as $plugin)
<script src="{{ $assetUrl.$plugin }}"></script>
@endforeach
@endif

@if(!empty($js['additionalScripts']))
@foreach($js['additionalScripts'] as $script)
<script src="{{ $script }}"></script>
@endforeach @endif

@if(!empty($js['scripts']))
@foreach($js['scripts'] as $script)
<script src="{{ $assetUrl.$script }}"></script>
@endforeach
@endif

</head>

<body {!! !empty($bodyClass) ? 'class="' . (isset($extraClasses) ? ($bodyClass.' '.$extraClasses) : $bodyClass) . '"' : null !!}
    @if (env('APP_ID') == '04')
        id="ingram"
    @endif>

<section id="wrapper">

  {{-- HEADER --}}
  @include('header/header')

  {{-- MAIN CONTENT --}}
  <div class="container-fluid">
    @yield('content')
  </div>

</section>

<script>
  var baseUrl = "{{ getenv('APP_URL') }}";
</script>

@if(!empty($js['jsKrik']))
@foreach($js['jsKrik'] as $krik)
<script src="{{ $krik }}"></script>
@endforeach
@endif

</body>

</html>
