<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<link href="https://fonts.googleapis.com/css?family=Open+Sans:400&subset=latin-ext" rel="stylesheet">
    <style>
        html, body {
			font-family: 'Open Sans';
			font-weight: normal;
            margin: 0;
            padding: 0;
            font-size: 12px;
        }
        .container {
            margin: 5mm;
        }
        .header {
            width: 100%;
            height: 100px;
            background-color: {{ $bg_color }};
            color: {{ $title_color  }};
            margin-bottom: 20px;
        }
        .header h1 {
            font-family: 'Open Sans';
            font-weight: normal;
            font-size: 16px;
            margin: 3mm;
        }
        .header .logo {
            max-height: 80px;
            margin: 3mm 3mm 0;
        }
        .header h1.no-logo {
            margin: 9mm 3mm;
        }
        .invoice-date {
            width: 100%;
        }
        .invoice {
            float: left;
            width: 50%;
        }
        .date {
            float: right;
            width: 50%;
            text-align: right;
        }
        .lead-event {
            width: 100%;
            clear: both;
        }
        .lead {
            float: left;
            width: 50%;
        }
        .event {
            float: right;
            width: 50%;
            text-align: right;
        }
        .confirmation {
            width: 100%;
            clear: both;
            margin-bottom: 10px;
        }
        table, th, td {
            border: 1px solid #cdcdcd;
            border-collapse: collapse;
        }
        th, td {
			font-family: 'Open Sans';
			font-weight: 400;
            padding: 3px 6px;
        }
        th {
            background-color: #eee;
        }
        table {
            width: 100%
        }
        .right {
            text-align: right;
        }
        .total-invoice-payment {
            width: 100%;
            clear: both;
            margin: 10px 0;
        }
        .total {
            border-bottom: 1px solid #cdcdcd;
        }
        .total-invoice {
            width: 39%;
            float: left;
            position: relative;
        }
        .total-invoice .text {
            width: 50%;
        }
        .total-invoice .price {
            width: 50%;
            position: absolute;
            top: 0;
            right: 0;
            text-align: right;
        }
        .payment-details {
            width: 59%;
            float: right;
            border: 1px solid #cdcdcd;
            margin-top: 10px;
        }
        .title {
            margin: 0;
            padding: 10px 10px 0;
        }
        .account-info {
            position: relative;
            padding: 0 10px;
        }
        .account-info .desc {
            width: 30%;
        }
        .account-info .info {
            width: 70%;
            position: absolute;
            top: 0;
            right: 0;
        }
		p {
			font-family: 'Open Sans';
			font-weight: normal;
		}
		span {
			font-family: 'Open Sans';
			font-weight: normal;
		}
    </style>
</head>

<body>

    <div class="container">
        <div class="header">
            @if($event_logo)
                <img class="logo" src="{{ $event_logo }}" />
                <h1>{{ $event->name }}</h1>
            @else
                <h1 class="no-logo">{{ $event->name }}</h1>
            @endif
        </div>

        <div class="invoice-date">
            <div class="invoice">
                <p>
                    @if($event->lang == 'hr')
                        Invoice broj: {{ $registration->invoiceTicket }} <br>
                        Broj narudžbe: {{ $registration->orderTicket }}
                    @else
                        Proforma Invoice Number: {{ $registration->invoiceTicket }} <br>
                        Order Number: {{ $registration->orderTicket }}
                    @endif
                </p>
            </div>
            <div class="date">
                <p>{{ date("j F Y") }}</p>
            </div>
        </div>

        <div class="lead-event">
            <div class="lead">
                <p>
                    {{ $registration->leadCompanyName }}<br>
                    <span>{{ $registration->leadFirstName . ' ' . $registration->leadLastName }}</span><br>
                    {{ $registration->leadCompanyAddress }}<br>
                    @if($registration->leadCompanyCity)
                        {{ $registration->leadCompanyCity . ', ' . $registration->leadCompanyPostalCode }}<br>
                    @endif
                    {{ $registration->leadCompanyCountry }}
                </p>
            </div>
            <div class="event">
                <p>
                    {{ $event->name }}<br>
                    {{ $event->venue_city }}
                </p>
            </div>
        </div>

        <div class="confirmation">
            <p>
                @if($event->lang == 'hr')
                    Potvrdni e-mail će biti poslan na <span>{{ $registration->leadEmail }}</span> nakon što uplata bude potvrđena. <br>
                    Račun će biti izdan i poslan nakon potvrde uplate.
                @else
                    A confirmation e-mail will be sent to <span>{{ $registration->leadEmail }}</span> when payment is received. <br>
                    If applicable, a tax invoice will be issued once payment has been received in full.
                @endif
            </p>
        </div>

        <div class="order">
            <table>
                <tr>
                    @if($event->lang == 'hr')
                        <th>Karta</th>
                        <th>Količina</th>
                        <th>Cijena</th>
                        <th>Ukupno</th>
                    @else
                        <th>Ticket</th>
                        <th>Qty</th>
                        <th>Price</th>
                        <th>Total</th>
                    @endif
                </tr>
                <tr>
                    <td>{{ $registration->ticketName }}</td>
                    <td style="text-align: center">1</td>
                    <td class="right">{{ number_format((float)$registration->ticketPriceNoVat, 2, ',', '.') . ' ' . $currency }}</td>
                    <td class="right">{{ number_format((float)$registration->ticketPriceNoVat, 2, ',', '.') . ' ' . $currency }}</td>
                </tr>
                <tr>
                    @if($event->lang == 'hr')
                        <td colspan="3" class="right">Porez ({{ $registration->ticketsVat . '%' }})</td>
                    @else
                        <td colspan="3" class="right">Tax ({{ $registration->ticketsVat . '%' }})</td>
                    @endif
                    <td class="right">{{ $tax . ' ' . $currency }}</td>
                </tr>
                <tr>
                    @if($event->lang == 'hr')
                        <td colspan="3" class="right">Ukupno</td>
                    @else
                        <td colspan="3" class="right">Total</td>
                    @endif
                    <td class="right"><span>{{ $total . ' ' . $currency }}</span></td>
                </tr>
            </table>
        </div>

        @if(isset($registration->ticketCompanyName) || isset($registration->ticketAddress))
        <div class="total-invoice-payment">

            <div class="total-invoice">
                <div class="invoice-from">
                    <p>
                        @if($event->lang == 'hr')
                             <span>Plaćanje od:</span><br>
                        @else
                             <span>Invoiced From / Remit To:</span><br>
                        @endif
                        @if($registration->ticketType == 'company')
                        {{ $registration->ticketCompanyName }}<br>
                        @endif
                        {{ $registration->ticketFirstName . ' ' . $registration->ticketLastName }}<br>
                        {{ $registration->ticketAddress }}<br>
                        {{ $registration->ticketCity . ', ' . $registration->ticketPostalCode }}<br>
                        {{ $registration->ticketCountry }}
                        @if($registration->ticketType == 'person')
                        <br>{{ $registration->ticketCompanyName }}
                        @endif
                    </p>
                    <p>
                        @if($event->lang == 'hr')
                            @if($registration->ticketType == 'person')
                                OIB: {{ $registration->ticketPersonalId }}
                            @else
                                VAT: {{ $registration->ticketVat }}
                            @endif
                        @else
                            @if($registration->ticketType == 'person')
                                Personal Identification Number: {{ $registration->ticketPersonalId }}
                            @else
                                VAT Number: {{ $registration->ticketVat }}
                            @endif
                        @endif
                    </p>
                </div>

                <div class="queries">

                </div>
            </div>

            @if(isset($payment->IBAN))
            <div class="payment-details">
                @if($event->lang == 'hr')
                     <p class="title">Detalji plaćanja</p>
                @else
                     <p class="title">Payment Details</p>
                @endif

                <div class="account-info">
                    <div class="desc">
                        <p>
                            @if($event->lang == 'hr')
                                @if(isset($payment->account_name)) Naziv računa<br> @endif
                                @if(isset($payment->account_number)) Broj računa<br> @endif
                                @if(isset($payment->sort_code)) SORT<br> @endif
                                @if(isset($payment->IBAN)) IBAN<br> @endif
                                @if(isset($payment->SWIFT)) SWIFT<br> @endif
                                @if(isset($payment->bank_name)) Naziv banke<br> @endif
                            @else
                                @if(isset($payment->account_name)) Account Name<br> @endif
                                @if(isset($payment->account_number)) Account Number<br> @endif
                                @if(isset($payment->sort_code)) Sort Code<br> @endif
                                @if(isset($payment->IBAN)) IBAN<br> @endif
                                @if(isset($payment->SWIFT)) SWIFT<br> @endif
                                @if(isset($payment->bank_name)) Bank Name<br> @endif
                            @endif
                        </p>
                    </div>
                    <div class="info">
                        <p>
                            @if(isset($payment->account_name)) {{ $payment->account_name }}<br> @endif
                            @if(isset($payment->account_number)) {{ $payment->account_number }}<br> @endif
                            @if(isset($payment->sort_code)) {{ $payment->sort_code }}<br> @endif
                            @if(isset($payment->IBAN)) {{ $payment->IBAN }}<br> @endif
                            @if(isset($payment->SWIFT)) {{ $payment->SWIFT }}<br> @endif
                            @if(isset($payment->bank_name)) {{ $payment->bank_name }}<br> @endif
                        </p>
                    </div>
                </div>
            </div>
            @endif

            <div class="confirmation">
                <p>
                    @if($event->lang == 'hr')
                        Zahvaljujemo se na registraciji. Vaš status plaćanja je na 'čekanju uplate'. Kada zaprimimo vašu uplatu poslat ćemo vam potvrdni e-mail te će račun biti priložen.
                    @else
                        Thank you for completing registration. Your payment status is 'pending'. Once we receive your payment we will send a payment confirmation e-mail, your tax invoice will be attached.
                    @endif
                </p>
            </div>

        </div>
        @else

          <div class="confirmation">
              <p>
                    @if($event->lang == 'hr')
                        Zahvaljujemo se na registraciji.
                    @else
                        Thank you for completing registration.
                    @endif
              </p>
          </div>

        @endif


    </div>

</body>

</html>
