@extends('index')

@section('content')
    <div id="krik-events" class="krik-import">
        <div class="row">
            <div class="col-md-12">
                <h3 class="krik-subtitle">Import New Leads</h3>
                @if($errors->any())
                  <div class="alert alert-warning col-md-12" role="alert">
                      <h4><span class="alert-icon krik-btn-space"><i class="fa fa-exclamation-triangle"></i></span>{{$errors->first()}}</h4>
                  </div>
                  @endif
                  @if(session('excelfile') == 'wrong')
          					<div class="alert alert-warning" role="alert">
          						<span class="alert-icon">
          							<i class="fa fa-exclamation-triangle"></i>
          						</span>
          						<span>
          							Your Excel file is different, please download your template <a href="{{ getenv('APP_URL') }}/excel/template/Krikem_Excel_Template.xlsx" download>here</a>.
          						</span>
          					</div>
          				@endif
                  @if(session('excelfile') == 'empty')
          					<div class="alert alert-warning" role="alert">
          						<span class="alert-icon">
          							<i class="fa fa-exclamation-triangle"></i>
          						</span>
          						<span>
          							Your Excel file is empty, please fill it.
          						</span>
          					</div>
          				@endif
            </div>
        </div>
        <div class="panel rounded shadow">
          <div class="panel-heading">
            <div class="row">
              <div class="col-md-6">
                  <b>Make sure</b>
                  <p>Import file has data in the appropriate format:</p>
                  <ul>
                    <li><b>Required columns are: firstname, lastname and e-mail</b></li>
                    <li>First row must contain column names</li>
                    <li>All of the columns must be presented in the following order:</li>
                      <ol type="1">
                        <li>Title</li>
                        <li>First Name</li>
                        <li>Last Name</li>
                        <li>E-mail</li>
                        <li>Mobile</li>
                        <li>Phone</li>
                        <li>Company Name</li>
                        <li>Job Function</li>
                        <li>Company Address</li>
                        <li>Company City</li>
                        <li>Company Post Code</li>
                        <li>Company Country</li>
                        <li>Note</li>
                        <li>Type</li>
                        <li>Type Desriptions</li>
                      </ol>
                    <li>Turn off all special formatting on cell data, for example number</li>
                    <li>Be aware that if a single contact if imported two times, it not will be duplicated. System will try to filter duplicates based on e-mail address.</li>
                  </ul>
              </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                  <a href="{{ getenv('APP_URL') }}/excel/template/Krikem_Excel_Template.xlsx" download>
                      <button type="button" class="btn krik-btn-new-leads-download"><i class="fa fa-download krik-btn-space"></i>Get Excel template</button>
                  </a>
                </div>
              </div>
              <div class="row">
                <div class="col-md-3">
                  {{ Form::open(array('url' => getenv('APP_URL') . '/leads/import', 'class' => 'form-horizontal', 'files' => true)) }}
                    <div class="fileinput fileinput-new" data-provides="fileinput">
                        <span class="btn krik-btn-new-leads-choose btn-file">
                          <span class="fileinput-new"><i class="fa fa-file-excel-o krik-btn-space"></i>Choose Excel file</span>
                          <span class="fileinput-exists">Change</span>
                          {{ Form::file('upload_excel', $attributes = array('id' => 'upload_excel','accept'=>'.xlsx,.xls')) }}
                          <span class="fileinput-filename"></span>
                        <a href="#" class="close fileinput-exists" data-dismiss="fileinput" style="float: none">&times;</a>
                    </div>
                </div>
              </div>
                <div class="row">
                  <div class="col-md-6">
                    {{ Form::submit('Upload', array('class' => 'btn krik-btn-new-leads-upload hidden col-md-12')) }}
                  </div>
                </div>
            {{ Form::close() }}

          </div><!-- /.panel-heading -->
        </div><!-- /.panel -->



    </div>
@endsection
