@extends('index-registration')

@section('content')
<div class="container-fluid krik-registration" id="krik-registration-accommodation-transfer">
  <div class="row">
    <div class="col-md-12">
    @if($event->lang == 'hr')
      <h3 class="krik-registration-title">Registracija</h3>
    @else
      <h3 class="krik-registration-title">Registration</h3>
    @endif
      <div id="progress-wizard">
        <div class="panel panel-tab rounded shadow">
          <div class="panel-heading no-padding">
            <ul class="nav nav-tabs nav-pills nav-justified krik-tabs">
              <li>
                <a href="#">
                  <div class="pull-left krik-item-logo-tabs">
                    <i class="fa fa-user"></i>
                  </div>
                  <div class="pull-left krik-item-logo-text">
                  @if($event->lang == 'hr')
                    <span class="text-strong">Korak br. 1</span>
                    <span>Opće informacije</span>
                  @else
                    <span class="text-strong">Step 1</span>
                    <span>General Information</span>
                  @endif
                  </div>
                </a>
              </li>
              <li class="active">
                <a href="#">
                  <div class="pull-left krik-item-logo-tabs">
                    <i class="fa fa-bed" style="color: {{ $event->background_color }}"></i>
                  </div>
                  <div class="pull-left krik-item-logo-text">
                    @if($event->lang == 'hr')
                      <span class="text-strong">Korak br. 2</span>
                      <span>
                          @if($accommodations && $transfers)
                            {{ 'Smještaj/prijevoz' }}
                          @elseif($accommodations)
                            {{ 'Smještaj' }}
                          @elseif($transfers)
                            {{ 'Prijevoz' }}
                          @endif
                        </span>
                    @else
                      <span class="text-strong">Step 2</span>
                      <span>@if($accommodations) {{ 'Accommodation' }} @endif @if($accommodations && $transfers) {{ '/' }} @endif @if($transfers) {{ 'Transfer' }} @endif</span>
                    @endif
                  </div>
                </a>
              </li>
              <li>
                <a href="#">
                  <div class="pull-left krik-item-logo-tabs">
                    <i class="fa fa-credit-card"></i>
                  </div>
                  <div class="pull-left krik-item-logo-text">
                  @if($event->lang == 'hr')
                    <span class="text-strong">Korak br. 3</span>
                    <span>Plaćanje</span>
                  @else
                    <span class="text-strong">Step 3</span>
                    <span>Payment</span>
                  @endif
                  </div>
                </a>
              </li>
              <li>
                <a href="#">
                  <div class="pull-left krik-item-logo-tabs">
                    <i class="fa fa-check"></i>
                  </div>
                  <div class="pull-left krik-item-logo-text">
                  @if($event->lang == 'hr')
                    <span class="text-strong">Korak br. 4</span>
                    <span>Sažetak</span>
                  @else
                    <span class="text-strong">Step 4</span>
                    <span>Summary</span>
                  @endif
                  </div>
                </a>
              </li>
            </ul>
          </div>

          <div class="panel-body">

          {{ Form::model($lead_registration, array('class' => 'tab-content form-horizontal form-bordered', 'id' => 'krik-registration-accommodation-transfer-step')) }}

            @if($accommodations_available && $lead_registration->accompany_persons == 0)
            <div class="krik-accomodation">
              <div class="row">
                <div class="panel-heading col-md-12 krik-panel">
                  <div class="pull-left">
                    @if($event->lang == 'hr')
                      <h3 class="panel-title">Želite li rezervirati smještaj?</h3>
                    @else
                      <h3 class="panel-title">Do you want to make accommodation reservation?</h3>
                    @endif
                  </div>
                  <div class="pull-right krik-switch-accomodation">
                    @if($lead_registration->accomodation_room_id)
                        @if($event->lang == 'hr')
                            <input type="checkbox" class="switch" name="accomodation_reservation" value="1" data-on-text="DA" data-off-text="NE" data-on-color="lilac" data-toggle="collapse" data-target="#collapsible" checked>
                        @else
                            <input type="checkbox" class="switch" name="accomodation_reservation" value="1" data-on-text="YES" data-off-text="NO" data-on-color="lilac" data-toggle="collapse" data-target="#collapsible" checked>
                        @endif
                    @else
                        @if($event->lang == 'hr')
                            <input type="checkbox" class="switch" name="accomodation_reservation" value="1" data-on-text="DA" data-off-text="NE" data-on-color="lilac" data-toggle="collapse" data-target="#collapsible">
                        @else
                            <input type="checkbox" class="switch" name="accomodation_reservation" value="1" data-on-text="YES" data-off-text="NO" data-on-color="lilac" data-toggle="collapse" data-target="#collapsible">
                        @endif
                    @endif
                  </div>
                </div>
              </div>
              <div class="krik-accomodation-info" style="@if($lead_registration->accomodation_room_id) {{ 'display: block' }} @endif">
                <div class="row">
                  <div class="krik-accomodation-title col-md-12">
                    @if($event->lang == 'hr')
                      <h4>Smještaj</h4>
                      <div class="accommodation-error">Molimo odaberite smještaj.</div>
                    @else
                      <h4>Accommodation</h4>
                      <div class="accommodation-error">Please choose accommodation.</div>
                    @endif
                  </div>
                </div>
                <div class="krik-hotel-groups">
                  @foreach($accommodations as $key => $accommodation)
                  <div class="row">
                    <div class="col-md-8 col-md-offset-2">
                      <div class="form-group">
                        <div class="rdio rdio-theme circle col-md-4 col-sm-4 krik-middle">
                          {{ Form::radio('accomodation_room_id', $accommodation->id, false, ['id' => 'accomodation_room_id_' . $key, 'data-type' => str_replace(' ', '-', strtolower($accommodation->type)), 'data-date-from' => $accommodation->available_from, 'data-date-until' => $accommodation->available_until]) }}
                          {{ Form::label('accomodation_room_id_' . $key, $accommodation->name, null) }}
                        </div>
                        <div class="col-md-4 col-sm-4 krik-middle">
                          @if($event->lang == 'hr')
                            @if($accommodation->type == 'Single use')
                              Jednokrevetna
                            @else
                              Dvokrevetna
                            @endif
                          @else
                             <p>{{ $accommodation->type }}</p>
                          @endif
                        </div>
                        <div class="col-md-4 col-sm-4">
                          <?php
                            $price = $accommodation->price_without_vat / 100;
                            $price = $price * $accommodation->vat;
                            $price = $price + $accommodation->price_without_vat;
                            $price = number_format((float)$price, 2, ',', '.');
                          ?>
                          <p class="krik-price">{{ $price }} <span>{{ $currency }}</span></p>
                          @if($event->lang == 'hr')
                            <p class="krik-vat">Po noći. PDV je uključen u cijenu.</p>
                          @else
                            <p class="krik-vat">Per night. VAT included.</p>
                          @endif
                        </div>
                      </div>
                    </div>
                  </div>
                  @endforeach
                </div>
                <div class="row krik-accommodation-desc">
                  <div class="col-md-8 col-md-offset-2">
                    <div class="form-group">
                    @if($event->lang == 'hr')
                      {{ Form::label('accomodation_arrival_departure_date', 'Datumi dolaska i odlaska', array('class' => 'control-label')) }}
                      @if($lead_registration->accomodation_room_id)
                        <?php
                          $accomodation_arrival_date = strtotime($lead_registration->accomodation_arrival_date);
                          $accomodation_arrival_date = date('d/m/y', $accomodation_arrival_date);

                          $accomodation_departure_date = strtotime($lead_registration->accomodation_departure_date);
                          $accomodation_departure_date = date('d/m/y', $accomodation_departure_date);

                          $accomodation_arrival_departure_date = $accomodation_arrival_date . ' - ' . $accomodation_departure_date;
                        ?>
                        {{ Form::text('accomodation_arrival_departure_date', $accomodation_arrival_departure_date, array('class' => 'form-control krik-arrival-departure-date')) }}
                      @else
                        {{ Form::text('accomodation_arrival_departure_date', null, array('class' => 'form-control krik-arrival-departure-date', 'disabled')) }}
                      @endif
                      </div>
                      <div class="form-group">
                        {{ Form::label('accomodation_roomy_name', 'Dijelim sobu s', array('class' => 'control-label')) }}
                      @if($lead_registration->type == 'Double use')
                        {{ Form::text('accomodation_roomy_name', null, array('class' => 'form-control')) }}
                      @else
                        {{ Form::text('accomodation_roomy_name', null, array('class' => 'form-control', 'disabled')) }}
                      @endif
                      </div>
                      <div class="form-group">
                        {{ Form::label('accomodation_note', 'Posebni zahtjev', array('class' => 'control-label')) }}
                      @if($lead_registration->accomodation_room_id)
                        {{ Form::textarea('accomodation_note', null, array('class' => 'form-control', 'size'=>'30x2')) }}
                      @else
                        {{ Form::textarea('accomodation_note', null, array('class' => 'form-control', 'size'=>'30x2', 'disabled')) }}
                      @endif
                    @else
                    {{ Form::label('accomodation_arrival_departure_date', 'Dates of Arrival and Departure', array('class' => 'control-label')) }}
                      @if($lead_registration->accomodation_room_id)
                        <?php
                          $accomodation_arrival_date = strtotime($lead_registration->accomodation_arrival_date);
                          $accomodation_arrival_date = date('d/m/y', $accomodation_arrival_date);

                          $accomodation_departure_date = strtotime($lead_registration->accomodation_departure_date);
                          $accomodation_departure_date = date('d/m/y', $accomodation_departure_date);

                          $accomodation_arrival_departure_date = $accomodation_arrival_date . ' - ' . $accomodation_departure_date;
                        ?>
                        {{ Form::text('accomodation_arrival_departure_date', $accomodation_arrival_departure_date, array('class' => 'form-control krik-arrival-departure-date')) }}
                      @else
                        {{ Form::text('accomodation_arrival_departure_date', null, array('class' => 'form-control krik-arrival-departure-date', 'disabled')) }}
                      @endif
                    </div>
                    <div class="form-group">
                      {{ Form::label('accomodation_roomy_name', 'I share my room with', array('class' => 'control-label')) }}
                      @if($lead_registration->type == 'Double use')
                        {{ Form::text('accomodation_roomy_name', null, array('class' => 'form-control')) }}
                      @else
                        {{ Form::text('accomodation_roomy_name', null, array('class' => 'form-control', 'disabled')) }}
                      @endif
                    </div>
                    <div class="form-group">
                      {{ Form::label('accomodation_note', 'Special Requests / Dietary Requirements', array('class' => 'control-label')) }}
                      @if($lead_registration->accomodation_room_id)
                        {{ Form::textarea('accomodation_note', null, array('class' => 'form-control', 'size'=>'30x2')) }}
                      @else
                        {{ Form::textarea('accomodation_note', null, array('class' => 'form-control', 'size'=>'30x2', 'disabled')) }}
                      @endif
                    @endif
                    </div>
                  </div>
                </div>
              </div>
            </div>
            @endif

            @if($transfers)
            <div class="krik-transfer">
              <div class="row">
                <div class="panel-heading col-md-12 krik-panel">
                  <div class="pull-left">
                    @if($event->lang == 'hr')
                      <h3 class="panel-title">Želite li rezervirati prijevoz?</h3>
                    @else
                      <h3 class="panel-title">Do you want to make transfer reservation?</h3>
                    @endif
                  </div>
                  <div class="pull-right krik-switch-transfer">
                    @if($leads_transfers_ids[0] != null)
                        @if($event->lang == 'hr')
                            <input type="checkbox" class="switch" name="transfer_reservation" value="1" data-on-text="DA" data-off-text="NE" data-on-color="lilac" data-toggle="collapse" data-target="#collapsible" checked>
                        @else
                            <input type="checkbox" class="switch" name="transfer_reservation" value="1" data-on-text="YES" data-off-text="NO" data-on-color="lilac" data-toggle="collapse" data-target="#collapsible" checked>
                        @endif
                    @else
                        @if($event->lang == 'hr')
                            <input type="checkbox" class="switch" name="transfer_reservation" value="1" data-on-text="DA" data-off-text="NE" data-on-color="lilac" data-toggle="collapse" data-target="#collapsible">
                        @else
                            <input type="checkbox" class="switch" name="transfer_reservation" value="1" data-on-text="YES" data-off-text="NO" data-on-color="lilac" data-toggle="collapse" data-target="#collapsible">
                        @endif
                    @endif
                  </div>
                </div>
              </div>

              <div class="krik-transfer-info" style="@if($leads_transfers_ids[0] != null) {{ 'display: block' }} @endif">
                <div class="row">
                  <div class="krik-transfer-title col-md-12">
                    @if($event->lang == 'hr')
                      <h4>Prijevoz</h4>
                      <div class="transfer-error">Molimo odaberite prijevoz.</div>
                    @else
                      <h4>Transfer</h4>
                      <div class="transfer-error">Please choose transfer.</div>
                    @endif
                  </div>
                </div>

                <div class="krik-transfer-options">
                  @foreach($transfers as $key => $transfer)
                  <div class="row">
                    <div class="col-md-8 col-md-offset-2">
                      <div class="form-group">
                        <div class="ckbox ckbox-lilac col-sm-8 krik-middle">
                          @if(in_array($transfer->id, $leads_transfers_ids))
                            {{ Form::checkbox('transfer_type_' . $key, $transfer->id, true, ['id' => 'transfer_type_' . $key]) }}
                          @else
                            {{ Form::checkbox('transfer_type_' . $key, $transfer->id, null, ['id' => 'transfer_type_' . $key]) }}
                          @endif

                          @if($event->lang == 'hr')
                            @if($transfer->description == 'Transfer From Airport to Venue')
                              {{ Form::label('transfer_type_' . $key, 'Prijevoz od aerodroma do događaja', null) }}
                            @else
                              {{ Form::label('transfer_type_' . $key, 'Prijevoz od događaja do aerodroma', null) }}
                            @endif
                          @else
                             {{ Form::label('transfer_type_' . $key, $transfer->description, null) }}
                          @endif
                        </div>
                        <div class="col-sm-2">
                          <?php
                            $price = $transfer->price_without_vat / 100;
                            $price = $price * $transfer->vat;
                            $price = $price + $transfer->price_without_vat;
                            $price = number_format((float)$price, 2, ',', '.');
                          ?>
                          <p class="krik-price">{{ $price }} <span>{{ $currency }}</span></p>
                          @if($event->lang == 'hr')
                            <p class="krik-vat">PDV je uključen u cijenu.</p>
                          @else
                            <p class="krik-vat">VAT included.</p>
                          @endif
                        </div>
                      </div>
                    </div>
                  </div>

                  <div class="row details details_{{ $key }}" style="@if(in_array($transfer->id, $leads_transfers_ids)) {{ 'display: block' }} @endif">
                    <div class="col-md-8 col-md-offset-2">
                      <?php
                        $lead_transfer = null;
                        foreach($leads_transfers as $leads_transfer) {
                          if ($transfer->id == $leads_transfer->transfer_id) {
                            $lead_transfer = $leads_transfer;
                            break;
                          }
                        }
                      ?>
                      <div class="form-group">
                      @if($event->lang == 'hr')
                        {{ Form::label('transfer_start_ts_' . $key, 'Datum i vrijeme', array('class' => 'control-label')) }}
                        @if($lead_transfer)
                          <?php
                            $transfer_datetime = strtotime($lead_transfer->transfer_start_ts);
                            $transfer_datetime = date('d/m/y H:i', $transfer_datetime);
                          ?>
                          {{ Form::text('transfer_start_ts_' . $key, $transfer_datetime, array('class' => 'form-control krik-transfer-date')) }}
                        @else
                          {{ Form::text('transfer_start_ts_' . $key, null, array('class' => 'form-control krik-transfer-date')) }}
                        @endif
                          </div>
                          <div class="form-group">
                          {{ Form::label('flight_number_' . $key, 'Broj leta', array('class' => 'control-label')) }}
                        @if($lead_transfer)
                          {{ Form::text('flight_number_' . $key, $lead_transfer->flight_number, array('class' => 'form-control')) }}
                        @else
                          {{ Form::text('flight_number_' . $key, null, array('class' => 'form-control')) }}
                        @endif
                      @else
                        {{ Form::label('transfer_start_ts_' . $key, 'Dates and Time', array('class' => 'control-label')) }}
                        @if($lead_transfer)
                          <?php
                            $transfer_datetime = strtotime($lead_transfer->transfer_start_ts);
                            $transfer_datetime = date('d/m/y H:i', $transfer_datetime);
                          ?>
                          {{ Form::text('transfer_start_ts_' . $key, $transfer_datetime, array('class' => 'form-control krik-transfer-date')) }}
                        @else
                          {{ Form::text('transfer_start_ts_' . $key, null, array('class' => 'form-control krik-transfer-date')) }}
                        @endif
                          </div>
                          <div class="form-group">
                          {{ Form::label('flight_number_' . $key, 'Flight Number', array('class' => 'control-label')) }}
                        @if($lead_transfer)
                          {{ Form::text('flight_number_' . $key, $lead_transfer->flight_number, array('class' => 'form-control')) }}
                        @else
                          {{ Form::text('flight_number_' . $key, null, array('class' => 'form-control')) }}
                        @endif
                      @endif
                      </div>
                    </div>
                  </div>
                @endforeach
                </div>
              </div>
            </div>
            @endif

            <div class="row">
              <div class="col-md-12 krik-registration-footer">
                <div class="col-md-6">
                  <a href="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/general-information' }}">
                  @if($event->lang == 'hr')
                    {{ Form::button('Natrag na prethodni korak', array('class' => 'btn btn-default btn-block')) }}
                  @else
                    {{ Form::button('Back to Previous Step', array('class' => 'btn btn-default btn-block')) }}
                  @endif
                  </a>
                </div>
                <div class="col-md-6">
                  @if($event->lang == 'hr')
                    {{ Form::submit('Idi na idući korak', array('class' => 'btn btn-block', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
                  @else
                    {{ Form::submit('Go to Next Step', array('class' => 'btn btn-block', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
                  @endif
                </div>
              </div>
            </div>

          {{ Form::close() }}

          <style media="screen">
            .bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-lilac + .bootstrap-switch-label {
              border: 1px solid {{ $event->background_color }} !important;
            }
            .bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-lilac {
              background: {{ $event->background_color }} !important;
              border: 1px solid {{ $event->background_color }} !important;
            }
            .rdio-theme input[type=radio]:checked + label::after {
              border-color: {{ $event->background_color }} !important;
              background-color: {{ $event->background_color }} !important;
            }
            .ckbox-lilac input[type=checkbox]:checked + label::after {
              border-color: {{ $event->background_color }} !important;
              background-color: {{ $event->background_color }} !important;
            }
            .daterangepicker td.active, .daterangepicker td.active:hover {
              border-color: {{ $event->background_color }} !important;
              background-color: {{ $event->background_color }} !important;
            }
            .daterangepicker .input-mini:link, .daterangepicker .input-mini:focus, .daterangepicker .input-mini:active, .daterangepicker .input-mini:visited {
              border-color: {{ $event->background_color }} !important;
            }
            .daterangepicker .input-mini.active {
              border-color: {{ $event->background_color }} !important;
            }
            .btn-success {
              border-color: {{ $event->background_color }} !important;
              background-color: {{ $event->background_color }} !important;
            }
          </style>

          <script>
            var select_past_time = "{{ $select_past_time }}";
          </script>

          </div>
        </div>
      </div>
    </div>
  </div>
</div>

@if($event->lang == 'hr')
  {!! JsValidator::formRequest('App\Http\Requests\Registration\AccommodationTransferHR') !!}
@else
  {!! JsValidator::formRequest('App\Http\Requests\Registration\AccommodationTransfer') !!}
@endif

@endsection
