@extends('index-registration')

@section('content')
<div id="krik-registration-email">
  <div class="krik-registration-subheader">
    <div class="container-fluid krik-registration">
      <div class="row">
        <div class="col-md-12">
          @if($registration_type == 'email')
            @if($event->lang == 'hr')
              <h2 class="krik-registration-subheader-title">Validacija e-maila</h2>
            @else
              <h2 class="krik-registration-subheader-title">Validate E-mail</h2>
            @endif
          @else
            @if($event->lang == 'hr')
               <h2 class="krik-registration-subheader-title">Unos e-maila</h2>
            @else
              <h2 class="krik-registration-subheader-title">Insert E-mail</h2>
            @endif
          @endif
        </div>
      </div>
    </div>
  </div>

  <div class="container-fluid krik-registration">
    <div class="row">
      <div class="col-md-6 col-md-offset-2">

        {{ Form::open(array('url' => getenv('APP_URL') . '/registration/' . $event->event_code)) }}

          <div class="krik-registration-email">
          @if($event->lang == 'hr')
            @if($registration_type == 'normal')
              <p class="krik-registration-email-title">Kako biste nastavili s registracijom, molimo Vas unesite vašu e-mail adresu.</p>
            @elseif($registration_type == 'email')
              <p class="krik-registration-email-title">Kako biste nastavili s registracijom, molimo Vas potvrdite Vašu e-mail adresu: </br> {{ $email }}</p>
            @elseif($registration_type == 'manual')
               <p class="krik-registration-email-title">Kako bi nastavili s ručnom registracijom, molimo Vas upišite e-mail adresu željene osobe.</p>
            @endif
          @else
            @if($registration_type == 'normal')
              <p class="krik-registration-email-title">To proceed with registration, please insert your email address</p>
            @elseif($registration_type == 'email')
              <p class="krik-registration-email-title">To proceed with registration, please confirm if this is Your email address: </br> {{ $email }}</p>
            @elseif($registration_type == 'manual')
               <p class="krik-registration-email-title">To proceed with manual registration, please insert leads email address</p>
            @endif
          @endif

            @if($registration_type == 'email')
              <div class="form-group">
                {{ Form::text('email', $email, array('class' => 'form-control', 'style' => 'display: none;')) }}
              </div>
            @elseif($registration_type == 'normal' || $registration_type == 'manual')
              <div class="form-group krik-registration-email-input">
                {{ Form::text('email', null, array('class' => 'form-control')) }}
              </div>
            @endif

            @if($registration_type == 'normal')
              @if($event->lang == 'hr')
                 {{ Form::submit('Pošalji mi poveznicu za registraciju', array('class' => 'btn btn-inline-block krik-registration-email-button', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
              @else
                 {{ Form::submit('Send me link to the registration page', array('class' => 'btn btn-inline-block krik-registration-email-button', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
              @endif
            @elseif($registration_type == 'email')
              @if($event->lang == 'hr')
                 {{ Form::submit("Da, to sam ja", array('class' => 'btn btn-inline-block krik-registration-email-button', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
              @else
                 {{ Form::submit("Yes, that's me", array('class' => 'btn btn-inline-block krik-registration-email-button', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
              @endif
            @elseif($registration_type == 'manual')
              @if($event->lang == 'hr')
                 {{ Form::submit('Započni registraciju', array('class' => 'btn btn-inline-block krik-registration-email-button', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
              @else
                {{ Form::submit('Start registration', array('class' => 'btn btn-inline-block krik-registration-email-button', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
              @endif
            @endif

            @if($event->lang == 'hr')
              @if($registration_type == 'normal')
                <p class="krik-registration-email-note">Napomena: Ako ne vidite e-mail, možda se nalazi u neželjenoj pošti ili u smeću.</p>
              @elseif($registration_type == 'manual')
                <p class="krik-registration-email-note">Ova opcija je dostupna samo administratorima. Nijedan e-mail neće biti poslan u ovome procesu.</p>
              @endif
            @else
              @if($registration_type == 'normal')
                <p class="krik-registration-email-note">Note: If You don't see it, it might be in the junk or spam mailbox.</p>
              @elseif($registration_type == 'manual')
                <p class="krik-registration-email-note">This option is only available for administrators. No emails will be sent in this process.</p>
              @endif
            @endif


          </div>

        {{ Form::close() }}

      </div>
    </div>
  </div>
</div>

@if($event->lang == 'hr')
  {!! JsValidator::formRequest('App\Http\Requests\Registration\EmailHR') !!}
@else
  {!! JsValidator::formRequest('App\Http\Requests\Registration\Email') !!}
@endif

@endsection
