@extends('index-registration')

@section('content')
<div class="container-fluid krik-registration" id="krik-registration-general-information">
  <div class="row">
    <div class="col-md-12">
      @if($event->lang == 'hr')
        <h2 class="krik-registration-title">Registracija</h3>
      @else
        <h2 class="krik-registration-title">Registration</h3>
      @endif
      <div id="progress-wizard">
        <div class="panel panel-tab">
          <div class="panel-heading no-padding">
            <ul class="nav nav-tabs nav-pills nav-justified krik-tabs">
              @if($free_ticket_no_accomm_trans == true)
                <li class="active">
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-user" style="color: {{ $event->background_color  }}"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 1</span>
                        <span>Opće informacije</span>
                      @else
                        <span class="text-strong">Step 1</span>
                        <span>General Information</span>
                      @endif
                    </div>
                  </a>
                </li>
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-check"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 2</span>
                        <span>Sažetak</span>
                      @else
                        <span class="text-strong">Step 2</span>
                        <span>Summary</span>
                      @endif
                    </div>
                  </a>
                </li>
              @elseif($accommodations == false && $transfers == false)
                <li class="active">
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-user" style="color: {{ $event->background_color  }}"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 1</span>
                        <span>Opće informacije</span>
                      @else
                        <span class="text-strong">Step 1</span>
                        <span>General Information</span>
                      @endif
                    </div>
                  </a>
                </li>
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-credit-card"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 2</span>
                        <span>Plaćanje</span>
                      @else
                        <span class="text-strong">Step 2</span>
                        <span>Payment</span>
                      @endif
                    </div>
                  </a>
                </li>
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-check"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 3</span>
                        <span>Sažetak</span>
                      @else
                        <span class="text-strong">Step 3</span>
                        <span>Summary</span>
                      @endif
                    </div>
                  </a>
                </li>
              @else
                <li class="active">
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-user" style="color: {{ $event->background_color  }}"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 1</span>
                        <span>Opće informacije</span>
                      @else
                        <span class="text-strong">Step 1</span>
                        <span>General Information</span>
                      @endif
                    </div>
                  </a>
                </li>
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-bed"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 2</span>
                        <span>
                          @if($accommodations && $transfers)
                            {{ 'Smještaj/prijevoz' }}
                          @elseif($accommodations)
                            {{ 'Smještaj' }}
                          @elseif($transfers)
                            {{ 'Prijevoz' }}
                          @endif
                        </span>
                      @else
                        <span class="text-strong">Step 2</span>
                        <span>@if($accommodations) {{ 'Accommodation' }} @endif @if($accommodations && $transfers) {{ '/' }} @endif @if($transfers) {{ 'Transfer' }} @endif</span>
                      @endif
                    </div>
                  </a>
                </li>
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-credit-card"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 3</span>
                        <span>Plaćanje</span>
                      @else
                        <span class="text-strong">Step 3</span>
                        <span>Payment</span>
                      @endif
                    </div>
                  </a>
                </li>
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-check"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 4</span>
                        <span>Sažetak</span>
                      @else
                        <span class="text-strong">Step 4</span>
                        <span>Summary</span>
                      @endif
                    </div>
                  </a>
                </li>
              @endif
            </ul>
          </div>

          <div class="panel-body">
            {{ Form::model($lead_registration, array('class' => 'tab-content form-horizontal form-bordered')) }}

              <div class="row krik-panel krik-name-panel">
                <div class="col-md-12">
                  <div class="row">
                    <div class="col-md-8 col-md-offset-2">
                      @if($event->lang == 'hr')
                        <h4>1. Osobne informacije</h4>
                      @else
                        <h4>1. Personal Information</h4>
                      @endif
                      @if($event->lang == 'hr')
                        <div class="form-group">
                          {{ Form::label('title', 'Titula', array('class' => 'control-label')) }}
                          {{ Form::text('title', null, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('first_name', 'Ime', array('class' => 'control-label')) }}
                          {{ Form::text('first_name', null, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('last_name', 'Prezime', array('class' => 'control-label')) }}
                          {{ Form::text('last_name', null, array('class' => 'form-control')) }}
                        </div>
                      @else
                        <div class="form-group">
                          {{ Form::label('title', 'Title', array('class' => 'control-label')) }}
                          {{ Form::text('title', null, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('first_name', 'First Name', array('class' => 'control-label')) }}
                          {{ Form::text('first_name', null, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('last_name', 'Last Name', array('class' => 'control-label')) }}
                          {{ Form::text('last_name', null, array('class' => 'form-control')) }}
                        </div>
                      @endif
                      <div class="form-group">
                        @if($event->lang== 'hr')
                          {{ Form::label('gender', 'Spol', array('class' => 'control-label')) }}
                          <select name="gender" id="gender" class="form-control">
                            <option value="Ms."
                                @if($lead_registration->gender == 'Ms.')
                                    selected
                                @endif
                            >Ž</option>
                            <option value="Mr."
                                @if($lead_registration->gender == 'Mr.')
                                    selected
                                @endif
                            >M</option>
                        </select>
                        @else
                          {{ Form::label('gender', 'Gender', array('class' => 'control-label')) }}
                          <select name="gender" id="gender" class="form-control">
                            <option value="Ms."
                                @if($lead_registration->gender == 'Ms.')
                                    selected
                                @endif
                            >Ms.</option>
                            <option value="Mr."
                                @if($lead_registration->gender == 'Mr.')
                                    selected
                                @endif
                            >Mr.</option>
                        </select>
                        @endif
                      </div>
                    </div>
                  </div>
                </div>
              </div>

              <div class="row krik-panel krik-ticket-panel">
                <div class="col-md-12">
                  <div class="row">
                    <div class="col-md-8 col-md-offset-2">
                      @if($event->lang == 'hr')
                        <h4>2. Kotizacija</h4>
                      @else
                        <h4>2. Registration Fee</h4>
                      @endif
                      <div class="form-group">
                      @if($event->lang == 'hr')
                        {{ Form::label('ticket_type_id', 'Ulaznica', array('class' => 'control-label')) }}
                      @else
                        {{ Form::label('ticket_type_id', 'Ticket', array('class' => 'control-label')) }}
                      @endif
                        <div class="input-group krik-ticket-price">
                        @php
                            $accompany_persons = false;
                            $promo_codes = false;
                        @endphp
                          <select name="ticket_type_id" id="ticket_type_id" class="form-control krik-select-ticket">
                            <option></option>
                            @foreach($tickets as $ticket)
                              <?php
                                $price = $ticket->price_without_VAT / 100;
                                $price = $price * $ticket->VAT;
                                $price = $price + $ticket->price_without_VAT;
                                $price = number_format((float)$price, 2, ',', '.');

                                if($lead_registration->ticket_type_id == $ticket->id) {
                                    $selected_price = $price;
                                    if($ticket->accompany_persons == 1) $accompany_persons = true;
                                    if($ticket->has_promo_codes == 1) $promo_codes = true;
                                }
                              ?>
                                <option value="{{ $ticket->id }}" data-price="{{ $price }}" data-accompany-persons="{{ $ticket->accompany_persons }}" data-promo-codes="{{ $ticket->has_promo_codes }}" @if($lead_registration->ticket_type_id == $ticket->id) {{ 'selected' }} @endif @if(count($tickets) == 1) {{ 'selected' }} @endif>{{ $ticket->name }}</option>
                            @endforeach
                          </select>
                          <div class="krik-ticket-info">
                          @if($lead_registration->ticket_type_id)
                            <p class="input-group-addon krik-ticket-value">{{ $selected_price }}</p>
                          @else
                            <p class="input-group-addon krik-ticket-value">0,00</p>
                          @endif
                          <p class="input-group-addon krik-currency">{{ ' ' . $currency }}</p>
                          </div>
                        </div>
                        <p class="ticket-vat">
                            @if($event->lang == 'hr')
                                PDV je uključen u cijenu.
                            @else
                                VAT included.
                            @endif
                        </p>
                        <p class="ticket-accompany-persons @if($accompany_persons == true) ticket-accompany-persons--show @endif">
                            @if($event->lang == 'hr')
                                Napomena: Ova karta namijenjena je isključivo osobama u pratnji!
                            @else
                                Note: This ticket is intended exclusively for accompanying person!
                            @endif
                        </p>
                        <p class="ticket-promo-codes @if($promo_codes == true) ticket-promo-codes--show @endif">
                            @if($event->lang == 'hr')
                                Napomena: Za ovu kartu potrebno je imati promocijski kod!
                            @else
                                Note: Promotional code needs to be entered for this ticket!
                            @endif
                        </p>
                        <input type="checkbox" name="accompany_persons_validation" value="1" style="display: none;" @if($accompany_persons) checked @endif>
                        <input type="checkbox" name="promo_codes_validation" style="display: none;" @if($promo_codes) checked @endif>
                      </div>
                      @php($invalid_promo_code = false)
                      @if(count($errors) > 0)
                        @foreach($errors->all() as $error)
                            @if($error == 'invalid-promo-code')
                                @php($invalid_promo_code = true)
                            @endif
                        @endforeach
                      @endif
                      <div class="form-group promo-codes @if($promo_codes || $invalid_promo_code) promo-codes--show @endif @if($invalid_promo_code) has-error @endif">
                          @if($event->lang == 'hr')
                            {{ Form::label('ticket_promo_code', 'Promocijski kod', array('class' => 'control-label')) }}
                            {{ Form::text('ticket_promo_code', null, array('class' => 'form-control')) }}
                          @else
                            {{ Form::label('ticket_promo_code', 'Promotional Code', array('class' => 'control-label')) }}
                            {{ Form::text('ticket_promo_code', null, array('class' => 'form-control')) }}
                          @endif
                          @if($invalid_promo_code)
                            @if($event->lang == 'hr')
                                <span id="ticket_promo_code-error" class="help-block error-help-block">Promocijski kod nije ispravan!</span>
                            @else
                                <span id="ticket_promo_code-error" class="help-block error-help-block">Promotional code is not valid!</span>
                            @endif
                          @endif
                        </div>
                    </div>
                  </div>
                </div>

                @if($social_events)
                    <div class="social-events">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-8 col-md-offset-2">
                                    <div class="form-group social-events-title">
                                        <label>@if($event->lang == 'hr') Društveni događaji @else Social Events @endif</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @foreach($social_events as $key => $social_event)
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-8 col-md-offset-2">
                                        <div class="form-group">
                                            <div class="ckbox ckbox-lilac col-md-8">
                                                @if(in_array($social_event->id, $leads_social_events_ids))
                                                    <input type="checkbox" name="social_event[]" value="{{ $social_event->id }}" id="social_event_{{ $key }}" checked>
                                                @else
                                                    <input type="checkbox" name="social_event[]" value="{{ $social_event->id }}" id="social_event_{{ $key }}">
                                                @endif
                                                <label for="social_event_{{ $key }}">
                                                    <span>{{ $social_event->name }}</span>
                                                    <span>{{ date("d.m.Y. H:i", strtotime($social_event->time)) }}</span>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endforeach
                    </div>
                @endif
              </div>

              <div class="row krik-panel krik-contact-panel">
                <div class="col-md-12">
                  <div class="row">
                    <div class="col-md-8 col-md-offset-2">
                      @if($event->lang == 'hr')
                        <h4>3. Kontakt informacije</h4>
                        <div class="form-group">
                          {{ Form::label('email', 'E-mail', array('class' => 'control-label')) }}
                          {{ Form::text('email', null, array('class' => 'form-control', 'readonly')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('mobile', 'Broj mobitela', array('class' => 'control-label')) }}
                          {{ Form::text('mobile', null, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('phone', 'Broj telefona', array('class' => 'control-label')) }}
                          {{ Form::text('phone', null, array('class' => 'form-control')) }}
                      @else
                        <h4>3. Contact Info</h4>
                        <div class="form-group">
                          {{ Form::label('email', 'E-mail', array('class' => 'control-label')) }}
                          {{ Form::text('email', null, array('class' => 'form-control', 'readonly')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('mobile', 'Mobile Number', array('class' => 'control-label')) }}
                          {{ Form::text('mobile', null, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('phone', 'Phone Number', array('class' => 'control-label')) }}
                          {{ Form::text('phone', null, array('class' => 'form-control')) }}
                      @endif
                      </div>
                    </div>
                  </div>
                </div>
              </div>

              <div class="row krik-panel krik-company-panel @if($accompany_persons == true) krik-company-panel--hide @endif">
                <div class="col-md-12">
                  <div class="row">
                    <div class="col-md-8 col-md-offset-2">
                      @if($event->lang == 'hr')
                       <h4>4. Informacije o tvrtki</h4>
                       <div class="form-group">
                        {{ Form::label('company_name', 'Ime tvrtke', array('class' => 'control-label')) }}
                        {{ Form::text('company_name', null, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('job_function', 'Radno mjesto', array('class' => 'control-label')) }}
                        {{ Form::text('job_function', null, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('company_address', 'Adresa', array('class' => 'control-label')) }}
                        {{ Form::text('company_address', null, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('company_city', 'Grad', array('class' => 'control-label')) }}
                        {{ Form::text('company_city', null, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('company_post_code', 'Poštanski broj', array('class' => 'control-label')) }}
                        {{ Form::text('company_post_code', null, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('company_country', 'Država', array('class' => 'control-label')) }}
                        {{ Form::select('company_country', $countries, null, ['placeholder' => 'Select title', 'class' => 'form-control']) }}
                      @else
                        <h4>4. Company Info</h4>
                        <div class="form-group">
                        {{ Form::label('company_name', 'Company Name', array('class' => 'control-label')) }}
                        {{ Form::text('company_name', null, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('job_function', 'Job Position', array('class' => 'control-label')) }}
                        {{ Form::text('job_function', null, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('company_address', 'Address', array('class' => 'control-label')) }}
                        {{ Form::text('company_address', null, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('company_city', 'City', array('class' => 'control-label')) }}
                        {{ Form::text('company_city', null, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('company_post_code', 'Postal Code', array('class' => 'control-label')) }}
                        {{ Form::text('company_post_code', null, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('company_country', 'Country', array('class' => 'control-label')) }}
                        {{ Form::select('company_country', $countries, null, ['placeholder' => 'Select title', 'class' => 'form-control']) }}
                      @endif
                      </div>
                      @if (count($types) > 0 && $settings->lead_types)
                          <div class="form-group">
                        @if($event->lang == 'hr')
                          {{ Form::label('lead_type', 'Tip', array('class' => 'control-label')) }}
                        @else
                          {{ Form::label('lead_type', 'Type', array('class' => 'control-label')) }}
                        @endif
                            <select name="lead_type" id="lead_type" class="form-control">
                                <option selected></option>
                                @foreach($types as $key => $type)
                                    <option value="{{ $type->id }}"
                                        @if($type->id == $lead_registration->lead_type_id)
                                            selected
                                        @endif
                                    >{{ $type->name }}</option>
                                @endforeach
                            </select>
                          </div>
                      @endif
                      @if (count($type_descriptions) > 0 && $settings->lead_type_descriptions)
                          <div class="form-group">
                              @if($event->lang == 'hr')
                                {{ Form::label('lead_type_descriptions[]', 'Opis tipa', array('class' => 'control-label')) }}
                              @else
                                {{ Form::label('lead_type_descriptions[]', 'Type Descriptions', array('class' => 'control-label')) }}
                              @endif
                              <select name="lead_type_descriptions[]" id="lead_type_descriptions" class="form-control" multiple="multiple">
                                  @foreach($type_descriptions as $key => $type_description)
                                      <option value="{{ $type_description->id }}"
                                          @foreach ($lead_type_descriptions as $lead_type_description)
                                              @if($type_description->id == $lead_type_description->lead_type_description_id)
                                                selected
                                              @endif
                                          @endforeach
                                      >{{ $type_description->name }}</option>
                                  @endforeach
                              </select>
                          </div>
                      @endif
                      <div class="form-group">
                        @if($event->lang == 'hr')
                          {{ Form::label('note', 'Bilješka', array('class' => 'control-label')) }}
                          {{ Form::text('note', null, array('class' => 'form-control')) }}
                        @else
                          {{ Form::label('note', 'Note', array('class' => 'control-label')) }}
                          {{ Form::text('note', null, array('class' => 'form-control')) }}
                        @endif
                      </div>
                    </div>
                  </div>
                </div>
              </div>

              <div class="row">
                <div class="col-md-12 krik-registration-footer">
                  @if($event->lang == 'hr')
                    {{ Form::submit('Idi na idući korak', array('class' => 'btn btn-block publish', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
                  @else
                    {{ Form::submit('Go to Next Step', array('class' => 'btn btn-block publish', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
                  @endif
                </div>
              </div>

            {{ Form::close() }}
          </div>
        </div>
      </div>

      <style>
        .select2-container--default .select2-results__option--highlighted[aria-selected] {
            background-color: {{ $event->background_color }} !important;
            color: {{ $event->titles_color }} !important;
        }
        .ckbox-lilac input[type=checkbox]:checked + label::after {
            border-color: {{ $event->background_color }} !important;
            background-color: {{ $event->background_color }} !important;
        }
      </style>

    @if($event->lang == 'hr')
      <script>
          $(function() {
              if ($('select[name="gender"]').length > 0) {
                  $('select[name="gender"]').select2({
                      placeholder: "Odaberi spol",
                      allowClear: true
                  });
              }
              
              if ($('select[name="lead_type"]').length > 0) {
                  $('select[name="lead_type"]').select2({
                      placeholder: "Odaberi ili unesi novi tip",
                      allowClear: true
                  });
              }
              
              if ($('select[name="lead_type_descriptions[]"]').length > 0) {
                  $('select[name="lead_type_descriptions[]"]').select2({
                      placeholder: "Odaberi ili unesi novi opis tipa"
                  });
              }
              
              if ($('select[name="ticket_type_id"]').length > 0) {
                  $('select[name="ticket_type_id"]').select2({
                      placeholder: "Odaberi ulaznicu",
                      allowClear: true
                  });
              }

              if ($('#company_country').length > 0) {
                  $('#company_country').select2({
                      placeholder: "Odaberite državu"
                  });
              }
          });
      </script>
    @else
      <script>
          $(function() {
              if ($('select[name="gender"]').length > 0) {
                  $('select[name="gender"]').select2({
                      placeholder: "Select gender",
                      allowClear: true
                  });
              }
              
              if ($('select[name="lead_type"]').length > 0) {
                  $('select[name="lead_type"]').select2({
                      placeholder: "Select or enter new type",
                      allowClear: true
                  });
              }
              
              if ($('select[name="lead_type_descriptions[]"]').length > 0) {
                  $('select[name="lead_type_descriptions[]"]').select2({
                      placeholder: "Select or enter new type description"
                  });
              }
              
              if ($('select[name="ticket_type_id"]').length > 0) {
                  $('select[name="ticket_type_id"]').select2({
                      placeholder: "Select ticket",
                      allowClear: true
                  });
              }

              if ($('#company_country').length > 0) {
                  $('#company_country').select2({
                      placeholder: "Select country"
                  });
              }
          });
      </script>
    @endif
 
    </div>
  </div>
</div>

@if($event->lang == 'hr')
  {!! JsValidator::formRequest('App\Http\Requests\Registration\GeneralInformationHR') !!}
@else
  {!! JsValidator::formRequest('App\Http\Requests\Registration\GeneralInformation') !!}
@endif

@endsection
