@extends('index-registration')

@section('content')
<div class="container-fluid krik-registration" id="krik-registration-payment">
  <div class="row">
    <div class="col-md-12">
      @if($event->lang == 'hr')
        <h2 class="krik-registration-title">Registracija</h3>
      @else
        <h2 class="krik-registration-title">Registration</h3>
      @endif
      <div id="progress-wizard">
        <div class="panel panel-tab">
          <div class="panel-heading no-padding">
            <ul class="nav nav-tabs nav-pills nav-justified krik-tabs">
              @if($accommodations == false && $transfers == false)
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-user"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 1</span>
                        <span>Opće informacije</span>
                      @else
                        <span class="text-strong">Step 1</span>
                        <span>General Information</span>
                      @endif
                    </div>
                  </a>
                </li>
                <li class="active">
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-credit-card" style="color: {{ $event->background_color }}"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                     @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 2</span>
                        <span>Plaćanje</span>
                      @else
                        <span class="text-strong">Step 2</span>
                        <span>Payment</span>
                      @endif
                    </div>
                  </a>
                </li>
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-check"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 3</span>
                        <span>Sažetak</span>
                      @else
                        <span class="text-strong">Step 3</span>
                        <span>Summary</span>
                      @endif
                    </div>
                  </a>
                </li>
              @else
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-user"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 1</span>
                        <span>Opće informacije</span>
                      @else
                        <span class="text-strong">Step 1</span>
                        <span>General Information</span>
                      @endif
                    </div>
                  </a>
                </li>
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-bed"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 2</span>
                         <span>
                          @if($accommodations && $transfers)
                            {{ 'Smještaj/prijevoz' }}
                          @elseif($accommodations)
                            {{ 'Smještaj' }}
                          @elseif($transfers)
                            {{ 'Prijevoz' }}
                          @endif
                        </span>
                      @else
                        <span class="text-strong">Step 2</span>
                        <span>Accomodation / Transfer</span>
                      @endif
                    </div>
                  </a>
                </li>
                <li class="active">
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-credit-card" style="color: {{ $event->background_color }}"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                       @if($event->lang == 'hr')
                          <span class="text-strong">Korak br. 3</span>
                          <span>Plaćanje</span>
                        @else
                          <span class="text-strong">Step 3</span>
                          <span>Payment</span>
                        @endif
                    </div>
                  </a>
                </li>
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-check"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 4</span>
                        <span>Sažetak</span>
                      @else
                        <span class="text-strong">Step 4</span>
                        <span>Summary</span>
                      @endif
                    </div>
                  </a>
                </li>
              @endif
            </ul>
          </div>

          <div class="panel-body">

            {{ Form::model($lead_registration, array('class' => 'tab-content form-horizontal form-bordered')) }}

            @if($event->wspay && ($lead_has_free_ticket == false || $lead_has_accommodation == true || $lead_has_transfers == true))
                <div class="row">
                  <div class="krik-ticket-payment-title col-md-12">
                    @if($event->lang == 'hr')
                      <h4>Način plaćanja</h4>
                    @else
                      <h4>Payment Option</h4>
                    @endif
                  </div>
                </div>

                <div class="row payment-account-or-card">
                  <div class="form-group col-md-6">
                    <div class="rdio rdio-lilac circle">
                      <input class="payment-choose-account" id="payment_account" name="payment_option" type="radio" value="account" @if($lead_registration->payment_option == 'account') {{ 'checked' }} @endif>
                      @if($event->lang == 'hr')
                        <label for="payment_account">Transakcijski račun</label>
                      @else
                        <label for="payment_account">Transaction Account</label>
                      @endif
                    </div>
                    <div class="rdio rdio-lilac circle">
                      <input class="payment-choose-card" id="payment_card" name="payment_option" type="radio" value="card" @if($lead_registration->payment_option == 'card') {{ 'checked' }} @endif>
                      @if($event->lang == 'hr')
                        <label for="payment_card">Kreditna kartica</label>
                      @else
                        <label for="payment_card">Credit Card</label>
                      @endif
                    </div>
                  </div>
                </div>
            @else
                <div style="display: none;">
                    <input class="payment-choose-account" id="payment_account" name="payment_option" type="radio" value="account" checked>
                </div>
            @endif

              @if($lead_has_free_ticket == false)
              <div class="krik-payment krik-ticket-payment">
                <div class="row">
                  <div class="krik-ticket-payment-title col-md-12">
                    @if($event->lang == 'hr')
                      <h4>Plaćanje ulaznice</h4>
                    @else
                      <h4>Ticket Payment</h4>
                    @endif
                  </div>
                </div>

                <div class="row ticket-company-or-person">
                  <div class="form-group col-md-6">
                    <div class="rdio rdio-lilac circle">
                      <input class="payment-choose-person" id="ticket_person" name="ticket_payment_type" type="radio" value="person" @if($lead_registration->ticket_payment_type == 'person') {{ 'checked' }} @endif>
                      @if($event->lang == 'hr')
                        <label for="ticket_person">Osoba</label>
                      @else
                        <label for="ticket_person">Person</label>
                      @endif
                    </div>
                    <div class="rdio rdio-lilac circle">
                      <input class="payment-choose-company" id="ticket_company" name="ticket_payment_type" type="radio" value="company" @if($lead_registration->ticket_payment_type == 'company') {{ 'checked' }} @endif>
                      @if($event->lang == 'hr')
                        <label for="ticket_company">Tvrtka</label>
                      @else
                        <label for="ticket_company">Company</label>
                      @endif
                    </div>
                  </div>
                </div>

                <div class="krik-payment-person" style="@if($lead_registration->ticket_payment_type == 'person'){{ 'display: block;' }}@endif">

                  <?php

                    if($lead_registration->ticket_payment_type == 'person') {

                      $first_name = $lead_registration->ticket_payment_first_name;
                      $last_name = $lead_registration->ticket_payment_last_name;
                      $email = $lead_registration->ticket_payment_email;
                      $phone = $lead_registration->ticket_payment_phone;
                      $personal_id = $lead_registration->ticket_payment_personal_id;
                      $address = $lead_registration->ticket_payment_address;
                      $city = $lead_registration->ticket_payment_city;
                      $postal_code = $lead_registration->ticket_payment_postal_code;
                      $country = $lead_registration->ticket_payment_country;
                      $company_name = $lead_registration->ticket_payment_company_name;

                    } else {

                      $first_name = $lead_registration->first_name;
                      $last_name = $lead_registration->last_name;
                      $email = $lead_registration->email;
                      $phone = $lead_registration->phone;
                      $personal_id = '';
                      $address = '';
                      $city = '';
                      $postal_code = '';
                      $country = '';
                      $company_name = $lead_registration->company_name;

                    }

                    ?>

                  <div class="row person-details">
                    <div class="col-md-8 col-md-offset-2">
                      @if($event->lang == 'hr')
                        <div class="form-group">
                          {{ Form::label('ticket_payment_first_name', 'Ime', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_first_name', $first_name, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_last_name', 'Prezime', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_last_name', $last_name, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_email', 'E-mail', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_email', $email, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_phone', 'Telefon', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_phone', $phone, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_personal_id', 'OIB', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_personal_id', $personal_id, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_address', 'Adresa', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_address', $address, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_city', 'Grad', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_city', $city, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_postal_code', 'Poštanski broj', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_postal_code', $postal_code, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group country">
                          {{ Form::label('ticket_payment_country', 'Država', array('class' => 'control-label')) }}
                          {{ Form::select('ticket_payment_country', $countries, $country, ['placeholder' => 'Odaberite državu', 'class' => 'form-control']) }}
                          </select>
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_company_name', 'Ime tvrtke', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_company_name', $company_name, array('class' => 'form-control')) }}
                        </div>
                      @else
                        <div class="form-group">
                          {{ Form::label('ticket_payment_first_name', 'First Name', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_first_name', $first_name, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_last_name', 'Last Name', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_last_name', $last_name, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_email', 'E-mail', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_email', $email, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_phone', 'Phone', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_phone', $phone, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_personal_id', 'Personal Identification Number', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_personal_id', $personal_id, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_address', 'Address', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_address', $address, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_city', 'City', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_city', $city, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_postal_code', 'Postal Code', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_postal_code', $postal_code, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group country">
                          {{ Form::label('ticket_payment_country', 'Country', array('class' => 'control-label')) }}
                          {{ Form::select('ticket_payment_country', $countries, $country, ['placeholder' => 'Select country', 'class' => 'form-control']) }}
                          </select>
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_company_name', 'Company Name', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_company_name', $company_name, array('class' => 'form-control')) }}
                        </div>
                      @endif
                    </div>
                  </div>

                </div>

                <div class="krik-payment-company" style="@if($lead_registration->ticket_payment_type == 'company'){{ 'display: block;' }}@endif">

                  <?php

                    if($lead_registration->ticket_payment_type == 'company') {

                      $first_name = $lead_registration->ticket_payment_first_name;
                      $last_name = $lead_registration->ticket_payment_last_name;
                      $email = $lead_registration->ticket_payment_email;
                      $phone = $lead_registration->ticket_payment_phone;
                      $personal_id = $lead_registration->ticket_payment_personal_id;
                      $address = $lead_registration->ticket_payment_address;
                      $city = $lead_registration->ticket_payment_city;
                      $postal_code = $lead_registration->ticket_payment_postal_code;
                      $country = $lead_registration->ticket_payment_country;
                      $company_name = $lead_registration->ticket_payment_company_name;
                      $vat = $lead_registration->ticket_payment_vat;

                    } else {

                      $first_name = '';
                      $last_name = '';
                      $email = '';
                      $phone = '';
                      $personal_id = '';
                      $address = $lead_registration->company_address;
                      $city = $lead_registration->company_city;
                      $postal_code = $lead_registration->company_post_code;
                      $country = $lead_registration->company_country;
                      $company_name = $lead_registration->company_name;
                      $vat = '';

                    }

                    ?>

                  <div class="row company-details">
                    <div class="col-md-8 col-md-offset-2">
                    @if($event->lang == 'hr')
                      <div class="form-group">
                        {{ Form::label('ticket_payment_company_name', 'Ime tvrtke', array('class' => 'control-label')) }}
                        {{ Form::text('ticket_payment_company_name', $company_name, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('ticket_payment_vat', 'OIB tvrtke', array('class' => 'control-label')) }}
                        {{ Form::text('ticket_payment_vat', $vat, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('ticket_payment_address', 'Adresa', array('class' => 'control-label')) }}
                        {{ Form::text('ticket_payment_address', $address, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('ticket_payment_city', 'Grad', array('class' => 'control-label')) }}
                        {{ Form::text('ticket_payment_city', $city, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('ticket_payment_postal_code', 'Poštanski broj', array('class' => 'control-label')) }}
                        {{ Form::text('ticket_payment_postal_code', $postal_code, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group country">
                        {{ Form::label('ticket_payment_country', 'Država', array('class' => 'control-label')) }}
                        {{ Form::select('ticket_payment_country', $countries, $country, ['placeholder' => 'Odaberite državu', 'class' => 'form-control']) }}
                        </select>
                      </div>
                    @else
                      <div class="form-group">
                        {{ Form::label('ticket_payment_company_name', 'Company Name', array('class' => 'control-label')) }}
                        {{ Form::text('ticket_payment_company_name', $company_name, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('ticket_payment_vat', 'VAT Number', array('class' => 'control-label')) }}
                        {{ Form::text('ticket_payment_vat', $vat, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('ticket_payment_address', 'Address', array('class' => 'control-label')) }}
                        {{ Form::text('ticket_payment_address', $address, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('ticket_payment_city', 'City', array('class' => 'control-label')) }}
                        {{ Form::text('ticket_payment_city', $city, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group">
                        {{ Form::label('ticket_payment_postal_code', 'Postal Code', array('class' => 'control-label')) }}
                        {{ Form::text('ticket_payment_postal_code', $postal_code, array('class' => 'form-control')) }}
                      </div>
                      <div class="form-group country">
                        {{ Form::label('ticket_payment_country', 'Country', array('class' => 'control-label')) }}
                        {{ Form::select('ticket_payment_country', $countries, $country, ['placeholder' => 'Select country', 'class' => 'form-control']) }}
                        </select>
                      </div>
                    @endif
                    </div>
                  </div>

                  <div class="row finance-manager-details">
                      <div class="col-md-8 col-md-offset-2">
                      @if($event->lang == 'hr')
                        <h4>Voditelj financija tvrtke</h4>
                        <p>Ukoliko se ne unese, ponuda će biti izdana na vaše podatke</p>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_first_name', 'Ime', array('class' => 'control-label')) }}
                          <?php if($lead_registration->ticket_payment_type == 'company') { $first_name = $lead_registration->ticket_payment_first_name; } else { $first_name = ''; } ?>
                          {{ Form::text('ticket_payment_first_name', $first_name, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_last_name', 'Prezime', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_last_name', $last_name, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_email', 'E-mail', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_email', $email, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_phone', 'Telefon', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_phone', $phone, array('class' => 'form-control')) }}
                        </div>
                      @else
                        <h4>Finance Manager in the Company</h4>
                        <p>If not entered, invoice will be generated on your behalf</p>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_first_name', 'First Name', array('class' => 'control-label')) }}
                          <?php if($lead_registration->ticket_payment_type == 'company') { $first_name = $lead_registration->ticket_payment_first_name; } else { $first_name = ''; } ?>
                          {{ Form::text('ticket_payment_first_name', $first_name, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_last_name', 'Last Name', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_last_name', $last_name, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_email', 'E-mail', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_email', $email, array('class' => 'form-control')) }}
                        </div>
                        <div class="form-group">
                          {{ Form::label('ticket_payment_phone', 'Phone', array('class' => 'control-label')) }}
                          {{ Form::text('ticket_payment_phone', $phone, array('class' => 'form-control')) }}
                        </div>
                      @endif
                    </div>
                  </div>

                </div>

              </div>
              @endif

              @if($lead_has_accommodation == true)
              <div class="krik-accomodation-payment-details">
                <div class="krik-payment krik-accomodation-payment">
                  <div class="row">
                    <div class="krik-accomodation-payment-title col-md-12 col-xs-12">
                      @if($event->lang == 'hr')
                        <h4 class="pull-left">Plaćanje smještaja</h4>
                      @else
                        <h4 class="pull-left">Accomodation Payment</h4>
                      @endif
                      @if($lead_has_free_ticket == false)
                        <div class="ckbox ckbox-lilac krik-same-pay krik-new-acc-pay pull-right">
                          <input id="accomodation-same-as-ticket" type="checkbox" name="accomodation_same_as_ticket" value="1" @if(($lead_registration->accomodation_payer_id !== null && $lead_registration->accomodation_payer_id == $lead_registration->tickets_payer_id) || $lead_registration->accomodation_payer_id == null) {{ 'checked' }} @endif>
                          @if($event->lang == 'hr')
                            <label for="accomodation-same-as-ticket">Isto kao ulaznica</label>
                          @else
                            <label for="accomodation-same-as-ticket">Same as Ticket</label>
                          @endif
                        </div>
                      @endif
                    </div>
                  </div>

                  <div class="krik-accomodation" style="@if(($lead_registration->accomodation_payer_id !== null && $lead_registration->accomodation_payer_id == $lead_registration->tickets_payer_id && $lead_has_free_ticket == false) || ($lead_registration->accomodation_payer_id == null && $lead_has_free_ticket == false)) {{ 'display: none' }} @endif">

                    <div class="row accomodation-company-or-person">
                      <div class="form-group col-md-6">
                        <div class="rdio rdio-lilac circle">
                          <input class="payment-choose-person" id="accomodation_person" name="accomodation_payment_type" type="radio" value="person" @if($lead_registration->accomodation_payment_type == 'person') {{ 'checked' }} @endif>
                          @if($event->lang == 'hr')
                            <label for="accomodation_person">Osoba</label>
                          @else
                            <label for="accomodation_person">Person</label>
                          @endif
                        </div>
                        <div class="rdio rdio-lilac circle">
                          <input class="payment-choose-company" id="accomodation_company" name="accomodation_payment_type" type="radio" value="company" @if($lead_registration->accomodation_payment_type == 'company') {{ 'checked' }} @endif>
                          @if($event->lang == 'hr')
                            <label for="accomodation_company">Tvrtka</label>
                          @else
                            <label for="accomodation_company">Company</label>
                          @endif
                        </div>
                      </div>
                    </div>

                    <div class="krik-payment-person" style="@if($lead_registration->accomodation_payment_type == 'person'){{ 'display: block;' }}@endif">

                      <?php

                        if($lead_registration->accomodation_payment_type == 'person') {

                          $first_name = $lead_registration->accomodation_payment_first_name;
                          $last_name = $lead_registration->accomodation_payment_last_name;
                          $email = $lead_registration->accomodation_payment_email;
                          $phone = $lead_registration->accomodation_payment_phone;
                          $personal_id = $lead_registration->accomodation_payment_personal_id;
                          $address = $lead_registration->accomodation_payment_address;
                          $city = $lead_registration->accomodation_payment_city;
                          $postal_code = $lead_registration->accomodation_payment_postal_code;
                          $country = $lead_registration->accomodation_payment_country;
                          $company_name = $lead_registration->accomodation_payment_company_name;

                        } else {

                            $first_name = $lead_registration->first_name;
                            $last_name = $lead_registration->last_name;
                            $email = $lead_registration->email;
                            $phone = $lead_registration->phone;
                            $personal_id = '';
                            $address = '';
                            $city = '';
                            $postal_code = '';
                            $country = '';
                            $company_name = $lead_registration->company_name;

                        }

                        ?>

                      <div class="row person-details">
                        <div class="col-md-8 col-md-offset-2">
                          @if($event->lang == 'hr')
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_first_name', 'Ime', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_first_name', $first_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_last_name', 'Prezime', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_last_name', $last_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_email', 'E-mail', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_email', $email, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_phone', 'Telefon', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_phone', $phone, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_personal_id', 'OIB', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_personal_id', $personal_id, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_address', 'Adresa', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_address', $address, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_city', 'Grad', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_city', $city, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_postal_code', 'Poštanski broj', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_postal_code', $postal_code, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group country">
                              {{ Form::label('accomodation_payment_country', 'Država', array('class' => 'control-label')) }}
                              {{ Form::select('accomodation_payment_country', $countries, $country, ['placeholder' => 'Odaberite državu', 'class' => 'form-control']) }}
                              </select>
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_company_name', 'Ime tvrtke', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_company_name', $company_name, array('class' => 'form-control')) }}
                            </div>
                          @else
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_first_name', 'First Name', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_first_name', $first_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_last_name', 'Last Name', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_last_name', $last_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_email', 'E-mail', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_email', $email, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_phone', 'Phone', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_phone', $phone, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_personal_id', 'Personal Identification Number', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_personal_id', $personal_id, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_address', 'Address', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_address', $address, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_city', 'City', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_city', $city, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_postal_code', 'Postal Code', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_postal_code', $postal_code, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group country">
                              {{ Form::label('accomodation_payment_country', 'Country', array('class' => 'control-label')) }}
                              {{ Form::select('accomodation_payment_country', $countries, $country, ['placeholder' => 'Select country', 'class' => 'form-control']) }}
                              </select>
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_company_name', 'Company Name', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_company_name', $company_name, array('class' => 'form-control')) }}
                            </div>
                          @endif
                        </div>
                      </div>

                    </div>

                    <div class="krik-payment-company" style="@if($lead_registration->accomodation_payment_type == 'company'){{ 'display: block;' }}@endif">

                      <?php

                        if($lead_registration->accomodation_payment_type == 'company') {

                          $first_name = $lead_registration->accomodation_payment_first_name;
                          $last_name = $lead_registration->accomodation_payment_last_name;
                          $email = $lead_registration->accomodation_payment_email;
                          $phone = $lead_registration->accomodation_payment_phone;
                          $personal_id = $lead_registration->accomodation_payment_personal_id;
                          $address = $lead_registration->accomodation_payment_address;
                          $city = $lead_registration->accomodation_payment_city;
                          $postal_code = $lead_registration->accomodation_payment_postal_code;
                          $country = $lead_registration->accomodation_payment_country;
                          $company_name = $lead_registration->accomodation_payment_company_name;
                          $vat = $lead_registration->accomodation_payment_vat;

                        } else {

                            $first_name = '';
                            $last_name = '';
                            $email = '';
                            $phone = '';
                            $personal_id = '';
                            $address = $lead_registration->company_address;
                            $city = $lead_registration->company_city;
                            $postal_code = $lead_registration->company_post_code;
                            $country = $lead_registration->company_country;
                            $company_name = $lead_registration->company_name;
                            $vat = '';

                        }

                        ?>

                      <div class="row company-details">
                        <div class="col-md-8 col-md-offset-2">
                          @if($event->lang == 'hr')
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_company_name', 'Ime tvrtke', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_company_name', $company_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_vat', 'OIB tvrtke', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_vat', $vat, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_address', 'Adresa', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_address', $address, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_city', 'Grad', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_city', $city, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_postal_code', 'Poštanski broj', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_postal_code', $postal_code, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group country">
                              {{ Form::label('accomodation_payment_country', 'Država', array('class' => 'control-label')) }}
                              {{ Form::select('accomodation_payment_country', $countries, $country, ['placeholder' => 'Odaberite državu', 'class' => 'form-control']) }}
                            </div>
                          @else
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_company_name', 'Company Name', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_company_name', $company_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_vat', 'VAT Number', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_vat', $vat, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_address', 'Address', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_address', $address, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_city', 'City', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_city', $city, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_postal_code', 'Postal Code', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_postal_code', $postal_code, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group country">
                              {{ Form::label('accomodation_payment_country', 'Country', array('class' => 'control-label')) }}
                              {{ Form::select('accomodation_payment_country', $countries, $country, ['placeholder' => 'Select country', 'class' => 'form-control']) }}
                            </div>
                          @endif
                        </div>
                      </div>

                      <div class="row finance-manager-details">
                        <div class="col-md-8 col-md-offset-2">
                          @if($event->lang == 'hr')
                            <h4>Voditelj financija tvrtke</h4>
                            <p>Ukoliko se ne unese, ponuda će biti izdana na vaše podatke</p>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_first_name', 'Ime', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_first_name', $first_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_last_name', 'Prezime', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_last_name', $last_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_email', 'E-mail', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_email', $email, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_phone', 'Telefon', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_phone', $phone, array('class' => 'form-control')) }}
                            </div>
                          @else
                            <h4>Finance Manager in the Company</h4>
                            <p>If not entered, invoice will be generated on your behalf</p>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_first_name', 'First Name', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_first_name', $first_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_last_name', 'Last Name', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_last_name', $last_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_email', 'E-mail', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_email', $email, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('accomodation_payment_phone', 'Phone', array('class' => 'control-label')) }}
                              {{ Form::text('accomodation_payment_phone', $phone, array('class' => 'form-control')) }}
                            </div>
                          @endif
                        </div>
                      </div>

                    </div>

                  </div>
                </div>
              </div>
              @endif

              @if($lead_has_transfers == true)
              <div class="krik-transfer-payment-details">
                <div class="krik-payment krik-transfer-payment">
                  <div class="row">
                    <div class="krik-transfer-payment-title col-md-12 col-xs-12">
                      @if($event->lang == 'hr')
                        <h4 class="pull-left">Plaćanje prijevoza</h4>
                      @else
                        <h4 class="pull-left">Transfer Payment</h4>
                      @endif
                      @if($lead_has_free_ticket == false)
                        <div class="ckbox ckbox-lilac krik-same-pay krik-new-tran-pay pull-right">
                          <input id="transfer-same-as-ticket" type="checkbox" name="transfer_same_as_ticket" value="1" @if(($lead_registration->transfer_payer_id !== null && $lead_registration->transfer_payer_id == $lead_registration->tickets_payer_id) || $lead_registration->transfer_payer_id == null) {{ 'checked' }} @endif>
                          @if($event->lang == 'hr')
                            <label for="transfer-same-as-ticket">Isto kao ulaznica</label>
                          @else
                            <label for="transfer-same-as-ticket">Same as Ticket</label>
                          @endif
                        </div>
                      @endif
                    </div>
                  </div>

                  <div class="krik-transfer" style="@if(($lead_registration->transfer_payer_id !== null && $lead_registration->transfer_payer_id == $lead_registration->tickets_payer_id && $lead_has_free_ticket == false) || ($lead_registration->transfer_payer_id == null && $lead_has_free_ticket == false)) {{ 'display: none' }} @endif">

                    <div class="row transfer-company-or-person">
                      <div class="form-group col-md-6">
                        <div class="rdio rdio-lilac circle">
                          <input class="payment-choose-person" id="transfer_person" name="transfer_payment_type" type="radio" value="person" @if($lead_registration->transfer_payment_type == 'person') {{ 'checked' }} @endif>
                          @if($event->lang == 'hr')
                            <label for="transfer_person">Osoba</label>
                          @else
                            <label for="transfer_person">Person</label>
                          @endif
                        </div>
                        <div class="rdio rdio-lilac circle">
                          <input class="payment-choose-company" id="transfer_company" name="transfer_payment_type" type="radio" value="company" @if($lead_registration->transfer_payment_type == 'company') {{ 'checked' }} @endif>
                          @if($event->lang == 'hr')
                            <label for="transfer_company">Tvrtka</label>
                          @else
                            <label for="transfer_company">Company</label>
                          @endif
                        </div>
                      </div>
                    </div>

                    <div class="krik-payment-person" style="@if($lead_registration->transfer_payment_type == 'person'){{ 'display: block;' }}@endif">

                      <?php

                        if($lead_registration->transfer_payment_type == 'person') {

                          $first_name = $lead_registration->transfer_payment_first_name;
                          $last_name = $lead_registration->transfer_payment_last_name;
                          $email = $lead_registration->transfer_payment_email;
                          $phone = $lead_registration->transfer_payment_phone;
                          $personal_id = $lead_registration->transfer_payment_personal_id;
                          $address = $lead_registration->transfer_payment_address;
                          $city = $lead_registration->transfer_payment_city;
                          $postal_code = $lead_registration->transfer_payment_postal_code;
                          $country = $lead_registration->transfer_payment_country;
                          $company_name = $lead_registration->transfer_payment_company_name;

                        } else {

                            $first_name = $lead_registration->first_name;
                            $last_name = $lead_registration->last_name;
                            $email = $lead_registration->email;
                            $phone = $lead_registration->phone;
                            $personal_id = '';
                            $address = '';
                            $city = '';
                            $postal_code = '';
                            $country = '';
                            $company_name = $lead_registration->company_name;

                        }

                      ?>

                        <div class="row person-details">
                          <div class="col-md-8 col-md-offset-2">
                          @if($event->lang == 'hr')
                            <div class="form-group">
                              {{ Form::label('transfer_payment_first_name', 'Ime', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_first_name', $first_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_last_name', 'Prezime', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_last_name', $last_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_email', 'E-mail', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_email', $email, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_phone', 'Telefon', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_phone', $phone, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_personal_id', 'OIB', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_personal_id', $personal_id, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_address', 'Adresa', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_address', $address, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_city', 'Grad', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_city', $city, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_postal_code', 'Poštanski broj', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_postal_code', $postal_code, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group country">
                              {{ Form::label('transfer_payment_country', 'Država', array('class' => 'control-label')) }}
                              {{ Form::select('transfer_payment_country', $countries, $country, ['placeholder' => 'Odaberite državu', 'class' => 'form-control']) }}
                              </select>
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_company_name', 'Ime tvrtke', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_company_name', $company_name, array('class' => 'form-control')) }}
                            </div>
                          @else
                            <div class="form-group">
                              {{ Form::label('transfer_payment_first_name', 'First Name', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_first_name', $first_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_last_name', 'Last Name', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_last_name', $last_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_email', 'E-mail', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_email', $email, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_phone', 'Phone', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_phone', $phone, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_personal_id', 'Personal Identification Number', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_personal_id', $personal_id, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_address', 'Address', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_address', $address, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_city', 'City', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_city', $city, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_postal_code', 'Postal Code', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_postal_code', $postal_code, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group country">
                              {{ Form::label('transfer_payment_country', 'Country', array('class' => 'control-label')) }}
                              {{ Form::select('transfer_payment_country', $countries, $country, ['placeholder' => 'Select country', 'class' => 'form-control']) }}
                              </select>
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_company_name', 'Company Name', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_company_name', $company_name, array('class' => 'form-control')) }}
                            </div>
                          @endif
                          </div>
                        </div>

                    </div>

                    <div class="krik-payment-company" style="@if($lead_registration->transfer_payment_type == 'company'){{ 'display: block;' }}@endif">

                      <?php

                        if($lead_registration->transfer_payment_type == 'company') {

                          $first_name = $lead_registration->transfer_payment_first_name;
                          $last_name = $lead_registration->transfer_payment_last_name;
                          $email = $lead_registration->transfer_payment_email;
                          $phone = $lead_registration->transfer_payment_phone;
                          $personal_id = $lead_registration->transfer_payment_personal_id;
                          $address = $lead_registration->transfer_payment_address;
                          $city = $lead_registration->transfer_payment_city;
                          $postal_code = $lead_registration->transfer_payment_postal_code;
                          $country = $lead_registration->transfer_payment_country;
                          $company_name = $lead_registration->transfer_payment_company_name;
                          $vat = $lead_registration->transfer_payment_vat;

                        } else {

                            $first_name = '';
                            $last_name = '';
                            $email = '';
                            $phone = '';
                            $personal_id = '';
                            $address = $lead_registration->company_address;
                            $city = $lead_registration->company_city;
                            $postal_code = $lead_registration->company_post_code;
                            $country = $lead_registration->company_country;
                            $company_name = $lead_registration->company_name;
                            $vat = '';

                        }

                        ?>

                      <div class="row company-details">
                        <div class="col-md-8 col-md-offset-2">
                          @if($event->lang == 'hr')
                            <div class="form-group">
                              {{ Form::label('transfer_payment_company_name', 'Ime tvrtke', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_company_name', $company_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_vat', 'OIB tvrtke', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_vat', $vat, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_address', 'Adresa', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_address', $address, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_city', 'Grad', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_city', $city, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_postal_code', 'Poštanski broj', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_postal_code', $postal_code, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group country">
                              {{ Form::label('transfer_payment_country', 'Država', array('class' => 'control-label')) }}
                              {{ Form::select('transfer_payment_country', $countries, $country, ['placeholder' => 'Odaberite državu', 'class' => 'form-control']) }}
                            </div>
                          @else
                            <div class="form-group">
                              {{ Form::label('transfer_payment_company_name', 'Company Name', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_company_name', $company_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_vat', 'VAT Number', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_vat', $vat, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_address', 'Address', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_address', $address, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_city', 'City', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_city', $city, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_postal_code', 'Postal Code', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_postal_code', $postal_code, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group country">
                              {{ Form::label('transfer_payment_country', 'Country', array('class' => 'control-label')) }}
                              {{ Form::select('transfer_payment_country', $countries, $country, ['placeholder' => 'Select country', 'class' => 'form-control']) }}
                            </div>
                          @endif
                        </div>
                      </div>

                      <div class="row finance-manager-details">
                        <div class="col-md-8 col-md-offset-2">
                          @if($event->lang == 'hr')
                            <h4>Voditelj financija tvrtke</h4>
                            <p>Ukoliko se ne unese, ponuda će biti izdana na vaše podatke</p>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_first_name', 'Ime', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_first_name', $first_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_last_name', 'Prezime', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_last_name', $last_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_email', 'E-mail', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_email', $email, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_phone', 'Telefon', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_phone', $phone, array('class' => 'form-control')) }}
                            </div>
                          @else
                            <h4>Finance Manager in the Company</h4>
                            <p>If not entered, invoice will be generated on your behalf</p>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_first_name', 'First Name', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_first_name', $first_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_last_name', 'Last Name', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_last_name', $last_name, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_email', 'E-mail', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_email', $email, array('class' => 'form-control')) }}
                            </div>
                            <div class="form-group">
                              {{ Form::label('transfer_payment_phone', 'Phone', array('class' => 'control-label')) }}
                              {{ Form::text('transfer_payment_phone', $phone, array('class' => 'form-control')) }}
                            </div>
                          @endif                          
                        </div>
                      </div>

                    </div>

                  </div>
                </div>
              </div>
              @endif

              @if($lead_has_free_ticket == true && $lead_has_accommodation == false && $lead_has_transfers == false)
                <div class="row">
                  <div class="panel-heading col-md-12 col-xs-12 krik-registration-no-payment-needed">
                    <i class="fa fa-smile-o"></i>
                    @if($event->lang == 'hr')
                      <p>Ne trebate upisivati detalje plaćanja.<br>Molimo nastaviti sa slijedećim korakom.</p>
                    @else
                      <p>There is no need for entering payment details.<br>Please proceed with the next step.</p>
                    @endif
                </div>
              </div>
              @endif

              <div class="row">
                <div class="col-md-12 krik-registration-footer">
                  <div class="col-md-6">
                    @if($accommodations == true || $transfers == true)
                      <a href="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/accommodation-transfer' }}">
                        @if($event->lang == 'hr')
                          {{ Form::button('Natrag na prethodni korak', array('class' => 'btn btn-default btn-block')) }}
                        @else
                          {{ Form::button('Back to Previous Step', array('class' => 'btn btn-default btn-block')) }}
                        @endif
                      </a>
                    @else
                      <a href="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/general-information' }}">
                        @if($event->lang == 'hr')
                          {{ Form::button('Natrag na prethodni korak', array('class' => 'btn btn-default btn-block')) }}
                        @else
                           {{ Form::button('Back to Previous Step', array('class' => 'btn btn-default btn-block')) }}
                        @endif
                      </a>
                    @endif
                  </div>
                  <div class="col-md-6">
                    @if($event->lang == 'hr')
                    {{ Form::submit('Idi na pregled registracije', array('class' => 'btn btn-block', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
                    @else
                    {{ Form::submit('Go To Review Registration', array('class' => 'btn btn-block', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
                    @endif
                  </div>
                </div>
              </div>

            {{ Form::close() }}

            <style>
              .select2-container--default .select2-results__option--highlighted[aria-selected] {
                background-color: {{ $event->background_color }} !important;
                color: {{ $event->titles_color }} !important;
              }
              .ckbox-lilac input[type=checkbox]:checked + label::after {
                border-color: {{ $event->background_color }} !important;
                background-color: {{ $event->background_color }} !important;
              }
            </style>

        </div>
      </div>
    </div>
  </div>
</div>

@if($event->lang == 'hr')
  {!! JsValidator::formRequest('App\Http\Requests\Registration\PaymentHR') !!}
@else
  {!! JsValidator::formRequest('App\Http\Requests\Registration\Payment') !!}
@endif

@endsection
