@extends('index-registration')

@section('content')
<div class="container-fluid krik-registration" id="krik-registration-summary">
  <div class="row">
    <div class="col-md-12">
      @if($event->lang == 'hr')
        <h2 class="krik-registration-title">Registracija</h3>
      @else
        <h2 class="krik-registration-title">Registration</h3>
      @endif
      <div id="progress-wizard">
        <div class="panel panel-tab">
          <div class="panel-heading no-padding">
            <ul class="nav nav-tabs nav-pills nav-justified krik-tabs">
              @if($free_ticket_no_accomm_trans == true)
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-user"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                      <span class="text-strong">Korak br. 1</span>
                      <span>Opće informacije</span>
                      @else
                        <span class="text-strong">Step 1</span>
                        <span>General Information</span>
                      @endif
                    </div>
                  </a>
                </li>
                <li class="active">
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-check" style="color: {{ $event->background_color }}"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                    @if($event->lang == 'hr')
                    <span class="text-strong">Korak br. 2</span>
                    <span>Sažetak</span>
                    @else
                      <span class="text-strong">Step 2</span>
                      <span>Summary</span>
                    @endif
                    </div>
                  </a>
                </li>
              @elseif($accommodations == false && $transfers == false)
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-user"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                    @if($event->lang == 'hr')
                    <span class="text-strong">Korak br. 1</span>
                    <span>Opće informacije</span>
                    @else
                      <span class="text-strong">Step 1</span>
                      <span>General Information</span>
                    @endif
                    </div>
                  </a>
                </li>
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-credit-card"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                    @if($event->lang == 'hr')
                    <span class="text-strong">Korak br. 2</span>
                    <span>Plaćanje</span>
                    @else
                      <span class="text-strong">Step 2</span>
                      <span>Payment</span>
                    @endif
                    </div>
                  </a>
                </li>
                <li class="active">
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-check" style="color: {{ $event->background_color }}"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                    @if($event->lang == 'hr')
                    <span class="text-strong">Korak br. 3</span>
                    <span>Sažetak</span>
                    @else
                      <span class="text-strong">Step 3</span>
                      <span>Summary</span>
                    @endif
                    </div>
                  </a>
                </li>
              @else
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-user"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                    @if($event->lang == 'hr')
                    <span class="text-strong">Korak br. 1</span>
                    <span>Opće informacije</span>
                    @else
                      <span class="text-strong">Step 1</span>
                      <span>General Information</span>
                    @endif
                    </div>
                  </a>
                </li>
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-bed"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                      <span class="text-strong">Korak br. 2</span>
                      <span>
                          @if($accommodations && $transfers)
                            {{ 'Smještaj/prijevoz' }}
                          @elseif($accommodations)
                            {{ 'Smještaj' }}
                          @elseif($transfers)
                            {{ 'Prijevoz' }}
                          @endif
                        </span>
                    @else
                      <span class="text-strong">Step 2</span>
                      <span>@if($accommodations) {{ 'Accommodation' }} @endif @if($accommodations && $transfers) {{ '/' }} @endif @if($transfers) {{ 'Transfer' }} @endif</span>
                    @endif
                    </div>
                  </a>
                </li>
                <li>
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-credit-card"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 3</span>
                        <span>Plaćanje</span>
                      @else
                        <span class="text-strong">Step 3</span>
                        <span>Payment</span>
                      @endif
                    </div>
                  </a>
                </li>
                <li class="active">
                  <a href="#">
                    <div class="pull-left krik-item-logo-tabs">
                      <i class="fa fa-check" style="color: {{ $event->background_color }}"></i>
                    </div>
                    <div class="pull-left krik-item-logo-text">
                      @if($event->lang == 'hr')
                        <span class="text-strong">Korak br. 4</span>
                        <span>Sažetak</span>
                      @else
                        <span class="text-strong">Step 4</span>
                        <span>Summary</span>
                      @endif
                    </div>
                  </a>
                </li>
              @endif
            </ul>
          </div>

          <div class="panel-body">

            @if(WSPAY && $event->wspay && ($lead_has_free_ticket == false || $lead_has_accommodation == true || $lead_has_transfers == true) && $summary_registration->paymentOption == 'card')
                @if(env('WSPAY_TEST', true))
                    {{ Form::open(array('url' => 'https://formtest.wspay.biz/Authorization.aspx', 'name' => 'pay', 'class' => 'tab-content form-horizontal form-bordered')) }}
                @else
                    {{ Form::open(array('url' => 'https://form.wspay.biz/Authorization.aspx', 'name' => 'pay', 'class' => 'tab-content form-horizontal form-bordered')) }}
                @endif

                <input type="hidden" name="ShopID" value="{{ env('WSPAY_SHOP') }}">
                <input type="hidden" name="ShoppingCartID" value="{{ $summary_registration->paymentCart }}">

                @if($total_price_with_vat_in_hrk != false)
                    <input type="hidden" name="TotalAmount" value="{{ str_replace('.', '', $total_price_with_vat_in_hrk) }}">
                    <input type="hidden" name="IntAmount" value="{{ str_replace('.', '', $total_price_with_vat) }}">
                    <input type="hidden" name="IntCurrency" value="EUR">
                @else
                    <input type="hidden" name="TotalAmount" value="{{ str_replace('.', '', $total_price_with_vat) }}">
                @endif

                <input type="hidden" name="Signature" value="{{ $wspay_signature }}">
                <input type="hidden" name="ReturnURL" value="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/wspay-success'  }}">
                <input type="hidden" name="CancelURL" value="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/wspay-cancel'  }}">
                <input type="hidden" name="ReturnErrorURL" value="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/wspay-error' }}">
                <input type="hidden" name="Lang" value="@if($event->lang == 'hr'){{'HR'}}@else{{'EN'}}@endif">

                @if($summary_registration->ticketPriceNoVat > 0)
                    <input type="hidden" name="CustomerFirstName" value="{{ $summary_registration->ticketFirstName }}">
                    <input type="hidden" name="CustomerLastName" value="{{ $summary_registration->ticketLastName }}">
                    <input type="hidden" name="CustomerAddress" value="{{ $summary_registration->ticketAddress }}">
                    <input type="hidden" name="CustomerCity" value="{{ $summary_registration->ticketCity }}">
                    <input type="hidden" name="CustomerZIP" value="{{ $summary_registration->ticketPostalCode }}">
                    <input type="hidden" name="CustomerCountry" value="{{ $summary_registration->ticketCountry }}">
                    <input type="hidden" name="CustomerPhone" value="{{ $summary_registration->ticketPhone }}">
                    <input type="hidden" name="CustomerEmail" value="{{ $summary_registration->ticketEmail }}">
                @elseif($summary_registration->accomodationId)
                    <input type="hidden" name="CustomerFirstName" value="{{ $summary_registration->accomodationFirstName }}">
                    <input type="hidden" name="CustomerLastName" value="{{ $summary_registration->accomodationLastName }}">
                    <input type="hidden" name="CustomerAddress" value="{{ $summary_registration->accomodationAddress }}">
                    <input type="hidden" name="CustomerCity" value="{{ $summary_registration->accomodationCity }}">
                    <input type="hidden" name="CustomerZIP" value="{{ $summary_registration->accomodationPostalCode }}">
                    <input type="hidden" name="CustomerCountry" value="{{ $summary_registration->accomodationCountry }}">
                    <input type="hidden" name="CustomerPhone" value="{{ $summary_registration->accomodationPhone }}">
                    <input type="hidden" name="CustomerEmail" value="{{ $summary_registration->accomodationEmail }}">
                @elseif($summary_registration->transferId)
                    <input type="hidden" name="CustomerFirstName" value="{{ $summary_registration->transferFirstName }}">
                    <input type="hidden" name="CustomerLastName" value="{{ $summary_registration->transferLastName }}">
                    <input type="hidden" name="CustomerAddress" value="{{ $summary_registration->transferAddress }}">
                    <input type="hidden" name="CustomerCity" value="{{ $summary_registration->transferCity }}">
                    <input type="hidden" name="CustomerZIP" value="{{ $summary_registration->transferPostalCode }}">
                    <input type="hidden" name="CustomerCountry" value="{{ $summary_registration->transferCountry }}">
                    <input type="hidden" name="CustomerPhone" value="{{ $summary_registration->transferPhone }}">
                    <input type="hidden" name="CustomerEmail" value="{{ $summary_registration->transferEmail }}">
                @endif

            @else
                {{ Form::open(array('class' => 'tab-content form-horizontal form-bordered')) }}
            @endif

            <div class="krik-price">
              <div class="row">
                <div class="krik-title-row col-md-12">
                @if($event->lang == 'hr')
                <h4>Ukupan iznos</h4>
                @else
                <h4>Total Sum</h4>
                @endif
                </div>
              </div>

              <div class="row krik-total-stuff">
                <div class="krik-total-stuff-title col-md-3">
                  @if($event->lang == 'hr')
                    <h4>Kotizacija</h4>
                  @else
                    <h4>Registration Fee</h4>
                  @endif
                </div>
                <div class="krik-total-stuff-info col-md-8 col-xs-12">
                  <div class="krik-total-stuff-name">
                    <p>{{ $summary_registration->ticketName }}</p>
                  </div>
                  <div class="krik-total-stuff-price">
                    <?php list($wholeTicket, $decimalTicket) = explode('.', $summary_registration->ticketPriceNoVat); ?>
                    <p>{{ $wholeTicket }} <span class="decimal">{{ $decimalTicket }}</span></p>
                  </div>
                </div>
              </div>

            @if($summary_social_events)
                <div class="row krik-total-stuff">
                    <div class="krik-total-stuff-title col-md-3"></div>
                    <div class="krik-total-stuff-info col-md-8 col-xs-12">
                        @foreach($summary_social_events as $key => $summary_social_event)
                            <div class="krik-stuff-info-box">
                                <div class="krik-total-stuff-name">
                                    <p>{{ $summary_social_event->name }}</p>
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
            @endif

              @if($lead_has_accommodation == true)
              <div class="row krik-total-stuff">
                <div class="krik-total-stuff-title col-md-3">
                  @if($event->lang == 'hr')
                  <h4>Smještaj</h4>
                  @else
                  <h4>Accomondation</h4>
                  @endif
                </div>
                <div class="krik-total-stuff-info col-md-8 col-xs-12">
                  <div class="krik-total-stuff-name">
                    @if($event->lang == 'hr')
                      <p>{{ $summary_registration->accommodationName }}, @if($summary_registration->roomType == 'Single use') {{ 'jednokrevetna,' }} @else {{ 'dvokrevetna,' }} @endif {{ ' broj noći: ' }} {{ $accommodation_days }}</p>
                    @else
                      <p>{{ $summary_registration->accommodationName . ', ' . $summary_registration->roomType . ', ' . $accommodation_days }} @if($accommodation_days == 1) {{ ' night' }} @else {{ ' nights' }} @endif</p>
                    @endif
                  </div>
                  <div class="krik-total-stuff-price">
                    <?php
                    $sumDaysRoom = number_format((float)$summary_registration->roomPriceNoVat * $accommodation_days, 2, ',', '.');
                    list($wholeRoom, $decimalRoom) = explode(',', $sumDaysRoom);
                    ?>
                    <p>{{ $wholeRoom }} <span class="decimal">{{ $decimalRoom }}</span></p>
                  </div>
                </div>
              </div>
              @endif

              @if($summary_transfers)
              <div class="row krik-total-stuff">
                <div class="krik-total-stuff-title col-md-3">
                  @if($event->lang == 'hr')
                    <h4>Prijevoz</h4>
                  @else
                    <h4>Transfer</h4>
                  @endif
                </div>
                <div class="krik-total-stuff-info col-md-8 col-xs-12">
                  @foreach($summary_transfers as $key => $transfer)
                    <div class="krik-stuff-info-box">
                      <div class="krik-total-stuff-name">
                        @if($event->lang == 'hr')
                          @if($transfer->description == 'Transfer From Airport to Venue')
                            <p>Prijevoz od aerodroma do događaja</p>
                          @else
                            <p>Prijevoz od događaja do aerodroma</p>
                          @endif
                        @else
                          <p>{{ $transfer->description }}</p>
                        @endif
                      </div>
                      <div class="krik-total-stuff-price">
                        <?php list($wholeTransfer, $decimalTransfer) = explode('.', $transfer->priceNoVat); ?>
                        <p>{{ $wholeTransfer }} <span class="decimal">{{ $decimalTransfer }}</span></p>
                      </div>
                    </div>
                  @endforeach
                </div>
              </div>
              @endif

              <div class="row krik-total-stuff krik-total-prices">
                <div class="krik-total-stuff-title col-md-3">
                    @if($event->lang == 'hr')
                    <h4>Ukupno</h4>
                    @else
                    <h4>Total</h4>
                    @endif
                </div>
                <div class="krik-total-stuff-info col-md-8 col-xs-12">
                  <div class="krik-total-stuff-name">
                    @if($event->lang == 'hr')
                      <p>PDV</p>
                    @else
                      <p>VAT</p>
                    @endif
                  </div>
                  <div class="krik-total-stuff-price">
                    <?php list($wholeTotal, $decimalTotal) = explode(',', $total_vat); ?>
                    <p>{{ $wholeTotal }} <span class="decimal">{{ $decimalTotal }}</span></p>
                  </div>
                </div>
              </div>

              <div class="row krik-total-sum">
                <div class="krik-total-stuff-info col-md-8 col-md-offset-3 col-xs-12">
                  <div class="krik-total-stuff-name">
                    @if($event->lang == 'hr')
                      <p>Ukupno s PDV-om</p>
                    @else
                      <p>Total with VAT included</p>
                    @endif
                  </div>
                  <div class="krik-total-stuff-price">
                    <?php list($wholeTotal, $decimalTotal) = explode(',', $total_price_with_vat); ?>
                    <p>{{ $wholeTotal }} <span class="decimal">{{ $decimalTotal }}</span> <span class="valute">{{ $currency }}</span></p>
                  </div>
                </div>
              </div>
            </div>

            <div class="krik-general">
            <div class="krik-general-info">
              <div class="row">
                <div class="krik-title-row col-md-12">
                    @if($event->lang == 'hr')
                      <h4>Opće informacije</h4>
                    @else
                      <h4>General Information</h4>
                    @endif
                </div>
              </div>

              <div class="row krik-total-stuff">
                <div class="krik-total-stuff-title col-md-3">
                    @if($event->lang == 'hr')
                      <h4>Ime</h4>
                    @else
                      <h4>Name</h4>
                    @endif
                </div>
                <div class="krik-total-stuff-info col-md-8">
                  @if($summary_registration->leadTitle)
                  <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Titula</p>
                      @else
                        <p>Title</p>
                      @endif
                      <p>{{ $summary_registration->leadTitle }}</p>
                  </div>
                  @endif
                  @if($summary_registration->leadFirstName)
                  <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Ime</p>
                      @else
                        <p>First Name</p>
                      @endif
                    <p>{{ $summary_registration->leadFirstName }}</p>
                  </div>
                  @endif
                  @if($summary_registration->leadLastName)
                  <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Prezime</p>
                      @else
                        <p>Last Name</p>
                      @endif
                    <p>{{ $summary_registration->leadLastName }}</p>
                  </div>
                  @endif
                  @if($summary_registration->leadGender)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Spol</p>
                        @if($summary_registration->leadGender == 'Ms.')
                          <p>Ž</p>
                        @else
                          <p>M</p>
                        @endif
                      @else
                        <p>Gender</p>
                        <p>{{ $summary_registration->leadGender }}</p>
                      @endif
                    </div>
                    @endif
                </div>
              </div>

              <div class="row krik-total-stuff">
                <div class="krik-total-stuff-title col-md-3">
                  @if($event->lang== 'hr')
                    <h4>Kontakt informacije</h4>
                  @else
                    <h4>Contact information</h4>
                  @endif
                </div>
                <div class="krik-total-stuff-info col-md-8">
                  @if($summary_registration->leadEmail)
                  <div class="krik-total-stuff-name">
                    @if($event->lang == 'hr')
                      <p>E-mail</p>
                    @else
                      <p>E-mail</p>
                    @endif
                    <p>{{ $summary_registration->leadEmail }}</p>
                  </div>
                  @endif
                  @if($summary_registration->leadMobile)
                  <div class="krik-total-stuff-name">
                    @if($event->lang == 'hr')
                      <p>Mobilni telefon</p>
                    @else
                      <p>Mobile</p>
                    @endif
                    <p>{{ $summary_registration->leadMobile }}</p>
                  </div>
                  @endif
                  @if($summary_registration->leadPhone)
                  <div class="krik-total-stuff-name">
                    @if($event->lang == 'hr')
                      <p>Telefon</p>
                    @else
                      <p>Phone</p>
                    @endif
                    <p>{{ $summary_registration->leadPhone }}</p>
                  </div>
                  @endif
                </div>
              </div>

            @if($summary_registration->leadCompanyName)
              <div class="row krik-total-stuff">
                <div class="krik-total-stuff-title col-md-3">
                    @if($event->lang == 'hr')
                      <h4>Informacije o tvrtki</h4>
                    @else
                      <h4>Company info</h4>
                    @endif
                </div>
                <div class="krik-total-stuff-info col-md-8">
                  @if($summary_registration->leadCompanyName)
                  <div class="krik-total-stuff-name">
                    @if($event->lang == 'hr')
                      <p>Ime tvrtke</p>
                    @else
                      <p>Company name</p>
                    @endif
                    <p>{{ $summary_registration->leadCompanyName }}</p>
                  </div>
                  @endif
                  @if($summary_registration->leadJobFunction)
                  <div class="krik-total-stuff-name">
                    @if($event->lang== 'hr')
                      <p>Radno mjesto</p>
                    @else
                      <p>Job position</p>
                    @endif
                    <p>{{ $summary_registration->leadJobFunction }}</p>
                  </div>
                  @endif
                  @if($summary_registration->leadCompanyAddress)
                  <div class="krik-total-stuff-name">
                    @if($event->lang == 'hr')
                      <p>Adresa</p>
                    @else
                      <p>Address</p>
                    @endif
                    <p>{{ $summary_registration->leadCompanyAddress }}</p>
                  </div>
                  @endif
                  @if($summary_registration->leadCompanyCity)
                  <div class="krik-total-stuff-name">
                    @if($event->lang == 'hr')
                      <p>Grad</p>
                    @else
                      <p>City</p>
                    @endif
                    <p>{{ $summary_registration->leadCompanyCity }}</p>
                  </div>
                  @endif
                  @if($summary_registration->leadCompanyPostalCode)
                  <div class="krik-total-stuff-name">
                    @if($event->lang == 'hr')
                      <p>Poštanski broj</p>
                    @else
                      <p>Postal code</p>
                    @endif
                    <p>{{ $summary_registration->leadCompanyPostalCode }}</p>
                  </div>
                  @endif
                  @if($summary_registration->leadCompanyCountry)
                  <div class="krik-total-stuff-name">
                    @if($event->lang == 'hr')
                      <p>Država</p>
                    @else
                      <p>Country</p>
                    @endif
                    <p>{{ $summary_registration->leadCompanyCountry }}</p>
                  </div>
                  @endif
                  @if($summary_registration->leadType)
                  <div class="krik-total-stuff-name">
                    @if($event->lang == 'hr')
                      <p>Tip</p>
                    @else
                      <p>Type</p>
                    @endif
                    <p>{{ $summary_registration->leadType }}</p>
                  </div>
                  @endif
                  @if($summary_registration->leadTypeDescription)
                  <div class="krik-total-stuff-name">
                    @if($event->lang == 'hr')
                      <p>Opis tipa</p>
                    @else
                      <p>Type description</p>
                    @endif
                    <p>{{ $summary_registration->leadTypeDescription }}</p>
                  </div>
                  @endif
                  @if($summary_registration->leadNote)
                  <div class="krik-total-stuff-name">
                    @if($event->lang == 'hr')
                      <p>Bilješka</p>
                    @else
                      <p>Note</p>
                    @endif
                    <p>{{ $summary_registration->leadNote }}</p>
                  </div>
                  @endif
                </div>
              </div>
            </div>
            @endif
            </div>

            @if($summary_registration->ticketPriceNoVat > 0 || $summary_registration->accomodationId || $summary_registration->transferId)
            <div class="krik-payment-info">
              <div class="row">
                <div class="krik-title-row col-md-12">
                @if($event->lang == 'hr')
                  <h4>Informacije o plaćanju</h4>
                @else
                  <h4>Payment Information</h4>
                @endif
                </div>
              </div>

              @if($summary_registration->ticketPriceNoVat > 0)
              <div class="row krik-total-stuff">
                <div class="krik-total-stuff-title col-md-3">
                  @if($event->lang == 'hr')
                    <h4>Ulaznica</h4>
                  @else
                    <h4>Ticket</h4>
                  @endif
                </div>

                @if($summary_registration->ticketPaymentType == 'person')
                  <div class="krik-total-stuff-info col-md-8">
                    @if($summary_registration->ticketFirstName)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Ime</p>
                      @else
                        <p>First Name</p>
                      @endif
                      <p>{{ $summary_registration->ticketFirstName }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketLastName)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Prezime</p>
                      @else
                        <p>Last Name</p>
                      @endif
                      <p>{{ $summary_registration->ticketLastName }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketEmail)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>E-mail</p>
                      @else
                        <p>E-mail</p>
                      @endif
                      <p>{{ $summary_registration->ticketEmail }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketPhone)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Telefon</p>
                      @else
                        <p>Phone</p>
                      @endif
                      <p>{{ $summary_registration->ticketPhone }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketPaymentPersonalId)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>OIB</p>
                      @else
                        <p>Personal Identification Number</p>
                      @endif
                      <p>{{ $summary_registration->ticketPaymentPersonalId }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketAddress)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Adresa</p>
                      @else
                        <p>Address</p>
                      @endif
                      <p>{{ $summary_registration->ticketAddress }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketCity)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Grad</p>
                      @else
                        <p>City</p>
                      @endif
                      <p>{{ $summary_registration->ticketCity }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketPostalCode)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Poštanski broj</p>
                      @else
                        <p>Postal code</p>
                      @endif
                      <p>{{ $summary_registration->ticketPostalCode }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketCountry)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Država</p>
                      @else
                        <p>Country</p>
                      @endif
                      <p>{{ $summary_registration->ticketCountry }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketCompanyName)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Ime tvrtke</p>
                      @else
                        <p>Company name</p>
                      @endif
                      <p>{{ $summary_registration->ticketCompanyName }}</p>
                    </div>
                    @endif
                  </div>
                @else
                  <div class="krik-total-stuff-info col-md-8">
                    @if($summary_registration->ticketCompanyName)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Ime tvrtke</p>
                      @else
                        <p>Company name</p>
                      @endif
                        <p>{{ $summary_registration->ticketCompanyName }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketVat)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>VAT broj</p>
                      @else
                        <p>VAT number</p>
                      @endif
                      <p>{{ $summary_registration->ticketVat }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketAddress)
                    <div class="krik-total-stuff-name">
                      @if($event->lang== 'hr')
                        <p>Adresa</p>
                      @else
                        <p>Address</p>
                      @endif
                      <p>{{ $summary_registration->ticketAddress }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketCity)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Grad</p>
                      @else
                        <p>City</p>
                      @endif
                      <p>{{ $summary_registration->ticketCity }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketPostalCode)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Poštanski broj</p>
                      @else
                        <p>Postal code</p>
                      @endif
                      <p>{{ $summary_registration->ticketPostalCode }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketCountry)
                    <div class="krik-total-stuff-name">
                    @if($event->lang== 'hr')
                      <p>Država</p>
                    @else
                      <p>Country</p>
                    @endif
                      <p>{{ $summary_registration->ticketCountry }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketFirstName)
                    @if($event->lang == 'hr')
                      @if( getenv('SIMPLE_INVOICE') == true)
                        <h4>Osoba za kontakt</h4>
                      @else
                        <h4>Upravitelj financija</h4>
                      @endif
                    @else
                      @if( getenv('SIMPLE_INVOICE') == true)
                        <h4>Contact person</h4>
                      @else
                        <h4>Finance manager</h4>
                      @endif
                    @endif
                    <div class="krik-total-stuff-name">
                      @if($event->lang== 'hr')
                        <p>Ime</p>
                      @else
                        <p>First Name</p>
                      @endif
                      <p>{{ $summary_registration->ticketFirstName }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketLastName)
                    <div class="krik-total-stuff-name">
                      @if($event->lang== 'hr')
                        <p>Prezime</p>
                      @else
                        <p>Last Name</p>
                      @endif
                      <p>{{ $summary_registration->ticketLastName }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketEmail)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>E-mail</p>
                      @else
                        <p>E-mail</p>
                      @endif
                      <p>{{ $summary_registration->ticketEmail }}</p>
                    </div>
                    @endif
                    @if($summary_registration->ticketPhone)
                    <div class="krik-total-stuff-name">                      
                      @if($event->lang == 'hr')
                        <p>Telefon</p>
                      @else
                        <p>Phone</p>
                      @endif
                      <p>{{ $summary_registration->ticketPhone }}</p>
                    </div>
                    @endif
                  </div>
                @endif
              </div>
              @endif

              @if($summary_registration->accomodationId)
              <div class="row krik-total-stuff">
                <div class="krik-total-stuff-title col-md-3">                  
                    @if($event->lang== 'hr')
                      <h4>Smještaj</h4>
                    @else
                      <h4>Accomondation</h4>
                    @endif
                </div>

                @if($summary_registration->accomodationPaymentType == 'person')
                  <div class="krik-total-stuff-info col-md-8">
                    @if($summary_registration->accomodationFirstName)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Ime</p>
                      @else
                        <p>First Name</p>
                      @endif
                      <p>{{ $summary_registration->accomodationFirstName }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationLastName)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Prezime</p>
                      @else
                        <p>Last Name</p>
                      @endif
                      <p>{{ $summary_registration->accomodationLastName }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationEmail)
                    <div class="krik-total-stuff-name">
                      <p>E-mail</p>
                      <p>{{ $summary_registration->accomodationEmail }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationPhone)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Telefon</p>
                      @else
                        <p>Phone</p>
                      @endif
                      <p>{{ $summary_registration->accomodationPhone }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationPaymentPersonalId)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>OIB</p>
                      @else
                        <p>Personal Identification Number</p>
                      @endif
                      <p>{{ $summary_registration->accomodationPaymentPersonalId }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationAddress)
                    <div class="krik-total-stuff-name">
                        @if($event->lang == 'hr')
                          <p>Adresa</p>
                        @else
                          <p>Address</p>
                        @endif
                      <p>{{ $summary_registration->accomodationAddress }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationCity)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Grad</p>
                      @else
                        <p>City</p>
                      @endif
                      <p>{{ $summary_registration->accomodationCity }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationPostalCode)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Poštanski broj</p>
                      @else
                        <p>Postal code</p>
                      @endif
                      <p>{{ $summary_registration->accomodationPostalCode }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationCountry)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Država</p>
                      @else
                        <p>Country</p>
                      @endif
                      <p>{{ $summary_registration->accomodationCountry }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationCompanyName)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Ime tvrtke</p>
                      @else
                        <p>Company name</p>
                      @endif
                      <p>{{ $summary_registration->accomodationCompanyName }}</p>
                    </div>
                    @endif
                  </div>
                @else
                  <div class="krik-total-stuff-info col-md-8">
                    @if($summary_registration->accomodationCompanyName)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Ime tvrtke</p>
                      @else
                        <p>Company name</p>
                      @endif
                      <p>{{ $summary_registration->accomodationCompanyName }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationVat)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>VAT broj</p>
                      @else
                        <p>VAT number</p>
                      @endif
                      <p>{{ $summary_registration->accomodationVat }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationAddress)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Adresa</p>
                      @else
                        <p>Address</p>
                      @endif
                      <p>{{ $summary_registration->accomodationAddress }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationCity)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Grad</p>
                      @else
                        <p>City</p>
                      @endif
                      <p>{{ $summary_registration->accomodationCity }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationPostalCode)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Poštanski broj</p>
                      @else
                        <p>Postal code</p>
                      @endif
                      <p>{{ $summary_registration->accomodationPostalCode }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationCountry)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Država</p>
                      @else
                        <p>Country</p>
                      @endif
                      <p>{{ $summary_registration->accomodationCountry }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationFirstName)
                    @if($event->lang == 'hr')
                      @if( getenv('SIMPLE_INVOICE') == true)
                        <h4>Osoba za kontakt</h4>
                      @else
                        <h4>Upravitelj financija</h4>
                      @endif
                    @else
                      @if( getenv('SIMPLE_INVOICE') == true)
                        <h4>Contact person</h4>
                      @else
                        <h4>Finance manager</h4>
                      @endif
                    @endif
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Ime</p>
                      @else
                        <p>First Name</p>
                      @endif
                      <p>{{ $summary_registration->accomodationFirstName }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationLastName)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Prezime</p>
                      @else
                        <p>Last Name</p>
                      @endif
                      <p>{{ $summary_registration->accomodationLastName }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationEmail)
                    <div class="krik-total-stuff-name">
                      <p>E-mail</p>
                      <p>{{ $summary_registration->accomodationEmail }}</p>
                    </div>
                    @endif
                    @if($summary_registration->accomodationPhone)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Telefon</p>
                      @else
                        <p>Phone</p>
                      @endif
                      <p>{{ $summary_registration->accomodationPhone }}</p>
                    </div>
                    @endif
                  </div>
                @endif
              </div>
              @endif

              @if($summary_registration->transferId)
              <div class="row krik-total-stuff">
                <div class="krik-total-stuff-title col-md-3">
                    @if($event->lang == 'hr')
                      <h4>Prijevoz</h4>
                    @else
                      <h4>Transfer</h4>
                    @endif
                </div>

                @if($summary_registration->transferPaymentType == 'person')
                  <div class="krik-total-stuff-info col-md-8">
                    @if($summary_registration->transferFirstName)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Ime</p>
                      @else
                        <p>First Name</p>
                      @endif
                      <p>{{ $summary_registration->transferFirstName }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferLastName)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Prezime</p>
                      @else
                        <p>Last Name</p>
                      @endif
                      <p>{{ $summary_registration->transferLastName }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferEmail)
                    <div class="krik-total-stuff-name">
                      <p>E-mail</p>
                      <p>{{ $summary_registration->transferEmail }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferPhone)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Telefon</p>
                      @else
                        <p>Phone</p>
                      @endif
                      <p>{{ $summary_registration->transferPhone }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferPaymentPersonalId)
                    <div class="krik-total-stuff-name">
                    @if($event->lang == 'hr')
                      <p>OIB</p>
                    @else
                      <p>Personal Identification Number</p>
                    @endif
                      <p>{{ $summary_registration->transferPaymentPersonalId }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferAddress)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Adresa</p>
                      @else
                        <p>Address</p>
                      @endif
                      <p>{{ $summary_registration->transferAddress }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferCity)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Grad</p>
                      @else
                        <p>City</p>
                      @endif
                      <p>{{ $summary_registration->transferCity }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferPostalCode)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Poštanski broj</p>
                      @else
                        <p>Postal code</p>
                      @endif
                      <p>{{ $summary_registration->transferPostalCode }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferCountry)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Država</p>
                      @else
                        <p>Country</p>
                      @endif
                      <p>{{ $summary_registration->transferCountry }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferCompanyName)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Ime tvrtke</p>
                      @else
                        <p>Company name</p>
                      @endif
                      <p>{{ $summary_registration->transferCompanyName }}</p>
                    </div>
                    @endif
                  </div>
                @else
                  <div class="krik-total-stuff-info col-md-8">
                    @if($summary_registration->transferCompanyName)
                    <div class="krik-total-stuff-name">
                      @if($event->lang== 'hr')
                        <p>Ime tvrtke</p>
                      @else
                        <p>Company name</p>
                      @endif
                      <p>{{ $summary_registration->transferCompanyName }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferVat)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>VAT broj</p>
                      @else
                        <p>VAT number</p>
                      @endif
                      <p>{{ $summary_registration->transferVat }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferAddress)
                    <div class="krik-total-stuff-name">                      
                      @if($event->lang == 'hr')
                        <p>Adresa</p>
                      @else
                        <p>Address</p>
                      @endif
                      <p>{{ $summary_registration->transferAddress }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferCity)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Grad</p>
                      @else
                        <p>City</p>
                      @endif
                      <p>{{ $summary_registration->transferCity }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferPostalCode)
                    <div class="krik-total-stuff-name">
                      @if($event->lang== 'hr')
                        <p>Poštanski broj</p>
                      @else
                        <p>Postal code</p>
                      @endif
                      <p>{{ $summary_registration->transferPostalCode }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferCountry)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Država</p>
                      @else
                        <p>Country</p>
                      @endif
                      <p>{{ $summary_registration->transferCountry }}</p>
                    </div>
                    @endif                    
                    @if($summary_registration->transferFirstName)
                    @if($event->lang == 'hr')
                      @if( getenv('SIMPLE_INVOICE') == true)
                        <h4>Osoba za kontakt</h4>
                      @else
                        <h4>Upravitelj financija</h4>
                      @endif
                    @else
                      @if( getenv('SIMPLE_INVOICE') == true)
                        <h4>Contact person</h4>
                      @else
                        <h4>Finance manager</h4>
                      @endif
                    @endif
                    <div class="krik-total-stuff-name">
                      @if($event->lang== 'hr')
                        <p>Ime</p>
                      @else
                        <p>First Name</p>
                      @endif
                      <p>{{ $summary_registration->transferFirstName }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferLastName)
                    <div class="krik-total-stuff-name">                      
                      @if($event->lang == 'hr')
                        <p>Prezime</p>
                      @else
                        <p>Last Name</p>
                      @endif
                      <p>{{ $summary_registration->transferLastName }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferEmail)
                    <div class="krik-total-stuff-name">
                      <p>E-mail</p>
                      <p>{{ $summary_registration->transferEmail }}</p>
                    </div>
                    @endif
                    @if($summary_registration->transferPhone)
                    <div class="krik-total-stuff-name">
                      @if($event->lang == 'hr')
                        <p>Telefon</p>
                      @else
                        <p>Phone</p>
                      @endif
                      <p>{{ $summary_registration->transferPhone }}</p>
                    </div>
                    @endif
                  </div>
                @endif
              </div>
              @endif

              @if(WSPAY && $event->wspay && ($lead_has_free_ticket == false || $lead_has_accommodation == true || $lead_has_transfers == true) && $summary_registration->paymentOption == 'card')
                <div class="row krik-total-stuff">
                    <div class="krik-total-stuff-title col-md-3">
                        <h4>Plaćanje</h4>
                    </div>
                    <div class="krik-total-stuff-info col-md-8">
                        <div class="krik-payment-cards">
                            @if($payment_cards->payment_american_express) <a href="https://www.americanexpress.com" target="_blank"><img src="{{ getenv('APP_URL') . '/assets/images/cards/american-express.jpg' }}"></a> @endif
                            @if($payment_cards->payment_diners) <a href="https://www.dinersclub.com" target="_blank"><img src="{{ getenv('APP_URL') . '/assets/images/cards/diners.gif' }}"></a> @endif
                            @if($payment_cards->payment_visa) <a href="https://www.visa.com.hr" target="_blank"><img src="{{ getenv('APP_URL') . '/assets/images/cards/visa.gif' }}"></a> @endif
                            @if($payment_cards->payment_mastercard) <a href="https://www.mastercard.hr" target="_blank"><img src="{{ getenv('APP_URL') . '/assets/images/cards/mastercard.gif' }}"></a> @endif
                            @if($payment_cards->payment_maestro) <a href="http://www.maestrocard.com" target="_blank"><img src="{{ getenv('APP_URL') . '/assets/images/cards/maestro.gif' }}"></a> @endif
                            <a href="https://www.wspay.info" target="_blank"><img src="{{ getenv('APP_URL') . '/assets/images/cards/wspay.png' }}"></a>
                        </div>
                        <div class="krik-payment-links">
                            @if($event->lang == 'hr')
                                <a href="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/about-us' }}" target="_blank">O nama</a> / <a href="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/terms-of-sale' }}" target="_blank">Uvjeti prodaje</a> / <a href="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/security' }}" target="_blank">Sigurnost</a> / <a href="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/privacy' }}" target="_blank">Privatnost</a> / <a href="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/conversion' }}" target="_blank">Konverzija</a>
                            @else
                                <a href="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/about-us' }}" target="_blank">About Us</a> / <a href="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/terms-of-sale' }}" target="_blank">Terms of Sale</a> / <a href="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/security' }}" target="_blank">Security</a> / <a href="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/privacy' }}" target="_blank">Privacy</a> / <a href="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/conversion' }}" target="_blank">Conversion</a>
                            @endif
                        </div>
                    </div>
                </div>
              @endif
            </div>
            @endif

            @if(GDPR)
            <div class="krik-legal-info">
                <div class="row">
                    <div class="krik-title-row col-md-12">
                        @if($event->lang == 'hr')
                            <h4>Zaštita podataka</h4>
                        @else
                            <h4>Data Protection</h4>
                        @endif
                    </div>
                </div>
                <div class="krik-legal">
                    <div class="row krik-total-stuff">
                        <div class="krik-total-stuff-title col-md-3"></div>
                        <div class="col-md-8 col-xs-12">
                            @if($event->lang == 'hr')
                                <p>Sukladno Uredbi o zaštiti osobnih podataka obavještavamo Vas da se prilikom registracije prikupljaju i obrađuju uneseni osobni podaci isključivo radi ispunjenja poslovnog odnosa.</p>
                            @else
                                <p>In accordance with the General Data Protection Regulation we inform you that during the registration we collect and process personal data exclusively to fulfill the business relationship.</p>
                            @endif
                            @if(env('GDPR_NAME', false) && env('GDPR_URL', false))
                                @if($event->lang == 'hr')
                                    <p>Voditelj obrade osobnih podataka je {{ env('GDPR_NAME', false) }}. Sve dodatne informacije, uvjeti zaštite privatnosti, rokovi čuvanja podataka, kao i obrazac za povlačenje privole dostupni su na <a href="http://{{ env('GDPR_URL', false) }}" target="_blank">{{ env('GDPR_URL', false) }}</a>.</p>
                                @else
                                    <p>The head of personal data processing is {{ env('GDPR_NAME', false) }}. All additional information, privacy terms, data retention times, and withdrawal forms are available on <a href="http://{{ env('GDPR_URL', false) }}">{{ env('GDPR_URL', false) }}</a>.</p>
                                @endif
                            @endif
                            <div class="form-group">
                                <div class="ckbox ckbox-lilac">
                                    <input type="checkbox" name="gdrp_legal" id="gdpr_legal">
                                    @if($event->lang == 'hr')
                                        <label for="gdpr_legal">Dajem privolu</label>
                                    @else
                                        <label for="gdpr_legal">Give Consent</label>
                                    @endif
                                </div>
                            </div>
                            @if($event->lang == 'hr')
                                <p>Klikom na 'Dajem privolu' potvrđujete da ste upoznati koji se osobni podaci Korisnika prikupljaju i da za prikupljanje i obradu navedenih podataka dajete izričitu privolu.</p>
                            @else
                                <p>By clicking 'Give Consent' you confirm that you are familiar with personal data collecting of the beneficiary and that you expressly granted the collection and processing of such data.</p>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
            @endif

            <div class="row">
              <div class="col-md-12 krik-registration-footer">
                <div class="col-md-6">
                  @if($free_ticket_no_accomm_trans == true)
                    <a href="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/general-information' }}">
                      @if($event->lang == 'hr')
                        {{ Form::button('Natrag na prethodni korak', array('class' => 'btn btn-default btn-block')) }}
                      @else
                        {{ Form::button('Back to Previous Step', array('class' => 'btn btn-default btn-block')) }}
                      @endif  
                    </a>
                  @else
                    <a href="{{ getenv('APP_URL') . '/registration/' . $event->event_code . '/' . $lead->lead_code . '/payment' }}">
                      @if($event->lang == 'hr')
                      {{ Form::button('Natrag na prethodni korak', array('class' => 'btn btn-default btn-block')) }}
                      @else
                      {{ Form::button('Back to Previous Step', array('class' => 'btn btn-default btn-block')) }}
                      @endif 
                    </a>
                  @endif
                </div>
                <div class="col-md-6">
                    @if(WSPAY && $event->wspay && ($lead_has_free_ticket == false || $lead_has_accommodation == true || $lead_has_transfers == true) && $summary_registration->paymentOption == 'card')
                        @if($event->lang == 'hr')
                            {{ Form::submit('Završi registraciju i plati', array('class' => 'btn btn-block', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
                        @else
                            {{ Form::submit('Finish Registration & Pay', array('class' => 'btn btn-block', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
                        @endif
                    @else
                        @if($event->lang == 'hr')
                            {{ Form::submit('Završi registraciju', array('class' => 'btn btn-block', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
                        @else
                            {{ Form::submit('Finish Registration', array('class' => 'btn btn-block', 'style' => 'background-color: ' . $event->background_color . '; color: ' . $event->titles_color)) }}
                        @endif
                    @endif
                </div>
              </div>
            </div>

          {{ Form::close() }}

          <style>
            .ckbox-lilac input[type=checkbox]:checked + label::after {
              border-color: {{ $event->background_color }} !important;
              background-color: {{ $event->background_color }} !important;
            }
          </style>

        </div>
      </div>
    </div>
  </div>
</div>

@if($event->lang == 'hr')
  {!! JsValidator::formRequest('App\Http\Requests\Registration\SummaryHR') !!}
@else
  {!! JsValidator::formRequest('App\Http\Requests\Registration\Summary') !!}
@endif

@endsection
