@if (!(isset($mailing_activity_code)))
   {{ $mailing_activity_code="" }}
@endif

<aside id="sidebar-left" class='sidebar krik-sidebar-left'>

    <ul class="sidebar-menu">

        <li class="sidebar-category">
            <span>Main</span>
            <span class="pull-right"><i class="fa fa-home"></i></span>
        </li>

        <li {!! Request::is('events/' . $event_code) ? 'class="active"' : null !!}>
            <a href="{{ getenv('APP_URL') . '/events/' . $event_code }}">
                <span class="icon"><i class="fa fa-tachometer"></i></span>
                <span class="text">Dashboard</span>
            </a>
        </li>

        @role('admin')
            <li>
                <a href="{{ getenv('APP_URL') . '/registration-preview/' . $event_code }}" target="_blank">
                    <span class="icon"><i class="fa fa-sign-in"></i></span>
                    <span class="text">Preview registration</span>
                </a>
            </li>
        @endrole

        @role('admin')
            <li class="sidebar-category">
                <span>Edit event</span>
                <span class="pull-right"><i class="fa fa-pencil"></i></span>
            </li>
            <li {!! Request::is('events/' . $event_code . '/create/look-and-feel') ? 'class="active"' : null !!}>
                <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/create/look-and-feel' }}">
                    <span class="icon"><i class="fa fa-adjust"></i></span>
                    <span class="text">Edit look & feel</span>
                </a>
            </li>
            <li {!! Request::is('events/' . $event_code . '/create/event-info') ? 'class="active"' : null !!}>
                <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/create/event-info' }}">
                    <span class="icon"><i class="fa fa-info"></i></span>
                    <span class="text">Edit event info</span>
                </a>
            </li>
            <li {!! Request::is('events/' . $event_code . '/create/registration') ? 'class="active"' : null !!}>
                <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/create/registration' }}">
                    <span class="icon"><i class="fa fa-check-square-o"></i></span>
                    <span class="text">Edit registration</span>
                </a>
            </li>
            <li {!! Request::is('events/' . $event_code . '/notifications') ? 'class="active"' : null !!}>
                <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/notifications' }}">
                    <span class="icon"><i class="fa fa-envelope-o"></i></span>
                    <span class="text">Edit notifications</span>
                </a>
            </li>
        @endrole

        <li class="sidebar-category">
            <span>Manage registrations</span>
            <span class="pull-right"><i class="fa fa-th-list"></i></span>
        </li>
        <li {!! Request::is('events/' . $event_code . '/report-registrations') ? 'class=" active"' : null !!}>
            <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/report-registrations' }}">
                <span class="icon"><i class="fa fa-check-circle"></i></span>
                <span class="text">Registrations</span>
            </a>
        </li>
        @if ($event_has_accommodations == true)
          <li {!! Request::is('events/' . $event_code . '/report-accommodations') ? 'class=" active"' : null !!}>
              <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/report-accommodations' }}">
                  <span class="icon"><i class="fa fa-bed"></i></span>
                  <span class="text">Accommodations</span>
              </a>
          </li>
        @endif
        @if ($event_has_transfers == true)
          <li {!! Request::is('events/' . $event_code . '/report-transfers') ? 'class="active"' : null !!}>
              <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/report-transfers' }}">
                  <span class="icon"><i class="fa fa-bus"></i></span>
                  <span class="text">Trensfers</span>
              </a>
          </li>
        @endif


        <li class="sidebar-category">
            <span>E-mail campaign</span>
            <span class="pull-right"><i class="fa fa-envelope"></i></span>
        </li>
        <li {!! Request::is('events/' . $event_code . '/mailings') ? 'class="active"' : null !!}>
            <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/mailings' }}">
                <span class="icon"><i class="fa fa-eye"></i></span>
                <span class="text">View all mailings</span>
            </a>
        </li>
        @role('admin')
            <li {!! Request::is('events/' . $event_code . '/mailings/email-design','events/' . $event_code . '/mailings/' . $mailing_activity_code . '/email-design','events/' . $event_code . '/mailings/' . $mailing_activity_code . '/mailing-list', 'events/' . $event_code . '/mailings/' . $mailing_activity_code . '/send' ) ? 'class="active"' : null !!}>
                <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/mailings/email-design' }}">
                    <span class="icon"><i class="fa fa-plane"></i></span>
                    <span class="text">Send e-mails</span>
                </a>
            </li>
        @endrole
        <li {!! Request::is('events/' . $event_code . '/people-emailed', 'events/' . $event_code . '/mailings/' . $mailing_activity_code) ? 'class="active"' : null !!}>
            <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/people-emailed' }}">
                <span class="icon"><i class="fa fa-users"></i></span>
                <span class="text">People e-mailed</span>
            </a>
        </li>

        @role('admin')
            <li class="sidebar-category">
                <span>Badges</span>
                <span class="pull-right"><i class="fa fa-certificate"></i></span>
            </li>
            <li {!! Request::is('events/' . $event_code . '/badges') ? 'class="active"' : null !!}>
                <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/badges' }}">
                    <span class="icon"><i class="fa fa-scissors"></i></span>
                    <span class="text">Generate badges</span>
                </a>
            </li>
        @endrole

        <li class="sidebar-category">
            <span>On the event</span>
            <span class="pull-right"><i class="fa fa-calendar"></i></span>
        </li>
        <li {!! Request::is('events/' . $event_code . '/attendees') ? 'class="active"' : null !!}>
            <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/attendees' }}">
                <span class="icon"><i class="fa fa-user-plus"></i></span>
                <span class="text">Check attendees</span>
            </a>
        </li>
        <li {!! Request::is('events/' . $event_code . '/gifts') ? 'class="active"' : null !!}>
            <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/gifts' }}">
                <span class="icon"><i class="fa fa-gift"></i></span>
                <span class="text">Check gifts</span>
            </a>
        </li>
        <li {!! Request::segment(3) == 'sessions' ? 'class="active"' : null !!}>
            <a href="{{ getenv('APP_URL') . '/events/' . $event_code . '/sessions' }}">
                <span class="icon"><i class="fa fa-user"></i></span>
                <span class="text">Check sessions</span>
            </a>
        </li>

    </ul>

</aside>
