@extends('index')

@section('content')
<div class="container-fluid" id="krik-general-information">
	<div class="row">
		<div class="col-md-12">
			<div class="row">
				<div class="col-md-8">
					<h3>Account Settings</h3>
				</div>
			</div>

			@if(session()->has('name'))

				@if(session('name') == 'changed')

					<div class="alert alert-success" role="alert">
						<span class="alert-icon">
							<i class="fa fa-check"></i>
						</span>
						<span>
							Your nickname has successfully been updated!
						</span>
					</div>

				@endif

			@endif

			@if(session()->has('password'))

				@if(session('password') == 'wrong')

				<div class="alert alert-danger" role="alert">
					<span class="alert-icon">
						<i class="fa fa-warning"></i>
					</span>
					<span>
						Your new password cannot be accepted because the old password provided is not correct. Please try again!
					</span>
				</div>
				
				@elseif(session('password') == 'notconfirmed')

				<div class="alert alert-danger" role="alert">
					<span class="alert-icon">
						<i class="fa fa-warning"></i>
					</span>
					<span>
						Your new password cannot be accepted because the confirm password is not the same. Please try again.
					</span>
				</div>
				
				@elseif(session('password') == 'weak')

				<div class="alert alert-danger" role="alert">
					<span class="alert-icon">
						<i class="fa fa-warning"></i>
					</span>
					<span>
						Your new password is weak and cannot be accepted. Please try again!
					</span>
					<div>
						Password needs to be at least 8 characters long and have at least one:
					</div>
					<div>
						- uppercase & lowercase letter
					</div>
					<div>
						- number
					</div>
					<div>
						- special symbol
					</div>
				</div>

				@else

				<div class="alert alert-success" role="alert">
					<span class="alert-icon">
						<i class="fa fa-check"></i>
					</span>
					<span>
						Your password has successfully been updated!
					</span>
				</div>

				@endif

			@endif

			<div class="panel panel-tab">
				<div class="panel-body">
					<div class="row">
						<div class="panel-body">

							{{ Form::model($user, array('class' => 'tab-content form-horizontal form-bordered krik-account-settings')) }}

							<div class="row krik-name-panel">
								<div class="col-md-12">
									<div class="row">
										<div class="col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3">
											<h4>1. Name</h4>
											<div class="form-group">
												{{ Form::label('name', 'Nickname', array('class' => 'control-label')) }}
												{{ Form::text('name', null, array('class' => 'form-control')) }}
											</div>
											<div class="form-group">
												{{ Form::label('email', 'E-mail', array('class' => 'control-label')) }}
												{{ Form::text('email', null, array('class' => 'form-control', 'disabled' => true)) }}
											</div>
										</div>
									</div>
								</div>
							</div>

							<div class="row krik-password-panel">
								<div class="col-md-12">
									<div class="row">
										<div class="col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3">
											<h4>2. Password</h4>
											<div class="form-group">
												{{ Form::label('oldpassword', 'Old Password', array('class' => 'control-label')) }}
												{{ Form::password('oldpassword', array('class' => 'form-control')) }}
											</div>
											<div class="form-group">
												{{ Form::label('password', 'New Password', array('class' => 'control-label')) }}
												{{ Form::password('password', array('class' => 'form-control')) }}
											</div>
											<div class="form-group">
												{{ Form::label('password_confirmation', 'Confirm New Password', array('class' => 'control-label')) }}
												{{ Form::password('password_confirmation', array('class' => 'form-control')) }}
											</div>
										</div>
									</div>
								</div>
							</div>

							<div class="row">
								<div class="krik-footer col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3">
									{{ Form::submit('Save', array('class' => 'btn btn-block btn-success')) }}
								</div>
							</div>

							{{ Form::close() }}

						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

{!! JsValidator::formRequest('App\Http\Requests\User\EditUser') !!}
@endsection
