<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<link href="https://fonts.googleapis.com/css?family=Open+Sans:400&subset=latin-ext" rel="stylesheet">
    <style>
        html, body {
			font-family: 'Open Sans';
			font-weight: normal;
            margin: 0;
            padding: 0;
            font-size: 12px;
        }
        .container {
            margin: 5mm 8mm;
        }
        .header {
            width: 100%;
            height: 120px;
            background-color: {{ $bg_color }};
            color: {{ $title_color  }};
            margin-bottom: 20px;
        }
        .header h1 {
            font-family: 'Open Sans';
            font-weight: normal;
            font-size: 20px;
            margin: 2mm 8mm;
        }
        .header .logo {
            margin: 5mm 8mm 0;
        }
        .header h1.no-logo {
            padding: 8mm;
        }
        .lead-event {
            width: 100%;
            clear: both;
        }
        .lead {
            float: left;
            width: 50%;
        }
        .event {
            float: right;
            width: 50%;
            text-align: right;
        }
        table, th, td {
            border: 1px solid #cdcdcd;
            border-collapse: collapse;
        }
        th, td {
			font-family: 'Open Sans';
			font-weight: 400;
            padding: 3px 6px;
        }
        th {
            background-color: #eee;
        }
        table {
            width: 100%;
            margin: 20px 0 30px;
        }
        .barcode {
            display: block;
            width: 40mm;
            text-align: center;
            margin: 40px auto 0;
        }
        .barcode-number {
            font-family: 'Open Sans';
            font-weight: 400;
            line-height: 0.6;
            font-size: 10px;
            text-align: center;
            margin: 10px 0 20px;
            padding: 0;
        }
		p {
			font-family: 'Open Sans';
			font-weight: normal;
		}
		span {
			font-family: 'Open Sans';
			font-weight: normal;
		}
        .title {
            width: 100%;
            clear: both;
            font-size: 18px;
            text-align: center;
            margin: 40px 0 0;
        }
        .center {
            text-align: center;
        }
        .right {
            text-align: right;
            width: 50%;
        }
        .full {
            width: 100%;
        }
    </style>
</head>

<body>

    <div class="header">
        @if($event_logo)
            <img class="logo" src="{{ $event_logo }}" />
            <h1>{{ $event->name }}</h1>
        @else
            <h1 class="no-logo">{{ $event->name }}</h1>
        @endif
    </div>

    <div class="container">
        <div class="lead-event">
            <div class="lead">
                <p>
                    {{ $registration->leadCompanyName }}<br>
                    <span>{{ $registration->leadFirstName . ' ' . $registration->leadLastName }}</span><br>
                    {{ $registration->leadCompanyAddress }}<br>
                    @if($registration->leadCompanyCity)
                        {{ $registration->leadCompanyCity . ', ' . $registration->leadCompanyPostalCode }}<br>
                    @endif
                    {{ $registration->leadCompanyCountry }}
                </p>
            </div>
            <div class="event">
                <div class="barcode"><?php echo DNS1D::getBarcodeHTML($registration->orderBarcode, "C128", 1.5, 40); ?></div>
                <h3 class="barcode-number">{{ $registration->orderBarcode }}</h3>
            </div>
        </div>

       <h1 class="title center">VOUCHER</h1>

        <div class="order">
            <table>
                 <tr class="center">
                    <th colspan="2">@if($event->lang == 'hr') DOGAĐAJ @else EVENT @endif</th>
                </tr>
                <tr>
                    <td class="right">@if($event->lang == 'hr') Ulaznica @else Ticket @endif</td>
                    <td>{{ $registration->ticketName }}</td>
                </tr>
                <tr>
                    <td class="right">@if($event->lang == 'hr') Vrijeme @else Time @endif</td>
                    <td>{{ date("d.m.Y. H:i", strtotime($event->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($event->end_ts)) }}</td>
                </tr>
                @if($event->type_by_venue == 'physical')
                    <tr>
                        <td class="right">@if($event->lang == 'hr') Lokacija @else Location @endif</td>
                        <td>{{ $event->venue_name . ', ' .  $event->venue_address . ', ' . $event->venue_city }}</td>
                    </tr>
                @endif
            </table>

            @if($social_events)
                <table>
                    <tr class="center">
                        <th colspan="2">@if($event->lang == 'hr') DRUŠTVENI DOGAĐAJI @else SOCIAL EVENTS @endif</th>
                    </tr>
                    @foreach ($social_events as $social_event)
                        <tr>
                            <td class="right">{{ $social_event->name }}</td>
                            <td>{{ date("d.m.Y. H:i", strtotime($social_event->time)) }}</td>
                        </tr>
                    @endforeach
                </table>
            @endif

            @if($registration->accomodation_room_id)
            <table>
                <tr class="center">
                    <th colspan="2">@if($event->lang == 'hr') SMJEŠTAJ @else ACCOMMODATION @endif</th>
                </tr>
                <tr>
                    <td class="right">Hotel</td>
                    <td>{{ $registration->accomodationName }}</td>
                </tr>
                <tr>
                    <td class="right">@if($event->lang == 'hr') Vrsta sobe @else Room Type @endif</td>
                    @if($event->lang == 'hr')
                        @if($registration->accomodationRoomName == 'Single use')
                            <td>Jednokrevetna</td>
                        @else
                            <td>Dvokrevetna</td>
                        @endif
                    @else
                        <td>{{ $registration->accomodationRoomName }}</td>
                    @endif
                </tr>
                <tr>
                    <td class="right">@if($event->lang == 'hr') Vrijeme dolaska @else Arriving Time @endif</td>
                    <td>{{ date("d.m.Y.", strtotime($registration->accomodationArrival)) }}</td>
                </tr>
                 <tr>
                    <td class="right">@if($event->lang == 'hr') Vrijeme odlaska @else Departing Time @endif</td>
                    <td>{{ date("d.m.Y.", strtotime($registration->accomodationDeparture)) }}</td>
                </tr>
                <tr>
                    <td class="right">@if($event->lang == 'hr') Broj noćenja @else Number of Nights @endif</td>
                    <td>{{ $accomodationDays }}</td>
                </tr>
            </table>
            @endif

            @if($transfers)
                <table>
                    <tr class="center">
                        <th colspan="2">@if($event->lang == 'hr') PRIJEVOZ @else TRANSFER @endif</th>
                    </tr>
                    @foreach($transfers as $transfer)
                    <tr>
                        <td class="right">
                            @if($event->lang == 'hr')
                                @if($transfer->description == 'Transfer From Airport to Venue')
                                    Prijevoz od aerodroma do događaja
                                @else
                                    Prijevoz od događaja do aerodroma
                                @endif
                            @else
                                {{ $transfer->description }}
                            @endif
                        </td>
                        <td>{{ date("d.m.Y. H:i", strtotime($transfer->start)) }}</td>
                    </tr>
                    @endforeach
                </table>
            @endif
        </div>

       <p class="right full">
            @if($event->lang == 'hr')
                Izdano {{ date('d.m.Y.') }}
            @else
                Generated on {{ date('d.m.Y.') }}
            @endif
        </p>
    </div>

</body>

</html>
