

<?php $__env->startSection('content'); ?>
	<div id="krik-single-event-sessions">
		<div class="panel krik-panel">
			<div class="panel-heading">
				<h3 class="krik-single-event-title"><?php echo e($event_info->name); ?></h3>
				
				<h4 class="krik-single-event-info">
					<?php 
						$event_start = new DateTime($event_info->start_ts);
						$event_end = new DateTime($event_info->end_ts);
						$event_days_diff = $event_start->diff($event_end)->d;
					 ?>
					<?php if($event_info->type_by_venue == 'physical'): ?>
						<?php if($event_days_diff > 0): ?>
							<?php echo e(date("d.m.Y. H:i", strtotime($event_info->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($event_info->end_ts)) . ', ' . $event_info->venue_name); ?>

						<?php else: ?>
							<?php echo e(date("d.m.Y. H:i", strtotime($event_info->start_ts)) . ', ' . $event_info->venue_name); ?>

						<?php endif; ?>
					<?php else: ?>
						<?php if($event_days_diff > 0): ?>
							<?php echo e(date("d.m.Y. H:i", strtotime($event_info->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($event_info->end_ts))); ?>

						<?php else: ?>
							<?php echo e(date("d.m.Y. H:i", strtotime($event_info->start_ts))); ?>

						<?php endif; ?>
					<?php endif; ?>
				</h4>
				
				<a href="<?php echo e(url('/events/' . $event_code . '/sessions/manage/new')); ?>" class="btn krik-btn-manage-new"><i class="fa fa-plus-square-o"></i>Add new session</a>
			</div>
		</div>
	
		<div class="col-md-12">
			<div class="panel panel-primary">
				<div class="panel-heading panel-heading-sessions">
					<div class="pull-left">
						<h3 class="panel-title">Manage Sessions</h3>
					</div>
					<div class="clearfix"></div>
				</div>
				<div class="table-responsive">
					<table class="table table-striped" id="krik-sessions-table" cellspacing="0" width="100%">
						<thead>
							<tr>
								<th style="max-width: 10px !important;">#</th>
								<th>Name</th>
								<th>Location</th>
								<th>Start</th>
								<th>End</th>
								<th style="max-width: 50px !important;" class="text-center">Actions</th>
							</tr>
						</thead>
					</table>
				</div>
				<script>
					var table = $('#krik-sessions-table').DataTable({
						processing: true,
						serverSide: true,
						ajax: {
							url: '<?php echo route('sessions.data'); ?>',
							data: {
								event_code: '<?php echo e($event_code); ?>'
							},
							type: 'POST',
							headers: {
								'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
							}
						},
						scrollCollapse: true,
						searching: true,
						info: false,
						bSort: false,
						autoWidth: true,
						columns: [
							{
								orderable: false,
								searchable: false,
								className: 'no-reorder',
								render: function() { return ''; }
							},
							{ data: 'name', name: 'name' },
							{ data: 'location', name: 'location' },
							{ data: 'start_ts', name: 'start_ts' },
							{ data: 'end_ts', name: 'end_ts' },
							{
								orderable: false,
								searchable: false,
								className: 'text-center no-selecting',
								render: function(data, type, full, meta) { return '<a href="<?php echo e(url('/events/' . $event_code . '/sessions')); ?>/' + full.session_code + '/edit"><i class="fa fa-edit" data-info="tooltip" data-placement="top" title="" data-original-title="Edit session"></i></a><i class="fa fa-trash-o krik-delete-session" data-session-id="'+ full.id + '" data-toggle="modal" data-target=".krik-sessions-delete" data-info="tooltip" data-placement="top" title="" data-original-title="Delete session"></i>'; }
							}
						],
						language: {
							search: "_INPUT_",
							searchPlaceholder: "Search",
							lengthMenu: "_MENU_",
							processing: "Loading data, please wait...",
							zeroRecords: "No sessions",
							buttons: {
								colvis: 'Columns'
							}
						},
						paging: true,
						pagingType: 'simple_numbers',
						ordering: true,
						order: [
							[ 3, "asc" ],
							[ 4, "asc" ],
							[ 2, "asc" ],
						],
						orderClasses: false,
						stateSave: false,
						// deferRender: true,
						colReorder: true,
						pageLength: 10,
						lengthMenu: [[ 10, 20, 50, 100, -1 ], [ 10, 20, 50, 100, 'All' ]],
						select: {
							style: 'multi',
							selector: 'td:not(.no-selecting)'
						},
						dom: 'Bfrtilp',
						bInfo: true,
						buttons: [
							{
								extend: 'collection',
								text: 'Export',
								buttons: [
									{
										extend: 'copyHtml5',
										text: 'Copy (all entries from current page)',
										exportOptions: {
											columns: [1,2,3,4,5]
										}
									},
									{
										extend: 'copyHtml5',
										text: 'Copy (selected entries from current page)',
										exportOptions: {
											modifier: {
												selected: true
											},
											columns: [1,2,3,4,5]
										}
									},
									{
										extend: 'print',
										text: 'Print (all entries from current page)',
										exportOptions: {
											columns: [1,2,3,4,5]
										}
									},
									{
										extend: 'print',
										text: 'Print (selected entries from current page)',
										exportOptions: {
											modifier: {
												selected: true
											},
											columns: [1,2,3,4,5]
										}
									},
									{
										extend: 'excelHtml5',
										text: 'Excel (all entries from current page)',
										exportOptions: {
											columns: [1,2,3,4,5]
										}
									},
									{
										extend: 'excelHtml5',
										text: 'Excel (selected entries from current page)',
										exportOptions: {
											modifier: {
												selected: true
											},
											columns: [1,2,3,4,5]
										}
									},
									{
										extend: 'csvHtml5',
										text: 'CSV (all entries from current page)',
										exportOptions: {
											columns: [1,2,3,4,5]
										}
									},
									{
										extend: 'csvHtml5',
										text: 'CSV (selected entries from current page)',
										exportOptions: {
											modifier: {
												selected: true
											},
											columns: [1,2,3,4,5]
										}
									}
								]
							},
							'colvis'
						],
						initComplete: function(settings, json) {
							$('[data-info="tooltip"]').tooltip();
						},
						createdRow: function () {
							table.column(0, { search: 'applied', order: 'applied' }).nodes().each(function (cell, i) {
                                cell.innerHTML = i+1;
                            });
						}
					});
					
					table.on('order.dt search.dt column-reorder', function () {
                        table.column(0, { search: 'applied', order: 'applied' }).nodes().each(function (cell, i) {
                            cell.innerHTML = i+1;
                        });
                    }).draw();
		        </script>
			</div>
		</div>
		
		<div class="modal krik-sessions-delete animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
			<div class="bs-example-modal krik-delete-modal">
				<div class="modal modal-danger">
					<div class="modal-dialog">
						<div class="modal-content">
							<div class="modal-header">
								<button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
								<h4 class="modal-title">Please confirm delete</h4>
							</div>
							<div class="modal-body">
								<p>This action can not be undone.</p>
							</div>
							<div class="modal-footer">
								<button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
								<button type="submit" class="btn btn-danger" id="krik-delete-submit">Delete session</button>
								<?php echo e(csrf_field()); ?>

							</div>
						</div>
					</div>
				</div>
			</div>
		</div>

	</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('index-left-sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>