<?php $__env->startSection('content'); ?>
<div class="krik-lead">
  <div class="row">
    <div class="col-md-12">
        <a href="<?php echo e(getenv('APP_URL')); ?>/leads/insights">
            <button type="button" class="btn krik-btn-insights pull-right"><i class="fa fa-eye krik-btn-space"></i>Insights</button>
        </a>
      <a href="<?php echo e(getenv('APP_URL')); ?>/leads/create">
        <button type="button" class="btn krik-btn-new-leads krik-btn-new-leads-import pull-right"><i class="fa fa-plus-square-o krik-btn-space"></i>New Lead</button>
      </a>
      <a href="<?php echo e(getenv('APP_URL')); ?>/leads/import">
        <button type="button" class="btn krik-btn-new-leads pull-right"><i class="fa fa-plus-square-o krik-btn-space"></i>Import Leads</button>
      </a>
    </div>
  </div>

  <div class="panel">
    <div class="panel panel-default">
      <div class="panel-heading">
        <div class="pull-left">
          <h3 class="panel-title">All Leads</h3>
        </div>
        <div class="clearfix"></div>
      </div>

      <div class="panel-body table-responsive">
        <table class="table table-striped" id="krik-leads-table" cellspacing="0" width="100%">
          <thead>
            <tr>
              <th style="max-width: 10px !important;">#</th>
			  <th style="max-width: 50px !important;" class="text-center">Actions</th>
              <th>Company name</th>
              <th>Gender</th>
              <th>Title</th>
              <th>First name</th>
              <th>Last name</th>
              <th>E-mail</th>
              <th>Phone</th>
              <th>Mobile</th>
              <th>Job function</th>
              <th>Type</th>
              <th>Type description</th>
              <th>Company address</th>
              <th>Company city</th>
              <th>Company post code</th>
              <th>Company country</th>
              <th>Note</th>
              <th>Self registered</th>
              <th>Opt in</th>
              <th>Opt in method</th>
              <th>Opt out time</th>
              <th>Created at</th>
              <th>Updated at</th>
            </tr>
          </thead>
            <tfoot>
                <tr>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                </tr>
            </tfoot>
        </table>

        <script>
            $(function() {
              var table = $('#krik-leads-table').DataTable({
                processing: true,
                serverSide: false,
                ajax: {
                  url: '<?php echo route('leads.data'); ?>',
                  type: 'POST',
                  headers: {
                    'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                  }
                },
                scrollCollapse: true,
                searching: true,
                info: false,
                bSort: true,
                autoWidth: true,
                order: [[ 6, "asc"],[ 5, "asc"]],
                orderClasses: false,
                stateSave: false,
               // deferRender: true,
                colReorder: true,
                columns: [
                  {
                    orderable: false,
                    searchable: false,
                    className: 'no-reorder',
                    render: function() { return ''; }
                  },
				  { className: 'text-center no-selecting', data: 'action', name: 'action', orderable: false, searchable: false },
                  { data: 'company_name'},
                  { data: 'gender' },
                  { data: 'title' },
                  { data: 'first_name' },
                  { data: 'last_name' },
                  { data: 'email' },
                  { data: 'phone' },
                  { data: 'mobile' },
                  { data: 'job_function' },
                  { data: 'type', name: 'lead_types.name' },
                  { data: 'type_description', name: 'lead_type_descriptions.name' },
                  { data: 'company_address' },
                  { data: 'company_city' },
                  { data: 'company_post_code' },
                  { data: 'country_name' },
                  { data: 'note', orderable: false },
                  {
                    name: 'self_registrated',
                    data: 'self_registrated',
                    render: function(data, type, full, meta) {
                      if(full.self_registrated == 'Yes') {
                        return '<span class="leads-yes">Yes</span>';
                      } else {
                        return '<span class="leads-no">No</span>';
                      }
                    }
                  },
                  {
                    name: 'opt_in',
                    data: 'opt_in',
                    render: function(data, type, full, meta) {
                      if(full.opt_in == 'Yes') {
                        return '<span class="leads-yes">Yes</span>';
                      } else {
                        return '<span class="leads-no">No</span>';
                      }
                    }
                  },
                  { data: 'opt_in_method' },
                  { data: 'opt_out_ts' },
                  { data: 'created_at', name: 'leads.created_at' },
                  { data: 'updated_at', name: 'leads.updated_at' }
                ],
                language: {
                  search: "_INPUT_",
                  searchPlaceholder: "Search",
                  lengthMenu: "_MENU_",
                  processing: "Loading data, please wait...",
                  zeroRecords: "No data to display",
                  buttons: {
                    colvis: 'Columns'
                  }
                },
                pageLength: 10,
                lengthMenu: [[ 10, 20, 50, 100, -1 ], [ 10, 20, 50, 100, 'All' ]],
                paging: true,
                pagingType: 'simple_numbers',
                select: {
                  style: 'multi',
                  selector: 'td:not(.no-selecting)'
                },
                dom: 'Bfrtilp',
                bInfo: true,
                buttons: [
                  {
                    extend: 'collection',
                    text: 'Export',
                    buttons: [
                      {
                        extend: 'copyHtml5',
                        text: 'Copy (all entries from current page)'
                      },
                      {
                        extend: 'copyHtml5',
                        text: 'Copy (selected entries from current page)',
                        exportOptions: {
                          modifier: {
                            selected: true
                          }
                        }
                      },
                      {
                        extend: 'print',
                        text: 'Print (all entries from current page)'
                      },
                      {
                        extend: 'print',
                        text: 'Print (selected entries from current page)',
                        exportOptions: {
                          modifier: {
                            selected: true
                          }
                        }
                      },
                      {
                        extend: 'excelHtml5',
                        text: 'Excel (all entries from current page)'
                      },
                      {
                        extend: 'excelHtml5',
                        text: 'Excel (selected entries from current page)',
                        exportOptions: {
                          modifier: {
                            selected: true
                          }
                        }
                      },
                      {
                        extend: 'csvHtml5',
                        text: 'CSV (all entries from current page)'
                      },
                      {
                        extend: 'csvHtml5',
                        text: 'CSV (selected entries from current page)',
                        exportOptions: {
                          modifier: {
                            selected: true
                          }
                        }
                      }
                    ]
                  },
                  'colvis'
                ],
                initComplete: function(settings, json) {
                  $('[data-info="tooltip"]').tooltip();
                },
                createdRow: function () {
                     table.column(0, { search: 'applied', order: 'applied' }).nodes().each(function (cell, i) {
                        cell.innerHTML = i+1;
                    });
                }
              });

                table.on('order.dt search.dt column-reorder', function () {
                    table.column(0, { search: 'applied', order: 'applied' }).nodes().each(function (cell, i) {
                        cell.innerHTML = i+1;
                    });
                }).draw();

                yadcf.init(table, [
                    {
                        column_number: 2,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Company names'
                    },
                    {
                        column_number: 3,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Genders'
                    },
                    {
                        column_number: 4,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Titles'
                    },
                    {
                        column_number: 5,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'First names'
                    },
                    {
                        column_number: 6,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Last names'
                    },
                    {
                        column_number: 7,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'E-mails'
                    },
                    {
                        column_number: 8,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Phones'
                    },
                    {
                        column_number: 9,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Mobiles'
                    },
                    {
                        column_number: 10,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Job functions'
                    },
                    {
                        column_number: 11,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Types'
                    },
                    {
                        column_number: 12,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Type descriptions'
                    },
                    {
                        column_number: 13,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Company addresses'
                    },
                    {
                        column_number: 14,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Company cities'
                    },
                    {
                        column_number: 15,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Company post codes'
                    },
                    {
                        column_number: 16,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Company countries'
                    },
                    {
                        column_number: 18,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Self registrations'
                    },
                    {
                        column_number: 19,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Opt ins'
                    },
                    {
                        column_number: 20,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Opt in methods'
                    },
                    {
                        column_number: 21,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Opt out times'
                    },
                    {
                        column_number: 22,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Created at'
                    },
                    {
                        column_number: 23,
                        filter_type: 'multi_select',
                        select_type: 'select2',
                        filter_reset_button_text: false,
                        filter_default_label: 'Updated at'
                    }
                ], {
                    filters_position: 'footer'
                });
            });
        </script>
      </div>
    </div>
  </div>

  <div class="modal krik-delete-lead animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm delete</h4>
            </div>
            <div class="modal-body">
              <p>This action can not be undone.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Cancel</button>
              <?php echo e(Form::open(array('url' => getenv('APP_URL') . '/leads', 'method' => 'delete', 'class' => 'krik-modal-inline'))); ?>

              <input type="hidden" name="id" value="">
              <button type="submit" class="btn btn-danger" id="krik-delete-modal">Delete lead</button>
              <?php echo e(Form::close()); ?>

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('index', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>