 <!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!--> <html lang="en"> <!--<![endif]-->

<head>

<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<link rel="shortcut icon" type="image/png" href="<?php echo getenv('APP_URL') . '/favicon.ico' ?>"/>
<link rel='shortcut icon' type='image/x-icon' href='<?php echo getenv('APP_URL') . '/favicon.ico' ?>' />
<title><?php echo e($title); ?></title>
<link href='//fonts.googleapis.com/css?family=Abril+Fatface|Arvo|Bad+Script|Comfortaa|Dancing+Script|Droid+Sans|Open+Sans:400,300,600,700|Satisfy|Ubuntu|Vollkorn|Oswald:400,700&subset=latin,latin-ext' rel='stylesheet' type='text/css'>


<?php if(!empty($css['globals'])): ?>
<?php foreach($css['globals'] as $global): ?>
<link href="<?php echo e($assetUrl.$global); ?>" rel="stylesheet">
<?php endforeach; ?>
<?php endif; ?>

<?php if(!empty($css['pages'])): ?>
<?php foreach($css['pages'] as $page): ?>
<link href="<?php echo e($assetUrl.$page); ?>" rel="stylesheet">
<?php endforeach; ?>
<?php endif; ?>

<?php if(!empty($css['themes'])): ?>
<?php foreach($css['themes'] as $key=>$theme): ?>
<?php if(is_array($theme)): ?>
<link href="<?php echo e($assetUrl.$key); ?>" rel="stylesheet" id="<?php echo e($theme['id' ]); ?>">
<?php else: ?>
<link href="<?php echo e($assetUrl.$theme); ?>" rel="stylesheet">
<?php endif; ?>
<?php endforeach; ?>
<?php endif; ?>

<!--[if lt IE 9]>
<?php if(!empty($js['ies'])): ?>
<?php foreach($js['ies'] as $ie): ?>
<script src="<?php echo e($assetUrl.$ie); ?>"></script>
<?php endforeach; ?>
<?php endif; ?>
<![endif]-->

<?php if(!empty($css['cssKrik'])): ?>
<?php foreach($css['cssKrik'] as $krik): ?>
<link href="<?php echo e($krik); ?>" rel="stylesheet">
<?php endforeach; ?>
<?php endif; ?>

<?php if(!empty($js['cores'])): ?>
<?php foreach($js['cores'] as $core): ?>
<script src="<?php echo e($assetUrl.$core); ?>"></script>
<?php endforeach; ?>
<?php endif; ?>

<?php if(!empty($js['plugins'])): ?>
<?php foreach($js['plugins'] as $plugin): ?>
<script src="<?php echo e($assetUrl.$plugin); ?>"></script>
<?php endforeach; ?>
<?php endif; ?>

<?php if(!empty($js['additionalScripts'])): ?>
<?php foreach($js['additionalScripts'] as $script): ?>
<script src="<?php echo e($script); ?>"></script>
<?php endforeach; ?> <?php endif; ?>

<?php if(!empty($js['scripts'])): ?>
<?php foreach($js['scripts'] as $script): ?>
<script src="<?php echo e($assetUrl.$script); ?>"></script>
<?php endforeach; ?>
<?php endif; ?>

</head>

<body <?php echo !empty($bodyClass) ? 'class="' . (isset($extraClasses) ? ($bodyClass.' '.$extraClasses) : $bodyClass) . '"' : null; ?>

    <?php if(env('APP_ID') == '04'): ?>
        id="ingram"
    <?php endif; ?>>
    
<section id="wrapper">

  <?php /* HEADER */ ?>
  <?php echo $__env->make('header/header-left-sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

  <?php /* LEFT SIDEBAR */ ?>
  <?php echo $__env->make('sidebar/sidebar-left', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

  <?php /* MAIN CONTENT */ ?>
  <div class="container-fluid krik-container-with-sidebar">
    <?php echo $__env->yieldContent('content'); ?>
  </div>

</section>

<script>
  var baseUrl = "<?php echo e(getenv('APP_URL')); ?>";
</script>


<?php if(!empty($js['jsKrik'])): ?>
<?php foreach($js['jsKrik'] as $krik): ?>
<script src="<?php echo e($krik); ?>"></script>
<?php endforeach; ?>
<?php endif; ?>

</body>

</html>
