<?php $__env->startSection('content'); ?>

	<div id="krik-logs">
		<div class="col-md-12">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <div class="pull-left">
                        <h3 class="panel-title">Logs</h3>
                    </div>
                    <div class="clearfix"></div>
                </div>
                <div class="table-responsive">
                    <table class="table table-striped" id="krik-logs-table" cellspacing="0" width="100%">
                        <thead>
                        <tr>
                            <th style="max-width: 10px !important;">#</th>
                            <th>Type</th>
                            <th>Info</th>
                            <th>User</th>
                            <th>IP</th>
                            <th>Time</th>
                        </tr>
                        </thead>
                    </table>
                </div>
                <script>
                    var table = $('#krik-logs-table').DataTable({
                        processing: true,
                        serverSide: false,
                        ajax: {
                            url: '<?php echo route('get-logs.data'); ?>',
                            type: 'POST',
                            headers: {
                              'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>'
                            }
                        },
                        scrollCollapse: true,
                        searching: true,
                        info: false,
                        bSort: false,
                        autoWidth: true,
                        columns: [
                            {
                              orderable: false,
                              searchable: false,
							  className: 'no-reorder',
                              render: function() { return ''; }
                            },
                            { data: 'logDesc', name: 'logDesc' },
                            { data: 'logInfo', name: 'logInfo' },
                            { data: 'logUser', name: 'logUser' },
                            { data: 'logIp', name: 'logIp' },
                            { data: 'logTime', name: 'logTime' }
                        ],
                        language: {
                            search: "_INPUT_",
                            searchPlaceholder: "Search",
                            lengthMenu: "_MENU_",
                            processing: "Loading data, please wait...",
                            zeroRecords: "No data to display",
                            buttons: {
                              colvis: 'Columns'
                            }
                        },
                        paging:  true,
                        pagingType: 'simple_numbers',
                        ordering: true,
                        orderClasses: false,
                        // stateSave: true,
                        // deferRender: true,
                        colReorder: true,
                        pageLength: 10,
                        lengthMenu: [[ 10, 20, 50, 100, -1 ], [ 10, 20, 50, 100, 'All' ]],
                        order: [[5, 'desc']],
                        select: {
                          style: 'multi'
                        },
                        dom: 'Bfrtilp',
                        bInfo: true,
                        buttons: [
                          {
                            extend: 'collection',
                            text: 'Export',
                            buttons: [
                              {
                                extend: 'copyHtml5',
                                text: 'Copy (all entries from current page)',
                                exportOptions: {
                                  columns: [1,2,3,4,5]
                                }
                              },
                              {
                                extend: 'copyHtml5',
                                text: 'Copy (selected entries from current page)',
                                exportOptions: {
                                  modifier: {
                                    selected: true
                                  },
                                  columns: [1,2,3,4,5]
                                }
                              },
                              {
                                extend: 'print',
                                text: 'Print (all entries from current page)',
                                exportOptions: {
                                  columns: [1,2,3,4,5]
                                }
                              },
                              {
                                extend: 'print',
                                text: 'Print (selected entries from current page)',
                                exportOptions: {
                                  modifier: {
                                    selected: true
                                  },
                                  columns: [1,2,3,4,5]
                                }
                              },
                              {
                                extend: 'excelHtml5',
                                text: 'Excel (all entries from current page)',
                                exportOptions: {
                                  columns: [1,2,3,4,5]
                                }
                              },
                              {
                                extend: 'excelHtml5',
                                text: 'Excel (selected entries from current page)',
                                exportOptions: {
                                  modifier: {
                                    selected: true
                                  },
                                  columns: [1,2,3,4,5]
                                }
                              },
                              {
                                extend: 'csvHtml5',
                                text: 'CSV (all entries from current page)',
                                exportOptions: {
                                  columns: [1,2,3,4,5]
                                }
                              },
                              {
                                extend: 'csvHtml5',
                                text: 'CSV (selected entries from current page)',
                                exportOptions: {
                                  modifier: {
                                    selected: true
                                  },
                                  columns: [1,2,3,4,5]
                                }
                              }
                            ]
                          },
                          'colvis'
                        ],
                        createdRow: function () {
                          table.column(0, {search:'applied', order:'applied'}).nodes().each(function (cell, i) { cell.innerHTML = table.page.len() * table.page.info().page + 1 + i; });
                        }
                    });
					
					table.on('column-reorder', function () {
	                    table.column(0, {search:'applied', order:'applied'}).nodes().each(function (cell, i) { cell.innerHTML = table.page.len() * table.page.info().page + 1 + i; });
	                });
                </script>
            </div>
        </div>
	</div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('index', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>