<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<link href="https://fonts.googleapis.com/css?family=Open+Sans:400&subset=latin-ext" rel="stylesheet">
    <style>
        html, body {
			font-family: 'Open Sans';
			font-weight: normal;
            margin: 0;
            padding: 0;
            font-size: 12px;
        }
        .container {
            margin: 5mm;
        }
        .header {
            width: 100%;
            height: 100px;
            background-color: <?php echo e($bg_color); ?>;
            color: <?php echo e($title_color); ?>;
            margin-bottom: 20px;
        }
        .header h1 {
            font-family: 'Open Sans';
            font-weight: normal;
            font-size: 16px;
            margin: 3mm;
        }
        .header .logo {
            margin: 3mm 3mm 0;
        }
        .header h1.no-logo {
            margin: 9mm 3mm;
        }
        .invoice-date {
            width: 100%;
        }
        .invoice {
            float: left;
            width: 50%;
        }
        .date {
            float: right;
            width: 50%;
            text-align: right;
        }
        .lead-event {
            width: 100%;
            clear: both;
        }
        .lead {
            float: left;
            width: 50%;
        }
        .event {
            float: right;
            width: 50%;
            text-align: right;
        }
        .confirmation {
            width: 100%;
            clear: both;
            margin-bottom: 10px;
        }
        table, th, td {
            border: 1px solid #cdcdcd;
            border-collapse: collapse;
        }
        th, td {
			font-family: 'Open Sans';
			font-weight: 400;
            padding: 3px 6px;
        }
        th {
            background-color: #eee;
        }
        table {
            width: 100%
        }
        .right {
            text-align: right;
        }
        .total-invoice-payment {
            width: 100%;
            clear: both;
            margin: 10px 0;
        }
        .total {
            border-bottom: 1px solid #cdcdcd;
        }
        .total-invoice {
            width: 39%;
            float: left;
            position: relative;
        }
        .total-invoice .text {
            width: 50%;
        }
        .total-invoice .price {
            width: 50%;
            position: absolute;
            top: 0;
            right: 0;
            text-align: right;
        }
        .payment-details {
            width: 59%;
            float: right;
            border: 1px solid #cdcdcd;
            margin-top: 10px;
        }
        .title {
            margin: 0;
            padding: 10px 10px 0;
        }
        .account-info {
            position: relative;
            padding: 0 10px;
        }
        .account-info .desc {
            width: 30%;
        }
        .account-info .info {
            width: 70%;
            position: absolute;
            top: 0;
            right: 0;
        }
		p {
			font-family: 'Open Sans';
			font-weight: normal;
		}
		span {
			font-family: 'Open Sans';
			font-weight: normal;
		}
    </style>
</head>

<body>

    <div class="container">
        <div class="header">
            <?php if($event_logo): ?>
                <img class="logo" src="<?php echo e($event_logo); ?>" />
                <h1><?php echo e($event->name); ?></h1>
            <?php else: ?>
                <h1 class="no-logo"><?php echo e($event->name); ?></h1>
            <?php endif; ?>
        </div>

        <div class="invoice-date">
            <div class="invoice">
                <p>
                    <?php if($event->lang == 'hr'): ?>
                        Invoice broj: <?php echo e($registration->invoiceTicket); ?> <br>
                        Broj narudžbe: <?php echo e($registration->orderTicket); ?>

                    <?php else: ?>
                        Proforma Invoice Number: <?php echo e($registration->invoiceTicket); ?> <br>
                        Order Number: <?php echo e($registration->orderTicket); ?>

                    <?php endif; ?>
                </p>
            </div>
            <div class="date">
                <p><?php echo e(date("j F Y")); ?></p>
            </div>
        </div>

        <div class="lead-event">
            <div class="lead">
                <p>
                    <?php echo e($registration->leadCompanyName); ?><br>
                    <span><?php echo e($registration->leadFirstName . ' ' . $registration->leadLastName); ?></span><br>
                    <?php echo e($registration->leadCompanyAddress); ?><br>
                    <?php if($registration->leadCompanyCity): ?>
                        <?php echo e($registration->leadCompanyCity . ', ' . $registration->leadCompanyPostalCode); ?><br>
                    <?php endif; ?>
                    <?php echo e($registration->leadCompanyCountry); ?>

                </p>
            </div>
            <div class="event">
                <p>
                    <?php echo e($event->name); ?><br>
                    <?php echo e($event->venue_city); ?>

                </p>
            </div>
        </div>

        <div class="confirmation">
            <p>
                <?php if($event->lang == 'hr'): ?>
                    Potvrdni e-mail će biti poslan na <span><?php echo e($registration->leadEmail); ?></span> nakon što uplata bude potvrđena. <br>
                    Račun će biti izdan i poslan nakon potvrde uplate.
                <?php else: ?>
                    A confirmation e-mail will be sent to <span><?php echo e($registration->leadEmail); ?></span> when payment is received. <br>
                    If applicable, a tax invoice will be issued once payment has been received in full.
                <?php endif; ?>
            </p>
        </div>

        <div class="order">
            <table>
                <tr>
                    <?php if($event->lang == 'hr'): ?>
                        <th>Karta</th>
                        <th>Količina</th>
                        <th>Cijena</th>
                        <th>Ukupno</th>
                    <?php else: ?>
                        <th>Ticket</th>
                        <th>Qty</th>
                        <th>Price</th>
                        <th>Total</th>
                    <?php endif; ?>
                </tr>
                <tr>
                    <td><?php echo e($registration->ticketName); ?></td>
                    <td style="text-align: center">1</td>
                    <td class="right"><?php echo e(number_format((float)$registration->ticketPriceNoVat, 2, ',', '.') . ' ' . $currency); ?></td>
                    <td class="right"><?php echo e(number_format((float)$registration->ticketPriceNoVat, 2, ',', '.') . ' ' . $currency); ?></td>
                </tr>
                <tr>
                    <?php if($event->lang == 'hr'): ?>
                        <td colspan="3" class="right">Porez (<?php echo e($registration->ticketsVat . '%'); ?>)</td>
                    <?php else: ?>
                        <td colspan="3" class="right">Tax (<?php echo e($registration->ticketsVat . '%'); ?>)</td>
                    <?php endif; ?>
                    <td class="right"><?php echo e($tax . ' ' . $currency); ?></td>
                </tr>
                <tr>
                    <?php if($event->lang == 'hr'): ?>
                        <td colspan="3" class="right">Ukupno</td>
                    <?php else: ?>
                        <td colspan="3" class="right">Total</td>
                    <?php endif; ?>
                    <td class="right"><span><?php echo e($total . ' ' . $currency); ?></span></td>
                </tr>
            </table>
        </div>

        <?php if(isset($registration->ticketCompanyName) || isset($registration->ticketAddress)): ?>
        <div class="total-invoice-payment">

            <div class="total-invoice">
                <div class="invoice-from">
                    <p>
                        <?php if($event->lang == 'hr'): ?>
                             <span>Plaćanje od:</span><br>
                        <?php else: ?>
                             <span>Invoiced From / Remit To:</span><br>
                        <?php endif; ?>
                        <?php if($registration->ticketType == 'company'): ?>
                        <?php echo e($registration->ticketCompanyName); ?><br>
                        <?php endif; ?>
                        <?php echo e($registration->ticketFirstName . ' ' . $registration->ticketLastName); ?><br>
                        <?php echo e($registration->ticketAddress); ?><br>
                        <?php echo e($registration->ticketCity . ', ' . $registration->ticketPostalCode); ?><br>
                        <?php echo e($registration->ticketCountry); ?>

                        <?php if($registration->ticketType == 'person'): ?>
                        <br><?php echo e($registration->ticketCompanyName); ?>

                        <?php endif; ?>
                    </p>
                    <p>
                        <?php if($event->lang == 'hr'): ?>
                            <?php if($registration->ticketType == 'person'): ?>
                                OIB: <?php echo e($registration->ticketPersonalId); ?>

                            <?php else: ?>
                                VAT: <?php echo e($registration->ticketVat); ?>

                            <?php endif; ?>
                        <?php else: ?>
                            <?php if($registration->ticketType == 'person'): ?>
                                Personal Identification Number: <?php echo e($registration->ticketPersonalId); ?>

                            <?php else: ?>
                                VAT Number: <?php echo e($registration->ticketVat); ?>

                            <?php endif; ?>
                        <?php endif; ?>
                    </p>
                </div>

                <div class="queries">

                </div>
            </div>

            <?php if(isset($payment->IBAN)): ?>
            <div class="payment-details">
                <?php if($event->lang == 'hr'): ?>
                     <p class="title">Detalji plaćanja</p>
                <?php else: ?>
                     <p class="title">Payment Details</p>
                <?php endif; ?>

                <div class="account-info">
                    <div class="desc">
                        <p>
                            <?php if($event->lang == 'hr'): ?>
                                <?php if(isset($payment->account_name)): ?> Naziv računa<br> <?php endif; ?>
                                <?php if(isset($payment->account_number)): ?> Broj računa<br> <?php endif; ?>
                                <?php if(isset($payment->sort_code)): ?> SORT<br> <?php endif; ?>
                                <?php if(isset($payment->IBAN)): ?> IBAN<br> <?php endif; ?>
                                <?php if(isset($payment->SWIFT)): ?> SWIFT<br> <?php endif; ?>
                                <?php if(isset($payment->bank_name)): ?> Naziv banke<br> <?php endif; ?>
                            <?php else: ?>
                                <?php if(isset($payment->account_name)): ?> Account Name<br> <?php endif; ?>
                                <?php if(isset($payment->account_number)): ?> Account Number<br> <?php endif; ?>
                                <?php if(isset($payment->sort_code)): ?> Sort Code<br> <?php endif; ?>
                                <?php if(isset($payment->IBAN)): ?> IBAN<br> <?php endif; ?>
                                <?php if(isset($payment->SWIFT)): ?> SWIFT<br> <?php endif; ?>
                                <?php if(isset($payment->bank_name)): ?> Bank Name<br> <?php endif; ?>
                            <?php endif; ?>
                        </p>
                    </div>
                    <div class="info">
                        <p>
                            <?php if(isset($payment->account_name)): ?> <?php echo e($payment->account_name); ?><br> <?php endif; ?>
                            <?php if(isset($payment->account_number)): ?> <?php echo e($payment->account_number); ?><br> <?php endif; ?>
                            <?php if(isset($payment->sort_code)): ?> <?php echo e($payment->sort_code); ?><br> <?php endif; ?>
                            <?php if(isset($payment->IBAN)): ?> <?php echo e($payment->IBAN); ?><br> <?php endif; ?>
                            <?php if(isset($payment->SWIFT)): ?> <?php echo e($payment->SWIFT); ?><br> <?php endif; ?>
                            <?php if(isset($payment->bank_name)): ?> <?php echo e($payment->bank_name); ?><br> <?php endif; ?>
                        </p>
                    </div>
                </div>
            </div>
            <?php endif; ?>

            <div class="confirmation">
                <p>
                    <?php if($event->lang == 'hr'): ?>
                        Zahvaljujemo se na registraciji. Vaš status plaćanja je na 'čekanju uplate'. Kada zaprimimo vašu uplatu poslat ćemo vam potvrdni e-mail te će račun biti priložen.
                    <?php else: ?>
                        Thank you for completing registration. Your payment status is 'pending'. Once we receive your payment we will send a payment confirmation e-mail, your tax invoice will be attached.
                    <?php endif; ?>
                </p>
            </div>

        </div>
        <?php else: ?>

          <div class="confirmation">
              <p>
                    <?php if($event->lang == 'hr'): ?>
                        Zahvaljujemo se na registraciji.
                    <?php else: ?>
                        Thank you for completing registration.
                    <?php endif; ?>
              </p>
          </div>

        <?php endif; ?>


    </div>

</body>

</html>
