

<?php $__env->startSection('content'); ?>
<div id="krik-events">
    <div class="row">
        <div class="col-md-12">
            <h3 class="krik-subtitle">Active Events</h3>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <?php foreach($activeEvents as $key => $activeEvent): ?>
            
            <?php if(auth()->check() && auth()->user()->hasRole(('reporter'))): ?>
                <?php if (app('Illuminate\Contracts\Auth\Access\Gate')->check((string)($activeEvent->id))): ?>
                <?php else: ?>
                    <?php continue; ?>
                <?php endif; ?>
            <?php endif; ?>
            
            <div class="panel panel-default">
                <div class="panel-body krik-panel">
                    <div class="row">

                        <div class="<?php if(auth()->check() && auth()->user()->hasRole(('admin'))): ?> col-md-3 <?php else: ?> col-md-4 <?php endif; ?>">
                          <div class="krik-event-intro-box-bg">
                            <?php if($activeEvent->is_draft == 0): ?>
                            <a href="<?php echo e(getenv('APP_URL') . '/events/' . $activeEvent->event_code); ?>" class="krik-event-intro-box-link">
                            <?php elseif($activeEvent->is_draft == 1): ?>
                            <a href="<?php echo e(getenv('APP_URL') . '/events/' . $activeEvent->event_code . '/create/look-and-feel'); ?>" class="krik-event-intro-box-link">
                            <?php endif; ?>
                              <div class="krik-event-intro-box" style="background-color: <?php echo e($activeEvent->background_color); ?>; color: <?php echo e($activeEvent->titles_color); ?>">
                                <h3 class="krik-event-title"><?php echo e(mb_strimwidth($activeEvent->name, 0, 48, '...')); ?></h3>
                                <h4 class="krik-event-info">
                                  <?php if($activeEvent->type_by_venue == 'physical'): ?>
                                    <?php echo e(date("d.m.Y. H:i", strtotime($activeEvent->start_ts)) . ', ' . $activeEvent->venue_name); ?>

                                  <?php else: ?>
                                    <?php echo e(date("d.m.Y. H:i", strtotime($activeEvent->start_ts))); ?>

                                  <?php endif; ?>
                                </h4>
                              </div>
                            </a>
                            <div class="krik-event-line" style="background-color: <?php echo e($activeEvent->background_color); ?>;">
                              <div class="klik-event-line-top" style="background-color: <?php echo e($activeEvent->titles_color); ?>;"></div>
                            </div>
                            <a class="krik-event-link" target="_blank" style="background-color: <?php echo e($activeEvent->background_color); ?>; color: <?php echo e($activeEvent->titles_color); ?>" href="<?php echo e(getenv('APP_URL') . '/registration/' . $activeEvent->event_code); ?>">
                              <span>Link to Registration</span>
                            </a>
                            <?php if($activeEvent->is_draft == 1): ?>
                              <div class="ribbon-wrapper bottom-right krik-ribbon-bottom-right">
                                <div class="ribbon ribbon-shadow krik-ribbon">Draft</div>
                              </div>
                            <?php endif; ?>
                          </div>
                        </div>

                            <div class="<?php if(auth()->check() && auth()->user()->hasRole(('admin'))): ?> col-md-3 <?php else: ?> col-md-4 <?php endif; ?>">
                                <div class="krik-event-box">
                                    <?php /*<div id="krik-event-slider-<?php echo e($key); ?>" class="carousel slide" data-ride="carousel" data-interval="false">*/ ?>
                                    <div id="krik-event-slider-<?php echo e($key); ?>" class="carousel slide" data-ride="carousel">
                                        <div class="carousel-inner">
                                            <div class="item active">
                                                <?php
                                                    $daysTillEventStart = floor((strtotime($activeEvent->start_ts) - time())/60/60/24);
                                                    $daysTillEventEnd = floor((strtotime($activeEvent->end_ts) - time())/60/60/24);
                                                ?>
                                                <?php if(strtotime($activeEvent->start_ts) > strtotime($now)): ?>
                                                    <i class="fa fa-calendar krik-event-slider-icon"></i>
                                                    <?php if($daysTillEventStart == 0): ?>
                                                        <span class="krik-single-event-msg">
                                                            Event starts soon
                                                        </span>
                                                    <?php else: ?>
                                                        <span class="krik-number-days-until"><?php echo e($daysTillEventStart); ?></span>
                                                        <span class="krik-days-until">
                                                            <div>Days</div>
                                                            <div>Until Event</div>
                                                        </span>
                                                    <?php endif; ?>
                                                <?php else: ?>
                                                    <i class="fa fa-calendar krik-event-slider-icon"></i>
                                                    <span class="krik-single-event-msg">
                                                        Event is in progress
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                            <div class="item">
                                                <i class="fa fa-users krik-event-slider-icon"></i>
                                                <span class="krik-number-days-until"><?php echo e($countRegisteredLeadsOnActiveEvents[$key]); ?></span>
                                                <span class="krik-days-until">
                                                    <div>Registered</div>
                                                    <div>Atendees</div>
                                                </span>
                                            </div>
                                            <div class="item">
                                                <?php if($activeEvent->registration_end_ts): ?>
                                                <?php $daysTillRegistrationEnds = floor((strtotime($activeEvent->registration_end_ts) - time())/60/60/24); ?>
                                                    <?php if(strtotime($activeEvent->registration_end_ts) >= strtotime($now)): ?>
                                                        <?php if($daysTillRegistrationEnds > 0): ?>
                                                            <i class="fa fa-check-square-o krik-event-slider-icon"></i>
                                                            <span class="krik-number-days-until">
                                                                <?php echo e($daysTillRegistrationEnds); ?>

                                                            </span>
                                                            <span class="krik-days-until">
                                                                <div>Days Until</div>
                                                                <div>Registration</div>
                                                                <div>Closure</div>
                                                            </span>
                                                        <?php else: ?>
                                                            <i class="fa fa-sign-in krik-event-slider-icon"></i>
                                                            <span class="krik-registration-closed">
                                                                Registration closes today
                                                            </span>
                                                        <?php endif; ?>
                                                    <?php else: ?>
                                                        <i class="fa fa-times-circle krik-event-slider-icon"></i>
                                                        <span class="krik-registration-closed">
                                                            Registration is closed
                                                        </span>
                                                    <?php endif; ?>
                                                <?php else: ?>
                                                    <i class="fa fa-times-circle krik-event-slider-icon"></i>
                                                    <span class="krik-registration-closed">
                                                        There is no registration
                                                    </span>
                                                <?php endif; ?>
                                            </div>
                                        </div>

                                        <ol class="carousel-indicators">
                                            <li data-target="#krik-event-slider-<?php echo e($key); ?>" data-slide-to="0" class="active"></li>
                                            <li data-target="#krik-event-slider-<?php echo e($key); ?>" data-slide-to="1" class=""></li>
                                            <li data-target="#krik-event-slider-<?php echo e($key); ?>" data-slide-to="2" class=""></li>
                                        </ol>
                                    </div>
                                </div>
                            </div>
                            <div class="<?php if(auth()->check() && auth()->user()->hasRole(('admin'))): ?> col-md-3 <?php else: ?> col-md-4 <?php endif; ?>">
                                <div class="krik-event-box krik-event-box-line">
                                    <div class="krik-event-single-registrations">
                                      <div class="krik-registrations-visual">
                                        <div class="krik-registrations-chart-registered-expected" data-percent="<?php echo e($registeredTicketsProgress[$key]); ?>"></div>
                                        <div class="krik-registrations-chart-numbers"><?php echo e($countRegisteredLeadsOnActiveEvents[$key]); ?>/<?php if($countTiketsOnActiveEvents[$key] == null): ?><?php echo e('?'); ?><?php else: ?><?php echo e($countTiketsOnActiveEvents[$key]); ?><?php endif; ?></div>
                                      </div>
                                      <div class="krik-registrations-description">
                                        <div class="krik-first-registrations">Registered</div>
                                        <div class="krik-second-registrations">Expected</div>
                                      </div>
                                    </div>
                                </div>
                            </div>
                            <?php if(auth()->check() && auth()->user()->hasRole(('admin'))): ?>
                                <div class="col-lg-1 hidden-md"></div>
                                <div class="col-md-3 col-lg-2">
                                    <div class="krik-event-actions">
                                        <?php if($activeEvent->is_draft != 1): ?>
                                        <a href="<?php echo e(getenv('APP_URL') . '/events/' . $activeEvent->event_code . '/mailings/email-design'); ?>" class="krik-event-intro-box-link">
                                        <?php endif; ?>
                                        <button type="button" class="btn btn-block krik-btn-green" <?php if($activeEvent->is_draft == 1): ?> <?php echo e('disabled'); ?> <?php endif; ?>><i class="fa fa-envelope krik-btn-space"></i>Send E-mail</button>
                                        <?php if($activeEvent->is_draft != 1): ?>
                                        </a>
                                        <?php endif; ?>
                                        <?php echo e(Form::open(array('url' => getenv('APP_URL') . '/events', 'method' => 'put'))); ?>

                                        <input type="hidden" name="id" value="<?php echo e($activeEvent->id); ?>">
                                        <button type="submit" class="btn btn-block krik-btn-purple" <?php if($activeEvent->is_draft == 1 || strtotime($now) >= strtotime($activeEvent->registration_end_ts)): ?> <?php echo e('disabled'); ?> <?php endif; ?>><i class="fa fa-ban krik-btn-space"></i>Close Registration</button>
                                        <?php echo e(Form::close()); ?>

                                        <button type="button" class="btn btn-default krik-btn-gray krik-event-delete" data-event-id="<?php echo e($activeEvent->id); ?>" data-toggle="modal" data-target=".krik-delete-event">Delete</button>
                                        <a href="<?php echo e(getenv('APP_URL') . '/events/' . $activeEvent->event_code . '/create/look-and-feel'); ?>" class="krik-event-intro-box-link">
                                        <button type="button" class="btn btn-default krik-btn-gray">Edit</button>
                                        </a>
                                        <?php if($activeEvent->is_draft != 1): ?>
                                        <a href="<?php echo e(getenv('APP_URL') . '/events/' . $activeEvent->event_code); ?>">
                                        <?php endif; ?>
                                        <button type="button" class="btn btn-default krik-btn-gray" <?php if($activeEvent->is_draft == 1): ?> <?php echo e('disabled'); ?> <?php endif; ?>>Info</button>
                                        <?php if($activeEvent->is_draft != 1): ?>
                                        </a>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <?php endforeach; ?>
            </div>
        </div>

        <?php if(auth()->check() && auth()->user()->hasRole(('admin'))): ?>
            <div class="row">
            <div class="col-md-3 krik-add-new-event">
                <a href="<?php echo e(getenv('APP_URL')); ?>/events/create/look-and-feel">
                <button type="button" class="btn krik-btn-new-event"><i class="fa fa-plus-square-o krik-btn-space"></i>Add New Event</button>
                </a>
            </div>
            </div>
        <?php endif; ?>

        <hr class="krik-line">

        <div class="row">
            <div class="col-md-12">
                <h3 class="krik-subtitle">Past Events</h3>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <?php echo e(Form::open(array('url' => getenv('APP_URL') . '/events', 'class' => 'form-inline'))); ?>

                <input type="text" class="form-control krik-events-search" <?php if($search == "") { echo 'placeholder="Search..."'; } ?> <?php if($search != "") { echo 'value="' . $search . '"'; } ?> name="search">

                <button type="submit" class="btn btn-default krik-btn-search" type="button">
                    <span class="glyphicon glyphicon-search"></span>
                </button>

                <div class="form-group krik-form-group">
                    <div class="ckbox ckbox-theme krik-events-search-filter">
                        <?php if(in_array('events.name', $selectedSearchOptionsArray)): ?>
                        <input id="name" name="name" value="name" type="checkbox" checked>
                        <?php else: ?>
                        <input id="name" name="name" value="name" type="checkbox">
                        <?php endif; ?>
                        <label for="name">Name</label>
                    </div>
                </div>
                <div class="form-group krik-form-group">
                    <div class="ckbox ckbox-theme krik-events-search-filter">
                        <?php if(in_array('events.venue_name', $selectedSearchOptionsArray)): ?>
                        <input id="location" name="location" value="location" type="checkbox" checked>
                        <?php else: ?>
                        <input id="location" name="location" value="location" type="checkbox">
                        <?php endif; ?>
                        <label for="location">Location</label>
                    </div>
                </div>
                <div class="form-group krik-form-group">
                    <div class="ckbox ckbox-theme krik-events-search-filter">
                        <?php if(in_array('description', $selectedSearchOptionsArray)): ?>
                        <input id="description" name="description" value="description" type="checkbox" checked>
                        <?php else: ?>
                        <input id="description" name="description" value="description" type="checkbox">
                        <?php endif; ?>
                        <label for="description">Description</label>
                    </div>
                </div>
                <?php echo e(Form::close()); ?>

            </div>
        </div>

        <div class="row">
            <div id="past-events">
                <?php foreach($pastEvents as $key => $pastEvent): ?>

                <?php if(auth()->check() && auth()->user()->hasRole(('reporter'))): ?>
                    <?php if (app('Illuminate\Contracts\Auth\Access\Gate')->check((string)($pastEvent->id))): ?>
                    <?php else: ?>
                        <?php continue; ?>
                    <?php endif; ?>
                <?php endif; ?>

                <div class="col-md-4 col-lg-3 krik-event-past">
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <a href="<?php echo e(getenv('APP_URL') . '/events/' . $pastEvent->event_code); ?>">
                              <h3 class="krik-event-title krik-event-past-title"><?php echo e(mb_strimwidth($pastEvent->event_name, 0, 48, '...')); ?></h3>
                            </a>
                            <div class="krik-event-info">
                                <?php if($pastEvent->type_by_venue == 'physical'): ?>
                                <?php echo e(date("d.m.Y. H:i", strtotime($pastEvent->start_ts)) . ', ' . $pastEvent->venue_name); ?>

                                <?php else: ?>
                                <?php echo e(date("d.m.Y. H:i", strtotime($pastEvent->start_ts))); ?>

                                <?php endif; ?>
                            </div>
                            <h4 class="krik-event-numbers">Registered Attendees / Tickets <span class="pull-right"><?php echo e($countRegisteredLeadsOnPastEvents[$key]); ?> / <?php echo e($sumTicketsForPastEvents[$key]); ?></span></h4>
                        </div>
                        <hr class="krik-line">
                        <div class="panel-body">
                            <h4 class="krik-event-numbers">Attendees <span class="pull-right"><?php echo e($countAttendeesForPastEvents[$key]); ?></span></h4>
                        </div>
                        <hr class="krik-line">
                        <div class="panel-body">
                            <p class="krik-event-description"><?php echo e(mb_strimwidth($pastEvent->description, 0, 160, '...')); ?></p>
                        </div>
                        <hr class="krik-line">
                        <div class="panel-body">
                            <p class="krik-event-author-date">
                                Created by <?php echo e($pastEvent->users_name); ?> at <?php echo e(date("d.m.Y.", strtotime($pastEvent->created_at))); ?>

                            </p>
                            <?php /* <div class="col-md-6 krik-no-space">
                                <div class="krik-event-auth">
                                    <span class="krik-event-auth-role">Admins</span>
                                    <span><div class="krik-event-auth-number"><?php echo e($numberOfAdmins); ?></div></span>
                                </div>
                            </div>
                            <div class="col-md-6 krik-no-space">
                                <div class="krik-event-auth">
                                    <span class="krik-event-auth-role">Reporters</span>
                                    <span><div class="krik-event-auth-number"><?php echo e($numberOfReportes->get($key)); ?></div></span>
                                </div>
                            </div> */ ?>
                        </div>
                        <hr class="krik-line">
                        <div class="panel-body">
                            <div class="krik-event-past-actions">
                                <?php if($pastEvent->is_draft == 1): ?>
                                    <a href="<?php echo e(getenv('APP_URL') . '/events/' . $pastEvent->event_code . '/create/look-and-feel'); ?>">
                                        <button type="button" class="btn krik-btn-dashboard pull-right">Edit</button>
                                    </a>
                                <?php else: ?>
                                    <a href="<?php echo e(getenv('APP_URL') . '/events/' . $pastEvent->event_code); ?>">
                                        <button type="button" class="btn krik-btn-dashboard pull-right">Event Dashboard</button>
                                    </a>
                                <?php endif; ?>
                                <?php if(auth()->check() && auth()->user()->hasRole(('admin'))): ?>
                                    <button type="button" class="btn btn-default krik-btn-gray pull-right krik-event-delete" data-event-id="<?php echo e($pastEvent->id); ?>" data-toggle="modal" data-target=".krik-delete-event">Delete</button>
                                <?php endif; ?>
                            </div>
                        </div>

						<?php if($pastEvent->is_draft == 1): ?>
						  <div class="ribbon-wrapper top-right krik-ribbon-top-right">
							<div class="ribbon ribbon-shadow krik-ribbon">Draft</div>
						  </div>
						<?php endif; ?>
                    </div>
                </div>
                <?php endforeach; ?>
            </div>
        </div>

        <div class="modal krik-delete-event animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
            <div class="bs-example-modal krik-delete-modal">
                <div class="modal modal-danger">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
                                <h4 class="modal-title">Please confirm delete</h4>
                            </div>
                            <div class="modal-body">
                                <p>This action can not be undone.</p>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
                                <?php echo e(Form::open(array('url' => getenv('APP_URL') . '/events', 'method' => 'delete', 'class' => 'krik-modal-inline'))); ?>

                                <input type="hidden" name="id" value="">
                                <button type="submit" class="btn btn-danger" id="krik-delete-modal">Delete event</button>
                                <?php echo e(Form::close()); ?>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php $__env->stopSection(); ?>

<?php echo $__env->make('index', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>