

<?php $__env->startSection('content'); ?>
<div id="krik-single-event">

  <?php /* Event Name, Date, Location, Close Registration  */ ?>
  <div class="panel krik-panel">
    <div class="panel-heading">
      <h3 class="krik-single-event-title"><?php echo e($singleEvent->name); ?></h3>
      <h4 class="krik-single-event-info">
        <?php 
          $event_start = new DateTime($singleEvent->start_ts);
          $event_end = new DateTime($singleEvent->end_ts);
          $event_days_diff = $event_start->diff($event_end)->d;
         ?>
        <?php if($singleEvent->type_by_venue == 'physical'): ?>
          <?php if($event_days_diff > 0): ?>
            <?php echo e(date("d.m.Y. H:i", strtotime($singleEvent->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($singleEvent->end_ts)) . ', ' . $singleEvent->venue_name); ?>

          <?php else: ?>
           <?php echo e(date("d.m.Y. H:i", strtotime($singleEvent->start_ts)) . ', ' . $singleEvent->venue_name); ?>

          <?php endif; ?>
        <?php else: ?>
          <?php if($event_days_diff > 0): ?>
            <?php echo e(date("d.m.Y. H:i", strtotime($singleEvent->start_ts)) . ' - ' . date("d.m.Y. H:i", strtotime($singleEvent->end_ts))); ?>

          <?php else: ?>
            <?php echo e(date("d.m.Y. H:i", strtotime($singleEvent->start_ts))); ?>

          <?php endif; ?>
        <?php endif; ?>
      </h4>
        <?php if(auth()->check() && auth()->user()->hasRole(('admin'))): ?>
            <?php if($now < $singleEvent->registration_end_ts): ?>
                <?php echo e(Form::open(array('url' => getenv('APP_URL') . '/events', 'method' => 'put'))); ?>

                <input type="hidden" name="id" value="<?php echo e($singleEvent->id); ?>">
                <button type="submit" class="btn krik-btn-purple"><i class="fa fa-ban krik-btn-space"></i>Close Registration</button>
                <?php echo e(Form::close()); ?>

            <?php else: ?>
                <a href="<?php echo e(getenv('APP_URL') . '/events/' . $event_code . '/create/registration'); ?>"><button type="submit" class="btn krik-btn-purple"><i class="fa fa-sign-in krik-btn-space"></i>Open Registration</button></a>
            <?php endif; ?>
        <?php endif; ?>
    </div>
  </div>

  <div class="krik-single-event-left">

    <?php /* Days Unitil */ ?>
    <div class="col-md-12 col-lg-4">
      <div class="panel panel-default">
        <div class="panel-body krik-panel-no-space">
          <div class="krik-event-box">
            <div id="krik-event-slider-1" class="carousel slide" data-ride="carousel">
              <div class="carousel-inner">
                <div class="item active">
                  <?php
                  $daysTillEventStart = floor((strtotime($singleEvent->start_ts) - time())/60/60/24);
                  $daysTillEventEnd = floor((strtotime($singleEvent->end_ts) - time())/60/60/24);
                  ?>
                  <div class="krik-panel-space">
                    <?php if(strtotime($singleEvent->start_ts) > strtotime($now)): ?>
                      <i class="fa fa-calendar krik-event-slider-icon"></i>
                      <?php if($daysTillEventStart == 0): ?>
                        <span class="krik-single-event-msg">
                          Event starts soon
                        </span>
                      <?php else: ?>
                        <div class="krik-number-days-until"><?php echo e($daysTillEventStart); ?></div>
                        <span class="krik-days-until">
                          <div>Days</div>
                          <div>Until Event</div>
                        </span>
                      <?php endif; ?>
                    <?php elseif((strtotime($singleEvent->start_ts) <= strtotime($now)) && (strtotime($singleEvent->end_ts) >= strtotime($now))): ?>
                      <i class="fa fa-calendar krik-event-slider-icon"></i>
                      <span class="krik-single-event-msg">
                        Event is in progress
                      </span>
                    <?php else: ?>
                      <i class="fa fa-calendar krik-event-slider-icon"></i>
                      <span class="krik-single-event-msg">
                        Event has passed
                      </span>
                    <?php endif; ?>
                  </div>
                </div>
                <div class="item">
                  <div class="krik-panel-space">
                    <?php if($singleEvent->registration_end_ts): ?>
                    <?php $daysTillRegistrationEnds = floor((strtotime($singleEvent->registration_end_ts) - time())/60/60/24); ?>
                      <?php if(strtotime($singleEvent->registration_end_ts) >= strtotime($now)): ?>
                        <?php if($daysTillRegistrationEnds > 0): ?>
                          <i class="fa fa-check-square-o krik-event-slider-icon"></i>
                          <div class="krik-number-days-until"><?php echo e($daysTillRegistrationEnds); ?></div>
                          <span class="krik-days-until">
                            <div>Days Until</div>
                            <div>Registration</div>
                            <div>Closure</div>
                          </span>
                        <?php else: ?>
                          <i class="fa fa-sign-in krik-event-slider-icon"></i>
                          <span class="krik-single-event-msg">
                            Registration closes today
                          </span>
                        <?php endif; ?>
                      <?php else: ?>
                        <i class="fa fa-times-circle krik-event-slider-icon"></i>
                        <span class="krik-single-event-msg">
                          Registration is closed
                        </span>
                      <?php endif; ?>
                    <?php else: ?>
                      <i class="fa fa-times-circle krik-event-slider-icon"></i>
                      <span class="krik-single-event-msg">
                        There is no registration
                      </span>
                    <?php endif; ?>
                  </div>
                </div>

              </div>
              <ol class="carousel-indicators">
                <li data-target="#krik-event-slider-1" data-slide-to="0" class="active"></li>
                <li data-target="#krik-event-slider-1" data-slide-to="1"></li>
              </ol>
            </div>
          </div>
        </div>
      </div>
    </div>

    <?php /* Collected Until Now, Approved/Applied Registrations, Registered/Expected */ ?>
    <div class="col-md-12 col-lg-4">
      <div class="panel panel-default">
        <div class="panel-body krik-panel-no-space">
          <div class="krik-event-box">
            <div id="krik-event-slider-2" class="carousel slide" data-ride="carousel">
              <div class="carousel-inner">
                <div class="item active">
                  <div class="krik-panel-space">
                    <i class="fa fa-money krik-event-slider-icon"></i>
                    <div class="krik-money-collected">
                      <span class="krik-money-number">
                        <?php echo e($collectedUntilNow); ?>

                        <?php if($eventCurrency != '0'): ?>
                          <?php echo e(' ' . $eventCurrency); ?>

                        <?php endif; ?>
                      </span>
                      <div class="krik-money-description">Collected Until Now</div>
                    </div>
                  </div>
                </div>
                <div class="item">
                  <div class="krik-event-single-registrations">
                    <div class="krik-registrations-visual">
                      <div class="krik-registrations-chart-approved-applied" data-percent="<?php echo e($approvedTicketsProgress); ?>"></div>
                      <div class="krik-registrations-chart-numbers"><?php echo e($countApprovedTickets); ?>/<?php echo e($countAppliedRegisteredLeads); ?></div>
                    </div>
                    <div class="krik-registrations-description">
                      <div class="krik-first-registrations">Approved</div>
                      <div class="krik-second-registrations">Applied</div>
                    </div>
                  </div>
                </div>
                <div class="item">
                  <div class="krik-event-single-registrations">
                    <div class="krik-registrations-visual">
                      <div class="krik-registrations-chart-registered-expected" data-percent="<?php echo e($registeredTicketsProgress); ?>"></div>
                      <div class="krik-registrations-chart-numbers"><?php echo e($countRegisteredLeads); ?>/<?php echo e($countTickets); ?></div>
                    </div>
                    <div class="krik-registrations-description">
                      <div class="krik-first-registrations">Registered</div>
                      <div class="krik-second-registrations">Expected</div>
                    </div>
                  </div>
                </div>

                <?php if(strtotime($singleEvent->start_ts) < strtotime($now)): ?>
                  <div class="item">
                    <div class="krik-event-single-registrations">
                      <div class="krik-registrations-visual">
                        <div class="krik-registrations-chart-registered-expected" data-percent="<?php echo e($attendedProgress); ?>"></div>
                        <div class="krik-registrations-chart-numbers"><?php echo e($countAttended); ?>/<?php echo e($countApprovedTickets); ?></div>
                      </div>
                      <div class="krik-registrations-description">
                        <div class="krik-first-registrations">Attended <?php echo e($countAttended); ?></div>
                        <div class="krik-second-registrations">Approved <?php echo e($countApprovedTickets); ?></div>
                      </div>
                    </div>
                  </div>
                <?php endif; ?>

              </div>
              <ol class="carousel-indicators">
                  <li data-target="#krik-event-slider-2" data-slide-to="0" class="active"></li>
                  <li data-target="#krik-event-slider-2" data-slide-to="1"></li>
                  <li data-target="#krik-event-slider-2" data-slide-to="2"></li>

                  <?php if(strtotime($singleEvent->start_ts) < strtotime($now)): ?>
                    <li data-target="#krik-event-slider-2" data-slide-to="3"></li>
                  <?php endif; ?>

              </ol>
            </div>
          </div>
        </div>
      </div>
    </div>

    <?php /* Timezone, Map */ ?>
    <div class="col-md-12 col-lg-4">
      <div class="panel panel-default">
        <div class="panel-body krik-panel-no-space">
          <div class="krik-event-box">
            <div id="krik-event-slider-3" class="carousel slide" data-ride="carousel" data-interval="false">
              <div class="carousel-inner">
                <div class="item active">
                  <div class="krik-panel-space">
                    <i class="fa fa-history krik-event-slider-icon"></i>
                    <div class="krik-timezone">
                      <div class="krik-timezone-description"><?php echo e('This event is set to'); ?></div>
                      <div class="krik-timezone-set"><?php echo e($eventTimezoneName); ?></div>
                    </div>
                  </div>
                </div>
                <?php if($singleEventAddress != 'online'): ?>
                <div class="item">
                  <div id="krik-map-address" class="map"></div>
                  <script type="text/javascript">
                    var map = $('#krik-map-address').gmap3({
                        address: <?php echo json_encode($singleEventAddress); ?>,
                        zoom: 16
                      })
                      .marker({
                        address: <?php echo json_encode($singleEventAddress); ?>,
                      });
                  </script>
                </div>
                <?php endif; ?>
              </div>
              <ol class="carousel-indicators">
                  <li data-target="#krik-event-slider-3" data-slide-to="0" class="active"></li>
                  <?php if($singleEventAddress != 'online'): ?>
                  <li id="krik-map-address-toggle" data-target="#krik-event-slider-3" data-slide-to="1" class=""></li>
                  <?php endif; ?>
              </ol>
            </div>
          </div>
        </div>
      </div>
    </div>

    <?php /* Registrations Progress Chart */ ?>
    <?php if($dataForRegistrationsChart != 'nope'): ?>
    <div class="col-md-12 krik-registrations-progress-chart">
      <div class="panel panel-success">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Registrations Progress</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="panel-body">
          <div id="krik-registrations-progress-chart" class="chart"></div>
          <script type="text/javascript">
            $(function(){
              new Morris.Line({
                element: 'krik-registrations-progress-chart',
                data: [
                  <?php foreach($dataForRegistrationsChart as $data): ?>
                    <?php echo $data; ?>

                  <?php endforeach; ?>
                ],
                xkey: 'y',
                ykeys: ['a'],
                labels: ['Registered recipients'],
                lineColors: ['#8cc152'],
                lineWidth: '2px',
                hideHover: true,
                resize: true,
                xLabels: 'day',
                xLabelFormat: function (x) {
                  var month = '' + (x.getMonth() + 1),
                      day = '' + x.getDate(),
                      year = x.getFullYear();

                  if (month.length < 2) month = '0' + month;
                  if (day.length < 2) day = '0' + day;

                  return [day, month, year].join('.') + '.';
                },
                dateFormat: function (x) {
                  var date = new Date(x),
                      month = '' + (date.getMonth() + 1),
                      day = '' + date.getDate(),
                      year = date.getFullYear();

                  if (month.length < 2) month = '0' + month;
                  if (day.length < 2) day = '0' + day;

                  return [day, month, year].join('.') + '.';
                }
              });
            });
          </script>
        </div>
      </div>
    </div>
    <?php else: ?>
    <div class="col-md-12">
      <div class="panel panel-default krik-panel-no-data">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Registrations Progress</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="panel-body">
          <i class="fa fa-bar-chart"></i>
          <p>There are no registrans for this event.</p>
          <p>Start email activity to speed things up! After the first registration is submitted, track progress here.</p>
        </div>
      </div>
    </div>
    <?php endif; ?>

    <?php if($recentRegistrationsTableData != 'nope'): ?>
    <div class="col-md-12 krik-recent-registrants">
      <div class="panel panel-primary">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Recent Registrants</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="table-responsive">
          <table class="table">
            <thead>
              <tr>
                <th class="text-center">No.</th>
                <th>Lead name</th>
                <th>Company</th>
                <th>E-mail</th>
                <th>Telephone</th>
                <th>Registered</th>
                <th style="min-width: 125px !important;">Status actions</th>
                <th class="text-center">Actions</th>
              </tr>
            </thead>
            <tbody>
              <?php foreach($recentRegistrationsTableData as $key => $recentRegistrationTableData): ?>
                <tr>
                  <td class="text-center">
                    <?php echo e($key+1); ?>

                  </td>
                  <td>
                    <?php if($recentRegistrationTableData->title): ?>
                      <?php echo e($recentRegistrationTableData->title . ' '); ?>

                    <?php endif; ?>
                    <?php if($recentRegistrationTableData->first_name): ?>
                      <?php echo e($recentRegistrationTableData->first_name . ' '); ?>

                    <?php endif; ?>
                    <?php if($recentRegistrationTableData->last_name): ?>
                      <?php echo e($recentRegistrationTableData->last_name); ?>

                    <?php endif; ?>
                  </td>
                  <td>
                    <?php if($recentRegistrationTableData->company_name): ?>
                      <?php echo e($recentRegistrationTableData->company_name); ?>

                    <?php endif; ?>
                  </td>
                  <td>
                    <?php if($recentRegistrationTableData->email): ?>
                      <?php echo e($recentRegistrationTableData->email); ?>

                    <?php endif; ?>
                  </td>
                  <td>
                    <?php if($recentRegistrationTableData->mobile): ?>
                      <?php echo e($recentRegistrationTableData->mobile); ?>

                    <?php endif; ?>
                  </td>
                  <td>
                    <?php if($recentRegistrationTableData->registered_ts): ?>
                      <?php echo e($recentRegistrationTableData->registered_ts); ?>

				  	<?php elseif($recentRegistrationTableData->confirmed_ts): ?>
                      <?php echo e($recentRegistrationTableData->confirmed_ts); ?>

                    <?php endif; ?>
                  </td>
                  <td>
                    <?php if($recentRegistrationTableData->status_registration): ?>
                      <?php if($recentRegistrationTableData->status_registration == 'Canceled'): ?>
                        <span class="krik-registration-canceled"><?php echo e($recentRegistrationTableData->status_registration); ?></span>
                      <?php elseif($recentRegistrationTableData->status_registration == 'Confirmed'): ?>
                        <span class="krik-registration-confirmed"><?php echo e($recentRegistrationTableData->status_registration); ?></span>
                      <?php elseif($recentRegistrationTableData->status_registration == 'Waiting'): ?>
                        <span class="krik-registration-waiting"><?php echo e($recentRegistrationTableData->status_registration); ?></span>
                      <?php endif; ?>

                      <?php if($recentRegistrationTableData->status_registration == 'Confirmed' || $recentRegistrationTableData->status_registration == 'Waiting'): ?>
                        <i class="fa fa-times-circle krik-registration-cancel" data-registration-id="<?php echo e($recentRegistrationTableData->id); ?>" data-toggle="modal" data-target=".krik-registration-status-cancel" data-info="tooltip" data-placement="top" title="Cancel registration"></i>
                      <?php endif; ?>
                      <?php if($recentRegistrationTableData->status_registration == 'Waiting'): ?>
                        <i class="fa fa-check-circle krik-registration-confirm" data-registration-id="<?php echo e($recentRegistrationTableData->id); ?>" data-toggle="modal" data-target=".krik-registration-status-confirm" data-info="tooltip" data-placement="top" title="Confirm registration"></i>
                      <?php endif; ?>
                    <?php endif; ?>
                  </td>
                  <td class="text-center">
                    <?php if($pro_forma_invoice == 1): ?>
                      <?php echo e(Form::open(array('url' => getenv('APP_URL') . '/events/' . $event_code, 'method' => 'put', 'class' => 'form-horizontal krik-generate-invoice'))); ?>

                      <?php echo e(Form::hidden('type', 'tickets')); ?>

                      <?php echo e(Form::hidden('id', $recentRegistrationTableData->id)); ?>

                      <i class="fa fa-info-circle krik-invoices-submit" data-info="tooltip" data-placement="top" title="Download registration invoice"></i>
                      <?php echo e(Form::close()); ?>

                    <?php endif; ?>

                    <i class="fa fa-trash-o krik-delete-registration" data-registration-id="<?php echo e($recentRegistrationTableData->id); ?>" data-toggle="modal" data-target=".krik-registration-delete" data-info="tooltip" data-placement="top" title="Delete registration"></i>
                  </td>
                </tr>
              <?php endforeach; ?>
            </tbody>
          </table>
          <div class="panel-footer">
            <div class="pull-right">
              <a href="<?php echo e(getenv('APP_URL') . '/events/' . $event_code . '/report-registrations'); ?>">
                <button type="button" class="btn btn-sm btn-primary">Show All</button>
              </a>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
      </div>
    </div>
    <?php else: ?>
    <div class="col-md-12">
      <div class="panel panel-default krik-panel-no-data">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Recent Registrants</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="panel-body">
          <i class="fa fa-list"></i>
          <p>Info about recent registrants is going to be shown here.</p>
        </div>
      </div>
    </div>
    <?php endif; ?>

    <?php if($recentHotelReservationsTableData != 'nope'): ?>
    <div class="col-md-8 krik-recent-accommodation-reservations">
      <div class="panel panel-teal">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Recent Accommodation Reservations</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="table-responsive">
          <table class="table">
            <thead>
              <tr>
                <th class="text-center">No.</th>
                <th>Lead name</th>
                <th>Accommodation</th>
                <th>Arival</th>
                <th>Departure</th>
                <th style="min-width: 100px !important;" class="text-center">Actions</th>
              </tr>
            </thead>
            <tbody>
              <?php foreach($recentHotelReservationsTableData as $key => $recentHotelReservationTableData): ?>
                <tr>
                  <td class="text-center">
                    <?php echo e($key+1); ?>

                  </td>
                  <td>
                    <?php if($recentHotelReservationTableData->title): ?>
                      <?php echo e($recentHotelReservationTableData->title . ' '); ?>

                    <?php endif; ?>
                    <?php if($recentHotelReservationTableData->first_name): ?>
                      <?php echo e($recentHotelReservationTableData->first_name . ' '); ?>

                    <?php endif; ?>
                    <?php if($recentHotelReservationTableData->last_name): ?>
                      <?php echo e($recentHotelReservationTableData->last_name); ?>

                    <?php endif; ?>
                  </td>
                  <td>
                    <?php if($recentHotelReservationTableData->name): ?>
                      <?php echo e($recentHotelReservationTableData->name); ?>

                    <?php endif; ?>
                  </td>
                  <td>
                    <?php if($recentHotelReservationTableData->accomodation_arrival_date): ?>
                      <?php echo e($recentHotelReservationTableData->accomodation_arrival_date); ?>

                    <?php endif; ?>
                  </td>
                  <td>
                    <?php if($recentHotelReservationTableData->accomodation_departure_date): ?>
                      <?php echo e($recentHotelReservationTableData->accomodation_departure_date); ?>

                    <?php endif; ?>
                  </td>
                  <td class="text-right">
                    <?php if($recentHotelReservationTableData->status_accomodation): ?>
                      <?php if($recentHotelReservationTableData->status_accomodation == 'Waiting'): ?>
                        <i class="fa fa-check-circle krik-registration-accomodation-confirm" data-registration-id="<?php echo e($recentHotelReservationTableData->id); ?>" data-toggle="modal" data-target=".krik-registration-accomodation-status-confirm" data-info="tooltip" data-placement="top" title="Confirm accommodation reservation"></i>
                      <?php endif; ?>
                      <?php if($recentHotelReservationTableData->status_accomodation == 'Confirmed' || $recentHotelReservationTableData->status_accomodation == 'Waiting'): ?>
                        <i class="fa fa-times-circle krik-registration-accomodation-cancel" data-registration-id="<?php echo e($recentHotelReservationTableData->id); ?>" data-toggle="modal" data-target=".krik-registration-accomodation-status-cancel" data-info="tooltip" data-placement="top" title="Cancel accommodation reservation"></i>
                      <?php endif; ?>
                    <?php endif; ?>

                    <?php if($pro_forma_invoice == 1): ?>
                      <?php echo e(Form::open(array('url' => getenv('APP_URL') . '/events/' . $event_code, 'method' => 'put', 'class' => 'form-horizontal krik-generate-invoice'))); ?>

                      <?php echo e(Form::hidden('type', 'accomodation')); ?>

                      <?php echo e(Form::hidden('id', $recentHotelReservationTableData->id)); ?>

                      <i class="fa fa-info-circle krik-invoices-submit" data-info="tooltip" data-placement="top" title="Download accommodation invoice"></i>
                      <?php echo e(Form::close()); ?>

                    <?php endif; ?>

                    <i class="fa fa-trash-o krik-delete-registration-accomodation" data-registration-id="<?php echo e($recentHotelReservationTableData->id); ?>" data-toggle="modal" data-target=".krik-registration-delete-accomodation" data-info="tooltip" data-placement="top" title="Delete accommodation reservation"></i>
                  </td>
                </tr>
              <?php endforeach; ?>
            </tbody>
          </table>
          <div class="panel-footer">
            <div class="pull-right">
              <a href="<?php echo e(getenv('APP_URL') . '/events/' . $event_code . '/report-accommodations'); ?>">
                <button type="button" class="btn btn-sm btn-teal">Show All</button>
              </a>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
      </div>
    </div>
    <?php endif; ?>

    <?php if($accommodations != 'nope'): ?>
    <div class="col-md-4">
      <div class="panel panel-teal">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Accommodation Occupancy</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="panel-body">
          <?php foreach($accommodations as $key => $accommodation): ?>
            <div><?php echo e($accommodation->name); ?></span><span class="pull-right">(<?php echo e($accommodation->count); ?>/<?php echo e($accommodation->rooms); ?>)</div>
            <div class="progress progress-xs">
              <?php
                $giveMeProgress = $accommodation->count / $accommodation->rooms;
                $giveMeProgress = $giveMeProgress * 100;
              ?>
              <div class="progress-bar progress-bar-teal" role="progressbar" style="width: <?php echo $giveMeProgress . '%'; ?>"></div>
            </div>
          <?php endforeach; ?>
        </div>
      </div>
    </div>
    <?php endif; ?>

    <?php if($recentTransfersTableData != 'nope'): ?>
    <div class="col-md-8 krik-recent-transfer-reservations">
      <div class="panel panel-lilac">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Recent Transfer Reservations</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="table-responsive">
          <table class="table">
            <thead>
              <tr>
                <th class="text-center">No.</th>
                <th>Lead name</th>
                <th>Time</th>
                <th>Type</th>
                <th style="min-width: 100px !important;" class="text-center">Actions</th>
              </tr>
            </thead>
            <tbody>
              <?php foreach($recentTransfersTableData as $key => $recentTransferTableData): ?>
                <tr>
                  <td class="text-center">
                    <?php echo e($key+1); ?>

                  </td>
                  <td>
                    <?php if($recentTransferTableData->title): ?>
                      <?php echo e($recentTransferTableData->title . ' '); ?>

                    <?php endif; ?>
                    <?php if($recentTransferTableData->first_name): ?>
                      <?php echo e($recentTransferTableData->first_name . ' '); ?>

                    <?php endif; ?>
                    <?php if($recentTransferTableData->last_name): ?>
                      <?php echo e($recentTransferTableData->last_name); ?>

                    <?php endif; ?>
                  </td>
                  <td>
                    <?php if($recentTransferTableData->transfer_start_ts): ?>
                      <?php echo e($recentTransferTableData->transfer_start_ts); ?>

                    <?php endif; ?>
                  </td>
                  <td>
                    <?php if($recentTransferTableData->description): ?>
                      <?php echo e($recentTransferTableData->description); ?>

                    <?php endif; ?>
                  </td>
                  <td class="text-right">
                    <?php if($recentTransferTableData->status_transfer): ?>
                      <?php if($recentTransferTableData->status_transfer == 'Waiting'): ?>
                        <i class="fa fa-check-circle krik-registration-transfer-confirm" data-registration-id="<?php echo e($recentTransferTableData->id); ?>" data-toggle="modal" data-target=".krik-registration-transfer-status-confirm" data-info="tooltip" data-placement="top" title="Confirm transfer reservation"></i>
                      <?php endif; ?>
                      <?php if($recentTransferTableData->status_transfer == 'Confirmed' || $recentTransferTableData->status_transfer == 'Waiting'): ?>
                        <i class="fa fa-times-circle krik-registration-transfer-cancel" data-registration-id="<?php echo e($recentTransferTableData->id); ?>" data-toggle="modal" data-target=".krik-registration-transfer-status-cancel" data-info="tooltip" data-placement="top" title="Cancel transfer reservation"></i>
                      <?php endif; ?>
                    <?php endif; ?>

                    <?php if($pro_forma_invoice == 1): ?>
                      <?php echo e(Form::open(array('url' => getenv('APP_URL') . '/events/' . $event_code, 'method' => 'put', 'class' => 'form-horizontal krik-generate-invoice'))); ?>

                      <?php echo e(Form::hidden('type', 'transfers')); ?>

                      <?php echo e(Form::hidden('id', $recentTransferTableData->id)); ?>

                      <i class="fa fa-info-circle krik-invoices-submit" data-info="tooltip" data-placement="top" title="Download transfer invoices"></i>
                      <?php echo e(Form::close()); ?>

                    <?php endif; ?>

                    <i class="fa fa-trash-o krik-delete-registration-transfer" data-registration-id="<?php echo e($recentTransferTableData->id); ?>" data-transfer-id="<?php echo e($recentTransferTableData->transfer_id); ?>" data-toggle="modal" data-target=".krik-registration-delete-transfer" data-info="tooltip" data-placement="top" title="Delete transfer reservation"></i>
                  </td>
                </tr>
              <?php endforeach; ?>
            </tbody>
          </table>
          <div class="panel-footer">
            <div class="pull-right">
              <a href="<?php echo e(getenv('APP_URL') . '/events/' . $event_code . '/report-transfers'); ?>">
                <button type="button" class="btn btn-sm btn-lilac">Show All</button>
              </a>
            </div>
            <div class="clearfix"></div>
          </div>
        </div>
      </div>
    </div>
    <?php endif; ?>

    <?php if($recentTransfersTableData != 'nope'): ?>
    <div class="col-md-4">
      <div class="panel panel-lilac">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Transfers By Days</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="panel-body">
          <div id="krik-registrations-transfers-chart" class="chart"></div>
          <script type="text/javascript">
            $(function(){
              new Morris.Bar({
                element: 'krik-registrations-transfers-chart',
                data: [
                  <?php foreach($transfersByDayChartData as $data): ?>
                    <?php echo $data; ?>

                  <?php endforeach; ?>
                ],
                xkey: 'y',
                ykeys: ['a', 'b'],
                labels: ['Airport to Venue', 'Venue to Airport'],
                barColors: ['#75466a', '#8f6b87'],
                hideHover: true,
                resize: true
              });
            });
          </script>
        </div>
      </div>
    </div>
    <?php endif; ?>

  </div>

  <div class="krik-single-event-right">

    <?php /* Ticket-Count */ ?>
      <div class="panel panel-teal widget-tickets">
        <div class="panel-heading">
          <div class="pull-left">
            <h3 class="panel-title">Tickets</h3>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="panel-body">
          <?php foreach($tickets as $ticket): ?>
          <div>
          <span><?php echo e($ticket->name); ?></span>
          <?php if(strtotime($ticket->valid_until_ts) < strtotime($now)): ?><span style="color: #e9573f"><?php echo e('(expired)'); ?></span><?php endif; ?>
          <span class="pull-right">
          <?php
            if($ticket->deleteTicket < $ticket->used) {
              $number = $ticket->used - $ticket->deleteTicket;
            } elseif($ticket->deleteTicket > $ticket->used) {
              $number = $ticket->deleteTicket - $ticket->used;
            } else {
              $number = $ticket->used - $ticket->deleteTicket;
            }
          ?>
          (<?php echo e($number); ?>/<?php echo e($ticket->quantity); ?>)
          </div>
            <div class="progress progress-xs">
              <?php
                $giveMeProgress = $number / $ticket->quantity;
                $giveMeProgress = $giveMeProgress * 100;
              ?>
              <div class="progress-bar progress-bar-teal" role="progressbar" style="width: <?php echo $giveMeProgress . '%'; ?>"></div>
            </div>
          <?php endforeach; ?>
        </div>
      </div>

    <?php /* To-Do */ ?>
    <div class="panel widget-todo" id="krik-todo">
      <div class="panel-heading">
        <div class="pull-left">
          <h3 class="panel-title">To-Do List</h3>
        </div>
        <div class="clearfix"></div>
      </div>
      <div class="panel-sub-heading">
        <div class="row inner-all">
          <form action="/events/single/todo" method="post" id="krik-todo-add">
            <div class="krik-todo-new">
              <?php echo e(csrf_field()); ?>

              <input type="hidden" name="user_id" value="<?php echo e(Auth::user()->id); ?>">
              <input type="hidden" name="event_id" value="<?php echo e($singleEvent->id); ?>">
              <input type="text" class="form-control input-sm" placeholder="Add New..." name="name" id="krik-todo-text">
            </div>
            <div class="krik-todo-new-add">
              <button type="submit" class="btn btn-primary btn-sm btn-block"><i class="fa fa-plus"></i></button>
            </div>
          </form>
        </div>
      </div>
      <div class="panel-body no-padding">
        <ul class="todo-list">
          <?php foreach($toDoTasks as $toDoTask): ?>
            <li class="krik-todo-task-item">
              <div class="ckbox ckbox-success">
                <input type="checkbox" value="<?php echo e($toDoTask->id); ?>" id="<?php echo e('todo-' . $toDoTask->id); ?>" <?php if($toDoTask->done_flag == 1): ?> <?php echo e('checked'); ?> <?php endif; ?>>
                <label class="krik-todo-task" for="<?php echo e('todo-' . $toDoTask->id); ?>"><?php echo e($toDoTask->name); ?></label>
                <div class="krik-todo-task-delete" data-todo-id="<?php echo e($toDoTask->id); ?>"><i class="fa fa-times"></i></div>
              </div>
            </li>
          <?php endforeach; ?>
        </ul>
      </div>
    </div>

    <?php /* Recent Activity */ ?>
    <?php if($recentActivities != 'nope'): ?>
    <div class="recent-activity" id="krik-recent-activity">
      <h3>Recent Activity</h3>

      <?php foreach($recentActivities as $key => $recentActivitie): ?>

        <?php if($recentActivitie->whatDidWeGet == 'scheduled-mailing-activity' && strtotime($recentActivitie->time) > strtotime($now)): ?>
          <div class="recent-activity-item recent-activity-warning">
            <div class="recent-activity-badge">
              <span class="recent-activity-badge-userpic"></span>
            </div>
            <div class="recent-activity-body">
              <div class="recent-activity-body-head">
                <div class="recent-activity-body-head-caption">
                  <h3 class="recent-activity-body-title">
                    <?php echo e('Mailing Activity Scheduled'); ?>

                  </h3>
                </div>
              </div>
              <div class="recent-activity-body-content">
                <p>
                  <a href="<?php echo e(Request::url() . '/mailings/' . $recentActivitie->eventOrMailingCode); ?>"><?php echo e($recentActivitie->eventOrMailingName); ?></a>
                  <span class="text-block text-muted">
                    <?php echo e(date("d.m.Y. H:i", strtotime($recentActivitie->time))); ?>

                  </span>
                </p>
              </div>
            </div>
          </div>
        <?php endif; ?>

        <?php if($recentActivitie->whatDidWeGet == 'event-started' && strtotime($recentActivitie->time) < strtotime($now)): ?>
        <div class="recent-activity-item recent-activity-success">
          <div class="recent-activity-badge">
            <span class="recent-activity-badge-userpic"></span>
          </div>
          <div class="recent-activity-body">
            <div class="recent-activity-body-head">
              <div class="recent-activity-body-head-caption">
                <h3 class="recent-activity-body-title">
                  <?php echo e('Event Started'); ?>

                </h3>
              </div>
            </div>
            <div class="recent-activity-body-content">
              <p>
                <span class="text-block text-muted">
                  <?php echo e(date("d.m.Y. H:i", strtotime($recentActivitie->time))); ?>

                </span>
              </p>
            </div>
          </div>
        </div>
        <?php endif; ?>

        <?php if($recentActivitie->whatDidWeGet == 'registration-opened' && strtotime($recentActivitie->time) < strtotime($now)): ?>
        <div class="recent-activity-item recent-activity-success">
          <div class="recent-activity-badge">
            <span class="recent-activity-badge-userpic"></span>
          </div>
          <div class="recent-activity-body">
            <div class="recent-activity-body-head">
              <div class="recent-activity-body-head-caption">
                <h3 class="recent-activity-body-title">
                  <?php echo e('Registration Opened'); ?>

                </h3>
              </div>
            </div>
            <div class="recent-activity-body-content">
              <p>
                <span class="text-block text-muted">
                  <?php echo e(date("d.m.Y. H:i", strtotime($recentActivitie->time))); ?>

                </span>
              </p>
            </div>
          </div>
        </div>
        <?php endif; ?>

        <?php if($recentActivitie->whatDidWeGet == 'started-mailing-activity' && strtotime($recentActivitie->time) < strtotime($now)): ?>
        <div class="recent-activity-item recent-activity-primary">
          <div class="recent-activity-badge">
            <span class="recent-activity-badge-userpic"></span>
          </div>
          <div class="recent-activity-body">
            <div class="recent-activity-body-head">
              <div class="recent-activity-body-head-caption">
                <h3 class="recent-activity-body-title">
                  <?php echo e('Started Mailing Activity'); ?>

                </h3>
              </div>
            </div>
            <div class="recent-activity-body-content">
              <p>
                <a href="<?php echo e(Request::url() . '/mailings/' . $recentActivitie->eventOrMailingCode); ?>"><?php echo e($recentActivitie->eventOrMailingName); ?></a>
                <span class="text-block text-muted">
                  <?php echo e(date("d.m.Y. H:i", strtotime($recentActivitie->time))); ?>

                </span>
              </p>
            </div>
          </div>
        </div>
        <?php endif; ?>

        <?php if($recentActivitie->whatDidWeGet == 'registration-closed' && strtotime($recentActivitie->time) < strtotime($now)): ?>
        <div class="recent-activity-item recent-activity-danger">
          <div class="recent-activity-badge">
            <span class="recent-activity-badge-userpic"></span>
          </div>
          <div class="recent-activity-body">
            <div class="recent-activity-body-head">
              <div class="recent-activity-body-head-caption">
                <h3 class="recent-activity-body-title">
                  <?php echo e('Registration Closed'); ?>

                </h3>
              </div>
            </div>
            <div class="recent-activity-body-content">
              <p>
                <span class="text-block text-muted">
                  <?php echo e(date("d.m.Y. H:i", strtotime($recentActivitie->time))); ?>

                </span>
              </p>
            </div>
          </div>
        </div>
        <?php endif; ?>

        <?php if($recentActivitie->whatDidWeGet == 'event-ended' && strtotime($recentActivitie->time) < strtotime($now)): ?>
        <div class="recent-activity-item recent-activity-danger">
          <div class="recent-activity-badge">
            <span class="recent-activity-badge-userpic"></span>
          </div>
          <div class="recent-activity-body">
            <div class="recent-activity-body-head">
              <div class="recent-activity-body-head-caption">
                <h3 class="recent-activity-body-title">
                  <?php echo e('Event Ended'); ?>

                </h3>
              </div>
            </div>
            <div class="recent-activity-body-content">
              <p>
                <span class="text-block text-muted">
                  <?php echo e(date("d.m.Y. H:i", strtotime($recentActivitie->time))); ?>

                </span>
              </p>
            </div>
          </div>
        </div>
        <?php endif; ?>

      <?php endforeach; ?>

		<?php foreach($recentActivities as $key => $recentActivitie): ?>

			<?php if($recentActivitie->whatDidWeGet == 'created-event'): ?>
			<div class="recent-activity-item recent-activity-success recent-activity-last">
			  <div class="recent-activity-badge">
			    <span class="recent-activity-badge-userpic"></span>
			  </div>
			  <div class="recent-activity-body">
			    <div class="recent-activity-body-head">
			      <div class="recent-activity-body-head-caption">
			        <h3 class="recent-activity-body-title">
			          <?php echo e('Event Created'); ?>

			        </h3>
			      </div>
			    </div>
			    <div class="recent-activity-body-content">
			      <p>
			        <span class="text-block text-muted">
			          <?php echo e(date("d.m.Y. H:i", strtotime($recentActivitie->time))); ?>

			        </span>
			      </p>
			    </div>
			  </div>
			</div>

			<?php break; ?>
			<?php endif; ?>

		<?php endforeach; ?>

    </div>
    <?php endif; ?>

    <?php echo e(csrf_field()); ?>


  </div>

  <div class="modal krik-registration-delete animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm delete</h4>
            </div>
            <div class="modal-body">
              <p>This action can not be undone.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-delete-submit">Delete registration</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-delete-accomodation animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm delete</h4>
            </div>
            <div class="modal-body">
              <p>This action can not be undone.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-delete-submit">Delete reservation</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-delete-transfer animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm delete</h4>
            </div>
            <div class="modal-body">
              <p>This action can not be undone.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-delete-submit">Delete reservation</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-status-confirm animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm change</h4>
            </div>
            <div class="modal-body">
              <p>Change registration status to Confirmed.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-change-submit">Change</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-status-cancel animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm change</h4>
            </div>
            <div class="modal-body">
              <p>Change registration status to Canceled.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-change-submit">Change</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-accomodation-status-confirm animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm change</h4>
            </div>
            <div class="modal-body">
              <p>Change accommodation status to Confirmed.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-change-submit">Change</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-accomodation-status-cancel animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm change</h4>
            </div>
            <div class="modal-body">
              <p>Change accommodation status to Canceled.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-change-submit">Change</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-transfer-status-confirm animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm change</h4>
            </div>
            <div class="modal-body">
              <p>Change transfer status to Confirmed.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-change-submit">Change</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal krik-registration-transfer-status-cancel animated fadeIn" tabindex="0" role="dialog" aria-hidden="true" style="display: none;">
    <div class="bs-example-modal krik-delete-modal">
      <div class="modal modal-danger">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-times krik-delete-modal-close"></i></button>
              <h4 class="modal-title">Please confirm change</h4>
            </div>
            <div class="modal-body">
              <p>Change transfer status to Canceled.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default krik-modal-inline" data-dismiss="modal">Go back</button>
              <button type="submit" class="btn btn-danger" id="krik-change-submit">Change</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('index-left-sidebar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>